GNU bug report logs - #35969
proxy + excorporate -> Failed: Failed to retrieve https://outlook.office365.com/EWS/Services.wsdl

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "tenspd137 ." <dcday137@HIDDEN>; dated Tue, 28 May 2019 22:26:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 13 Jul 2019 14:38:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 13 10:38:09 2019
Received: from localhost ([127.0.0.1]:43037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmJA9-0000fs-1I
	for submit <at> debbugs.gnu.org; Sat, 13 Jul 2019 10:38:09 -0400
Received: from mail-io1-f49.google.com ([209.85.166.49]:46336)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fitzsim@HIDDEN>) id 1hmJA5-0000fG-Gm
 for 35969 <at> debbugs.gnu.org; Sat, 13 Jul 2019 10:38:06 -0400
Received: by mail-io1-f49.google.com with SMTP id i10so26576466iol.13
 for <35969 <at> debbugs.gnu.org>; Sat, 13 Jul 2019 07:38:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fitzsim-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=DCTvrX55SmmSVcAwPWdgp9INeYYzqzlL3HBPdgOREXw=;
 b=YydtmDqi7yjUFRwpe9sc6UnqMErABS5k7JfqI5ot1WWIVhBocs+bw4Ey7vz25oRHT7
 P66tE6X66oHN43gx7TKZ73CFCR+B3mmWay6tRK1NxBYEJW0u4g92qpG7ptB2ljR5Hpp/
 OMS+BfI4XwDZsWUylsKv0HFg/MzZn87Xx0ARsRvqf2S0fkSgOi6rqNRzujdbregzX8Xn
 hZvbL2GQkY0zaZqvgJ/9XUSZQifXzVFheu2XAWgxCaegp+F2k0DDThPj3Xp42HgMJ3mW
 USKriCWE1EcC43kazBH8oaCw/4ZX7wbg3p5DKvg96LAP6Iy+oL1fUfLebwNM0KZH1F8D
 u5LQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=DCTvrX55SmmSVcAwPWdgp9INeYYzqzlL3HBPdgOREXw=;
 b=HwWKQssiirAE8Jv1keKZV67Iu/lsyDIlAeWA+2xp7/5dmCZ4Y5Gdw63I079sXmPCkn
 5mMsH3SMprkbJ6kADdbEJverPN8E3B1jDJTgR78zyxFq/l/MmDRzgrKg7kdZitx2GeYn
 cRI063SLo7GuZ4ot/CJP5+QfTB4JX8KVJftmRR2vQtGqUJucb1rMZl3aaXuHKUcY3EB4
 jXEdeEQ73M+6VcYSYzIhsPULnCJXdNVAHoRtiMffaaNs8OyYKnjfcQHJ3y+MefzXDha0
 UzYafSNIBMwON3K8tMZhXYZQiT3Kp5vZ7kuBE6X/5gBO3XgTCeDfcOmFq0i8oiU4xUfj
 Zfeg==
X-Gm-Message-State: APjAAAUPfDish5+fAzsDFphyDucev9xPj7M139CCNEuU2+nr0l2rWU19
 IAh5mCCAJlkITbIu7z0BUBSFfhJw
X-Google-Smtp-Source: APXvYqy/Cy9VH++UO2s3IxzDG8+GGsiI7QUKqAbqYNp6y6I1GQ6SLm85+hc9iz6bg+jKajbgeAPT6A==
X-Received: by 2002:a02:c615:: with SMTP id i21mr17080684jan.135.1563028679344; 
 Sat, 13 Jul 2019 07:37:59 -0700 (PDT)
Received: from localhost.localdomain (69-165-165-189.dsl.teksavvy.com.
 [69.165.165.189])
 by smtp.gmail.com with ESMTPSA id l5sm21706785ioq.83.2019.07.13.07.37.57
 (version=TLS1_3 cipher=AEAD-AES128-GCM-SHA256 bits=128/128);
 Sat, 13 Jul 2019 07:37:57 -0700 (PDT)
From: Thomas Fitzsimmons <fitzsim@HIDDEN>
To: Collin Day <dcday137@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <m3h88rnanp.fsf@HIDDEN>
 <CAB=m8w+Fqu=XPmhDte=nuWf39i9fH=o16hxgVV0n29fyY0W+BQ@HIDDEN>
 <CAB=m8wJYHo23J0vA8sjkG0vN+YOp5s6khLOy_uGKNjsf8F5m1Q@HIDDEN>
 <CAB=m8wJMGEVFk-O0AzDEvdgy9P=RcfNo4vKTdxzV1kbw512UpA@HIDDEN>
 <CAB=m8wK8QEPddVK+NCsEMpGACGaoeOXDb-HNgDnttDHpM6do2g@HIDDEN>
 <m3wohnlm5z.fsf@HIDDEN> <m236kbuwgi.fsf@HIDDEN>
 <CAB=m8wJa9wX5FcbibgF5UqjXqkZ3W-dCdWXGcMyEwf8HgRDc6w@HIDDEN>
 <m3muiflvav.fsf@HIDDEN>
 <CAB=m8w+2B6iKE3X4GJ1ARjPFmQkqr6VwZmVU+AT_z=HB9MX-2w@HIDDEN>
 <m38stykxpf.fsf@HIDDEN>
 <CAB=m8w+JJoshj8MQ2pyMOmLpO4HMUyKO2=cVrGEnqCpMAbdzWw@HIDDEN>
 <m3ftnenadh.fsf@HIDDEN>
 <CAB=m8wLP9Bjp=V_rpkfK7HELn9mMQniSyzKaFHUh2-WacPnAdg@HIDDEN>
 <CAB=m8wLsyTmVSZQ60XQ4Y2TYpyuka0eUvfOFkU2s3nBaU-Ocvw@HIDDEN>
Date: Sat, 13 Jul 2019 10:37:56 -0400
In-Reply-To: <CAB=m8wLsyTmVSZQ60XQ4Y2TYpyuka0eUvfOFkU2s3nBaU-Ocvw@HIDDEN>
 (Collin Day's message of "Tue, 9 Jul 2019 16:53:39 -0600")
Message-ID: <m3tvbqknjv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35969
Cc: Andreas Schwab <schwab@HIDDEN>, 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Collin,

Collin Day <dcday137@HIDDEN> writes:

> Did a git pull and followed instructions above.
>
> There are some issues.  First, I need to run M-x package-install <RET>
> excorporate <RET>  four times because I see (each line after each
> invocation)
>
> package--with-response-buffer-1:
> https://elpa.gnu.org/packages/url-http-ntlm-2.0.4.el: Method not
> allowed
> package--with-response-buffer-1:
> https://elpa.gnu.org/packages/fsm-0.2.1.el: Method not allowed
> package--with-response-buffer-1:
> https://elpa.gnu.org/packages/excorporate-0.8.3.tar: Method not
> allowed
>
> After the 4th call it compiles and becomes available.

Thanks for persisting with this.

Did you configure the proxy settings in Emacs before attempting
package-install?

If so, try this in your newly-built Emacs, emacs -Q, with
HOME=`pwd`/test-home:

(progn
  (setq url-debug t)
  (url-retrieve-synchronously
   "https://httpbin.org/basic-auth/user/passwd")
  (dolist (p (seq-filter
              (lambda (b) (string-match " *http*" (buffer-name b)))
              (buffer-list)))
    (message "HTTP result buffer: \"%s\"\n%s"
             (buffer-name p)
             (with-current-buffer p (buffer-string))))
  "check *Messages*")

Username is user, password is passwd.  That will establish whether even
basic authentication over HTTPS is working through the proxy with your
new Emacs build.

Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 10 Jul 2019 15:36:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 10 11:36:01 2019
Received: from localhost ([127.0.0.1]:36469 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlEdQ-0007Fl-At
	for submit <at> debbugs.gnu.org; Wed, 10 Jul 2019 11:36:01 -0400
Received: from mail-wm1-f44.google.com ([209.85.128.44]:52343)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1hlEdM-0007FU-2l
 for 35969 <at> debbugs.gnu.org; Wed, 10 Jul 2019 11:35:53 -0400
Received: by mail-wm1-f44.google.com with SMTP id s3so2784023wms.2
 for <35969 <at> debbugs.gnu.org>; Wed, 10 Jul 2019 08:35:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=0cui4QWzjJFz2P+qZtnDX3Z3H8uWPLTvyZ5PFPp/Yv0=;
 b=i2zN5vG6AUEcQQH3sfxvlZosJS7+Tp0Lyr7dwmjQhw5ocRGc/CIcMQ20SAlQ//3Euo
 Wq47Oj4gsZG677OhXjMt448x6nT5JyRk/+4spNh5hm7RLeKjae4GhWiaaMeBVP+OeYv5
 mLJ+HBpsyP1sdVU5l7mRk06f2hrzRhvp+gjEuc9YLKAcVJfXOMb3y0B42NBce0qLLHBF
 wsAtGz3Fe+VStFGHaluGDCN81nSi3FobF7T/T5BH74USGFivQdX210SB94sYQbOT6PgZ
 MIz4lgVC2QAhOQDfh9bGsNjaZhJx7o4z+RozZMHGR6rlCxusYwVNYEco+FG412bqGA8s
 0G3w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=0cui4QWzjJFz2P+qZtnDX3Z3H8uWPLTvyZ5PFPp/Yv0=;
 b=umgKdk9sLAXes0pdSUa93Ydn8Rr0UyWWOUfkyANBelJvwpjDqOc6UNAfv28DktQwDf
 7VrJ5/9arWOW6DwvRC7pRzGqnFSjdRYhVM8A9RIf0Zlt85Cw/TMTzJs2v0adI/vKn1PO
 89AUGg6hAT/RJ0YB17Quu/rTXPYppQEPs/NQJaT3MHBsW9OQZf2ZCwLAQOWDwKiSBp3H
 sJh0wputCwJAPAuvlmDG2BrWSNe72uXeei5/W6c2z/OZlmyeCQeftPm1tfbAOIzXw2B4
 Lr1CiUABxHV04vTPCGZJe9gBKw0sk+BihFl7aKyfbNCqHtUjbo3xQSP8gfyr+F5M82hU
 qBpQ==
X-Gm-Message-State: APjAAAXJfWhptmGR7e2NE6qfpCOC/tRPDQ7wJDcJFqkUmNJctm1re+mL
 E5COgTgZJAxjWu24jct3i6i3HZqb4QFZwTvvBSc=
X-Google-Smtp-Source: APXvYqy3Ekr3QRUVXl3Ww4+69D9iprwpOqIDJGzISmsn6fOoRjXOVhXsO/0BN02f2/TD76oLuf6k4h5KNUauFlFjTkE=
X-Received: by 2002:a7b:c5c2:: with SMTP id n2mr5861993wmk.92.1562772945995;
 Wed, 10 Jul 2019 08:35:45 -0700 (PDT)
MIME-Version: 1.0
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <m3h88rnanp.fsf@HIDDEN>
 <CAB=m8w+Fqu=XPmhDte=nuWf39i9fH=o16hxgVV0n29fyY0W+BQ@HIDDEN>
 <CAB=m8wJYHo23J0vA8sjkG0vN+YOp5s6khLOy_uGKNjsf8F5m1Q@HIDDEN>
 <CAB=m8wJMGEVFk-O0AzDEvdgy9P=RcfNo4vKTdxzV1kbw512UpA@HIDDEN>
 <CAB=m8wK8QEPddVK+NCsEMpGACGaoeOXDb-HNgDnttDHpM6do2g@HIDDEN>
 <m3wohnlm5z.fsf@HIDDEN> <m236kbuwgi.fsf@HIDDEN>
 <CAB=m8wJa9wX5FcbibgF5UqjXqkZ3W-dCdWXGcMyEwf8HgRDc6w@HIDDEN>
 <m3muiflvav.fsf@HIDDEN>
 <CAB=m8w+2B6iKE3X4GJ1ARjPFmQkqr6VwZmVU+AT_z=HB9MX-2w@HIDDEN>
 <m38stykxpf.fsf@HIDDEN>
 <CAB=m8w+JJoshj8MQ2pyMOmLpO4HMUyKO2=cVrGEnqCpMAbdzWw@HIDDEN>
 <m3ftnenadh.fsf@HIDDEN>
 <CAB=m8wLP9Bjp=V_rpkfK7HELn9mMQniSyzKaFHUh2-WacPnAdg@HIDDEN>
 <CAB=m8wLsyTmVSZQ60XQ4Y2TYpyuka0eUvfOFkU2s3nBaU-Ocvw@HIDDEN>
 <m3bly2n431.fsf@HIDDEN> <m37e8qn3yb.fsf@HIDDEN>
In-Reply-To: <m37e8qn3yb.fsf@HIDDEN>
From: Collin Day <dcday137@HIDDEN>
Date: Wed, 10 Jul 2019 09:35:34 -0600
Message-ID: <CAB=m8wJYuv0sxPFRqHi9c6yfq+BtWZ1RaxT9LHu1g-r9r8P4_A@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
To: Thomas Fitzsimmons <fitzsim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  When I add your patch, there is still an error: Contacting
 host: outlook.office365.com:443 error in process filter:
 exco--parse-xml-in-current-buffer:
 Server response is not an XML document error in process filter: Server
 response is not an XML doc [...] 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (dcday137[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.44 listed in wl.mailspike.net]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (dcday137[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.44 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 35969
Cc: Andreas Schwab <schwab@HIDDEN>, 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

When I add your patch, there is still an error:

Contacting host: outlook.office365.com:443
error in process filter: exco--parse-xml-in-current-buffer: Server
response is not an XML document
error in process filter: Server response is not an XML document

* http outlook,office365.com:443*
HTTP/1.1 401 Unauthorized
Server: Microsoft-IIS/10.0
request-id: 33a1707c-bed3-4edd-98c6-bd1443827acf
X-WSSecurity-Enabled: True
X-WSSecurity-For: Logon
X-FederationTrustTokenIssuerUri: urn:federation:MicrosoftOnline
X-WSSecurity-SymmetricKey-Enabled: True
X-WSSecurity-X509Cert-Enabled: True
X-OAuth-Enabled: True
X-Powered-By: ASP.NET
X-FEServer: SN4PR0601CA0013
WWW-Authenticate: Basic Realm=""
Date: Wed, 10 Jul 2019 15:27:49 GMT
Content-Length: 0

URL-DEBUG
http -> Contacting host: outlook.office365.com:443
http -> Marking connection as busy: outlook.office365.com:443
#<process outlook.office365.com>
http -> getting referer from buffer: buffer:#<buffer *scratch*>
target-url:#s(url "https" nil nil "outlook.office365.com" nil
"/EWS/Services.wsdl" nil nil t nil t t) lastloc:nil
http -> Calling after change function
`url-https-proxy-after-change-function' for `#<process
outlook.office365.com>'
http -> url-http-parse-response called in ( *http outlook.office365.com:443*)
http -> Request is:
GET /EWS/Services.wsdl HTTP/1.1
MIME-Version: 1.0
Connection: keep-alive
Extension: Security/Digest Security/SSL
Host: outlook.office365.com
Accept-encoding: gzip
Accept: */*
User-Agent: URL/Emacs Emacs/27.0.50 (X11; x86_64-pc-linux-gnu)


http -> Calling after change function
`url-http-wait-for-headers-change-function' for `#<process
outlook.office365.com>'
http -> url-http-wait-for-headers-change-function ( *http
outlook.office365.com:443*)
http -> Saw end of headers... ( *http outlook.office365.com:443*)
http -> url-http-parse-response called in ( *http outlook.office365.com:443*)
http -> Got a content-length, being smart about document end.
http -> Got 0-length content-length, activating callback immediately.
http -> Marking connection as free: outlook.office365.com:443
#<process outlook.office365.com>
http -> url-http-parse-headers called in ( *http outlook.office365.com:443*)
http -> url-http-parse-response called in ( *http outlook.office365.com:443*)
http -> Parsed HTTP headers: class=4 status=401
http -> Handling normal authentication
http -> Found existing connection: outlook.office365.com:443 #<process
outlook.office365.com>
http -> Reusing existing connection: outlook.office365.com:443
http -> Marking connection as busy: outlook.office365.com:443
#<process outlook.office365.com>
http -> getting referer from buffer: buffer:#<buffer  *http
outlook.office365.com:443*> target-url:#s(url "https" nil nil
"outlook.office365.com" nil "/EWS/Services.wsdl" nil nil t nil t t)
lastloc:nil
http -> Finished parsing HTTP headers: nil
http -> Spinning waiting for headers...
http -> Calling after change function
`url-https-proxy-after-change-function' for `#<process
outlook.office365.com>'
http -> url-http-parse-response called in ( *http
outlook.office365.com:443*-293116)
http -> error response: 400
http -> Marking connection as free: outlook.office365.com:443
#<process outlook.office365.com>
http -> Activating callback in buffer ( *http
outlook.office365.com:443*-293116): #[257
"p\303\304\305\306\307 !\310\"\311$\216
@\312=\203$\0\313\301\314\315\316\302\"#\210\317\300\320\"\202/\0\313\301\321\322
#\210\317\300\323\")\207" [fsm-exco--fsm-0 (:identifier ("my email" .
"https://outlook.office365.com/EWS/Exchange.asmx") :mail-address "my
email" :retrying nil :autodiscovery-urls nil :service-url
"https://outlook.office365.com/EWS/Exchange.asmx" :service-xml nil
:service-wsdl nil :next-state-after-success nil :failure-message nil
:server-version nil) "https://outlook.office365.com/EWS/Services.wsdl"
make-byte-code 0 "\301\300!\205    \0\302\300!\207" vconcat vector
[buffer-live-p kill-buffer] 2 :error plist-put :failure-message format
"Failed to retrieve %s" fsm-send :unrecoverable-error :service-xml
exco--parse-xml-in-current-buffer :success] 8 "

(fn STATUS)"] ((:peer (:certificates ((:version 3 :serial-number
"0b:be:0b:85:09:74:2b:7b:f8:7f:80:dc:14:67:6d:54" :issuer
"C=US,O=DigiCert Inc,CN=DigiCert Cloud Services CA-1" :valid-from
"2018-11-19" :valid-to "2020-11-19" :subject
"C=US,ST=Washington,L=Redmond,O=Microsoft Corporation,CN=outlook.com"
:public-key-algorithm "RSA" :certificate-security-level "Medium"
:signature-algorithm "RSA-SHA256" :public-key-id
"sha1:35:1a:fe:e2:6c:d9:35:08:3c:95:a2:c1:12:a1:2a:8e:7f:87:fa:07"
:certificate-id
"sha1:9a:44:16:e2:84:8e:3d:26:86:f0:23:a2:ff:f2:d0:24:28:2f:18:8f")
(:version 3 :serial-number
"01:9e:c1:c6:bd:3f:59:7b:b2:0c:33:38:e5:51:d8:77" :issuer
"C=US,O=DigiCert Inc,OU=www.digicert.com,CN=DigiCert Global Root CA"
:valid-from "2015-08-04" :valid-to "2030-08-04" :subject
"C=US,O=DigiCert Inc,CN=DigiCert Cloud Services CA-1"
:public-key-algorithm "RSA" :certificate-security-level "Medium"
:signature-algorithm "RSA-SHA256" :public-key-id
"sha1:ac:13:d5:79:03:66:f3:cc:ff:fe:7c:23:71:a7:61:5d:39:20:89:6e"
:certificate-id
"sha1:81:b6:8d:6c:d2:f2:21:f8:f5:34:e6:77:52:3b:b2:36:bb:a1:dc:56"))
:certificate (:version 3 :serial-number
"0b:be:0b:85:09:74:2b:7b:f8:7f:80:dc:14:67:6d:54" :issuer
"C=US,O=DigiCert Inc,CN=DigiCert Cloud Services CA-1" :valid-from
"2018-11-19" :valid-to "2020-11-19" :subject
"C=US,ST=Washington,L=Redmond,O=Microsoft Corporation,CN=outlook.com"
:public-key-algorithm "RSA" :certificate-security-level "Medium"
:signature-algorithm "RSA-SHA256" :public-key-id
"sha1:35:1a:fe:e2:6c:d9:35:08:3c:95:a2:c1:12:a1:2a:8e:7f:87:fa:07"
:certificate-id
"sha1:9a:44:16:e2:84:8e:3d:26:86:f0:23:a2:ff:f2:d0:24:28:2f:18:8f")
:key-exchange "ECDHE-RSA" :protocol "TLS1.2" :cipher "AES-256-GCM"
:mac "AEAD")))

url-http.el with patch from describe function, just to make sure patch
is applied:
   ...
    (setq request
          (concat
             ;; The request
             (or url-http-method "GET") " "
             (url-http--encode-string
             ;; (if using-proxy (url-recreate-url url-http-target-url)
real-fname))
             (if (and using-proxy
                 (not (equal "https" (url-type url-http-target-url))))
                 (url-recreate-url url-http-target-url)
              real-fname))
             " HTTP/" url-http-version "\r\n"
    ...

output from make:
make[2]: Entering directory '/home/dayd/projects/emacs/lisp'
  ELC      url/url-http.elc

Sorry if the extra info is extraneous, just trying to grab as much as
I can for you.  I think there is something else wrong at this point
though - like I mentioned it seems strange I had to run
package-install 4 times to get excorporate to install in the first
place.

Thanks!
-C

On Tue, Jul 9, 2019 at 6:11 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>
> I think there should be no need to remove test-home, so you won't have
> to re-run the M-x package-install steps.
>
> Thomas
>
> Thomas Fitzsimmons <fitzsim@HIDDEN> writes:
>
> > OK, can you apply my patch, then run "make" again and confirm it works?
> >
> > Thanks,
> > Thomas
> >
> > Collin Day <dcday137@HIDDEN> writes:
> >
> >> Did a git pull and followed instructions above.
> >>
> >> There are some issues.  First, I need to run M-x package-install <RET>
> >> excorporate <RET>  four times because I see (each line after each
> >> invocation)
> >>
> >> package--with-response-buffer-1:
> >> https://elpa.gnu.org/packages/url-http-ntlm-2.0.4.el: Method not
> >> allowed
> >> package--with-response-buffer-1:
> >> https://elpa.gnu.org/packages/fsm-0.2.1.el: Method not allowed
> >> package--with-response-buffer-1:
> >> https://elpa.gnu.org/packages/excorporate-0.8.3.tar: Method not
> >> allowed
> >>
> >> After the 4th call it compiles and becomes available.
> >>
> >> M-x customize-group <RET> excorporate, set up for no autoconfig right
> >> now, hit apply for current sessions, save not availiable....
> >>
> >> M-x excorporate <RET>
> >>
> >> enter uname and password
> >>
> >> Contacting host: outlook.office365.com:443
> >> error in process filter: exco--parse-xml-in-current-buffer: Server
> >> response is not an XML document
> >> error in process filter: Server response is not an XML documen
> >>
> >> *http outlook.office.365.com:443*
> >
> > [...]
> >
> >> So it appears not to work, at least on the current head as of today....
> >>
> >> Thanks!
> >>
> >> -C
> >>
> >> On Tue, Jul 9, 2019 at 4:09 PM Collin Day <dcday137@HIDDEN> wrote:
> >>>
> >>> Sorry, I have not had the chance to.  A lot has been going on at my
> >>> place of employment.  It has crossed my mind, and as soon as I have
> >>> a chance, I will try what you suggested above.  Thanks, sorry for
> >>> the inconvenience.
> >>>
> >>> On Tue, Jul 9, 2019, 3:53 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
> >>>>
> >>>> Hi,
> >>>>
> >>>> Were you able to complete building Emacs?  I'd like to know if my patch
> >>>> is needed on top of Andreas's to make Excorporate work through your
> >>>> proxy.
> >>>>
> >>>> I'm not sure why the built version would interfere with the current
> >>>> installation.  If you were doing "make install" to a common prefix, that
> >>>> might explain it.  Instead you can try something like this:
> >>>>
> >>>> cd emacs-master [your github.com checkout]
> >>>> make
> >>>> mkdir test-home
> >>>> HOME=`pwd`/test-home ./src/emacs -Q
> >>>>
> >>>> That will ensure you're only running the built Emacs, and completely
> >>>> ignoring the packages installed in your home directory.
> >>>>
> >>>> Thomas
> >>>>
> >>>> "tenspd137 ." <dcday137@HIDDEN> writes:
> >>>>
> >>>> > I haven't tried the first item on the list yet - ie reloading Andreas'
> >>>> > function.  i have tried to build emacs from
> >>>> > https://github.com/emacs-mirror/emacs.git because I can't reach the
> >>>> > official repo from my firewall for whatever reason.  I am sure it is
> >>>> > something here.  Anyway, I was having problems because my built
> >>>> > version (27.0.x) was getting seemingly mixed up with my current
> >>>> > installation.  I can try again later, but right now things are pretty
> >>>> > busy at work.
> >>>> >
> >>>> > Thanks.
> >>>> >
> >>>> > On Tue, Jun 18, 2019 at 10:26 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
> >>>> >>
> >>>> >> Hi,
> >>>> >>
> >>>> >> "tenspd137 ." <dcday137@HIDDEN> writes:
> >>>> >>
> >>>> >> > So - I am not sure if I did it correctly, but I copied this function
> >>>> >> > with Andreas' changes into a file:
> >>>> >> >
> >>>> >> > (defun url-https-proxy-after-change-function (_st _nd _length)
> >>>> >> >   (let* ((process-buffer (current-buffer))
> >>>> >> >          (proc (get-buffer-process process-buffer)))
> >>>> >> >     (goto-char (point-min))
> >>>> >> >     (when (re-search-forward "^\r?\n" nil t)
> >>>> >> >       (backward-char 1)
> >>>> >> >       ;; Saw the end of the headers
> >>>> >> >       (setq url-http-end-of-headers (set-marker (make-marker) (point)))
> >>>> >> >       (url-http-parse-response)
> >>>> >> >       (cond
> >>>> >> >        ((null url-http-response-status)
> >>>> >> >         ;; We got back a headerless malformed response from the
> >>>> >> >         ;; server.
> >>>> >> >         (url-http-activate-callback)
> >>>> >> >         (error "Malformed response from proxy, fail!"))
> >>>> >> >        ((= url-http-response-status 200)
> >>>> >> >         (if (gnutls-available-p)
> >>>> >> >             (condition-case e
> >>>> >> >                 (let ((tls-connection (gnutls-negotiate
> >>>> >> >                                        :process proc
> >>>> >> >                                        :hostname (url-host url-current-object)
> >>>> >> >                                        :verify-error nil)))
> >>>> >> >                   ;; check certificate validity
> >>>> >> >                   (setq tls-connection
> >>>> >> >                         (nsm-verify-connection tls-connection
> >>>> >> >                                                (url-host url-current-object)
> >>>> >> >                                                (url-port url-current-object)))
> >>>> >> >                   (with-current-buffer process-buffer (erase-buffer))
> >>>> >> >                   (set-process-buffer tls-connection process-buffer)
> >>>> >> >                   (setq url-http-after-change-function
> >>>> >> >                         'url-http-wait-for-headers-change-function)
> >>>> >> >                   (set-process-filter tls-connection 'url-http-generic-filter)
> >>>> >> >                   (process-send-string tls-connection
> >>>> >> >                                        ;; Use the non-proxy form of the request
> >>>> >> >                                        (let (url-http-proxy)
> >>>> >> >                                          (url-http-create-request))))
> >>>> >> >               (gnutls-error
> >>>> >> >                (url-http-activate-callback)
> >>>> >> >                (error "gnutls-error: %s" e))
> >>>> >> >               (error
> >>>> >> >                (url-http-activate-callback)
> >>>> >> >                (error "error: %s" e)))
> >>>> >> >           (error "error: gnutls support needed!")))
> >>>> >> >        (t
> >>>> >> >         (url-http-debug "error response: %d" url-http-response-status)
> >>>> >> >         (url-http-activate-callback))))))
> >>>> >> >
> >>>> >> > and then loaded it before running excorporate.  After that, I did M-x
> >>>> >> > excorporate, and the minibuffer returns:  error in process filter:
> >>>> >> > Server response is not an XML document
> >>>> >>
> >>>> >> In this scenario, if you immediately (without restarting Emacs/reloading
> >>>> >> anything) re-run M-x excorporate does it still fail?  I just want to
> >>>> >> make sure that's not a transient failure.  If it does fail the second
> >>>> >> time, can you post the HTTP response from the server?
> >>>> >>
> >>>> >> > When I do the similar test by loading the url-http-create-request with
> >>>> >> > Thomas's changes, I can get a connection and grab my schedule
> >>>> >> > through the proxy.
> >>>> >>
> >>>> >> OK.
> >>>> >>
> >>>> >> > Let me know if I need to try something different.
> >>>> >>
> >>>> >> Are you in a position to build Emacs master tip and retry the experiment
> >>>> >> without patching anything?
> >>>> >>
> >>>> >> Thanks,
> >>>> >> Thomas
> >>>> >>
> >>>> >> > On Mon, Jun 17, 2019 at 4:08 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
> >>>> >> >>
> >>>> >> >> Hi,
> >>>> >> >>
> >>>> >> >> Good to hear that the patch I posted worked!
> >>>> >> >>
> >>>> >> >> Yes, that's the patch that Andreas's commit
> >>>> >> >> 84613dae5c34ea742dd9a3e56f5acb55f604b483 applied.  From what I can tell,
> >>>> >> >> you will not have that in Emacs 26.2.
> >>>> >> >>
> >>>> >> >> Can you try reverting my patch and applying Andreas's patch, and see if
> >>>> >> >> Excorporate still works through the proxy?
> >>>> >> >>
> >>>> >> >> Thanks,
> >>>> >> >> Thomas
> >>>> >> >>
> >>>> >> >> "tenspd137 ." <dcday137@HIDDEN> writes:
> >>>> >> >>
> >>>> >> >> > The patch Thomas seems to work from behind the proxy.  My current
> >>>> >> >> > emacs version is 26.2, so I would think it would include the commit
> >>>> >> >> > Andreas is talking about....  I went and looked it up - is this the
> >>>> >> >> > correct commit?
> >>>> >> >> >
> >>>> >> >> > diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
> >>>> >> >> > index 53798f7..817c5ce 100644
> >>>> >> >> > --- a/lisp/url/url-http.el
> >>>> >> >> > +++ b/lisp/url/url-http.el
> >>>> >> >> > @@ -1412,7 +1412,9 @@ The return value of this function is the
> >>>> >> >> > retrieval buffer."
> >>>> >> >> > 'url-http-wait-for-headers-change-function)
> >>>> >> >> > (set-process-filter tls-connection 'url-http-generic-filter)
> >>>> >> >> > (process-send-string tls-connection
> >>>> >> >> > - (url-http-create-request)))
> >>>> >> >> > + ;; Use the non-proxy form of the request
> >>>> >> >> > + (let (url-http-proxy)
> >>>> >> >> > + (url-http-create-request))))
> >>>> >> >> > (gnutls-error
> >>>> >> >> > (url-http-activate-callback)
> >>>> >> >> > (error "gnutls-error: %s" e))
> >>>> >> >> >
> >>>> >> >> > Thanks!
> >>>> >> >> >
> >>>> >> >> > -C
> >>>> >> >> >
> >>>> >> >> >
> >>>> >> >> > On Sat, Jun 15, 2019 at 1:41 AM Andreas Schwab <schwab@HIDDEN> wrote:
> >>>> >> >> >>
> >>>> >> >> >> On Jun 14 2019, Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
> >>>> >> >> >>
> >>>> >> >> >> > diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
> >>>> >> >> >> > index 00803a103a..723d111d58 100644
> >>>> >> >> >> > --- a/lisp/url/url-http.el
> >>>> >> >> >> > +++ b/lisp/url/url-http.el
> >>>> >> >> >> > @@ -329,7 +329,10 @@ url-http-create-request
> >>>> >> >> >> >               ;; The request
> >>>> >> >> >> >               (or url-http-method "GET") " "
> >>>> >> >> >> >               (url-http--encode-string
> >>>> >> >> >> > -              (if using-proxy (url-recreate-url url-http-target-url) real-fname))
> >>>> >> >> >> > +              (if (and using-proxy
> >>>> >> >> >> > +                       (not (equal "https" (url-type url-http-target-url))))
> >>>> >> >> >> > +                  (url-recreate-url url-http-target-url)
> >>>> >> >> >> > +                real-fname))
> >>>> >> >> >>
> >>>> >> >> >> That should already be handled by commit 84613dae5c.
> >>>> >> >> >>
> >>>> >> >> >> Andreas.
> >>>> >> >> >>
> >>>> >> >> >> --
> >>>> >> >> >> Andreas Schwab, schwab@HIDDEN
> >>>> >> >> >> GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
> >>>> >> >> >> "And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 10 Jul 2019 00:11:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 09 20:11:50 2019
Received: from localhost ([127.0.0.1]:34583 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hl0D7-0001ZQ-JD
	for submit <at> debbugs.gnu.org; Tue, 09 Jul 2019 20:11:50 -0400
Received: from mail-io1-f66.google.com ([209.85.166.66]:35658)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fitzsim@HIDDEN>) id 1hl0D5-0001ZC-K1
 for 35969 <at> debbugs.gnu.org; Tue, 09 Jul 2019 20:11:48 -0400
Received: by mail-io1-f66.google.com with SMTP id m24so894285ioo.2
 for <35969 <at> debbugs.gnu.org>; Tue, 09 Jul 2019 17:11:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fitzsim-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=y9NpPXg62IUREgQ/nqtdtKWQWvUK7J+QaOwxgXRiWYM=;
 b=xpOPLCcYlRjOiDv87C5Ca6QXxHPbLcioIkGelnh/3alUxwZQk1yZD6nb6Krw1VSOYE
 F8RQk2UgBipxfH7UC1R5d5FKje75+t6Cmupu5IqbzzEBinszYh7cuCQVUIvTnN4vNrUR
 hgtnSOCejobUj6hQ8Q0RK5s+hSmaXosMoqim+gBgS0i8qNRQybx8YFt8Nc6i1yBSK5M1
 +Dr4aW/i3jRMzoQ9CVigfWODzp7qonqaEWm4lrSxJnNbCDc7EQp/f69Dam4sVx8exbQZ
 puSDxJQTwnXlEWiYEHod3+ELvQuSctrAu77HjF14wD+inMLU7JvLGBy5duqg9+Opu8UP
 FDjA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=y9NpPXg62IUREgQ/nqtdtKWQWvUK7J+QaOwxgXRiWYM=;
 b=gYMXDK+dJUh30BQtA2fCNq/Z3myE3NpkXMCfpQ1LGMGx0HQQNguccg9sR6bXZA6icu
 YeVnuixfW98BTSK/0Gm3v8k8D64jAk81xHMN2Ia18eJSky+TrpdvVmiNac9z8LXU05wU
 fgg59E9OnYEcJ3vccK7sCeXwAzDVCnnyxj8GwY65A1zYE2yk+AGPG/eLjwTOBll2g2FK
 krEaGSmHC5cz6kNGP3Lovtd5qV6BOjWXB6QVJLcKlJAlBGVr78tDBGDyVl5OYi+qHq/k
 NMLe0/qLWK3MCA1w2QyUIns1dQkJuiCwgybM+lJYF5/O6gMKtVoBTOtg8EBlH0nvfHIi
 ejyQ==
X-Gm-Message-State: APjAAAXaEgs4gcFjGdFKTWb5HEhlkXzhOQtCcuG0tWPeKLFLBd4e8KHK
 ncB9OkPfml2NLIRVev/yD334Y7xd2yQ=
X-Google-Smtp-Source: APXvYqwy7SDNYRJD1LEPiUTuoFt18S8NqBUUVj1fXPs9A621Nr7IkYUPXFU598Lqok6v2C1tpSY3Ag==
X-Received: by 2002:a6b:8f47:: with SMTP id r68mr23107657iod.204.1562717501777; 
 Tue, 09 Jul 2019 17:11:41 -0700 (PDT)
Received: from localhost.localdomain (69-165-165-189.dsl.teksavvy.com.
 [69.165.165.189])
 by smtp.gmail.com with ESMTPSA id t133sm567629iof.21.2019.07.09.17.11.40
 (version=TLS1_3 cipher=AEAD-AES128-GCM-SHA256 bits=128/128);
 Tue, 09 Jul 2019 17:11:41 -0700 (PDT)
From: Thomas Fitzsimmons <fitzsim@HIDDEN>
To: Collin Day <dcday137@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <m3h88rnanp.fsf@HIDDEN>
 <CAB=m8w+Fqu=XPmhDte=nuWf39i9fH=o16hxgVV0n29fyY0W+BQ@HIDDEN>
 <CAB=m8wJYHo23J0vA8sjkG0vN+YOp5s6khLOy_uGKNjsf8F5m1Q@HIDDEN>
 <CAB=m8wJMGEVFk-O0AzDEvdgy9P=RcfNo4vKTdxzV1kbw512UpA@HIDDEN>
 <CAB=m8wK8QEPddVK+NCsEMpGACGaoeOXDb-HNgDnttDHpM6do2g@HIDDEN>
 <m3wohnlm5z.fsf@HIDDEN> <m236kbuwgi.fsf@HIDDEN>
 <CAB=m8wJa9wX5FcbibgF5UqjXqkZ3W-dCdWXGcMyEwf8HgRDc6w@HIDDEN>
 <m3muiflvav.fsf@HIDDEN>
 <CAB=m8w+2B6iKE3X4GJ1ARjPFmQkqr6VwZmVU+AT_z=HB9MX-2w@HIDDEN>
 <m38stykxpf.fsf@HIDDEN>
 <CAB=m8w+JJoshj8MQ2pyMOmLpO4HMUyKO2=cVrGEnqCpMAbdzWw@HIDDEN>
 <m3ftnenadh.fsf@HIDDEN>
 <CAB=m8wLP9Bjp=V_rpkfK7HELn9mMQniSyzKaFHUh2-WacPnAdg@HIDDEN>
 <CAB=m8wLsyTmVSZQ60XQ4Y2TYpyuka0eUvfOFkU2s3nBaU-Ocvw@HIDDEN>
 <m3bly2n431.fsf@HIDDEN>
Date: Tue, 09 Jul 2019 20:11:40 -0400
In-Reply-To: <m3bly2n431.fsf@HIDDEN> (Thomas Fitzsimmons's message of
 "Tue, 09 Jul 2019 20:08:50 -0400")
Message-ID: <m37e8qn3yb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  I think there should be no need to remove test-home, so you
 won't have to re-run the M-x package-install steps. Thomas Thomas Fitzsimmons
 <fitzsim@HIDDEN> writes: 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: office365.com]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.166.66 listed in list.dnswl.org]
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 35969
Cc: Andreas Schwab <schwab@HIDDEN>, 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

I think there should be no need to remove test-home, so you won't have
to re-run the M-x package-install steps.

Thomas

Thomas Fitzsimmons <fitzsim@HIDDEN> writes:

> OK, can you apply my patch, then run "make" again and confirm it works?
>
> Thanks,
> Thomas
>
> Collin Day <dcday137@HIDDEN> writes:
>
>> Did a git pull and followed instructions above.
>>
>> There are some issues.  First, I need to run M-x package-install <RET>
>> excorporate <RET>  four times because I see (each line after each
>> invocation)
>>
>> package--with-response-buffer-1:
>> https://elpa.gnu.org/packages/url-http-ntlm-2.0.4.el: Method not
>> allowed
>> package--with-response-buffer-1:
>> https://elpa.gnu.org/packages/fsm-0.2.1.el: Method not allowed
>> package--with-response-buffer-1:
>> https://elpa.gnu.org/packages/excorporate-0.8.3.tar: Method not
>> allowed
>>
>> After the 4th call it compiles and becomes available.
>>
>> M-x customize-group <RET> excorporate, set up for no autoconfig right
>> now, hit apply for current sessions, save not availiable....
>>
>> M-x excorporate <RET>
>>
>> enter uname and password
>>
>> Contacting host: outlook.office365.com:443
>> error in process filter: exco--parse-xml-in-current-buffer: Server
>> response is not an XML document
>> error in process filter: Server response is not an XML documen
>>
>> *http outlook.office.365.com:443*
>
> [...]
>
>> So it appears not to work, at least on the current head as of today....
>>
>> Thanks!
>>
>> -C
>>
>> On Tue, Jul 9, 2019 at 4:09 PM Collin Day <dcday137@HIDDEN> wrote:
>>>
>>> Sorry, I have not had the chance to.  A lot has been going on at my
>>> place of employment.  It has crossed my mind, and as soon as I have
>>> a chance, I will try what you suggested above.  Thanks, sorry for
>>> the inconvenience.
>>>
>>> On Tue, Jul 9, 2019, 3:53 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>>>>
>>>> Hi,
>>>>
>>>> Were you able to complete building Emacs?  I'd like to know if my patch
>>>> is needed on top of Andreas's to make Excorporate work through your
>>>> proxy.
>>>>
>>>> I'm not sure why the built version would interfere with the current
>>>> installation.  If you were doing "make install" to a common prefix, that
>>>> might explain it.  Instead you can try something like this:
>>>>
>>>> cd emacs-master [your github.com checkout]
>>>> make
>>>> mkdir test-home
>>>> HOME=`pwd`/test-home ./src/emacs -Q
>>>>
>>>> That will ensure you're only running the built Emacs, and completely
>>>> ignoring the packages installed in your home directory.
>>>>
>>>> Thomas
>>>>
>>>> "tenspd137 ." <dcday137@HIDDEN> writes:
>>>>
>>>> > I haven't tried the first item on the list yet - ie reloading Andreas'
>>>> > function.  i have tried to build emacs from
>>>> > https://github.com/emacs-mirror/emacs.git because I can't reach the
>>>> > official repo from my firewall for whatever reason.  I am sure it is
>>>> > something here.  Anyway, I was having problems because my built
>>>> > version (27.0.x) was getting seemingly mixed up with my current
>>>> > installation.  I can try again later, but right now things are pretty
>>>> > busy at work.
>>>> >
>>>> > Thanks.
>>>> >
>>>> > On Tue, Jun 18, 2019 at 10:26 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>>>> >>
>>>> >> Hi,
>>>> >>
>>>> >> "tenspd137 ." <dcday137@HIDDEN> writes:
>>>> >>
>>>> >> > So - I am not sure if I did it correctly, but I copied this function
>>>> >> > with Andreas' changes into a file:
>>>> >> >
>>>> >> > (defun url-https-proxy-after-change-function (_st _nd _length)
>>>> >> >   (let* ((process-buffer (current-buffer))
>>>> >> >          (proc (get-buffer-process process-buffer)))
>>>> >> >     (goto-char (point-min))
>>>> >> >     (when (re-search-forward "^\r?\n" nil t)
>>>> >> >       (backward-char 1)
>>>> >> >       ;; Saw the end of the headers
>>>> >> >       (setq url-http-end-of-headers (set-marker (make-marker) (point)))
>>>> >> >       (url-http-parse-response)
>>>> >> >       (cond
>>>> >> >        ((null url-http-response-status)
>>>> >> >         ;; We got back a headerless malformed response from the
>>>> >> >         ;; server.
>>>> >> >         (url-http-activate-callback)
>>>> >> >         (error "Malformed response from proxy, fail!"))
>>>> >> >        ((= url-http-response-status 200)
>>>> >> >         (if (gnutls-available-p)
>>>> >> >             (condition-case e
>>>> >> >                 (let ((tls-connection (gnutls-negotiate
>>>> >> >                                        :process proc
>>>> >> >                                        :hostname (url-host url-current-object)
>>>> >> >                                        :verify-error nil)))
>>>> >> >                   ;; check certificate validity
>>>> >> >                   (setq tls-connection
>>>> >> >                         (nsm-verify-connection tls-connection
>>>> >> >                                                (url-host url-current-object)
>>>> >> >                                                (url-port url-current-object)))
>>>> >> >                   (with-current-buffer process-buffer (erase-buffer))
>>>> >> >                   (set-process-buffer tls-connection process-buffer)
>>>> >> >                   (setq url-http-after-change-function
>>>> >> >                         'url-http-wait-for-headers-change-function)
>>>> >> >                   (set-process-filter tls-connection 'url-http-generic-filter)
>>>> >> >                   (process-send-string tls-connection
>>>> >> >                                        ;; Use the non-proxy form of the request
>>>> >> >                                        (let (url-http-proxy)
>>>> >> >                                          (url-http-create-request))))
>>>> >> >               (gnutls-error
>>>> >> >                (url-http-activate-callback)
>>>> >> >                (error "gnutls-error: %s" e))
>>>> >> >               (error
>>>> >> >                (url-http-activate-callback)
>>>> >> >                (error "error: %s" e)))
>>>> >> >           (error "error: gnutls support needed!")))
>>>> >> >        (t
>>>> >> >         (url-http-debug "error response: %d" url-http-response-status)
>>>> >> >         (url-http-activate-callback))))))
>>>> >> >
>>>> >> > and then loaded it before running excorporate.  After that, I did M-x
>>>> >> > excorporate, and the minibuffer returns:  error in process filter:
>>>> >> > Server response is not an XML document
>>>> >>
>>>> >> In this scenario, if you immediately (without restarting Emacs/reloading
>>>> >> anything) re-run M-x excorporate does it still fail?  I just want to
>>>> >> make sure that's not a transient failure.  If it does fail the second
>>>> >> time, can you post the HTTP response from the server?
>>>> >>
>>>> >> > When I do the similar test by loading the url-http-create-request with
>>>> >> > Thomas's changes, I can get a connection and grab my schedule
>>>> >> > through the proxy.
>>>> >>
>>>> >> OK.
>>>> >>
>>>> >> > Let me know if I need to try something different.
>>>> >>
>>>> >> Are you in a position to build Emacs master tip and retry the experiment
>>>> >> without patching anything?
>>>> >>
>>>> >> Thanks,
>>>> >> Thomas
>>>> >>
>>>> >> > On Mon, Jun 17, 2019 at 4:08 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>>>> >> >>
>>>> >> >> Hi,
>>>> >> >>
>>>> >> >> Good to hear that the patch I posted worked!
>>>> >> >>
>>>> >> >> Yes, that's the patch that Andreas's commit
>>>> >> >> 84613dae5c34ea742dd9a3e56f5acb55f604b483 applied.  From what I can tell,
>>>> >> >> you will not have that in Emacs 26.2.
>>>> >> >>
>>>> >> >> Can you try reverting my patch and applying Andreas's patch, and see if
>>>> >> >> Excorporate still works through the proxy?
>>>> >> >>
>>>> >> >> Thanks,
>>>> >> >> Thomas
>>>> >> >>
>>>> >> >> "tenspd137 ." <dcday137@HIDDEN> writes:
>>>> >> >>
>>>> >> >> > The patch Thomas seems to work from behind the proxy.  My current
>>>> >> >> > emacs version is 26.2, so I would think it would include the commit
>>>> >> >> > Andreas is talking about....  I went and looked it up - is this the
>>>> >> >> > correct commit?
>>>> >> >> >
>>>> >> >> > diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
>>>> >> >> > index 53798f7..817c5ce 100644
>>>> >> >> > --- a/lisp/url/url-http.el
>>>> >> >> > +++ b/lisp/url/url-http.el
>>>> >> >> > @@ -1412,7 +1412,9 @@ The return value of this function is the
>>>> >> >> > retrieval buffer."
>>>> >> >> > 'url-http-wait-for-headers-change-function)
>>>> >> >> > (set-process-filter tls-connection 'url-http-generic-filter)
>>>> >> >> > (process-send-string tls-connection
>>>> >> >> > - (url-http-create-request)))
>>>> >> >> > + ;; Use the non-proxy form of the request
>>>> >> >> > + (let (url-http-proxy)
>>>> >> >> > + (url-http-create-request))))
>>>> >> >> > (gnutls-error
>>>> >> >> > (url-http-activate-callback)
>>>> >> >> > (error "gnutls-error: %s" e))
>>>> >> >> >
>>>> >> >> > Thanks!
>>>> >> >> >
>>>> >> >> > -C
>>>> >> >> >
>>>> >> >> >
>>>> >> >> > On Sat, Jun 15, 2019 at 1:41 AM Andreas Schwab <schwab@HIDDEN> wrote:
>>>> >> >> >>
>>>> >> >> >> On Jun 14 2019, Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>>>> >> >> >>
>>>> >> >> >> > diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
>>>> >> >> >> > index 00803a103a..723d111d58 100644
>>>> >> >> >> > --- a/lisp/url/url-http.el
>>>> >> >> >> > +++ b/lisp/url/url-http.el
>>>> >> >> >> > @@ -329,7 +329,10 @@ url-http-create-request
>>>> >> >> >> >               ;; The request
>>>> >> >> >> >               (or url-http-method "GET") " "
>>>> >> >> >> >               (url-http--encode-string
>>>> >> >> >> > -              (if using-proxy (url-recreate-url url-http-target-url) real-fname))
>>>> >> >> >> > +              (if (and using-proxy
>>>> >> >> >> > +                       (not (equal "https" (url-type url-http-target-url))))
>>>> >> >> >> > +                  (url-recreate-url url-http-target-url)
>>>> >> >> >> > +                real-fname))
>>>> >> >> >>
>>>> >> >> >> That should already be handled by commit 84613dae5c.
>>>> >> >> >>
>>>> >> >> >> Andreas.
>>>> >> >> >>
>>>> >> >> >> --
>>>> >> >> >> Andreas Schwab, schwab@HIDDEN
>>>> >> >> >> GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
>>>> >> >> >> "And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 10 Jul 2019 00:09:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 09 20:09:01 2019
Received: from localhost ([127.0.0.1]:34578 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hl0AO-0001Uw-PX
	for submit <at> debbugs.gnu.org; Tue, 09 Jul 2019 20:09:01 -0400
Received: from mail-io1-f66.google.com ([209.85.166.66]:39336)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fitzsim@HIDDEN>) id 1hl0AM-0001Ui-5M
 for 35969 <at> debbugs.gnu.org; Tue, 09 Jul 2019 20:08:59 -0400
Received: by mail-io1-f66.google.com with SMTP id f4so842859ioh.6
 for <35969 <at> debbugs.gnu.org>; Tue, 09 Jul 2019 17:08:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fitzsim-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=BFHH+l9QZ0/GJNFUnd5XlPaIvtP85mqFOeRj9Ss2/vg=;
 b=BzvCa7o3a6i4MtBSA3Iu33VFfG2Nhtkj1V5JOQI9jH/hv1OJAkAlhpy0zZLTLMM6tv
 JqcWgBxoUTwn6Vf/JmmhLBwa1RYjLtMtcxojdKF4yw02Uxb2SHDSLjCCLfMefdU7O7dl
 ixLnsXtc+JjSU+j1kLJfnjs+D6nROCVcgiVIFXDdDodqbEOsyU0jFvHqxjVK8ZrawgFE
 awwsGShQ2Kh0op1HvHopuyFvP7Ajb8ZOiM6w2fLbTlmeEU45Mrg5zoMdkvqhLLd1PU2W
 bjBe2jDUme8Yg0MQ1dR4P5vhni/waCfLYlmZJVqZZPxtRVU0ciLAs39IYOfHQO1BOF19
 q2/A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=BFHH+l9QZ0/GJNFUnd5XlPaIvtP85mqFOeRj9Ss2/vg=;
 b=cE9yf6QxA3z4i6CmLViPSJYP8a/ggfPOzJJtl5DjNZ0cWcIkIJFl7HYqDa5N8FdOMF
 6NGoG6bFEHhf47WYSKeA41NQKEbyP78iKJTgLzH6E7qjXU/NM3SPFYu6fxGAFP6LdAdD
 pMKeZoN8zYiAl+vFiXycnPRKundMH0ROrNlRWPiLjXF9gtR1plDZ6nChDqsZ/gWQ+FuM
 /0RoG/f7as9DI6d3QkJ7RAtLlyLvwTY2rPM3g0aOUt8IkAdHf78cXk42DaJRutBL4kAl
 bnmtL/6WVE34E3Hu6cgsryFLHOpHqTpu+Tn0aLf56fI/8xnw20q4D+ZyqrGbSzYPFK4c
 jDAA==
X-Gm-Message-State: APjAAAVocmjsu/u/4Bq4SdHpPUVHQ0PEgMnHJnnS7+hEAUtQ/KAleW/p
 mU6AwSv6RO+cmkaqPeKEEORfzQIlnEY=
X-Google-Smtp-Source: APXvYqxnSAfOPNsQZHROKbTO4fhlNvl+QImMNuHUN+n8UdKomCmgK5TNBZUi/vhOjjjkBlrD1BjvHQ==
X-Received: by 2002:a5d:8ad0:: with SMTP id e16mr23106540iot.262.1562717332068; 
 Tue, 09 Jul 2019 17:08:52 -0700 (PDT)
Received: from localhost.localdomain (69-165-165-189.dsl.teksavvy.com.
 [69.165.165.189])
 by smtp.gmail.com with ESMTPSA id k26sm239269ios.38.2019.07.09.17.08.50
 (version=TLS1_3 cipher=AEAD-AES128-GCM-SHA256 bits=128/128);
 Tue, 09 Jul 2019 17:08:51 -0700 (PDT)
From: Thomas Fitzsimmons <fitzsim@HIDDEN>
To: Collin Day <dcday137@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <m3h88rnanp.fsf@HIDDEN>
 <CAB=m8w+Fqu=XPmhDte=nuWf39i9fH=o16hxgVV0n29fyY0W+BQ@HIDDEN>
 <CAB=m8wJYHo23J0vA8sjkG0vN+YOp5s6khLOy_uGKNjsf8F5m1Q@HIDDEN>
 <CAB=m8wJMGEVFk-O0AzDEvdgy9P=RcfNo4vKTdxzV1kbw512UpA@HIDDEN>
 <CAB=m8wK8QEPddVK+NCsEMpGACGaoeOXDb-HNgDnttDHpM6do2g@HIDDEN>
 <m3wohnlm5z.fsf@HIDDEN> <m236kbuwgi.fsf@HIDDEN>
 <CAB=m8wJa9wX5FcbibgF5UqjXqkZ3W-dCdWXGcMyEwf8HgRDc6w@HIDDEN>
 <m3muiflvav.fsf@HIDDEN>
 <CAB=m8w+2B6iKE3X4GJ1ARjPFmQkqr6VwZmVU+AT_z=HB9MX-2w@HIDDEN>
 <m38stykxpf.fsf@HIDDEN>
 <CAB=m8w+JJoshj8MQ2pyMOmLpO4HMUyKO2=cVrGEnqCpMAbdzWw@HIDDEN>
 <m3ftnenadh.fsf@HIDDEN>
 <CAB=m8wLP9Bjp=V_rpkfK7HELn9mMQniSyzKaFHUh2-WacPnAdg@HIDDEN>
 <CAB=m8wLsyTmVSZQ60XQ4Y2TYpyuka0eUvfOFkU2s3nBaU-Ocvw@HIDDEN>
Date: Tue, 09 Jul 2019 20:08:50 -0400
In-Reply-To: <CAB=m8wLsyTmVSZQ60XQ4Y2TYpyuka0eUvfOFkU2s3nBaU-Ocvw@HIDDEN>
 (Collin Day's message of "Tue, 9 Jul 2019 16:53:39 -0600")
Message-ID: <m3bly2n431.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  OK, can you apply my patch, then run "make" again and confirm
 it works? Thanks, Thomas Collin Day <dcday137@HIDDEN> writes: 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.166.66 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 35969
Cc: Andreas Schwab <schwab@HIDDEN>, 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

OK, can you apply my patch, then run "make" again and confirm it works?

Thanks,
Thomas

Collin Day <dcday137@HIDDEN> writes:

> Did a git pull and followed instructions above.
>
> There are some issues.  First, I need to run M-x package-install <RET>
> excorporate <RET>  four times because I see (each line after each
> invocation)
>
> package--with-response-buffer-1:
> https://elpa.gnu.org/packages/url-http-ntlm-2.0.4.el: Method not
> allowed
> package--with-response-buffer-1:
> https://elpa.gnu.org/packages/fsm-0.2.1.el: Method not allowed
> package--with-response-buffer-1:
> https://elpa.gnu.org/packages/excorporate-0.8.3.tar: Method not
> allowed
>
> After the 4th call it compiles and becomes available.
>
> M-x customize-group <RET> excorporate, set up for no autoconfig right
> now, hit apply for current sessions, save not availiable....
>
> M-x excorporate <RET>
>
> enter uname and password
>
> Contacting host: outlook.office365.com:443
> error in process filter: exco--parse-xml-in-current-buffer: Server
> response is not an XML document
> error in process filter: Server response is not an XML documen
>
> *http outlook.office.365.com:443*

[...]

> So it appears not to work, at least on the current head as of today....
>
> Thanks!
>
> -C
>
> On Tue, Jul 9, 2019 at 4:09 PM Collin Day <dcday137@HIDDEN> wrote:
>>
>> Sorry, I have not had the chance to.  A lot has been going on at my
>> place of employment.  It has crossed my mind, and as soon as I have
>> a chance, I will try what you suggested above.  Thanks, sorry for
>> the inconvenience.
>>
>> On Tue, Jul 9, 2019, 3:53 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>>>
>>> Hi,
>>>
>>> Were you able to complete building Emacs?  I'd like to know if my patch
>>> is needed on top of Andreas's to make Excorporate work through your
>>> proxy.
>>>
>>> I'm not sure why the built version would interfere with the current
>>> installation.  If you were doing "make install" to a common prefix, that
>>> might explain it.  Instead you can try something like this:
>>>
>>> cd emacs-master [your github.com checkout]
>>> make
>>> mkdir test-home
>>> HOME=`pwd`/test-home ./src/emacs -Q
>>>
>>> That will ensure you're only running the built Emacs, and completely
>>> ignoring the packages installed in your home directory.
>>>
>>> Thomas
>>>
>>> "tenspd137 ." <dcday137@HIDDEN> writes:
>>>
>>> > I haven't tried the first item on the list yet - ie reloading Andreas'
>>> > function.  i have tried to build emacs from
>>> > https://github.com/emacs-mirror/emacs.git because I can't reach the
>>> > official repo from my firewall for whatever reason.  I am sure it is
>>> > something here.  Anyway, I was having problems because my built
>>> > version (27.0.x) was getting seemingly mixed up with my current
>>> > installation.  I can try again later, but right now things are pretty
>>> > busy at work.
>>> >
>>> > Thanks.
>>> >
>>> > On Tue, Jun 18, 2019 at 10:26 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>>> >>
>>> >> Hi,
>>> >>
>>> >> "tenspd137 ." <dcday137@HIDDEN> writes:
>>> >>
>>> >> > So - I am not sure if I did it correctly, but I copied this function
>>> >> > with Andreas' changes into a file:
>>> >> >
>>> >> > (defun url-https-proxy-after-change-function (_st _nd _length)
>>> >> >   (let* ((process-buffer (current-buffer))
>>> >> >          (proc (get-buffer-process process-buffer)))
>>> >> >     (goto-char (point-min))
>>> >> >     (when (re-search-forward "^\r?\n" nil t)
>>> >> >       (backward-char 1)
>>> >> >       ;; Saw the end of the headers
>>> >> >       (setq url-http-end-of-headers (set-marker (make-marker) (point)))
>>> >> >       (url-http-parse-response)
>>> >> >       (cond
>>> >> >        ((null url-http-response-status)
>>> >> >         ;; We got back a headerless malformed response from the
>>> >> >         ;; server.
>>> >> >         (url-http-activate-callback)
>>> >> >         (error "Malformed response from proxy, fail!"))
>>> >> >        ((= url-http-response-status 200)
>>> >> >         (if (gnutls-available-p)
>>> >> >             (condition-case e
>>> >> >                 (let ((tls-connection (gnutls-negotiate
>>> >> >                                        :process proc
>>> >> >                                        :hostname (url-host url-current-object)
>>> >> >                                        :verify-error nil)))
>>> >> >                   ;; check certificate validity
>>> >> >                   (setq tls-connection
>>> >> >                         (nsm-verify-connection tls-connection
>>> >> >                                                (url-host url-current-object)
>>> >> >                                                (url-port url-current-object)))
>>> >> >                   (with-current-buffer process-buffer (erase-buffer))
>>> >> >                   (set-process-buffer tls-connection process-buffer)
>>> >> >                   (setq url-http-after-change-function
>>> >> >                         'url-http-wait-for-headers-change-function)
>>> >> >                   (set-process-filter tls-connection 'url-http-generic-filter)
>>> >> >                   (process-send-string tls-connection
>>> >> >                                        ;; Use the non-proxy form of the request
>>> >> >                                        (let (url-http-proxy)
>>> >> >                                          (url-http-create-request))))
>>> >> >               (gnutls-error
>>> >> >                (url-http-activate-callback)
>>> >> >                (error "gnutls-error: %s" e))
>>> >> >               (error
>>> >> >                (url-http-activate-callback)
>>> >> >                (error "error: %s" e)))
>>> >> >           (error "error: gnutls support needed!")))
>>> >> >        (t
>>> >> >         (url-http-debug "error response: %d" url-http-response-status)
>>> >> >         (url-http-activate-callback))))))
>>> >> >
>>> >> > and then loaded it before running excorporate.  After that, I did M-x
>>> >> > excorporate, and the minibuffer returns:  error in process filter:
>>> >> > Server response is not an XML document
>>> >>
>>> >> In this scenario, if you immediately (without restarting Emacs/reloading
>>> >> anything) re-run M-x excorporate does it still fail?  I just want to
>>> >> make sure that's not a transient failure.  If it does fail the second
>>> >> time, can you post the HTTP response from the server?
>>> >>
>>> >> > When I do the similar test by loading the url-http-create-request with
>>> >> > Thomas's changes, I can get a connection and grab my schedule
>>> >> > through the proxy.
>>> >>
>>> >> OK.
>>> >>
>>> >> > Let me know if I need to try something different.
>>> >>
>>> >> Are you in a position to build Emacs master tip and retry the experiment
>>> >> without patching anything?
>>> >>
>>> >> Thanks,
>>> >> Thomas
>>> >>
>>> >> > On Mon, Jun 17, 2019 at 4:08 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>>> >> >>
>>> >> >> Hi,
>>> >> >>
>>> >> >> Good to hear that the patch I posted worked!
>>> >> >>
>>> >> >> Yes, that's the patch that Andreas's commit
>>> >> >> 84613dae5c34ea742dd9a3e56f5acb55f604b483 applied.  From what I can tell,
>>> >> >> you will not have that in Emacs 26.2.
>>> >> >>
>>> >> >> Can you try reverting my patch and applying Andreas's patch, and see if
>>> >> >> Excorporate still works through the proxy?
>>> >> >>
>>> >> >> Thanks,
>>> >> >> Thomas
>>> >> >>
>>> >> >> "tenspd137 ." <dcday137@HIDDEN> writes:
>>> >> >>
>>> >> >> > The patch Thomas seems to work from behind the proxy.  My current
>>> >> >> > emacs version is 26.2, so I would think it would include the commit
>>> >> >> > Andreas is talking about....  I went and looked it up - is this the
>>> >> >> > correct commit?
>>> >> >> >
>>> >> >> > diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
>>> >> >> > index 53798f7..817c5ce 100644
>>> >> >> > --- a/lisp/url/url-http.el
>>> >> >> > +++ b/lisp/url/url-http.el
>>> >> >> > @@ -1412,7 +1412,9 @@ The return value of this function is the
>>> >> >> > retrieval buffer."
>>> >> >> > 'url-http-wait-for-headers-change-function)
>>> >> >> > (set-process-filter tls-connection 'url-http-generic-filter)
>>> >> >> > (process-send-string tls-connection
>>> >> >> > - (url-http-create-request)))
>>> >> >> > + ;; Use the non-proxy form of the request
>>> >> >> > + (let (url-http-proxy)
>>> >> >> > + (url-http-create-request))))
>>> >> >> > (gnutls-error
>>> >> >> > (url-http-activate-callback)
>>> >> >> > (error "gnutls-error: %s" e))
>>> >> >> >
>>> >> >> > Thanks!
>>> >> >> >
>>> >> >> > -C
>>> >> >> >
>>> >> >> >
>>> >> >> > On Sat, Jun 15, 2019 at 1:41 AM Andreas Schwab <schwab@HIDDEN> wrote:
>>> >> >> >>
>>> >> >> >> On Jun 14 2019, Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>>> >> >> >>
>>> >> >> >> > diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
>>> >> >> >> > index 00803a103a..723d111d58 100644
>>> >> >> >> > --- a/lisp/url/url-http.el
>>> >> >> >> > +++ b/lisp/url/url-http.el
>>> >> >> >> > @@ -329,7 +329,10 @@ url-http-create-request
>>> >> >> >> >               ;; The request
>>> >> >> >> >               (or url-http-method "GET") " "
>>> >> >> >> >               (url-http--encode-string
>>> >> >> >> > -              (if using-proxy (url-recreate-url url-http-target-url) real-fname))
>>> >> >> >> > +              (if (and using-proxy
>>> >> >> >> > +                       (not (equal "https" (url-type url-http-target-url))))
>>> >> >> >> > +                  (url-recreate-url url-http-target-url)
>>> >> >> >> > +                real-fname))
>>> >> >> >>
>>> >> >> >> That should already be handled by commit 84613dae5c.
>>> >> >> >>
>>> >> >> >> Andreas.
>>> >> >> >>
>>> >> >> >> --
>>> >> >> >> Andreas Schwab, schwab@HIDDEN
>>> >> >> >> GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
>>> >> >> >> "And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 9 Jul 2019 22:54:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 09 18:54:05 2019
Received: from localhost ([127.0.0.1]:34491 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkyzn-0001Oj-NJ
	for submit <at> debbugs.gnu.org; Tue, 09 Jul 2019 18:54:05 -0400
Received: from mail-wr1-f48.google.com ([209.85.221.48]:45931)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1hkyzk-0001OV-SL
 for 35969 <at> debbugs.gnu.org; Tue, 09 Jul 2019 18:53:58 -0400
Received: by mail-wr1-f48.google.com with SMTP id f9so436243wre.12
 for <35969 <at> debbugs.gnu.org>; Tue, 09 Jul 2019 15:53:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=E599mgmW7Soo3zoHF5cYc/R3YYjRMLPyGw1EFlSc3Tw=;
 b=OoL2ImJxf9LP3lPA656QGUmad1CfhSLj8gYE+jQIn5JX0vIHZbOm9cNR/ct+vkF/az
 E2TelBXgV5JzJp9wO56KtgG7qXS566xVzMpWndJ5lrxbPAq4ufX5Q+QUKWVkHXnqF0eJ
 kY+zSdGUOg7ODai9MuBTNO5x7v1N8Fc59440FMEvXGByfJSjL8r7NVrf/jHlKe2j2q6q
 vAHDA9FyNNGAcZpNGdYBThJ80nGdQxbl2DXE1+MboF5o9n5ZfL/myevivMHYCap1fkQn
 LGTWFZJ22sn+c+5sFVIyfY0/XsRZGybFRbpvBNu6yvhyXYeV/F+0AUSHgYb3uPvqIUQ0
 gdXg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=E599mgmW7Soo3zoHF5cYc/R3YYjRMLPyGw1EFlSc3Tw=;
 b=jGNMAxDLbU7Jo8QV89Xqt3bE296y9IHtRhRvWohYGGX72XIQXY8HR1dKqbwzjA2rsd
 UJC0Mwoic7ebj9uyhD7pw7oT6V2fQseB3addBMrkYSRcmGKVcjAwrrj7nyhh++08yr+N
 zVagGQQquOftai0YeK69RkBadVPRgIYrgawBSklUN8mimAgfUsDX/4STYhdD6dqYdXCT
 qqfBHLsc9FHiCoZPeExqgs9gvQlxILuQDCsISh/jlrIUlJsET6ZnInded8k/+VDnJ8YK
 AkdTo3Y03+rh3WbcTNqJR/RgxWVcd4ta3Mo3IOB4UZf89ELXNkPvFmIRlFWYAL4BwRUi
 0yjQ==
X-Gm-Message-State: APjAAAWW68GppKeXHGjm69mXcYay/HEQkFB/sgwf7bIp7VXKOH/fxpe5
 SHSSL1Dg0pHAZ0i+pQ6Z4ss2Oje9i8FjBGTj0Sg=
X-Google-Smtp-Source: APXvYqzKd+KV9I2SSVzBpHIbjzsMautB4uRxWTq3vYpDZtoxihyfoyU19JO08IbbEd0JcwGF6Vp7/f7y+ehrdRnvkDA=
X-Received: by 2002:adf:dfc4:: with SMTP id q4mr26479886wrn.54.1562712830764; 
 Tue, 09 Jul 2019 15:53:50 -0700 (PDT)
MIME-Version: 1.0
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <m3h88rnanp.fsf@HIDDEN>
 <CAB=m8w+Fqu=XPmhDte=nuWf39i9fH=o16hxgVV0n29fyY0W+BQ@HIDDEN>
 <CAB=m8wJYHo23J0vA8sjkG0vN+YOp5s6khLOy_uGKNjsf8F5m1Q@HIDDEN>
 <CAB=m8wJMGEVFk-O0AzDEvdgy9P=RcfNo4vKTdxzV1kbw512UpA@HIDDEN>
 <CAB=m8wK8QEPddVK+NCsEMpGACGaoeOXDb-HNgDnttDHpM6do2g@HIDDEN>
 <m3wohnlm5z.fsf@HIDDEN> <m236kbuwgi.fsf@HIDDEN>
 <CAB=m8wJa9wX5FcbibgF5UqjXqkZ3W-dCdWXGcMyEwf8HgRDc6w@HIDDEN>
 <m3muiflvav.fsf@HIDDEN>
 <CAB=m8w+2B6iKE3X4GJ1ARjPFmQkqr6VwZmVU+AT_z=HB9MX-2w@HIDDEN>
 <m38stykxpf.fsf@HIDDEN>
 <CAB=m8w+JJoshj8MQ2pyMOmLpO4HMUyKO2=cVrGEnqCpMAbdzWw@HIDDEN>
 <m3ftnenadh.fsf@HIDDEN>
 <CAB=m8wLP9Bjp=V_rpkfK7HELn9mMQniSyzKaFHUh2-WacPnAdg@HIDDEN>
In-Reply-To: <CAB=m8wLP9Bjp=V_rpkfK7HELn9mMQniSyzKaFHUh2-WacPnAdg@HIDDEN>
From: Collin Day <dcday137@HIDDEN>
Date: Tue, 9 Jul 2019 16:53:39 -0600
Message-ID: <CAB=m8wLsyTmVSZQ60XQ4Y2TYpyuka0eUvfOFkU2s3nBaU-Ocvw@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
To: Thomas Fitzsimmons <fitzsim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Did a git pull and followed instructions above. There are
 some issues. First, I need to run M-x package-install <RET> excorporate <RET>
 four times because I see (each line after each invocation)
 package--with-response-buffer-1:
 https://elpa.gnu.org/packages/url-http-ntlm-2.0.4.el: Method not allowed
 package--with-response-buffer-1: https://elpa.gnu.org/packages/fsm-0.2.1.el:
 Method not allowe [...] 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (dcday137[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.48 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (dcday137[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 35969
Cc: Andreas Schwab <schwab@HIDDEN>, 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Did a git pull and followed instructions above.

There are some issues.  First, I need to run M-x package-install <RET>
excorporate <RET>  four times because I see (each line after each
invocation)

package--with-response-buffer-1:
https://elpa.gnu.org/packages/url-http-ntlm-2.0.4.el: Method not
allowed
package--with-response-buffer-1:
https://elpa.gnu.org/packages/fsm-0.2.1.el: Method not allowed
package--with-response-buffer-1:
https://elpa.gnu.org/packages/excorporate-0.8.3.tar: Method not
allowed

After the 4th call it compiles and becomes available.

M-x customize-group <RET> excorporate, set up for no autoconfig right
now, hit apply for current sessions, save not availiable....

M-x excorporate <RET>

enter uname and password

Contacting host: outlook.office365.com:443
error in process filter: exco--parse-xml-in-current-buffer: Server
response is not an XML document
error in process filter: Server response is not an XML documen

*http outlook.office.365.com:443*

HTTP/1.1 401 Unauthorized
Server: Microsoft-IIS/10.0
request-id: f8e80f64-b51d-4d66-88ef-4ee7f09814f3
X-WSSecurity-Enabled: True
X-WSSecurity-For: Logon
X-FederationTrustTokenIssuerUri: urn:federation:MicrosoftOnline
X-WSSecurity-SymmetricKey-Enabled: True
X-WSSecurity-X509Cert-Enabled: True
X-OAuth-Enabled: True
X-Powered-By: ASP.NET
X-FEServer: SN4PR0401CA0031
WWW-Authenticate: Basic Realm=""
Date: Tue, 09 Jul 2019 22:48:22 GMT
Content-Length: 0

URL-DEBUG
http -> Saw end of headers... ( *http outlook.office365.com:443*)
http -> url-http-parse-response called in ( *http outlook.office365.com:443*)
http -> Got a content-length, being smart about document end.
http -> Got 0-length content-length, activating callback immediately.
http -> Marking connection as free: outlook.office365.com:443
#<process outlook.office365.com>
http -> url-http-parse-headers called in ( *http outlook.office365.com:443*)
http -> url-http-parse-response called in ( *http outlook.office365.com:443*)
http -> Parsed HTTP headers: class=4 status=401
http -> Handling normal authentication
http -> Found existing connection: outlook.office365.com:443 #<process
outlook.office365.com>
http -> Reusing existing connection: outlook.office365.com:443
http -> Marking connection as busy: outlook.office365.com:443
#<process outlook.office365.com>
http -> getting referer from buffer: buffer:#<buffer  *http
outlook.office365.com:443*> target-url:#s(url "https" nil nil
"outlook.office365.com" nil "/EWS/Services.wsdl" nil nil t nil t t)
lastloc:nil
http -> Finished parsing HTTP headers: nil
http -> Spinning waiting for headers...
http -> Calling after change function
`url-https-proxy-after-change-function' for `#<process
outlook.office365.com>'
http -> url-http-parse-response called in ( *http
outlook.office365.com:443*-535296)
http -> error response: 400
http -> Marking connection as free: outlook.office365.com:443
#<process outlook.office365.com>
http -> Activating callback in buffer ( *http
outlook.office365.com:443*-535296): #[257
"p\303\304\305\306\307 !\310\"\311$\216
@\312=\203$\0\313\301\314\315\316\302\"#\210\317\300\320\"\202/\0\313\301\321\322
#\210\317\300\323\")\207" [fsm-exco--fsm-0 (:identifier ("my email" .
"https://outlook.office365.com/EWS/Excahnge.asmx") :mail-address "my
email" :retrying nil :autodiscovery-urls nil :service-url
"https://outlook.office365.com/EWS/Excahnge.asmx" :service-xml nil
:service-wsdl nil :next-state-after-success nil :failure-message nil
:server-version nil) "https://outlook.office365.com/EWS/Services.wsdl"
make-byte-code 0 "\301\300!\205    \0\302\300!\207" vconcat vector
[buffer-live-p kill-buffer] 2 :error plist-put :failure-message format
"Failed to retrieve %s" fsm-send :unrecoverable-error :service-xml
exco--parse-xml-in-current-buffer :success] 8 "

(fn STATUS)"] ((:peer (:certificates ((:version 3 :serial-number
"0a:48:28:08:de:bc:a4:10:92:0f:87:6a:63:05:a1:e9" :issuer
"C=US,O=DigiCert Inc,CN=DigiCert Cloud Services CA-1" :valid-from
"2018-11-18" :valid-to "2020-11-18" :subject
"C=US,ST=Washington,L=Redmond,O=Microsoft Corporation,CN=outlook.com"
:public-key-algorithm "RSA" :certificate-security-level "Medium"
:signature-algorithm "RSA-SHA256" :public-key-id
"sha1:ae:b5:9e:3f:4e:c3:72:a8:c0:fc:24:4e:24:b4:d6:8d:99:b0:b9:e1"
:certificate-id
"sha1:05:b8:36:4c:33:e5:63:7e:fd:88:e0:a3:b8:7e:7d:cf:6f:8d:d0:d4")
(:version 3 :serial-number
"01:9e:c1:c6:bd:3f:59:7b:b2:0c:33:38:e5:51:d8:77" :issuer
"C=US,O=DigiCert Inc,OU=www.digicert.com,CN=DigiCert Global Root CA"
:valid-from "2015-08-04" :valid-to "2030-08-04" :subject
"C=US,O=DigiCert Inc,CN=DigiCert Cloud Services CA-1"
:public-key-algorithm "RSA" :certificate-security-level "Medium"
:signature-algorithm "RSA-SHA256" :public-key-id
"sha1:ac:13:d5:79:03:66:f3:cc:ff:fe:7c:23:71:a7:61:5d:39:20:89:6e"
:certificate-id
"sha1:81:b6:8d:6c:d2:f2:21:f8:f5:34:e6:77:52:3b:b2:36:bb:a1:dc:56"))
:certificate (:version 3 :serial-number
"0a:48:28:08:de:bc:a4:10:92:0f:87:6a:63:05:a1:e9" :issuer
"C=US,O=DigiCert Inc,CN=DigiCert Cloud Services CA-1" :valid-from
"2018-11-18" :valid-to "2020-11-18" :subject
"C=US,ST=Washington,L=Redmond,O=Microsoft Corporation,CN=outlook.com"
:public-key-algorithm "RSA" :certificate-security-level "Medium"
:signature-algorithm "RSA-SHA256" :public-key-id
"sha1:ae:b5:9e:3f:4e:c3:72:a8:c0:fc:24:4e:24:b4:d6:8d:99:b0:b9:e1"
:certificate-id
"sha1:05:b8:36:4c:33:e5:63:7e:fd:88:e0:a3:b8:7e:7d:cf:6f:8d:d0:d4")
:key-exchange "ECDHE-RSA" :protocol "TLS1.2" :cipher "AES-256-GCM"
:mac "AEAD")))

So it appears not to work, at least on the current head as of today....

Thanks!

-C

On Tue, Jul 9, 2019 at 4:09 PM Collin Day <dcday137@HIDDEN> wrote:
>
> Sorry, I have not had the chance to.  A lot has been going on at my place of employment.  It has crossed my mind, and as soon as I have a chance, I will try what you suggested above.  Thanks, sorry for the inconvenience.
>
> On Tue, Jul 9, 2019, 3:53 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>>
>> Hi,
>>
>> Were you able to complete building Emacs?  I'd like to know if my patch
>> is needed on top of Andreas's to make Excorporate work through your
>> proxy.
>>
>> I'm not sure why the built version would interfere with the current
>> installation.  If you were doing "make install" to a common prefix, that
>> might explain it.  Instead you can try something like this:
>>
>> cd emacs-master [your github.com checkout]
>> make
>> mkdir test-home
>> HOME=`pwd`/test-home ./src/emacs -Q
>>
>> That will ensure you're only running the built Emacs, and completely
>> ignoring the packages installed in your home directory.
>>
>> Thomas
>>
>> "tenspd137 ." <dcday137@HIDDEN> writes:
>>
>> > I haven't tried the first item on the list yet - ie reloading Andreas'
>> > function.  i have tried to build emacs from
>> > https://github.com/emacs-mirror/emacs.git because I can't reach the
>> > official repo from my firewall for whatever reason.  I am sure it is
>> > something here.  Anyway, I was having problems because my built
>> > version (27.0.x) was getting seemingly mixed up with my current
>> > installation.  I can try again later, but right now things are pretty
>> > busy at work.
>> >
>> > Thanks.
>> >
>> > On Tue, Jun 18, 2019 at 10:26 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>> >>
>> >> Hi,
>> >>
>> >> "tenspd137 ." <dcday137@HIDDEN> writes:
>> >>
>> >> > So - I am not sure if I did it correctly, but I copied this function
>> >> > with Andreas' changes into a file:
>> >> >
>> >> > (defun url-https-proxy-after-change-function (_st _nd _length)
>> >> >   (let* ((process-buffer (current-buffer))
>> >> >          (proc (get-buffer-process process-buffer)))
>> >> >     (goto-char (point-min))
>> >> >     (when (re-search-forward "^\r?\n" nil t)
>> >> >       (backward-char 1)
>> >> >       ;; Saw the end of the headers
>> >> >       (setq url-http-end-of-headers (set-marker (make-marker) (point)))
>> >> >       (url-http-parse-response)
>> >> >       (cond
>> >> >        ((null url-http-response-status)
>> >> >         ;; We got back a headerless malformed response from the
>> >> >         ;; server.
>> >> >         (url-http-activate-callback)
>> >> >         (error "Malformed response from proxy, fail!"))
>> >> >        ((= url-http-response-status 200)
>> >> >         (if (gnutls-available-p)
>> >> >             (condition-case e
>> >> >                 (let ((tls-connection (gnutls-negotiate
>> >> >                                        :process proc
>> >> >                                        :hostname (url-host url-current-object)
>> >> >                                        :verify-error nil)))
>> >> >                   ;; check certificate validity
>> >> >                   (setq tls-connection
>> >> >                         (nsm-verify-connection tls-connection
>> >> >                                                (url-host url-current-object)
>> >> >                                                (url-port url-current-object)))
>> >> >                   (with-current-buffer process-buffer (erase-buffer))
>> >> >                   (set-process-buffer tls-connection process-buffer)
>> >> >                   (setq url-http-after-change-function
>> >> >                         'url-http-wait-for-headers-change-function)
>> >> >                   (set-process-filter tls-connection 'url-http-generic-filter)
>> >> >                   (process-send-string tls-connection
>> >> >                                        ;; Use the non-proxy form of the request
>> >> >                                        (let (url-http-proxy)
>> >> >                                          (url-http-create-request))))
>> >> >               (gnutls-error
>> >> >                (url-http-activate-callback)
>> >> >                (error "gnutls-error: %s" e))
>> >> >               (error
>> >> >                (url-http-activate-callback)
>> >> >                (error "error: %s" e)))
>> >> >           (error "error: gnutls support needed!")))
>> >> >        (t
>> >> >         (url-http-debug "error response: %d" url-http-response-status)
>> >> >         (url-http-activate-callback))))))
>> >> >
>> >> > and then loaded it before running excorporate.  After that, I did M-x
>> >> > excorporate, and the minibuffer returns:  error in process filter:
>> >> > Server response is not an XML document
>> >>
>> >> In this scenario, if you immediately (without restarting Emacs/reloading
>> >> anything) re-run M-x excorporate does it still fail?  I just want to
>> >> make sure that's not a transient failure.  If it does fail the second
>> >> time, can you post the HTTP response from the server?
>> >>
>> >> > When I do the similar test by loading the url-http-create-request with
>> >> > Thomas's changes, I can get a connection and grab my schedule
>> >> > through the proxy.
>> >>
>> >> OK.
>> >>
>> >> > Let me know if I need to try something different.
>> >>
>> >> Are you in a position to build Emacs master tip and retry the experiment
>> >> without patching anything?
>> >>
>> >> Thanks,
>> >> Thomas
>> >>
>> >> > On Mon, Jun 17, 2019 at 4:08 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>> >> >>
>> >> >> Hi,
>> >> >>
>> >> >> Good to hear that the patch I posted worked!
>> >> >>
>> >> >> Yes, that's the patch that Andreas's commit
>> >> >> 84613dae5c34ea742dd9a3e56f5acb55f604b483 applied.  From what I can tell,
>> >> >> you will not have that in Emacs 26.2.
>> >> >>
>> >> >> Can you try reverting my patch and applying Andreas's patch, and see if
>> >> >> Excorporate still works through the proxy?
>> >> >>
>> >> >> Thanks,
>> >> >> Thomas
>> >> >>
>> >> >> "tenspd137 ." <dcday137@HIDDEN> writes:
>> >> >>
>> >> >> > The patch Thomas seems to work from behind the proxy.  My current
>> >> >> > emacs version is 26.2, so I would think it would include the commit
>> >> >> > Andreas is talking about....  I went and looked it up - is this the
>> >> >> > correct commit?
>> >> >> >
>> >> >> > diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
>> >> >> > index 53798f7..817c5ce 100644
>> >> >> > --- a/lisp/url/url-http.el
>> >> >> > +++ b/lisp/url/url-http.el
>> >> >> > @@ -1412,7 +1412,9 @@ The return value of this function is the
>> >> >> > retrieval buffer."
>> >> >> > 'url-http-wait-for-headers-change-function)
>> >> >> > (set-process-filter tls-connection 'url-http-generic-filter)
>> >> >> > (process-send-string tls-connection
>> >> >> > - (url-http-create-request)))
>> >> >> > + ;; Use the non-proxy form of the request
>> >> >> > + (let (url-http-proxy)
>> >> >> > + (url-http-create-request))))
>> >> >> > (gnutls-error
>> >> >> > (url-http-activate-callback)
>> >> >> > (error "gnutls-error: %s" e))
>> >> >> >
>> >> >> > Thanks!
>> >> >> >
>> >> >> > -C
>> >> >> >
>> >> >> >
>> >> >> > On Sat, Jun 15, 2019 at 1:41 AM Andreas Schwab <schwab@HIDDEN> wrote:
>> >> >> >>
>> >> >> >> On Jun 14 2019, Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>> >> >> >>
>> >> >> >> > diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
>> >> >> >> > index 00803a103a..723d111d58 100644
>> >> >> >> > --- a/lisp/url/url-http.el
>> >> >> >> > +++ b/lisp/url/url-http.el
>> >> >> >> > @@ -329,7 +329,10 @@ url-http-create-request
>> >> >> >> >               ;; The request
>> >> >> >> >               (or url-http-method "GET") " "
>> >> >> >> >               (url-http--encode-string
>> >> >> >> > -              (if using-proxy (url-recreate-url url-http-target-url) real-fname))
>> >> >> >> > +              (if (and using-proxy
>> >> >> >> > +                       (not (equal "https" (url-type url-http-target-url))))
>> >> >> >> > +                  (url-recreate-url url-http-target-url)
>> >> >> >> > +                real-fname))
>> >> >> >>
>> >> >> >> That should already be handled by commit 84613dae5c.
>> >> >> >>
>> >> >> >> Andreas.
>> >> >> >>
>> >> >> >> --
>> >> >> >> Andreas Schwab, schwab@HIDDEN
>> >> >> >> GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
>> >> >> >> "And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 9 Jul 2019 22:06:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 09 18:06:45 2019
Received: from localhost ([127.0.0.1]:34437 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkyG4-0002HE-DK
	for submit <at> debbugs.gnu.org; Tue, 09 Jul 2019 18:06:45 -0400
Received: from mail-wr1-f43.google.com ([209.85.221.43]:35779)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1hkyG2-0002H0-Nr
 for 35969 <at> debbugs.gnu.org; Tue, 09 Jul 2019 18:06:43 -0400
Received: by mail-wr1-f43.google.com with SMTP id y4so403610wrm.2
 for <35969 <at> debbugs.gnu.org>; Tue, 09 Jul 2019 15:06:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=l6VG9NyfPMX3hKarMvxCnARL/3DXmqn9Ud30285RF1w=;
 b=bPvAphFz3nEbzAdWW6MT3Eb2eSQZUt8Fw5qayz/xK740HVAtN+lBliE8wdZnbFViyr
 G6gwHdOcbpfJxfcwguo2F1tu6Ti1YBNP6wqFXXZm/p1R7yiGQgDvUwRgbeEdTTQAv6NU
 9S67YyzF46Q/UExsykh+x3bbWY8UpMmjh2PS313402PwfciaZBRsfpOcS70eNkWqmhmB
 Kw5PRmphRnjbfqMR91AhgdMEMKniP2oZO7fAphCISiSPwPd+XEMfVSbONjrjygTHWnaH
 2AX1gABGSwU0gA4RwCEG0rjZA8ezoR+TyHtNHx1dUW2LhXo9oCRFwtaGX3FVvugkk9ls
 3QRw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=l6VG9NyfPMX3hKarMvxCnARL/3DXmqn9Ud30285RF1w=;
 b=pKRWRI7UiqRZqwX6b2jOI9C/KB2BcdjaHzlLDHpgEgTZB/dpc7mBBSW9QydrlohCo9
 eRMj3pKP60Mqk1+KIZA5f6kXmEhOl0vInYvfDBYFnUMuGwdzh+PUSV0p+lMu57RBB9F3
 UjU+j/jp+0HRKB3FdEII7cYxUCtDGhgXkrvxGMerzCdUMi5yUgzjo9oFABv1y1CScD9q
 2ofdVSGhtN+leTYA8tB18fNzDw+58pPFx33qqe8cxSyhTS8eQ9okIY/uf3XYR5W7EqMU
 ViJ0uX9wCbXGt0G7322Z7YwYM9Ll3Yccoe+ei9n6Dluam+Nf1Z8tXo1iJjGhmqKWaxaf
 ZsDQ==
X-Gm-Message-State: APjAAAXSGgLLWEBGeujl02P1yVpICZE063ogNi172FPjFkFCASCk7eGn
 4oelo/POVgWm0QEy7j6mh7TlgwnfT/I2aFDk4O4=
X-Google-Smtp-Source: APXvYqzKYMmZI1Yaq+jNxtXx8J2vmk7B4z8Emu8RZtAWARBl7tqreiV1d690n0Pesm9tgNuGBkJLiliopQvBx71rIXA=
X-Received: by 2002:a5d:5692:: with SMTP id f18mr27190952wrv.104.1562709996666; 
 Tue, 09 Jul 2019 15:06:36 -0700 (PDT)
MIME-Version: 1.0
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <m3h88rnanp.fsf@HIDDEN>
 <CAB=m8w+Fqu=XPmhDte=nuWf39i9fH=o16hxgVV0n29fyY0W+BQ@HIDDEN>
 <CAB=m8wJYHo23J0vA8sjkG0vN+YOp5s6khLOy_uGKNjsf8F5m1Q@HIDDEN>
 <CAB=m8wJMGEVFk-O0AzDEvdgy9P=RcfNo4vKTdxzV1kbw512UpA@HIDDEN>
 <CAB=m8wK8QEPddVK+NCsEMpGACGaoeOXDb-HNgDnttDHpM6do2g@HIDDEN>
 <m3wohnlm5z.fsf@HIDDEN> <m236kbuwgi.fsf@HIDDEN>
 <CAB=m8wJa9wX5FcbibgF5UqjXqkZ3W-dCdWXGcMyEwf8HgRDc6w@HIDDEN>
 <m3muiflvav.fsf@HIDDEN>
 <CAB=m8w+2B6iKE3X4GJ1ARjPFmQkqr6VwZmVU+AT_z=HB9MX-2w@HIDDEN>
 <m38stykxpf.fsf@HIDDEN>
 <CAB=m8w+JJoshj8MQ2pyMOmLpO4HMUyKO2=cVrGEnqCpMAbdzWw@HIDDEN>
 <m3ftnenadh.fsf@HIDDEN>
In-Reply-To: <m3ftnenadh.fsf@HIDDEN>
From: Collin Day <dcday137@HIDDEN>
Date: Tue, 9 Jul 2019 16:09:04 -0600
Message-ID: <CAB=m8wLP9Bjp=V_rpkfK7HELn9mMQniSyzKaFHUh2-WacPnAdg@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
To: Thomas Fitzsimmons <fitzsim@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000003d03be058d46c62a"
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Sorry, I have not had the chance to. A lot has been going
 on at my place of employment. It has crossed my mind, and as soon as I have
 a chance, I will try what you suggested above. Thanks, sorry for t [...] 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (dcday137[at]gmail.com)
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: linux-m68k.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (dcday137[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.43 listed in list.dnswl.org]
 0.0 HTML_MESSAGE           BODY: HTML included in message
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 35969
Cc: Andreas Schwab <schwab@HIDDEN>, 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

--0000000000003d03be058d46c62a
Content-Type: text/plain; charset="UTF-8"

Sorry, I have not had the chance to.  A lot has been going on at my place
of employment.  It has crossed my mind, and as soon as I have a chance, I
will try what you suggested above.  Thanks, sorry for the inconvenience.

On Tue, Jul 9, 2019, 3:53 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:

> Hi,
>
> Were you able to complete building Emacs?  I'd like to know if my patch
> is needed on top of Andreas's to make Excorporate work through your
> proxy.
>
> I'm not sure why the built version would interfere with the current
> installation.  If you were doing "make install" to a common prefix, that
> might explain it.  Instead you can try something like this:
>
> cd emacs-master [your github.com checkout]
> make
> mkdir test-home
> HOME=`pwd`/test-home ./src/emacs -Q
>
> That will ensure you're only running the built Emacs, and completely
> ignoring the packages installed in your home directory.
>
> Thomas
>
> "tenspd137 ." <dcday137@HIDDEN> writes:
>
> > I haven't tried the first item on the list yet - ie reloading Andreas'
> > function.  i have tried to build emacs from
> > https://github.com/emacs-mirror/emacs.git because I can't reach the
> > official repo from my firewall for whatever reason.  I am sure it is
> > something here.  Anyway, I was having problems because my built
> > version (27.0.x) was getting seemingly mixed up with my current
> > installation.  I can try again later, but right now things are pretty
> > busy at work.
> >
> > Thanks.
> >
> > On Tue, Jun 18, 2019 at 10:26 PM Thomas Fitzsimmons <fitzsim@HIDDEN>
> wrote:
> >>
> >> Hi,
> >>
> >> "tenspd137 ." <dcday137@HIDDEN> writes:
> >>
> >> > So - I am not sure if I did it correctly, but I copied this function
> >> > with Andreas' changes into a file:
> >> >
> >> > (defun url-https-proxy-after-change-function (_st _nd _length)
> >> >   (let* ((process-buffer (current-buffer))
> >> >          (proc (get-buffer-process process-buffer)))
> >> >     (goto-char (point-min))
> >> >     (when (re-search-forward "^\r?\n" nil t)
> >> >       (backward-char 1)
> >> >       ;; Saw the end of the headers
> >> >       (setq url-http-end-of-headers (set-marker (make-marker)
> (point)))
> >> >       (url-http-parse-response)
> >> >       (cond
> >> >        ((null url-http-response-status)
> >> >         ;; We got back a headerless malformed response from the
> >> >         ;; server.
> >> >         (url-http-activate-callback)
> >> >         (error "Malformed response from proxy, fail!"))
> >> >        ((= url-http-response-status 200)
> >> >         (if (gnutls-available-p)
> >> >             (condition-case e
> >> >                 (let ((tls-connection (gnutls-negotiate
> >> >                                        :process proc
> >> >                                        :hostname (url-host
> url-current-object)
> >> >                                        :verify-error nil)))
> >> >                   ;; check certificate validity
> >> >                   (setq tls-connection
> >> >                         (nsm-verify-connection tls-connection
> >> >                                                (url-host
> url-current-object)
> >> >                                                (url-port
> url-current-object)))
> >> >                   (with-current-buffer process-buffer (erase-buffer))
> >> >                   (set-process-buffer tls-connection process-buffer)
> >> >                   (setq url-http-after-change-function
> >> >                         'url-http-wait-for-headers-change-function)
> >> >                   (set-process-filter tls-connection
> 'url-http-generic-filter)
> >> >                   (process-send-string tls-connection
> >> >                                        ;; Use the non-proxy form of
> the request
> >> >                                        (let (url-http-proxy)
> >> >                                          (url-http-create-request))))
> >> >               (gnutls-error
> >> >                (url-http-activate-callback)
> >> >                (error "gnutls-error: %s" e))
> >> >               (error
> >> >                (url-http-activate-callback)
> >> >                (error "error: %s" e)))
> >> >           (error "error: gnutls support needed!")))
> >> >        (t
> >> >         (url-http-debug "error response: %d" url-http-response-status)
> >> >         (url-http-activate-callback))))))
> >> >
> >> > and then loaded it before running excorporate.  After that, I did M-x
> >> > excorporate, and the minibuffer returns:  error in process filter:
> >> > Server response is not an XML document
> >>
> >> In this scenario, if you immediately (without restarting Emacs/reloading
> >> anything) re-run M-x excorporate does it still fail?  I just want to
> >> make sure that's not a transient failure.  If it does fail the second
> >> time, can you post the HTTP response from the server?
> >>
> >> > When I do the similar test by loading the url-http-create-request with
> >> > Thomas's changes, I can get a connection and grab my schedule
> >> > through the proxy.
> >>
> >> OK.
> >>
> >> > Let me know if I need to try something different.
> >>
> >> Are you in a position to build Emacs master tip and retry the experiment
> >> without patching anything?
> >>
> >> Thanks,
> >> Thomas
> >>
> >> > On Mon, Jun 17, 2019 at 4:08 PM Thomas Fitzsimmons <
> fitzsim@HIDDEN> wrote:
> >> >>
> >> >> Hi,
> >> >>
> >> >> Good to hear that the patch I posted worked!
> >> >>
> >> >> Yes, that's the patch that Andreas's commit
> >> >> 84613dae5c34ea742dd9a3e56f5acb55f604b483 applied.  From what I can
> tell,
> >> >> you will not have that in Emacs 26.2.
> >> >>
> >> >> Can you try reverting my patch and applying Andreas's patch, and see
> if
> >> >> Excorporate still works through the proxy?
> >> >>
> >> >> Thanks,
> >> >> Thomas
> >> >>
> >> >> "tenspd137 ." <dcday137@HIDDEN> writes:
> >> >>
> >> >> > The patch Thomas seems to work from behind the proxy.  My current
> >> >> > emacs version is 26.2, so I would think it would include the commit
> >> >> > Andreas is talking about....  I went and looked it up - is this the
> >> >> > correct commit?
> >> >> >
> >> >> > diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
> >> >> > index 53798f7..817c5ce 100644
> >> >> > --- a/lisp/url/url-http.el
> >> >> > +++ b/lisp/url/url-http.el
> >> >> > @@ -1412,7 +1412,9 @@ The return value of this function is the
> >> >> > retrieval buffer."
> >> >> > 'url-http-wait-for-headers-change-function)
> >> >> > (set-process-filter tls-connection 'url-http-generic-filter)
> >> >> > (process-send-string tls-connection
> >> >> > - (url-http-create-request)))
> >> >> > + ;; Use the non-proxy form of the request
> >> >> > + (let (url-http-proxy)
> >> >> > + (url-http-create-request))))
> >> >> > (gnutls-error
> >> >> > (url-http-activate-callback)
> >> >> > (error "gnutls-error: %s" e))
> >> >> >
> >> >> > Thanks!
> >> >> >
> >> >> > -C
> >> >> >
> >> >> >
> >> >> > On Sat, Jun 15, 2019 at 1:41 AM Andreas Schwab <
> schwab@HIDDEN> wrote:
> >> >> >>
> >> >> >> On Jun 14 2019, Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
> >> >> >>
> >> >> >> > diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
> >> >> >> > index 00803a103a..723d111d58 100644
> >> >> >> > --- a/lisp/url/url-http.el
> >> >> >> > +++ b/lisp/url/url-http.el
> >> >> >> > @@ -329,7 +329,10 @@ url-http-create-request
> >> >> >> >               ;; The request
> >> >> >> >               (or url-http-method "GET") " "
> >> >> >> >               (url-http--encode-string
> >> >> >> > -              (if using-proxy (url-recreate-url
> url-http-target-url) real-fname))
> >> >> >> > +              (if (and using-proxy
> >> >> >> > +                       (not (equal "https" (url-type
> url-http-target-url))))
> >> >> >> > +                  (url-recreate-url url-http-target-url)
> >> >> >> > +                real-fname))
> >> >> >>
> >> >> >> That should already be handled by commit 84613dae5c.
> >> >> >>
> >> >> >> Andreas.
> >> >> >>
> >> >> >> --
> >> >> >> Andreas Schwab, schwab@HIDDEN
> >> >> >> GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780
> A9DA AEC1
> >> >> >> "And now for something completely different."
>

--0000000000003d03be058d46c62a
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">Sorry, I have not had the chance to.=C2=A0 A lot has=C2=
=A0been going on at my place of employment.=C2=A0 It has crossed my mind, a=
nd as soon as I have a chance, I will try what you suggested above.=C2=A0 T=
hanks, sorry for=C2=A0the inconvenience.</div><br><div class=3D"gmail_quote=
"><div dir=3D"ltr" class=3D"gmail_attr">On Tue, Jul 9, 2019, 3:53 PM Thomas=
 Fitzsimmons &lt;<a href=3D"mailto:fitzsim@HIDDEN">fitzsim@HIDDEN=
</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:=
0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">Hi,<br>
<br>
Were you able to complete building Emacs?=C2=A0 I&#39;d like to know if my =
patch<br>
is needed on top of Andreas&#39;s to make Excorporate work through your<br>
proxy.<br>
<br>
I&#39;m not sure why the built version would interfere with the current<br>
installation.=C2=A0 If you were doing &quot;make install&quot; to a common =
prefix, that<br>
might explain it.=C2=A0 Instead you can try something like this:<br>
<br>
cd emacs-master [your <a href=3D"http://github.com" rel=3D"noreferrer noref=
errer" target=3D"_blank">github.com</a> checkout]<br>
make<br>
mkdir test-home<br>
HOME=3D`pwd`/test-home ./src/emacs -Q<br>
<br>
That will ensure you&#39;re only running the built Emacs, and completely<br=
>
ignoring the packages installed in your home directory.<br>
<br>
Thomas<br>
<br>
&quot;tenspd137 .&quot; &lt;<a href=3D"mailto:dcday137@HIDDEN" target=3D=
"_blank" rel=3D"noreferrer">dcday137@HIDDEN</a>&gt; writes:<br>
<br>
&gt; I haven&#39;t tried the first item on the list yet - ie reloading Andr=
eas&#39;<br>
&gt; function.=C2=A0 i have tried to build emacs from<br>
&gt; <a href=3D"https://github.com/emacs-mirror/emacs.git" rel=3D"noreferre=
r noreferrer" target=3D"_blank">https://github.com/emacs-mirror/emacs.git</=
a> because I can&#39;t reach the<br>
&gt; official repo from my firewall for whatever reason.=C2=A0 I am sure it=
 is<br>
&gt; something here.=C2=A0 Anyway, I was having problems because my built<b=
r>
&gt; version (27.0.x) was getting seemingly mixed up with my current<br>
&gt; installation.=C2=A0 I can try again later, but right now things are pr=
etty<br>
&gt; busy at work.<br>
&gt;<br>
&gt; Thanks.<br>
&gt;<br>
&gt; On Tue, Jun 18, 2019 at 10:26 PM Thomas Fitzsimmons &lt;<a href=3D"mai=
lto:fitzsim@HIDDEN" target=3D"_blank" rel=3D"noreferrer">fitzsim@fitzs=
im.org</a>&gt; wrote:<br>
&gt;&gt;<br>
&gt;&gt; Hi,<br>
&gt;&gt;<br>
&gt;&gt; &quot;tenspd137 .&quot; &lt;<a href=3D"mailto:dcday137@HIDDEN" =
target=3D"_blank" rel=3D"noreferrer">dcday137@HIDDEN</a>&gt; writes:<br>
&gt;&gt;<br>
&gt;&gt; &gt; So - I am not sure if I did it correctly, but I copied this f=
unction<br>
&gt;&gt; &gt; with Andreas&#39; changes into a file:<br>
&gt;&gt; &gt;<br>
&gt;&gt; &gt; (defun url-https-proxy-after-change-function (_st _nd _length=
)<br>
&gt;&gt; &gt;=C2=A0 =C2=A0(let* ((process-buffer (current-buffer))<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (proc (get-buffer-process p=
rocess-buffer)))<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0(goto-char (point-min))<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0(when (re-search-forward &quot;^\r?\n&quot=
; nil t)<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0(backward-char 1)<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0;; Saw the end of the headers<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0(setq url-http-end-of-headers (set-=
marker (make-marker) (point)))<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0(url-http-parse-response)<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0(cond<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 ((null url-http-response-status)<b=
r>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0;; We got back a headerless =
malformed response from the<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0;; server.<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(url-http-activate-callback)=
<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(error &quot;Malformed respo=
nse from proxy, fail!&quot;))<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 ((=3D url-http-response-status 200=
)<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(if (gnutls-available-p)<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(condition-cas=
e e<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
(let ((tls-connection (gnutls-negotiate<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 :process proc<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 :hostname (url-host url-current-object)<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 :verify-error nil)))<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0;; check certificate validity<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0(setq tls-connection<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0(nsm-verify-connection tls-connection<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (url-host url-current-object)<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (url-port url-current-object)))<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0(with-current-buffer process-buffer (erase-buffer))<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0(set-process-buffer tls-connection process-buffer)<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0(setq url-http-after-change-function<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0&#39;url-http-wait-for-headers-change-function)=
<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0(set-process-filter tls-connection &#39;url-http-generic-filter)<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0(process-send-string tls-connection<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 ;; Use the non-proxy form of the request<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 (let (url-http-proxy)<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 (url-http-create-request))))<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(gnutls=
-error<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (url-h=
ttp-activate-callback)<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (error=
 &quot;gnutls-error: %s&quot; e))<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(error<=
br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (url-h=
ttp-activate-callback)<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (error=
 &quot;error: %s&quot; e)))<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(error &quot;error: g=
nutls support needed!&quot;)))<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 (t<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(url-http-debug &quot;error =
response: %d&quot; url-http-response-status)<br>
&gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(url-http-activate-callback)=
)))))<br>
&gt;&gt; &gt;<br>
&gt;&gt; &gt; and then loaded it before running excorporate.=C2=A0 After th=
at, I did M-x<br>
&gt;&gt; &gt; excorporate, and the minibuffer returns:=C2=A0 error in proce=
ss filter:<br>
&gt;&gt; &gt; Server response is not an XML document<br>
&gt;&gt;<br>
&gt;&gt; In this scenario, if you immediately (without restarting Emacs/rel=
oading<br>
&gt;&gt; anything) re-run M-x excorporate does it still fail?=C2=A0 I just =
want to<br>
&gt;&gt; make sure that&#39;s not a transient failure.=C2=A0 If it does fai=
l the second<br>
&gt;&gt; time, can you post the HTTP response from the server?<br>
&gt;&gt;<br>
&gt;&gt; &gt; When I do the similar test by loading the url-http-create-req=
uest with<br>
&gt;&gt; &gt; Thomas&#39;s changes, I can get a connection and grab my sche=
dule<br>
&gt;&gt; &gt; through the proxy.<br>
&gt;&gt;<br>
&gt;&gt; OK.<br>
&gt;&gt;<br>
&gt;&gt; &gt; Let me know if I need to try something different.<br>
&gt;&gt;<br>
&gt;&gt; Are you in a position to build Emacs master tip and retry the expe=
riment<br>
&gt;&gt; without patching anything?<br>
&gt;&gt;<br>
&gt;&gt; Thanks,<br>
&gt;&gt; Thomas<br>
&gt;&gt;<br>
&gt;&gt; &gt; On Mon, Jun 17, 2019 at 4:08 PM Thomas Fitzsimmons &lt;<a hre=
f=3D"mailto:fitzsim@HIDDEN" target=3D"_blank" rel=3D"noreferrer">fitzs=
im@HIDDEN</a>&gt; wrote:<br>
&gt;&gt; &gt;&gt;<br>
&gt;&gt; &gt;&gt; Hi,<br>
&gt;&gt; &gt;&gt;<br>
&gt;&gt; &gt;&gt; Good to hear that the patch I posted worked!<br>
&gt;&gt; &gt;&gt;<br>
&gt;&gt; &gt;&gt; Yes, that&#39;s the patch that Andreas&#39;s commit<br>
&gt;&gt; &gt;&gt; 84613dae5c34ea742dd9a3e56f5acb55f604b483 applied.=C2=A0 F=
rom what I can tell,<br>
&gt;&gt; &gt;&gt; you will not have that in Emacs 26.2.<br>
&gt;&gt; &gt;&gt;<br>
&gt;&gt; &gt;&gt; Can you try reverting my patch and applying Andreas&#39;s=
 patch, and see if<br>
&gt;&gt; &gt;&gt; Excorporate still works through the proxy?<br>
&gt;&gt; &gt;&gt;<br>
&gt;&gt; &gt;&gt; Thanks,<br>
&gt;&gt; &gt;&gt; Thomas<br>
&gt;&gt; &gt;&gt;<br>
&gt;&gt; &gt;&gt; &quot;tenspd137 .&quot; &lt;<a href=3D"mailto:dcday137@gm=
ail.com" target=3D"_blank" rel=3D"noreferrer">dcday137@HIDDEN</a>&gt; wr=
ites:<br>
&gt;&gt; &gt;&gt;<br>
&gt;&gt; &gt;&gt; &gt; The patch Thomas seems to work from behind the proxy=
.=C2=A0 My current<br>
&gt;&gt; &gt;&gt; &gt; emacs version is 26.2, so I would think it would inc=
lude the commit<br>
&gt;&gt; &gt;&gt; &gt; Andreas is talking about....=C2=A0 I went and looked=
 it up - is this the<br>
&gt;&gt; &gt;&gt; &gt; correct commit?<br>
&gt;&gt; &gt;&gt; &gt;<br>
&gt;&gt; &gt;&gt; &gt; diff --git a/lisp/url/url-http.el b/lisp/url/url-htt=
p.el<br>
&gt;&gt; &gt;&gt; &gt; index 53798f7..817c5ce 100644<br>
&gt;&gt; &gt;&gt; &gt; --- a/lisp/url/url-http.el<br>
&gt;&gt; &gt;&gt; &gt; +++ b/lisp/url/url-http.el<br>
&gt;&gt; &gt;&gt; &gt; @@ -1412,7 +1412,9 @@ The return value of this funct=
ion is the<br>
&gt;&gt; &gt;&gt; &gt; retrieval buffer.&quot;<br>
&gt;&gt; &gt;&gt; &gt; &#39;url-http-wait-for-headers-change-function)<br>
&gt;&gt; &gt;&gt; &gt; (set-process-filter tls-connection &#39;url-http-gen=
eric-filter)<br>
&gt;&gt; &gt;&gt; &gt; (process-send-string tls-connection<br>
&gt;&gt; &gt;&gt; &gt; - (url-http-create-request)))<br>
&gt;&gt; &gt;&gt; &gt; + ;; Use the non-proxy form of the request<br>
&gt;&gt; &gt;&gt; &gt; + (let (url-http-proxy)<br>
&gt;&gt; &gt;&gt; &gt; + (url-http-create-request))))<br>
&gt;&gt; &gt;&gt; &gt; (gnutls-error<br>
&gt;&gt; &gt;&gt; &gt; (url-http-activate-callback)<br>
&gt;&gt; &gt;&gt; &gt; (error &quot;gnutls-error: %s&quot; e))<br>
&gt;&gt; &gt;&gt; &gt;<br>
&gt;&gt; &gt;&gt; &gt; Thanks!<br>
&gt;&gt; &gt;&gt; &gt;<br>
&gt;&gt; &gt;&gt; &gt; -C<br>
&gt;&gt; &gt;&gt; &gt;<br>
&gt;&gt; &gt;&gt; &gt;<br>
&gt;&gt; &gt;&gt; &gt; On Sat, Jun 15, 2019 at 1:41 AM Andreas Schwab &lt;<=
a href=3D"mailto:schwab@HIDDEN" target=3D"_blank" rel=3D"noreferrer=
">schwab@HIDDEN</a>&gt; wrote:<br>
&gt;&gt; &gt;&gt; &gt;&gt;<br>
&gt;&gt; &gt;&gt; &gt;&gt; On Jun 14 2019, Thomas Fitzsimmons &lt;<a href=
=3D"mailto:fitzsim@HIDDEN" target=3D"_blank" rel=3D"noreferrer">fitzsi=
m@HIDDEN</a>&gt; wrote:<br>
&gt;&gt; &gt;&gt; &gt;&gt;<br>
&gt;&gt; &gt;&gt; &gt;&gt; &gt; diff --git a/lisp/url/url-http.el b/lisp/ur=
l/url-http.el<br>
&gt;&gt; &gt;&gt; &gt;&gt; &gt; index 00803a103a..723d111d58 100644<br>
&gt;&gt; &gt;&gt; &gt;&gt; &gt; --- a/lisp/url/url-http.el<br>
&gt;&gt; &gt;&gt; &gt;&gt; &gt; +++ b/lisp/url/url-http.el<br>
&gt;&gt; &gt;&gt; &gt;&gt; &gt; @@ -329,7 +329,10 @@ url-http-create-reques=
t<br>
&gt;&gt; &gt;&gt; &gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0;; The request<br>
&gt;&gt; &gt;&gt; &gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0(or url-http-method &quot;GET&quot;) &quot; &quot;<br>
&gt;&gt; &gt;&gt; &gt;&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0(url-http--encode-string<br>
&gt;&gt; &gt;&gt; &gt;&gt; &gt; -=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 (if using-proxy (url-recreate-url url-http-target-url) real-fname))<=
br>
&gt;&gt; &gt;&gt; &gt;&gt; &gt; +=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 (if (and using-proxy<br>
&gt;&gt; &gt;&gt; &gt;&gt; &gt; +=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(not (equal &quot;https&quot; (url=
-type url-http-target-url))))<br>
&gt;&gt; &gt;&gt; &gt;&gt; &gt; +=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 (url-recreate-url url-http-target-url)<br>
&gt;&gt; &gt;&gt; &gt;&gt; &gt; +=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 real-fname))<br>
&gt;&gt; &gt;&gt; &gt;&gt;<br>
&gt;&gt; &gt;&gt; &gt;&gt; That should already be handled by commit 84613da=
e5c.<br>
&gt;&gt; &gt;&gt; &gt;&gt;<br>
&gt;&gt; &gt;&gt; &gt;&gt; Andreas.<br>
&gt;&gt; &gt;&gt; &gt;&gt;<br>
&gt;&gt; &gt;&gt; &gt;&gt; --<br>
&gt;&gt; &gt;&gt; &gt;&gt; Andreas Schwab, <a href=3D"mailto:schwab@linux-m=
68k.org" target=3D"_blank" rel=3D"noreferrer">schwab@HIDDEN</a><br>
&gt;&gt; &gt;&gt; &gt;&gt; GPG Key fingerprint =3D 7578 EB47 D4E5 4D69 2510=
=C2=A0 2552 DF73 E780 A9DA AEC1<br>
&gt;&gt; &gt;&gt; &gt;&gt; &quot;And now for something completely different=
.&quot;<br>
</blockquote></div>

--0000000000003d03be058d46c62a--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 9 Jul 2019 21:53:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 09 17:53:08 2019
Received: from localhost ([127.0.0.1]:34420 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hky2u-0001wQ-0M
	for submit <at> debbugs.gnu.org; Tue, 09 Jul 2019 17:53:08 -0400
Received: from mail-io1-f43.google.com ([209.85.166.43]:37741)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fitzsim@HIDDEN>) id 1hky2s-0001vp-BI
 for 35969 <at> debbugs.gnu.org; Tue, 09 Jul 2019 17:53:07 -0400
Received: by mail-io1-f43.google.com with SMTP id q22so290797iog.4
 for <35969 <at> debbugs.gnu.org>; Tue, 09 Jul 2019 14:53:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fitzsim-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=6+vGZCFzoNAi8ILK/7KxBe1UabNYD8oIGZZRk9CF1uA=;
 b=Zj3GmbqbE4kNIJJkWxt6XrQpMnml9Cxst/xsd+/xZEqYfo8mpgZKWaV6R4/0xkUJwV
 RoKVEknaLiBMPWxMrKoxinUJLLA59CGJBMTq4OZCV91oaobmbQZgnRhWYokhG1h/bn6Q
 CZwmllMbJfqEkjUyGcQVyqSMOcgMiVnn2JaHOREiC86COGZ5F0tk5hnivBo71oYkry/W
 mgZZid0gCBU+8cE7+0V29/2JMfOLXrodBxx/hZXD7XNBNlOBSMtuRbEsctMETfIMQLKx
 fJM0LcC6ku0tu4z9uxayugsZC+EdVTTk6+6s5tv5xn8axMv+ctdPZ4hattjFimA/oK6S
 KTAg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=6+vGZCFzoNAi8ILK/7KxBe1UabNYD8oIGZZRk9CF1uA=;
 b=QI4pmsDDSEwKdCWDg2fFPgwakRtnlSabjSTFVxvlD8LjiucXHmfxxViXxwgDLk0Alv
 2su47rnY/+nm3bfZZWEll9x+TFPrNRC0Y2qUYu5W8tFHfHYJNi4VwXC1VbPYx+jXipV5
 ru+nArIhz8wGfvGPskuVDi1ukwZawUedrBrO4YoW+meL6hYn+WIYU1XfSi/jZTEf1m3n
 0Lgjmffn1+XVrLbO7kNpqd9DE8INXeXIhTauQyLfAFCVHTsdufkM9yE0s/l7/KftulUw
 BX0cW1sX+L5B3Yb56os5Gx8sUbVL4zZrFhernclTcjryFYqsIwRQITXNfFcPbnHdkZ3j
 Qhbw==
X-Gm-Message-State: APjAAAVhdn4nGTC/HHx6qCHBZD6bn69E8d+Phxj8PWlm1IiFA01XfrQy
 B/I5QGebh0QcODkBD9Qcaszxg2OD57s=
X-Google-Smtp-Source: APXvYqzZUmXuhydcKgDe+3CzJaXJYlhODPkRqfwzU9cWLa4YM15lO/CpdDM8T6+oNs0RX2BQSSTyHA==
X-Received: by 2002:a5d:9047:: with SMTP id v7mr2379457ioq.18.1562709180264;
 Tue, 09 Jul 2019 14:53:00 -0700 (PDT)
Received: from localhost.localdomain (69-165-165-189.dsl.teksavvy.com.
 [69.165.165.189])
 by smtp.gmail.com with ESMTPSA id q13sm10197ioh.36.2019.07.09.14.52.59
 (version=TLS1_3 cipher=AEAD-AES128-GCM-SHA256 bits=128/128);
 Tue, 09 Jul 2019 14:52:59 -0700 (PDT)
From: Thomas Fitzsimmons <fitzsim@HIDDEN>
To: "tenspd137 ." <dcday137@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <m3h88rnanp.fsf@HIDDEN>
 <CAB=m8w+Fqu=XPmhDte=nuWf39i9fH=o16hxgVV0n29fyY0W+BQ@HIDDEN>
 <CAB=m8wJYHo23J0vA8sjkG0vN+YOp5s6khLOy_uGKNjsf8F5m1Q@HIDDEN>
 <CAB=m8wJMGEVFk-O0AzDEvdgy9P=RcfNo4vKTdxzV1kbw512UpA@HIDDEN>
 <CAB=m8wK8QEPddVK+NCsEMpGACGaoeOXDb-HNgDnttDHpM6do2g@HIDDEN>
 <m3wohnlm5z.fsf@HIDDEN> <m236kbuwgi.fsf@HIDDEN>
 <CAB=m8wJa9wX5FcbibgF5UqjXqkZ3W-dCdWXGcMyEwf8HgRDc6w@HIDDEN>
 <m3muiflvav.fsf@HIDDEN>
 <CAB=m8w+2B6iKE3X4GJ1ARjPFmQkqr6VwZmVU+AT_z=HB9MX-2w@HIDDEN>
 <m38stykxpf.fsf@HIDDEN>
 <CAB=m8w+JJoshj8MQ2pyMOmLpO4HMUyKO2=cVrGEnqCpMAbdzWw@HIDDEN>
Date: Tue, 09 Jul 2019 17:52:58 -0400
In-Reply-To: <CAB=m8w+JJoshj8MQ2pyMOmLpO4HMUyKO2=cVrGEnqCpMAbdzWw@HIDDEN>
 (tenspd's message of "Thu, 20 Jun 2019 14:34:48 -0600")
Message-ID: <m3ftnenadh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, Were you able to complete building Emacs? I'd like to
 know if my patch is needed on top of Andreas's to make Excorporate work
 through
 your proxy. I'm not sure why the built version would interfere with the
 current
 installation. If you were doing "make install" to a common prefix, that might
 explain it. Instead you can try something like this: 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: linux-m68k.org]
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.166.43 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 35969
Cc: Andreas Schwab <schwab@HIDDEN>, 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Hi,

Were you able to complete building Emacs?  I'd like to know if my patch
is needed on top of Andreas's to make Excorporate work through your
proxy.

I'm not sure why the built version would interfere with the current
installation.  If you were doing "make install" to a common prefix, that
might explain it.  Instead you can try something like this:

cd emacs-master [your github.com checkout]
make
mkdir test-home
HOME=`pwd`/test-home ./src/emacs -Q

That will ensure you're only running the built Emacs, and completely
ignoring the packages installed in your home directory.

Thomas

"tenspd137 ." <dcday137@HIDDEN> writes:

> I haven't tried the first item on the list yet - ie reloading Andreas'
> function.  i have tried to build emacs from
> https://github.com/emacs-mirror/emacs.git because I can't reach the
> official repo from my firewall for whatever reason.  I am sure it is
> something here.  Anyway, I was having problems because my built
> version (27.0.x) was getting seemingly mixed up with my current
> installation.  I can try again later, but right now things are pretty
> busy at work.
>
> Thanks.
>
> On Tue, Jun 18, 2019 at 10:26 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>>
>> Hi,
>>
>> "tenspd137 ." <dcday137@HIDDEN> writes:
>>
>> > So - I am not sure if I did it correctly, but I copied this function
>> > with Andreas' changes into a file:
>> >
>> > (defun url-https-proxy-after-change-function (_st _nd _length)
>> >   (let* ((process-buffer (current-buffer))
>> >          (proc (get-buffer-process process-buffer)))
>> >     (goto-char (point-min))
>> >     (when (re-search-forward "^\r?\n" nil t)
>> >       (backward-char 1)
>> >       ;; Saw the end of the headers
>> >       (setq url-http-end-of-headers (set-marker (make-marker) (point)))
>> >       (url-http-parse-response)
>> >       (cond
>> >        ((null url-http-response-status)
>> >         ;; We got back a headerless malformed response from the
>> >         ;; server.
>> >         (url-http-activate-callback)
>> >         (error "Malformed response from proxy, fail!"))
>> >        ((= url-http-response-status 200)
>> >         (if (gnutls-available-p)
>> >             (condition-case e
>> >                 (let ((tls-connection (gnutls-negotiate
>> >                                        :process proc
>> >                                        :hostname (url-host url-current-object)
>> >                                        :verify-error nil)))
>> >                   ;; check certificate validity
>> >                   (setq tls-connection
>> >                         (nsm-verify-connection tls-connection
>> >                                                (url-host url-current-object)
>> >                                                (url-port url-current-object)))
>> >                   (with-current-buffer process-buffer (erase-buffer))
>> >                   (set-process-buffer tls-connection process-buffer)
>> >                   (setq url-http-after-change-function
>> >                         'url-http-wait-for-headers-change-function)
>> >                   (set-process-filter tls-connection 'url-http-generic-filter)
>> >                   (process-send-string tls-connection
>> >                                        ;; Use the non-proxy form of the request
>> >                                        (let (url-http-proxy)
>> >                                          (url-http-create-request))))
>> >               (gnutls-error
>> >                (url-http-activate-callback)
>> >                (error "gnutls-error: %s" e))
>> >               (error
>> >                (url-http-activate-callback)
>> >                (error "error: %s" e)))
>> >           (error "error: gnutls support needed!")))
>> >        (t
>> >         (url-http-debug "error response: %d" url-http-response-status)
>> >         (url-http-activate-callback))))))
>> >
>> > and then loaded it before running excorporate.  After that, I did M-x
>> > excorporate, and the minibuffer returns:  error in process filter:
>> > Server response is not an XML document
>>
>> In this scenario, if you immediately (without restarting Emacs/reloading
>> anything) re-run M-x excorporate does it still fail?  I just want to
>> make sure that's not a transient failure.  If it does fail the second
>> time, can you post the HTTP response from the server?
>>
>> > When I do the similar test by loading the url-http-create-request with
>> > Thomas's changes, I can get a connection and grab my schedule
>> > through the proxy.
>>
>> OK.
>>
>> > Let me know if I need to try something different.
>>
>> Are you in a position to build Emacs master tip and retry the experiment
>> without patching anything?
>>
>> Thanks,
>> Thomas
>>
>> > On Mon, Jun 17, 2019 at 4:08 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>> >>
>> >> Hi,
>> >>
>> >> Good to hear that the patch I posted worked!
>> >>
>> >> Yes, that's the patch that Andreas's commit
>> >> 84613dae5c34ea742dd9a3e56f5acb55f604b483 applied.  From what I can tell,
>> >> you will not have that in Emacs 26.2.
>> >>
>> >> Can you try reverting my patch and applying Andreas's patch, and see if
>> >> Excorporate still works through the proxy?
>> >>
>> >> Thanks,
>> >> Thomas
>> >>
>> >> "tenspd137 ." <dcday137@HIDDEN> writes:
>> >>
>> >> > The patch Thomas seems to work from behind the proxy.  My current
>> >> > emacs version is 26.2, so I would think it would include the commit
>> >> > Andreas is talking about....  I went and looked it up - is this the
>> >> > correct commit?
>> >> >
>> >> > diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
>> >> > index 53798f7..817c5ce 100644
>> >> > --- a/lisp/url/url-http.el
>> >> > +++ b/lisp/url/url-http.el
>> >> > @@ -1412,7 +1412,9 @@ The return value of this function is the
>> >> > retrieval buffer."
>> >> > 'url-http-wait-for-headers-change-function)
>> >> > (set-process-filter tls-connection 'url-http-generic-filter)
>> >> > (process-send-string tls-connection
>> >> > - (url-http-create-request)))
>> >> > + ;; Use the non-proxy form of the request
>> >> > + (let (url-http-proxy)
>> >> > + (url-http-create-request))))
>> >> > (gnutls-error
>> >> > (url-http-activate-callback)
>> >> > (error "gnutls-error: %s" e))
>> >> >
>> >> > Thanks!
>> >> >
>> >> > -C
>> >> >
>> >> >
>> >> > On Sat, Jun 15, 2019 at 1:41 AM Andreas Schwab <schwab@HIDDEN> wrote:
>> >> >>
>> >> >> On Jun 14 2019, Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>> >> >>
>> >> >> > diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
>> >> >> > index 00803a103a..723d111d58 100644
>> >> >> > --- a/lisp/url/url-http.el
>> >> >> > +++ b/lisp/url/url-http.el
>> >> >> > @@ -329,7 +329,10 @@ url-http-create-request
>> >> >> >               ;; The request
>> >> >> >               (or url-http-method "GET") " "
>> >> >> >               (url-http--encode-string
>> >> >> > -              (if using-proxy (url-recreate-url url-http-target-url) real-fname))
>> >> >> > +              (if (and using-proxy
>> >> >> > +                       (not (equal "https" (url-type url-http-target-url))))
>> >> >> > +                  (url-recreate-url url-http-target-url)
>> >> >> > +                real-fname))
>> >> >>
>> >> >> That should already be handled by commit 84613dae5c.
>> >> >>
>> >> >> Andreas.
>> >> >>
>> >> >> --
>> >> >> Andreas Schwab, schwab@HIDDEN
>> >> >> GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
>> >> >> "And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 20 Jun 2019 20:35:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 20 16:35:08 2019
Received: from localhost ([127.0.0.1]:49337 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1he3m0-0007SE-1X
	for submit <at> debbugs.gnu.org; Thu, 20 Jun 2019 16:35:08 -0400
Received: from mail-wm1-f66.google.com ([209.85.128.66]:38526)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1he3ly-0007Rl-Jr
 for 35969 <at> debbugs.gnu.org; Thu, 20 Jun 2019 16:35:07 -0400
Received: by mail-wm1-f66.google.com with SMTP id s15so4411707wmj.3
 for <35969 <at> debbugs.gnu.org>; Thu, 20 Jun 2019 13:35:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=vFcAfTQGp72kEe4hbXguCgjn2VveR42HhlOWEh7ebVQ=;
 b=HWl6KoM23ZPsAhWCEEwQXEAlAoNXq3x+dOUoa+AMWgbLVzy+LnvccmJyrH5rNlRgJy
 DgkWc4uQ+DmociWiDfd4uNkXhTzMWd6cZuPpKrVYlcP+LPEMArivmiM3nrDCTWhgaLUg
 LZWyxr0wsbTypjbL2ubBqkKYCU4f1NXXMkIrmuhzPNNYVvTGlbB9EgA891pj+IvwkNq3
 Pjgz+D5JulR8JEIBTf0fNZN50dxvYSG1Fk85HYiUJi0BgIeTWLmwiPDjW7mDq0vBXdWi
 NhjJI47NncE+7dtKwkvsjDaJ7fh8U6FzpQRSct8LLQ2F1MK3S2hzEKE/qZ3EuQZmECx2
 11dA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=vFcAfTQGp72kEe4hbXguCgjn2VveR42HhlOWEh7ebVQ=;
 b=CRXa2C7IfyYMQnEtigC6VDtIlhLPYOC1UgbVte+9tO+3lxreZxDKVDIy5oST9nD2T0
 Orog0250NvBQ4J8MHKZhluQqhKDYfDGbTZTiTzOk2dyoJnfKscbgldZG6CJyM1J+US9d
 n6eAWLWcy29qJy6Twu7Q6BSHVFaK+Hej4Zg73YirmQxJlpfDIYkMeJ+lwdoz3ede5P6T
 b7PURJEP3VKm/khtd9vWP+GMkNvn6pVtheZm+Q02+XpfDzD6gHDRRBBT4xCd4bKB8PYW
 2yNi23c7XQ2yl3qPkbRic2AqdtnrBMC4aG13zKz8dPmAnAoaHfNqRvLbjNjfAYvmu09s
 vp7w==
X-Gm-Message-State: APjAAAX1gNZMucTQjaJn/PgqD4U2xtD2D9BTJiJ9a7LS6BbX2PrNQgyg
 1YE1fmW05VdDXLynPSsdeI1me+phTw653Hqxvi8=
X-Google-Smtp-Source: APXvYqxw/w4oUWnyNn7VbYUmigv1mOO6PXtUUXExDifyzCLmtAT5NLs9e3Uhbhulrn+N0Xr0Z1R5voRNjkC0gUquYH0=
X-Received: by 2002:a7b:c450:: with SMTP id l16mr951487wmi.0.1561062900523;
 Thu, 20 Jun 2019 13:35:00 -0700 (PDT)
MIME-Version: 1.0
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <CAB=m8wJfGveEzVm46j2MLGFupdv2Lwn3VwL02_RAdirzDJKcSg@HIDDEN>
 <CAB=m8wKv0dWgRctuc+bWyocNOPFertCt9K4SOB2Q_W5cPU_tTw@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <m3h88rnanp.fsf@HIDDEN>
 <CAB=m8w+Fqu=XPmhDte=nuWf39i9fH=o16hxgVV0n29fyY0W+BQ@HIDDEN>
 <CAB=m8wJYHo23J0vA8sjkG0vN+YOp5s6khLOy_uGKNjsf8F5m1Q@HIDDEN>
 <CAB=m8wJMGEVFk-O0AzDEvdgy9P=RcfNo4vKTdxzV1kbw512UpA@HIDDEN>
 <CAB=m8wK8QEPddVK+NCsEMpGACGaoeOXDb-HNgDnttDHpM6do2g@HIDDEN>
 <m3wohnlm5z.fsf@HIDDEN> <m236kbuwgi.fsf@HIDDEN>
 <CAB=m8wJa9wX5FcbibgF5UqjXqkZ3W-dCdWXGcMyEwf8HgRDc6w@HIDDEN>
 <m3muiflvav.fsf@HIDDEN>
 <CAB=m8w+2B6iKE3X4GJ1ARjPFmQkqr6VwZmVU+AT_z=HB9MX-2w@HIDDEN>
 <m38stykxpf.fsf@HIDDEN>
In-Reply-To: <m38stykxpf.fsf@HIDDEN>
From: "tenspd137 ." <dcday137@HIDDEN>
Date: Thu, 20 Jun 2019 14:34:48 -0600
Message-ID: <CAB=m8w+JJoshj8MQ2pyMOmLpO4HMUyKO2=cVrGEnqCpMAbdzWw@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
To: Thomas Fitzsimmons <fitzsim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 35969
Cc: Andreas Schwab <schwab@HIDDEN>, 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

I haven't tried the first item on the list yet - ie reloading Andreas'
function.  i have tried to build emacs from
https://github.com/emacs-mirror/emacs.git because I can't reach the
official repo from my firewall for whatever reason.  I am sure it is
something here.  Anyway, I was having problems because my built
version (27.0.x) was getting seemingly mixed up with my current
installation.  I can try again later, but right now things are pretty
busy at work.

Thanks.

On Tue, Jun 18, 2019 at 10:26 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>
> Hi,
>
> "tenspd137 ." <dcday137@HIDDEN> writes:
>
> > So - I am not sure if I did it correctly, but I copied this function
> > with Andreas' changes into a file:
> >
> > (defun url-https-proxy-after-change-function (_st _nd _length)
> >   (let* ((process-buffer (current-buffer))
> >          (proc (get-buffer-process process-buffer)))
> >     (goto-char (point-min))
> >     (when (re-search-forward "^\r?\n" nil t)
> >       (backward-char 1)
> >       ;; Saw the end of the headers
> >       (setq url-http-end-of-headers (set-marker (make-marker) (point)))
> >       (url-http-parse-response)
> >       (cond
> >        ((null url-http-response-status)
> >         ;; We got back a headerless malformed response from the
> >         ;; server.
> >         (url-http-activate-callback)
> >         (error "Malformed response from proxy, fail!"))
> >        ((= url-http-response-status 200)
> >         (if (gnutls-available-p)
> >             (condition-case e
> >                 (let ((tls-connection (gnutls-negotiate
> >                                        :process proc
> >                                        :hostname (url-host url-current-object)
> >                                        :verify-error nil)))
> >                   ;; check certificate validity
> >                   (setq tls-connection
> >                         (nsm-verify-connection tls-connection
> >                                                (url-host url-current-object)
> >                                                (url-port url-current-object)))
> >                   (with-current-buffer process-buffer (erase-buffer))
> >                   (set-process-buffer tls-connection process-buffer)
> >                   (setq url-http-after-change-function
> >                         'url-http-wait-for-headers-change-function)
> >                   (set-process-filter tls-connection 'url-http-generic-filter)
> >                   (process-send-string tls-connection
> >                                        ;; Use the non-proxy form of the request
> >                                        (let (url-http-proxy)
> >                                          (url-http-create-request))))
> >               (gnutls-error
> >                (url-http-activate-callback)
> >                (error "gnutls-error: %s" e))
> >               (error
> >                (url-http-activate-callback)
> >                (error "error: %s" e)))
> >           (error "error: gnutls support needed!")))
> >        (t
> >         (url-http-debug "error response: %d" url-http-response-status)
> >         (url-http-activate-callback))))))
> >
> > and then loaded it before running excorporate.  After that, I did M-x
> > excorporate, and the minibuffer returns:  error in process filter:
> > Server response is not an XML document
>
> In this scenario, if you immediately (without restarting Emacs/reloading
> anything) re-run M-x excorporate does it still fail?  I just want to
> make sure that's not a transient failure.  If it does fail the second
> time, can you post the HTTP response from the server?
>
> > When I do the similar test by loading the url-http-create-request with
> > Thomas's changes, I can get a connection and grab my schedule
> > through the proxy.
>
> OK.
>
> > Let me know if I need to try something different.
>
> Are you in a position to build Emacs master tip and retry the experiment
> without patching anything?
>
> Thanks,
> Thomas
>
> > On Mon, Jun 17, 2019 at 4:08 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
> >>
> >> Hi,
> >>
> >> Good to hear that the patch I posted worked!
> >>
> >> Yes, that's the patch that Andreas's commit
> >> 84613dae5c34ea742dd9a3e56f5acb55f604b483 applied.  From what I can tell,
> >> you will not have that in Emacs 26.2.
> >>
> >> Can you try reverting my patch and applying Andreas's patch, and see if
> >> Excorporate still works through the proxy?
> >>
> >> Thanks,
> >> Thomas
> >>
> >> "tenspd137 ." <dcday137@HIDDEN> writes:
> >>
> >> > The patch Thomas seems to work from behind the proxy.  My current
> >> > emacs version is 26.2, so I would think it would include the commit
> >> > Andreas is talking about....  I went and looked it up - is this the
> >> > correct commit?
> >> >
> >> > diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
> >> > index 53798f7..817c5ce 100644
> >> > --- a/lisp/url/url-http.el
> >> > +++ b/lisp/url/url-http.el
> >> > @@ -1412,7 +1412,9 @@ The return value of this function is the
> >> > retrieval buffer."
> >> > 'url-http-wait-for-headers-change-function)
> >> > (set-process-filter tls-connection 'url-http-generic-filter)
> >> > (process-send-string tls-connection
> >> > - (url-http-create-request)))
> >> > + ;; Use the non-proxy form of the request
> >> > + (let (url-http-proxy)
> >> > + (url-http-create-request))))
> >> > (gnutls-error
> >> > (url-http-activate-callback)
> >> > (error "gnutls-error: %s" e))
> >> >
> >> > Thanks!
> >> >
> >> > -C
> >> >
> >> >
> >> > On Sat, Jun 15, 2019 at 1:41 AM Andreas Schwab <schwab@HIDDEN> wrote:
> >> >>
> >> >> On Jun 14 2019, Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
> >> >>
> >> >> > diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
> >> >> > index 00803a103a..723d111d58 100644
> >> >> > --- a/lisp/url/url-http.el
> >> >> > +++ b/lisp/url/url-http.el
> >> >> > @@ -329,7 +329,10 @@ url-http-create-request
> >> >> >               ;; The request
> >> >> >               (or url-http-method "GET") " "
> >> >> >               (url-http--encode-string
> >> >> > -              (if using-proxy (url-recreate-url url-http-target-url) real-fname))
> >> >> > +              (if (and using-proxy
> >> >> > +                       (not (equal "https" (url-type url-http-target-url))))
> >> >> > +                  (url-recreate-url url-http-target-url)
> >> >> > +                real-fname))
> >> >>
> >> >> That should already be handled by commit 84613dae5c.
> >> >>
> >> >> Andreas.
> >> >>
> >> >> --
> >> >> Andreas Schwab, schwab@HIDDEN
> >> >> GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
> >> >> "And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 19 Jun 2019 04:26:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 19 00:26:16 2019
Received: from localhost ([127.0.0.1]:45856 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hdSAp-0003q5-N9
	for submit <at> debbugs.gnu.org; Wed, 19 Jun 2019 00:26:16 -0400
Received: from mail-io1-f65.google.com ([209.85.166.65]:44210)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fitzsim@HIDDEN>) id 1hdSAm-0003pk-Vi
 for 35969 <at> debbugs.gnu.org; Wed, 19 Jun 2019 00:26:14 -0400
Received: by mail-io1-f65.google.com with SMTP id s7so34978875iob.11
 for <35969 <at> debbugs.gnu.org>; Tue, 18 Jun 2019 21:26:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fitzsim-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=AB+vQeWxknYMScNtOnjYQ6eOKd6iJbnHngUN2gTp+Ag=;
 b=HEYIy0keTI6teamfQUJis9pBpK82bAvR/Dl8XiEnX1ygYxDsin3Q9OdlxR7AaIaOdM
 OTeAxonzNakIt8CeeIMf4iPNSpeH1/f2wprUUGpO92mxHAcQV0DplpNVqEWtYtzRQJAS
 axr1L7V0REe5INz2lIcjPXPwOhMPnoM193DKwTgizyK6JSlxfEkamUnaLyHIIsL+3+zQ
 +47/T5zZ643uAG2xTrAfGkgzP6Uj9Vw4xILG/Fdi1i6m2s6aRxM9HS64udegz9nazUVn
 mBioDv9orksdBKf5WhvjYWzfhhahJ6wOliwTLrUIP1hNBwdO4XfhoK8JaTM1QKr/vFr2
 Ywsw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=AB+vQeWxknYMScNtOnjYQ6eOKd6iJbnHngUN2gTp+Ag=;
 b=Vzp56+FuQd4SXUezPiGhzV9h37DOzWgsCVnp/VSAc7v5oD8szMHrKexnQV+zbEinrl
 vA5ULuwx79D3yKYEUAjcFRf2a72R9XqTDkXjE/5g+q3IRxazgaxm9mjtgKGJMdahPbf+
 uJIhj8fSmlZa7TD7Bdkyu7qHnv/7OUCGfMfqlRfkz/PWbm7JIjW15iBCqw739/wf7+8B
 ANCSWGTPznblqHOZsml/IDPnj45K0x2NH2BBu88vJQRo4U97Q74yp3Nbklv6JYL6L7nZ
 L6WZlfHgBZ/ngsOTIkuQRfDNyxvRIiRptIjEm4Nvo9zgHY2YoIJPJ0ccP1flVA0R1TXS
 BXbg==
X-Gm-Message-State: APjAAAUbT+3zQzgaJVZifAve+CdfifVDND53j2/+FbmiNdBEZ29douVt
 cgKf1mxiMHUtuchzUd/EIk0/v/2+EE0=
X-Google-Smtp-Source: APXvYqw9Giv7V0mdcfm/N2XJFRVjbhwn6tFTacVfd6dgfFSjFeph1lUNncKObTiBCk4ycSl/53c5Pw==
X-Received: by 2002:a02:7b2d:: with SMTP id q45mr91373389jac.127.1560918367082; 
 Tue, 18 Jun 2019 21:26:07 -0700 (PDT)
Received: from localhost.localdomain (69-165-165-189.dsl.teksavvy.com.
 [69.165.165.189])
 by smtp.gmail.com with ESMTPSA id h19sm13829313iol.65.2019.06.18.21.26.05
 (version=TLS1_3 cipher=AEAD-AES128-GCM-SHA256 bits=128/128);
 Tue, 18 Jun 2019 21:26:06 -0700 (PDT)
From: Thomas Fitzsimmons <fitzsim@HIDDEN>
To: "tenspd137 ." <dcday137@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <CAB=m8wJfGveEzVm46j2MLGFupdv2Lwn3VwL02_RAdirzDJKcSg@HIDDEN>
 <CAB=m8wKv0dWgRctuc+bWyocNOPFertCt9K4SOB2Q_W5cPU_tTw@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <m3h88rnanp.fsf@HIDDEN>
 <CAB=m8w+Fqu=XPmhDte=nuWf39i9fH=o16hxgVV0n29fyY0W+BQ@HIDDEN>
 <CAB=m8wJYHo23J0vA8sjkG0vN+YOp5s6khLOy_uGKNjsf8F5m1Q@HIDDEN>
 <CAB=m8wJMGEVFk-O0AzDEvdgy9P=RcfNo4vKTdxzV1kbw512UpA@HIDDEN>
 <CAB=m8wK8QEPddVK+NCsEMpGACGaoeOXDb-HNgDnttDHpM6do2g@HIDDEN>
 <m3wohnlm5z.fsf@HIDDEN> <m236kbuwgi.fsf@HIDDEN>
 <CAB=m8wJa9wX5FcbibgF5UqjXqkZ3W-dCdWXGcMyEwf8HgRDc6w@HIDDEN>
 <m3muiflvav.fsf@HIDDEN>
 <CAB=m8w+2B6iKE3X4GJ1ARjPFmQkqr6VwZmVU+AT_z=HB9MX-2w@HIDDEN>
Date: Wed, 19 Jun 2019 00:26:04 -0400
In-Reply-To: <CAB=m8w+2B6iKE3X4GJ1ARjPFmQkqr6VwZmVU+AT_z=HB9MX-2w@HIDDEN>
 (tenspd's message of "Tue, 18 Jun 2019 10:34:05 -0600")
Message-ID: <m38stykxpf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35969
Cc: Andreas Schwab <schwab@HIDDEN>, 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

"tenspd137 ." <dcday137@HIDDEN> writes:

> So - I am not sure if I did it correctly, but I copied this function
> with Andreas' changes into a file:
>
> (defun url-https-proxy-after-change-function (_st _nd _length)
>   (let* ((process-buffer (current-buffer))
>          (proc (get-buffer-process process-buffer)))
>     (goto-char (point-min))
>     (when (re-search-forward "^\r?\n" nil t)
>       (backward-char 1)
>       ;; Saw the end of the headers
>       (setq url-http-end-of-headers (set-marker (make-marker) (point)))
>       (url-http-parse-response)
>       (cond
>        ((null url-http-response-status)
>         ;; We got back a headerless malformed response from the
>         ;; server.
>         (url-http-activate-callback)
>         (error "Malformed response from proxy, fail!"))
>        ((= url-http-response-status 200)
>         (if (gnutls-available-p)
>             (condition-case e
>                 (let ((tls-connection (gnutls-negotiate
>                                        :process proc
>                                        :hostname (url-host url-current-object)
>                                        :verify-error nil)))
>                   ;; check certificate validity
>                   (setq tls-connection
>                         (nsm-verify-connection tls-connection
>                                                (url-host url-current-object)
>                                                (url-port url-current-object)))
>                   (with-current-buffer process-buffer (erase-buffer))
>                   (set-process-buffer tls-connection process-buffer)
>                   (setq url-http-after-change-function
>                         'url-http-wait-for-headers-change-function)
>                   (set-process-filter tls-connection 'url-http-generic-filter)
>                   (process-send-string tls-connection
>                                        ;; Use the non-proxy form of the request
>                                        (let (url-http-proxy)
>                                          (url-http-create-request))))
>               (gnutls-error
>                (url-http-activate-callback)
>                (error "gnutls-error: %s" e))
>               (error
>                (url-http-activate-callback)
>                (error "error: %s" e)))
>           (error "error: gnutls support needed!")))
>        (t
>         (url-http-debug "error response: %d" url-http-response-status)
>         (url-http-activate-callback))))))
>
> and then loaded it before running excorporate.  After that, I did M-x
> excorporate, and the minibuffer returns:  error in process filter:
> Server response is not an XML document

In this scenario, if you immediately (without restarting Emacs/reloading
anything) re-run M-x excorporate does it still fail?  I just want to
make sure that's not a transient failure.  If it does fail the second
time, can you post the HTTP response from the server?

> When I do the similar test by loading the url-http-create-request with
> Thomas's changes, I can get a connection and grab my schedule
> through the proxy.

OK.

> Let me know if I need to try something different.

Are you in a position to build Emacs master tip and retry the experiment
without patching anything?

Thanks,
Thomas

> On Mon, Jun 17, 2019 at 4:08 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>>
>> Hi,
>>
>> Good to hear that the patch I posted worked!
>>
>> Yes, that's the patch that Andreas's commit
>> 84613dae5c34ea742dd9a3e56f5acb55f604b483 applied.  From what I can tell,
>> you will not have that in Emacs 26.2.
>>
>> Can you try reverting my patch and applying Andreas's patch, and see if
>> Excorporate still works through the proxy?
>>
>> Thanks,
>> Thomas
>>
>> "tenspd137 ." <dcday137@HIDDEN> writes:
>>
>> > The patch Thomas seems to work from behind the proxy.  My current
>> > emacs version is 26.2, so I would think it would include the commit
>> > Andreas is talking about....  I went and looked it up - is this the
>> > correct commit?
>> >
>> > diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
>> > index 53798f7..817c5ce 100644
>> > --- a/lisp/url/url-http.el
>> > +++ b/lisp/url/url-http.el
>> > @@ -1412,7 +1412,9 @@ The return value of this function is the
>> > retrieval buffer."
>> > 'url-http-wait-for-headers-change-function)
>> > (set-process-filter tls-connection 'url-http-generic-filter)
>> > (process-send-string tls-connection
>> > - (url-http-create-request)))
>> > + ;; Use the non-proxy form of the request
>> > + (let (url-http-proxy)
>> > + (url-http-create-request))))
>> > (gnutls-error
>> > (url-http-activate-callback)
>> > (error "gnutls-error: %s" e))
>> >
>> > Thanks!
>> >
>> > -C
>> >
>> >
>> > On Sat, Jun 15, 2019 at 1:41 AM Andreas Schwab <schwab@HIDDEN> wrote:
>> >>
>> >> On Jun 14 2019, Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>> >>
>> >> > diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
>> >> > index 00803a103a..723d111d58 100644
>> >> > --- a/lisp/url/url-http.el
>> >> > +++ b/lisp/url/url-http.el
>> >> > @@ -329,7 +329,10 @@ url-http-create-request
>> >> >               ;; The request
>> >> >               (or url-http-method "GET") " "
>> >> >               (url-http--encode-string
>> >> > -              (if using-proxy (url-recreate-url url-http-target-url) real-fname))
>> >> > +              (if (and using-proxy
>> >> > +                       (not (equal "https" (url-type url-http-target-url))))
>> >> > +                  (url-recreate-url url-http-target-url)
>> >> > +                real-fname))
>> >>
>> >> That should already be handled by commit 84613dae5c.
>> >>
>> >> Andreas.
>> >>
>> >> --
>> >> Andreas Schwab, schwab@HIDDEN
>> >> GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
>> >> "And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 18 Jun 2019 16:34:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 18 12:34:24 2019
Received: from localhost ([127.0.0.1]:45489 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hdH3w-0007fg-9U
	for submit <at> debbugs.gnu.org; Tue, 18 Jun 2019 12:34:24 -0400
Received: from mail-wm1-f65.google.com ([209.85.128.65]:34972)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1hdH3u-0007fL-Iu
 for 35969 <at> debbugs.gnu.org; Tue, 18 Jun 2019 12:34:23 -0400
Received: by mail-wm1-f65.google.com with SMTP id c6so3966516wml.0
 for <35969 <at> debbugs.gnu.org>; Tue, 18 Jun 2019 09:34:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=BPXKQmxX7a+3wQzZBJ67jjV4Ul9e1rnS0kmbkDXyj4o=;
 b=Dzn6NXM2o9U+/2NTAj5jQ9lpH35ZylK3txp+YULvHH1Z0Y5bubD3ra87VfSsk5aJPM
 tjJNDUJDg5xVtAPJmaDagp50DH+SQM3GlA6HogKX7ssixwokAKIRWeHOXp5XfSBk8P72
 t5CPu+KqMaaVWPusYMZ1mo28rItbnYQJw368rlyTeBG1ryrwMmBzYNCVPF9RjasEDb1+
 3yGBN2agmgfEAmM7yBV8fIVyJbUk7bP2iGbtR8LALlao8KoXa650T3mEIJwgp/+alJkA
 mxwaX9dm2fKs0nzsGGhYuhj7U2tIOwFuoQ39ulpgaoM5QB8PEBjatd65+rAbFY2WM584
 0Y1Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=BPXKQmxX7a+3wQzZBJ67jjV4Ul9e1rnS0kmbkDXyj4o=;
 b=VcWLluDss2dyoEzvjSNO1MFA9mUF6KDQ3vAnvWfs2+AfidBc2I/tJIzViXAOWg68PR
 3la5K0pWC5eFuwCkJARaEu/NyNHlrQAbeMoQjGhbmg6ZVTeB5hoIQEyGkKnq7rMNAuVc
 XVa8MXfhsg+gHwW+EUmy4kFYKugj72rPNQnqgApBGJqgQbgaK3LXa4Y/zcjrw633bRiI
 v4Ypx89j2yxEsGznCHPTdzKEpEMXMWvvmTT7Wvd3/+NWcZOC6plvCA6X712HkjEeBo4i
 6dusAgs4QmLvmCymvizKNlhlc7WnOGgOFAV1abHAVLOdKIGFxwSZfNKvO2rvj5Lot9wZ
 SYkg==
X-Gm-Message-State: APjAAAUi6SjfXrJNTLL/HYXxNY/O03b1KJM9p4rVwYcZG2bYhmhFZFyK
 SBC4QApvG6H9umgAmLzHpLGaaTnlukxqEG62zx8=
X-Google-Smtp-Source: APXvYqxS8f0CB0J63KCIKAQpU5gODrB0VDF17qrpQLRreyVPYtu4u4c3hEIRXqOcwccqb4Y2Tw56HKUPDXtIKtT12Rw=
X-Received: by 2002:a7b:c450:: with SMTP id l16mr4665077wmi.0.1560875656448;
 Tue, 18 Jun 2019 09:34:16 -0700 (PDT)
MIME-Version: 1.0
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <CAB=m8wL0JNK+dQv68nddHuJ8yvHdsV9ehTaGJ00NK4spe1sQAQ@HIDDEN>
 <m3blze4872.fsf@HIDDEN>
 <CAB=m8wJfGveEzVm46j2MLGFupdv2Lwn3VwL02_RAdirzDJKcSg@HIDDEN>
 <CAB=m8wKv0dWgRctuc+bWyocNOPFertCt9K4SOB2Q_W5cPU_tTw@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <m3h88rnanp.fsf@HIDDEN>
 <CAB=m8w+Fqu=XPmhDte=nuWf39i9fH=o16hxgVV0n29fyY0W+BQ@HIDDEN>
 <CAB=m8wJYHo23J0vA8sjkG0vN+YOp5s6khLOy_uGKNjsf8F5m1Q@HIDDEN>
 <CAB=m8wJMGEVFk-O0AzDEvdgy9P=RcfNo4vKTdxzV1kbw512UpA@HIDDEN>
 <CAB=m8wK8QEPddVK+NCsEMpGACGaoeOXDb-HNgDnttDHpM6do2g@HIDDEN>
 <m3wohnlm5z.fsf@HIDDEN> <m236kbuwgi.fsf@HIDDEN>
 <CAB=m8wJa9wX5FcbibgF5UqjXqkZ3W-dCdWXGcMyEwf8HgRDc6w@HIDDEN>
 <m3muiflvav.fsf@HIDDEN>
In-Reply-To: <m3muiflvav.fsf@HIDDEN>
From: "tenspd137 ." <dcday137@HIDDEN>
Date: Tue, 18 Jun 2019 10:34:05 -0600
Message-ID: <CAB=m8w+2B6iKE3X4GJ1ARjPFmQkqr6VwZmVU+AT_z=HB9MX-2w@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
To: Thomas Fitzsimmons <fitzsim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 35969
Cc: Andreas Schwab <schwab@HIDDEN>, 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

So - I am not sure if I did it correctly, but I copied this function
with Andreas' changes into a file:

(defun url-https-proxy-after-change-function (_st _nd _length)
  (let* ((process-buffer (current-buffer))
         (proc (get-buffer-process process-buffer)))
    (goto-char (point-min))
    (when (re-search-forward "^\r?\n" nil t)
      (backward-char 1)
      ;; Saw the end of the headers
      (setq url-http-end-of-headers (set-marker (make-marker) (point)))
      (url-http-parse-response)
      (cond
       ((null url-http-response-status)
        ;; We got back a headerless malformed response from the
        ;; server.
        (url-http-activate-callback)
        (error "Malformed response from proxy, fail!"))
       ((= url-http-response-status 200)
        (if (gnutls-available-p)
            (condition-case e
                (let ((tls-connection (gnutls-negotiate
                                       :process proc
                                       :hostname (url-host url-current-object)
                                       :verify-error nil)))
                  ;; check certificate validity
                  (setq tls-connection
                        (nsm-verify-connection tls-connection
                                               (url-host url-current-object)
                                               (url-port url-current-object)))
                  (with-current-buffer process-buffer (erase-buffer))
                  (set-process-buffer tls-connection process-buffer)
                  (setq url-http-after-change-function
                        'url-http-wait-for-headers-change-function)
                  (set-process-filter tls-connection 'url-http-generic-filter)
                  (process-send-string tls-connection
                                       ;; Use the non-proxy form of the request
                                       (let (url-http-proxy)
                                         (url-http-create-request))))
              (gnutls-error
               (url-http-activate-callback)
               (error "gnutls-error: %s" e))
              (error
               (url-http-activate-callback)
               (error "error: %s" e)))
          (error "error: gnutls support needed!")))
       (t
        (url-http-debug "error response: %d" url-http-response-status)
        (url-http-activate-callback))))))

and then loaded it before running excorporate.  After that, I did M-x
excorporate, and the minibuffer returns:  error in process filter:
Server response is not an XML document

When I do the similar test by loading the url-http-create-request with
Thiomase's changes, I can get a connection and grab my schedule
through the proxy.

Let me know if I need to try something different.

Thanks!

-C

On Mon, Jun 17, 2019 at 4:08 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>
> Hi,
>
> Good to hear that the patch I posted worked!
>
> Yes, that's the patch that Andreas's commit
> 84613dae5c34ea742dd9a3e56f5acb55f604b483 applied.  From what I can tell,
> you will not have that in Emacs 26.2.
>
> Can you try reverting my patch and applying Andreas's patch, and see if
> Excorporate still works through the proxy?
>
> Thanks,
> Thomas
>
> "tenspd137 ." <dcday137@HIDDEN> writes:
>
> > The patch Thomas seems to work from behind the proxy.  My current
> > emacs version is 26.2, so I would think it would include the commit
> > Andreas is talking about....  I went and looked it up - is this the
> > correct commit?
> >
> > diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
> > index 53798f7..817c5ce 100644
> > --- a/lisp/url/url-http.el
> > +++ b/lisp/url/url-http.el
> > @@ -1412,7 +1412,9 @@ The return value of this function is the
> > retrieval buffer."
> > 'url-http-wait-for-headers-change-function)
> > (set-process-filter tls-connection 'url-http-generic-filter)
> > (process-send-string tls-connection
> > - (url-http-create-request)))
> > + ;; Use the non-proxy form of the request
> > + (let (url-http-proxy)
> > + (url-http-create-request))))
> > (gnutls-error
> > (url-http-activate-callback)
> > (error "gnutls-error: %s" e))
> >
> > Thanks!
> >
> > -C
> >
> >
> > On Sat, Jun 15, 2019 at 1:41 AM Andreas Schwab <schwab@HIDDEN> wrote:
> >>
> >> On Jun 14 2019, Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
> >>
> >> > diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
> >> > index 00803a103a..723d111d58 100644
> >> > --- a/lisp/url/url-http.el
> >> > +++ b/lisp/url/url-http.el
> >> > @@ -329,7 +329,10 @@ url-http-create-request
> >> >               ;; The request
> >> >               (or url-http-method "GET") " "
> >> >               (url-http--encode-string
> >> > -              (if using-proxy (url-recreate-url url-http-target-url) real-fname))
> >> > +              (if (and using-proxy
> >> > +                       (not (equal "https" (url-type url-http-target-url))))
> >> > +                  (url-recreate-url url-http-target-url)
> >> > +                real-fname))
> >>
> >> That should already be handled by commit 84613dae5c.
> >>
> >> Andreas.
> >>
> >> --
> >> Andreas Schwab, schwab@HIDDEN
> >> GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
> >> "And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 17 Jun 2019 22:08:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 17 18:08:18 2019
Received: from localhost ([127.0.0.1]:43407 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hcznV-0006iI-Vw
	for submit <at> debbugs.gnu.org; Mon, 17 Jun 2019 18:08:18 -0400
Received: from mail-io1-f65.google.com ([209.85.166.65]:45711)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fitzsim@HIDDEN>) id 1hcznT-0006i4-W5
 for 35969 <at> debbugs.gnu.org; Mon, 17 Jun 2019 18:08:16 -0400
Received: by mail-io1-f65.google.com with SMTP id e3so24853838ioc.12
 for <35969 <at> debbugs.gnu.org>; Mon, 17 Jun 2019 15:08:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fitzsim-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=4Xe2MgZuTHEcWyimThLbtpgUyDIyq656EG3kffyc2NI=;
 b=D+lEbXZrHXWWclpw97YFvh1sm6EeSYyhuQZChATKWpVEz+8kQNoHkwHeiH4FJ3g7mJ
 etj6z/NQ4PXhUhE4sBJ+x801GtmiBG30apvwzkvJl93JlO+RvgYMTbqqio9p0Wy2CTY9
 PPxZmFe4jtTg2FKOu8ob3Blg7N2vp5CThTuWB0eNkPXcrjIYMbHqcVYxtqkVbjm2EV6d
 fjKsjaCdAYieRUW63TIJKGmGTjgBX2wUg/v5lhiY+Ub1PETNtu6QR45QP5CDvp11F4zL
 nIAQ3EvfPSt8v8caGcKqu3kYF9YmTuVxofNN6UE9IUveFqxSb2cWRA2MtfGaa8x4uCkP
 +NMw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=4Xe2MgZuTHEcWyimThLbtpgUyDIyq656EG3kffyc2NI=;
 b=FP9KITsmzsymKUleMB15nt5qvgncZnRZsdVKob4puDqjfc8FXpowqQ+hoNwqt685AA
 RQzVvm2by0ze8XCh1oqDS+WsAENXxR1hzBuvhZv3NLXP1ISx59+vzXwrg5/HFI/9+0wk
 RKVJ/hvkFPPkUG82y3XFgOI6cwgfBh10HHPDoGhkSpRp8zacuQNiEp+tFhswLn1Z7ROK
 oIioftf7zi+dqn22jaAhcTdK1AyDb+tuPwTsLOAax8I1S0GYBNz0CV063s2NzsviOV3C
 sPrhicPytGwPSPn22WrHwsCrAn1xZtR1Wq0lp1qTc6sYJwJ94N93sPr4/wbcfrHuacRv
 eIbQ==
X-Gm-Message-State: APjAAAX49j5MQbWFT/jvWx7HDOQXqPN29RkImpg7AOrR963Sg5ucGIz9
 ZnjtC22WWweIN8gV2FAve5e0HkXCoUg=
X-Google-Smtp-Source: APXvYqyS8Iqciyis1yh6k6lQwKLqNE6POpNAWABM8+NLwynDpsB/Vc5iqxYANunLLfX7olJC11Q7vw==
X-Received: by 2002:a5e:8210:: with SMTP id l16mr1372764iom.240.1560809289854; 
 Mon, 17 Jun 2019 15:08:09 -0700 (PDT)
Received: from localhost.localdomain (69-165-165-189.dsl.teksavvy.com.
 [69.165.165.189])
 by smtp.gmail.com with ESMTPSA id k8sm14298375iob.78.2019.06.17.15.08.08
 (version=TLS1_3 cipher=AEAD-AES128-GCM-SHA256 bits=128/128);
 Mon, 17 Jun 2019 15:08:08 -0700 (PDT)
From: Thomas Fitzsimmons <fitzsim@HIDDEN>
To: "tenspd137 ." <dcday137@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <CAB=m8wL0JNK+dQv68nddHuJ8yvHdsV9ehTaGJ00NK4spe1sQAQ@HIDDEN>
 <m3blze4872.fsf@HIDDEN>
 <CAB=m8wJfGveEzVm46j2MLGFupdv2Lwn3VwL02_RAdirzDJKcSg@HIDDEN>
 <CAB=m8wKv0dWgRctuc+bWyocNOPFertCt9K4SOB2Q_W5cPU_tTw@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <m3h88rnanp.fsf@HIDDEN>
 <CAB=m8w+Fqu=XPmhDte=nuWf39i9fH=o16hxgVV0n29fyY0W+BQ@HIDDEN>
 <CAB=m8wJYHo23J0vA8sjkG0vN+YOp5s6khLOy_uGKNjsf8F5m1Q@HIDDEN>
 <CAB=m8wJMGEVFk-O0AzDEvdgy9P=RcfNo4vKTdxzV1kbw512UpA@HIDDEN>
 <CAB=m8wK8QEPddVK+NCsEMpGACGaoeOXDb-HNgDnttDHpM6do2g@HIDDEN>
 <m3wohnlm5z.fsf@HIDDEN> <m236kbuwgi.fsf@HIDDEN>
 <CAB=m8wJa9wX5FcbibgF5UqjXqkZ3W-dCdWXGcMyEwf8HgRDc6w@HIDDEN>
Date: Mon, 17 Jun 2019 18:08:08 -0400
In-Reply-To: <CAB=m8wJa9wX5FcbibgF5UqjXqkZ3W-dCdWXGcMyEwf8HgRDc6w@HIDDEN>
 (tenspd's message of "Mon, 17 Jun 2019 10:31:40 -0600")
Message-ID: <m3muiflvav.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35969
Cc: Andreas Schwab <schwab@HIDDEN>, 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Good to hear that the patch I posted worked!

Yes, that's the patch that Andreas's commit
84613dae5c34ea742dd9a3e56f5acb55f604b483 applied.  From what I can tell,
you will not have that in Emacs 26.2.

Can you try reverting my patch and applying Andreas's patch, and see if
Excorporate still works through the proxy?

Thanks,
Thomas

"tenspd137 ." <dcday137@HIDDEN> writes:

> The patch Thomas seems to work from behind the proxy.  My current
> emacs version is 26.2, so I would think it would include the commit
> Andreas is talking about....  I went and looked it up - is this the
> correct commit?
>
> diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
> index 53798f7..817c5ce 100644
> --- a/lisp/url/url-http.el
> +++ b/lisp/url/url-http.el
> @@ -1412,7 +1412,9 @@ The return value of this function is the
> retrieval buffer."
> 'url-http-wait-for-headers-change-function)
> (set-process-filter tls-connection 'url-http-generic-filter)
> (process-send-string tls-connection
> - (url-http-create-request)))
> + ;; Use the non-proxy form of the request
> + (let (url-http-proxy)
> + (url-http-create-request))))
> (gnutls-error
> (url-http-activate-callback)
> (error "gnutls-error: %s" e))
>
> Thanks!
>
> -C
>
>
> On Sat, Jun 15, 2019 at 1:41 AM Andreas Schwab <schwab@HIDDEN> wrote:
>>
>> On Jun 14 2019, Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>>
>> > diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
>> > index 00803a103a..723d111d58 100644
>> > --- a/lisp/url/url-http.el
>> > +++ b/lisp/url/url-http.el
>> > @@ -329,7 +329,10 @@ url-http-create-request
>> >               ;; The request
>> >               (or url-http-method "GET") " "
>> >               (url-http--encode-string
>> > -              (if using-proxy (url-recreate-url url-http-target-url) real-fname))
>> > +              (if (and using-proxy
>> > +                       (not (equal "https" (url-type url-http-target-url))))
>> > +                  (url-recreate-url url-http-target-url)
>> > +                real-fname))
>>
>> That should already be handled by commit 84613dae5c.
>>
>> Andreas.
>>
>> --
>> Andreas Schwab, schwab@HIDDEN
>> GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
>> "And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 17 Jun 2019 16:31:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 17 12:31:59 2019
Received: from localhost ([127.0.0.1]:43200 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hcuY2-0004ED-Ru
	for submit <at> debbugs.gnu.org; Mon, 17 Jun 2019 12:31:59 -0400
Received: from mail-wr1-f66.google.com ([209.85.221.66]:42166)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1hcuY1-0004Dv-ND
 for 35969 <at> debbugs.gnu.org; Mon, 17 Jun 2019 12:31:58 -0400
Received: by mail-wr1-f66.google.com with SMTP id x17so10677386wrl.9
 for <35969 <at> debbugs.gnu.org>; Mon, 17 Jun 2019 09:31:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=Ivpo6xoxx6VQ6647gHAu6Y/E6dM+u7Dexu6taWyc+qs=;
 b=H6WWXhPH24AhelhdlAAq4yJUNWATpQ+ZTtRkjcRpWxHntEbLgMgPBfSYnxRYwb32cs
 FzY8nAbIDBoGe01RTTE6CEutZFyQSV9rsT6CIe3VNXqsMv8GaG0R8Kf8oYyZpBCov7GR
 dCSqeJIdvYhrOzz5WsnJGDEU5PDoZbT38rfOVeQyzsn85KrRa72dV8T/JueyBM519uWZ
 8ZqcQnMP2UWSfCybsvrjrMnS++WljOEtgXexrOX6souQdNPtEnGRQoLolX76MeD0byVl
 9HBj72XJxjoJNXi5prbYQNYwwVOXN/lSre3HTsnEVZKogVXmUKFawZ8YLUZlNBVTTAWz
 GX8A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=Ivpo6xoxx6VQ6647gHAu6Y/E6dM+u7Dexu6taWyc+qs=;
 b=T+Ssgq3QfsvXTuI3YiiwqPbHMs8eULf8unrvjpyzwsHxSSpdJ99wrFVIXQd6W69noj
 1gt8GylZiKqzB6nnKQ4q67lZVfZo18oJUQurQHM2g4YbQUvno4PLYjxpR0Wi57rTjzwT
 sONvtV6TJyGzAAO2Rg5NMPndArxwcwYnRQZgHw2vEkI7QGJUTIrnT0/xK0vZ7KK2G2NO
 kt33834cP6Y3/M9qaixxumRA7xtRxxSrgqns3Rkb8j05ndWDGwTXJTDn0KBo7/MQd8q0
 aXI93i64v2Hcmc+wsF5XkBq0IqoGLNJa2Bo3dNMmisCOVfG3tYKRi/Na37mQA3g0CoyR
 jaqg==
X-Gm-Message-State: APjAAAWnY040LNSDwIJtnoTIMcck8rAW25WykPsg7UxRioO/luSSg3Wh
 700lki//405y1HNqgtGtyD0cJMJPM2/Zq3xQSjQ=
X-Google-Smtp-Source: APXvYqwhY5wV96b4GRmJjvIru2ryHhjD1e6R74GMIW6eUzgSmidrjOUi4ya3mv2Nvo/citmjlTSlXWNkqdbcoeN+0qk=
X-Received: by 2002:a5d:4708:: with SMTP id y8mr12677181wrq.85.1560789111578; 
 Mon, 17 Jun 2019 09:31:51 -0700 (PDT)
MIME-Version: 1.0
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <CAB=m8wJ8QDKuGb1HmpNVZ5y=iOR5bTg5yL=wTYRi9cpNS+Ryug@HIDDEN>
 <CAB=m8wLNB=pjWqGBCnXuXpDA=1UB4C0sDxuU23FZiwJNQDmxDA@HIDDEN>
 <CAB=m8wL0JNK+dQv68nddHuJ8yvHdsV9ehTaGJ00NK4spe1sQAQ@HIDDEN>
 <m3blze4872.fsf@HIDDEN>
 <CAB=m8wJfGveEzVm46j2MLGFupdv2Lwn3VwL02_RAdirzDJKcSg@HIDDEN>
 <CAB=m8wKv0dWgRctuc+bWyocNOPFertCt9K4SOB2Q_W5cPU_tTw@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <m3h88rnanp.fsf@HIDDEN>
 <CAB=m8w+Fqu=XPmhDte=nuWf39i9fH=o16hxgVV0n29fyY0W+BQ@HIDDEN>
 <CAB=m8wJYHo23J0vA8sjkG0vN+YOp5s6khLOy_uGKNjsf8F5m1Q@HIDDEN>
 <CAB=m8wJMGEVFk-O0AzDEvdgy9P=RcfNo4vKTdxzV1kbw512UpA@HIDDEN>
 <CAB=m8wK8QEPddVK+NCsEMpGACGaoeOXDb-HNgDnttDHpM6do2g@HIDDEN>
 <m3wohnlm5z.fsf@HIDDEN> <m236kbuwgi.fsf@HIDDEN>
In-Reply-To: <m236kbuwgi.fsf@HIDDEN>
From: "tenspd137 ." <dcday137@HIDDEN>
Date: Mon, 17 Jun 2019 10:31:40 -0600
Message-ID: <CAB=m8wJa9wX5FcbibgF5UqjXqkZ3W-dCdWXGcMyEwf8HgRDc6w@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
To: Andreas Schwab <schwab@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 35969
Cc: Thomas Fitzsimmons <fitzsim@HIDDEN>, 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

The patch Thomas seems to work from behind the proxy.  My current
emacs version is 26.2, so I would think it would include the commit
Andreas is talking about....  I went and looked it up - is this the
correct commit?

diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
index 53798f7..817c5ce 100644
--- a/lisp/url/url-http.el
+++ b/lisp/url/url-http.el
@@ -1412,7 +1412,9 @@ The return value of this function is the
retrieval buffer."
'url-http-wait-for-headers-change-function)
(set-process-filter tls-connection 'url-http-generic-filter)
(process-send-string tls-connection
- (url-http-create-request)))
+ ;; Use the non-proxy form of the request
+ (let (url-http-proxy)
+ (url-http-create-request))))
(gnutls-error
(url-http-activate-callback)
(error "gnutls-error: %s" e))

Thanks!

-C


On Sat, Jun 15, 2019 at 1:41 AM Andreas Schwab <schwab@HIDDEN> wrote:
>
> On Jun 14 2019, Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>
> > diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
> > index 00803a103a..723d111d58 100644
> > --- a/lisp/url/url-http.el
> > +++ b/lisp/url/url-http.el
> > @@ -329,7 +329,10 @@ url-http-create-request
> >               ;; The request
> >               (or url-http-method "GET") " "
> >               (url-http--encode-string
> > -              (if using-proxy (url-recreate-url url-http-target-url) real-fname))
> > +              (if (and using-proxy
> > +                       (not (equal "https" (url-type url-http-target-url))))
> > +                  (url-recreate-url url-http-target-url)
> > +                real-fname))
>
> That should already be handled by commit 84613dae5c.
>
> Andreas.
>
> --
> Andreas Schwab, schwab@HIDDEN
> GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
> "And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 15 Jun 2019 07:41:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 15 03:41:42 2019
Received: from localhost ([127.0.0.1]:38267 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hc3Jm-00030v-DD
	for submit <at> debbugs.gnu.org; Sat, 15 Jun 2019 03:41:42 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:36259)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1hc3Jj-00030k-RD
 for 35969 <at> debbugs.gnu.org; Sat, 15 Jun 2019 03:41:40 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 45QqDK1KYPz1rXvw;
 Sat, 15 Jun 2019 09:41:37 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 45QqDK123Wz1qqkn;
 Sat, 15 Jun 2019 09:41:37 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id rUXpSAEl7izx; Sat, 15 Jun 2019 09:41:36 +0200 (CEST)
X-Auth-Info: mGaCo9IIPH8v/rxz0Cb0OBNFwiXb0AGGRUlLI/XNIoJ21gb2vyWMS2kMBnU9Uzq6
Received: from linux.local (ppp-46-244-181-62.dynamic.mnet-online.de
 [46.244.181.62])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Sat, 15 Jun 2019 09:41:36 +0200 (CEST)
Received: by linux.local (Postfix, from userid 501)
 id 23CAC1E5466; Sat, 15 Jun 2019 09:41:33 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Thomas Fitzsimmons <fitzsim@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <CAB=m8wJ8QDKuGb1HmpNVZ5y=iOR5bTg5yL=wTYRi9cpNS+Ryug@HIDDEN>
 <CAB=m8wLNB=pjWqGBCnXuXpDA=1UB4C0sDxuU23FZiwJNQDmxDA@HIDDEN>
 <CAB=m8wL0JNK+dQv68nddHuJ8yvHdsV9ehTaGJ00NK4spe1sQAQ@HIDDEN>
 <m3blze4872.fsf@HIDDEN>
 <CAB=m8wJfGveEzVm46j2MLGFupdv2Lwn3VwL02_RAdirzDJKcSg@HIDDEN>
 <CAB=m8wKv0dWgRctuc+bWyocNOPFertCt9K4SOB2Q_W5cPU_tTw@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <m3h88rnanp.fsf@HIDDEN>
 <CAB=m8w+Fqu=XPmhDte=nuWf39i9fH=o16hxgVV0n29fyY0W+BQ@HIDDEN>
 <CAB=m8wJYHo23J0vA8sjkG0vN+YOp5s6khLOy_uGKNjsf8F5m1Q@HIDDEN>
 <CAB=m8wJMGEVFk-O0AzDEvdgy9P=RcfNo4vKTdxzV1kbw512UpA@HIDDEN>
 <CAB=m8wK8QEPddVK+NCsEMpGACGaoeOXDb-HNgDnttDHpM6do2g@HIDDEN>
 <m3wohnlm5z.fsf@HIDDEN>
X-Yow: Hey, I LIKE that POINT!!
Date: Sat, 15 Jun 2019 09:41:33 +0200
In-Reply-To: <m3wohnlm5z.fsf@HIDDEN> (Thomas Fitzsimmons's message of
 "Fri, 14 Jun 2019 20:36:24 -0400")
Message-ID: <m236kbuwgi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 35969
Cc: "tenspd137 ." <dcday137@HIDDEN>, 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

On Jun 14 2019, Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:

> diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
> index 00803a103a..723d111d58 100644
> --- a/lisp/url/url-http.el
> +++ b/lisp/url/url-http.el
> @@ -329,7 +329,10 @@ url-http-create-request
>               ;; The request
>               (or url-http-method "GET") " "
>               (url-http--encode-string
> -              (if using-proxy (url-recreate-url url-http-target-url) real-fname))
> +              (if (and using-proxy
> +                       (not (equal "https" (url-type url-http-target-url))))
> +                  (url-recreate-url url-http-target-url)
> +                real-fname))

That should already be handled by commit 84613dae5c.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 15 Jun 2019 00:45:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 14 20:45:33 2019
Received: from localhost ([127.0.0.1]:38131 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hbwp1-0000YK-2A
	for submit <at> debbugs.gnu.org; Fri, 14 Jun 2019 20:45:32 -0400
Received: from mail-wr1-f50.google.com ([209.85.221.50]:33807)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1hbwox-0000Y1-Rc
 for 35969 <at> debbugs.gnu.org; Fri, 14 Jun 2019 20:45:29 -0400
Received: by mail-wr1-f50.google.com with SMTP id k11so4234880wrl.1
 for <35969 <at> debbugs.gnu.org>; Fri, 14 Jun 2019 17:45:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=y035Sd6wrHIajMANFpfm+tD0yGA0a/zjtXca5dd6D30=;
 b=Y3YFAoT2/W9F8jbafb36V5nRgLd3j0feHHOEPyp++260Ju5yrBAAM5ECcJbEogprp4
 HqMzXCe9sUXEpx7fE12TScQyLrwrpu0Cp+79lo03SbmUeTfYipwg7BMw4p+7MKN4eFzC
 7aJA2zUOYLMmUbNOvSOaPGIQxB3eWajxpfadPHCq2I0ys2d0476UETw5fN8oscE8tvv+
 WIRhlLtPy7fA2WRizE7b55vMEpfzl6bnB3s3kv9QBh6STQ9WgOGCDWCOG5H/IG5hpIm4
 +O6LvAc0hUJ6N24MUdWdgi61HBDlaggqf6dD8dVz0zz0AtIrtEnr+4viIq0ksy/vWL5P
 9UQw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=y035Sd6wrHIajMANFpfm+tD0yGA0a/zjtXca5dd6D30=;
 b=tFGmePEnQw/fMoIZL17hkEevx43TNGtY1i0cbBSxrUKkp+8YJByVDldNSgzx7l9+v3
 OXgRY9vwHk4D7b+q2ebXopZP5SZGg+/BayLcnuR6NB99HRwSNv6btr93X9pGkzGU/SVe
 y8kQceTEOyzE85iFHGmcBVBvy+XXe1OK/qOv6EhYUuwmdxsrr2zUEkJUfuAwZzBZO87g
 ks7xMPzaXufjmYL3UaldPuaxnbu8GdDV+noDxZA8XbM5TzsQ9U5rOFVOofIXT7Mh3TKO
 N8LQbHnU2LLxG/OFMf6O+MG3vR848eH/nj6xfYnwDGcJ+ZuoaN1auJktaV6keQudGjjt
 /TNA==
X-Gm-Message-State: APjAAAVMMC4jA0OI3doFtgkBUqswCp78jIt3GZs5dlxi+sNDpfJv4Y5N
 QUPvPcoyEUARqrLUhJxgXm/FFfjl8LLn0NntrcuIopiI
X-Google-Smtp-Source: APXvYqwMi1roHVZZ/Pc3XWAXCiHEfFxQ1HL+eJ6joQyiqYd3Vg5sbcJsaFuGtjBVAKn4+mWC5qa4oSd+QfEGcA9qca0=
X-Received: by 2002:a5d:5186:: with SMTP id k6mr52823652wrv.30.1560559521485; 
 Fri, 14 Jun 2019 17:45:21 -0700 (PDT)
MIME-Version: 1.0
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <CAB=m8w+Q2S9zPHtOpjb7x+T29x+c37pws8pSZGhznN=B_he+xQ@HIDDEN>
 <CAB=m8wJ8QDKuGb1HmpNVZ5y=iOR5bTg5yL=wTYRi9cpNS+Ryug@HIDDEN>
 <CAB=m8wLNB=pjWqGBCnXuXpDA=1UB4C0sDxuU23FZiwJNQDmxDA@HIDDEN>
 <CAB=m8wL0JNK+dQv68nddHuJ8yvHdsV9ehTaGJ00NK4spe1sQAQ@HIDDEN>
 <m3blze4872.fsf@HIDDEN>
 <CAB=m8wJfGveEzVm46j2MLGFupdv2Lwn3VwL02_RAdirzDJKcSg@HIDDEN>
 <CAB=m8wKv0dWgRctuc+bWyocNOPFertCt9K4SOB2Q_W5cPU_tTw@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <m3h88rnanp.fsf@HIDDEN>
 <CAB=m8w+Fqu=XPmhDte=nuWf39i9fH=o16hxgVV0n29fyY0W+BQ@HIDDEN>
 <CAB=m8wJYHo23J0vA8sjkG0vN+YOp5s6khLOy_uGKNjsf8F5m1Q@HIDDEN>
 <CAB=m8wJMGEVFk-O0AzDEvdgy9P=RcfNo4vKTdxzV1kbw512UpA@HIDDEN>
 <CAB=m8wK8QEPddVK+NCsEMpGACGaoeOXDb-HNgDnttDHpM6do2g@HIDDEN>
 <m3a7ejn1r6.fsf@HIDDEN>
In-Reply-To: <m3a7ejn1r6.fsf@HIDDEN>
From: "tenspd137 ." <dcday137@HIDDEN>
Date: Fri, 14 Jun 2019 18:47:36 -0600
Message-ID: <CAB=m8w+vtoR_vTtY35+pTt0McMaP0NmOwQisQ=FTeas395aZ8Q@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
To: Thomas Fitzsimmons <fitzsim@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000edda48058b521305"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 35969
Cc: 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--000000000000edda48058b521305
Content-Type: text/plain; charset="UTF-8"

I'll be able to try on Monday....

Thanks!

C

On Fri, Jun 14, 2019, 6:14 PM Thomas Fitzsimmons <fitzsim@HIDDEN>
wrote:

> Hi,
>
> Yes, this seems really promising.  If you just replace (thefile) with
> real-fname (and re-eval your url-http-create-request), does Excorporate
> then work through the proxy?
>
> Thomas
>
> "tenspd137 ." <dcday137@HIDDEN> writes:
>
> > Sorry - I was working fast:
> >
> > *I created a function that changed the line
> > in  url-http-create-request so that the request looks like:*
> >
> > In a file I did:
> >
> > (defun thefile() "/EWS/Exchange.asmx")
> >
> > (copied from url-http library)
> > (defun url-http-create-request (&optional ref-url)
> > .....
> >    ;; This was done with a call to `format'.  Concatenating parts has
> >     ;; the advantage of keeping the parts of each header together and
> >     ;; allows us to elide null lines directly, at the cost of making
> >     ;; the layout less clear.
> >     (setq request
> >           (concat
> >              ;; The request
> >              (or url-http-method "GET") " "
> >              (url-http--encode-string
> >               (if using-proxy (thefile) real-fname))
> > <------------Changed this to "hardcode" the request as proof of
> > concept
> >              " HTTP/" url-http-version "\r\n"
> >              ;; Version of MIME we speak
> >              "MIME-Version: 1.0\r\n"
> >              ;; (maybe) Try to keep the connection open
> >              "Connection: " (if (or using-proxy .....
> > .......
> > .......
> >
> > Loaded the file and then ran (url-retriev-synchronously "https://
> ......")
> >
> > Thanks!
> >
> > -C
> >
> > On Fri, Jun 14, 2019 at 5:07 PM tenspd137 . <dcday137@HIDDEN> wrote:
> >>
> >> I think I figured it out.  I created a function that changed the line
> >> in  url-http-create-request so that the request looks like:
> >> GET /EWS/Exchange.asmx HTTP/1.1 <-----  *no server / host*
> >> MIME-Version: 1.0
> >> Connection: close
> >> Extension: Security/Digest Security/SSL
> >> Host: outlook.office365.com
> >> Accept-encoding: gzip
> >> Accept: */*
> >> User-Agent: URL/Emacs Emacs/26.2 (X11; x86_64-pc-linux-gnu)
> >> Cookie: OIDC=1; ClientId=8998C5691CD143E784857A0D01537963
> >> Authorization: Basic ZGF2aWQuYy5kYXlAaHAuY29tOlMxa3kzbGk3bmUwNzMxJSU=
> >>
> >> instead of
> >>
> >> GET https://outlook.office365.com/EWS/Exchange.asmx HTTP/1.1
> >> MIME-Version: 1.0
> >> Connection: close
> >> Extension: Security/Digest Security/SSL
> >> Host: outlook.office365.com
> >> Accept-encoding: gzip
> >> Accept: */*
> >> User-Agent: URL/Emacs Emacs/26.2 (X11; x86_64-pc-linux-gnu)
> >> Cookie: OIDC=1; ClientId=8998C5691CD143E784857A0D01537963
> >> Authorization: Basic ZGF2aWQuYy5kYXlAaHAuY29tOlMxa3kzbGk3bmUwNzMxJSU=
> >>
> >> and the results buffer gives: *http....*-#####
> >> HTTP/1.1 200 OK
> >> Cache-Control: private
> >> Content-Length: 1213
> >> Content-Type: text/html; charset=UTF-8
> >> Content-Encoding: gzip
> >> Vary: Accept-Encoding
> >> Server: Microsoft-IIS/10.0
> >> request-id: bcd31568-29fd-44e4-935f-35b54d697f33
> >> X-CalculatedFETarget: CY4PR18CU003.internal.outlook.com
> >> X-BackEndHttpStatus: 200
> >> Set-Cookie: exchangecookie=6c731ced364846f2a979bfaa84496f1e;
> >> expires=Sun, 14-Jun-2020 23:02:57 GMT; path=/; secure; HttpOnly
> >> X-FEProxyInfo: CY4PR18CA0059.NAMPRD18.PROD.OUTLOOK.COM
> >> X-CalculatedBETarget: CS1PR8401MB1223.NAMPRD84.PROD.OUTLOOK.COM
> >> X-BackEndHttpStatus: 200
> >> X-RUM-Validated: 1
> >> X-AspNet-Version: 4.0.30319
> >> X-BeSku: Gen9
> >> X-DiagInfo: CS1PR8401MB1223
> >> X-BEServer: CS1PR8401MB1223
> >> X-FEServer: CY4PR18CA0059
> >> X-Powered-By: ASP.NET
> >> X-FEServer: SN4PR0501CA0003
> >> Date: Fri, 14 Jun 2019 23:02:56 GMT
> >> Connection: close
> >>
> >> <HTML><HEAD><link rel="alternate" type="text/xml"
> >> href="
> https://cs1pr8401mb1223.namprd84.prod.outlook.com:444/EWS/Exchange.asmx?disco
> "/><STYLE
> >> type="text/css">#content{ FONT-SIZE: 0.7em; PADDING-BOTTOM: 2em;
> >> MARGIN-LEFT: 30px}BODY{MARGIN-TOP: 0px; MARGIN-LEFT: 0px; COLOR:
> >> #000000; FONT-FAMILY: Verdana; BACKGROUND-COLOR: white}P{MARGIN-TOP:
> >> 0px; MARGIN-BOTTOM: 12px; COLOR: #000000; FONT-FAMILY:
> >> Verdana}PRE{BORDER-RIGHT: #f0f0e0 1px solid; PADDING-RIGHT: 5px;
> >> BORDER-TOP: #f0f0e0 1px solid; MARGIN-TOP: -5px; PADDING-LEFT: 5px;
> >> FONT-SIZE: 1.2em; PADDING-BOTTOM: 5px; BORDER-LEFT: #f0f0e0 1px solid;
> >> PADDING-TOP: 5px; BORDER-BOTTOM: #f0f0e0 1px solid; FONT-FAMILY:
> >> Courier New; BACKGROUND-COLOR: #e5e5cc}.heading1{MARGIN-TOP: 0px;
> >> PADDING-LEFT: 15px; FONT-WEIGHT: normal; FONT-SIZE: 26px;
> >> MARGIN-BOTTOM: 0px; PADDING-BOTTOM: 3px; MARGIN-LEFT: -30px; WIDTH:
> >> 100%; COLOR: #ffffff; PADDING-TOP: 10px; FONT-FAMILY: Tahoma;
> >> BACKGROUND-COLOR: #003366}.intro{MARGIN-LEFT:
> >> -15px}</STYLE><TITLE>Service</TITLE></HEAD><BODY><DIV id="content"><P
> >> class="heading1">Service</P><BR/><P class="intro">You have created a
> >> service.<P class='intro'>To test this service, you will need to create
> >> a client and use it to call the service. You can do this using the
> >> svcutil.exe tool from the command line with the following syntax:</P>
> >> <BR/><PRE>svcutil.exe <A
> >> HREF="
> https://cs1pr8401mb1223.namprd84.prod.outlook.com:444/EWS/Services.wsdl">
> https://cs1pr8401mb1223.namprd84.prod.outlook.com:444/EWS/Services.wsdl
> </A></PRE></P><P
> >> class="intro"/>This will generate a configuration file and a code file
> >> that contains the client class. Add the two files to your client
> >> application and use the generated client class to call the Service.
> >> For example:<BR/><P class='intro'><B>C#</B></P><PRE><font
> >> color="blue">class </font><font color="teal">Test
> >> </font>{
> >> <font color="blue">    static void </font>Main()
> >>     {
> >>         <font color="teal">HelloClient</font> client = <font
> >> color="blue">new </font><font color="teal">HelloClient</font>();
> >>
> >> <font color="green">        // Use the 'client' variable to call
> >> operations on the service.
> >>
> >> </font><font color="green">        // Always close the client.
> >> </font>        client.Close();
> >>     }
> >> }
> >> </PRE><BR/><P class='intro'><B>Visual Basic</B></P><PRE><font
> >> color="blue">Class </font><font color="teal">Test
> >> </font><font color="blue">    Shared Sub </font>Main()
> >> <font color="blue">        Dim </font>client As <font
> >> color="teal">HelloClient</font> = <font color="blue">New </font><font
> >> color="teal">HelloClient</font>()
> >> <font color="green">        ' Use the 'client' variable to call
> >> operations on the service.
> >>
> >> </font><font color="green">        ' Always close the client.
> >> </font>        client.Close()
> >> <font color="blue">    End Sub
> >> </font><font color="blue">End Class</font></PRE></DIV></BODY></HTML>
> >>
> >> which matches the file saved with wget.
> >>
> >> That has to be worth something....
> >>
> >> Thanks!
> >>
> >> -C
> >>
> >> On Fri, Jun 14, 2019 at 4:07 PM tenspd137 . <dcday137@HIDDEN> wrote:
> >> >
> >> > Just some more things I noticed from the wget log vs. the emacs
> buffers:
> >> >
> >> > emacs: Accept-encoding:gzip, wget:Accept-encoding: identity
> >> >
> >> > emacs: GET  https://outlook.office365.com/EWS/Exchange.asmx HTTP/1.1,
> >> > wget: GET /EWS/Exchange.asmx HTTP/1.1
> >> >
> >> > Don't know if any of that is helpful, but there it is.
> >> >
> >> > Thanks!
> >> >
> >> > -C
> >> >
> >> > On Fri, Jun 14, 2019 at 3:48 PM tenspd137 . <dcday137@HIDDEN>
> wrote:
> >> > >
> >> > > Sorry - I am not in control of my proxy.  So, before I give up on
> this
> >> > > for today, I was going over the wget logs from trying the same
> thing.
> >> > > One thing I noticed is:
> >> > >
> >> > > Connection: Keep-Alive
> >> > > Proxy-Connection: Keep-Alive
> >> > >
> >> > > I see stuff in the emacs buffers mentioning Connection, and it says
> >> > > closed (unless marking the connection as busy is the same as keeping
> >> > > it open), but I don't see anything mentioning the proxy
> >> > > connection....?  Maybe another place to look?
> >> > >
> >> > > Just some ideas...
> >> > >
> >> > > Thanks!
> >> > >
> >> > > -C
> >> > >
> >> > > On Fri, Jun 14, 2019 at 3:02 PM Thomas Fitzsimmons <
> fitzsim@HIDDEN> wrote:
> >> > > >
> >> > > > Hi,
> >> > > >
> >> > > > Thanks for following up with these further test results.
> >> > > >
> >> > > > "tenspd137 ." <dcday137@HIDDEN> writes:
> >> > > >
> >> > > > > I was able to try stepping through an Emacs/proxy/Exchange test
> in an
> >> > > > > emacs -Q session.  After setting the proxy and configuring the
> >> > > > > debugger to step through url-http and url-http-async-sentilnel,
> the
> >> > > > > only thing I noticed is that it appears url-http-async-sentinel
> is not
> >> > > > > being called.
> >> > > >
> >> > > > OK, that's probably expected.  I listed it for completeness (all
> the
> >> > > > call sites of url-https-proxy-connect), but I guess it would only
> be
> >> > > > called under url-retrieve, not under url-retrieve-synchronously.
> >> > > >
> >> > > > > I also put the url-https-proxy-connect override you gave me
> earlier
> >> > > > > into a file, loaded it and set the debugger to run through that
> as
> >> > > > > well as set up proxies.  A broken down list of steps:
> >> > > > >
> >> > > > > 1.  Load file containing proxy and altered
> url-https-proxyconnect, set
> >> > > > > debugger to run through it when hit.
> >> > > > > 2.  set up url-http and url-http-async-sentinel to be picked up
> by debugger
> >> > > > > 3.  eval (url-retrieve-synchronously
> >> > > > > "https://outlook.office365.com/EWS/Exchange.asmx"), step
> through
> >> > > > > url-http
> >> > > > > 4.  Input username and password when asked
> >> > > > > 5.  Continue stepping until end
> >> > > > >
> >> > > > > url-http-async-sentinel is never called. " *http* ... -####"
> has text
> >> > > > > indicating failure. url-https-proxy-connect is indeed called.
> >> > > >
> >> > > > OK, it's good to know that url-http ultimately calls
> >> > > > url-https-proxy-connect.  Unfortunately, despite this, proxying
> does not
> >> > > > work.
> >> > > >
> >> > > > > I don't know how to look at the actual <process>, if I try to
> C-x C-e
> >> > > > > or M-: "connection", it goes into the debugger.  The url's, etc
> look
> >> > > > > good as far as I can tell.  Not sure what else I can do.  If
> there are
> >> > > > > certain pieces of url-http you want me to look at, just let me
> know,
> >> > > > > but not really knowing what has to happen under the hood, I am
> not
> >> > > > > going to be able to do much else.
> >> > > >
> >> > > > I think I'll probably have to set up my own test environment.
> Are you
> >> > > > in control of the proxy and its configuration?  If so, can you
> provide
> >> > > > rough configuration instructions (proxy software, version,
> relevant
> >> > > > config settings)?  If not, that's OK, I can try setting up
> generic proxy
> >> > > > software.
> >> > > >
> >> > > > Thanks,
> >> > > > Thomas
>

--000000000000edda48058b521305
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">I&#39;ll be able to try on Monday....<div dir=3D"auto"><b=
r></div><div dir=3D"auto">Thanks!</div><div dir=3D"auto"><br></div><div dir=
=3D"auto">C</div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" clas=
s=3D"gmail_attr">On Fri, Jun 14, 2019, 6:14 PM Thomas Fitzsimmons &lt;<a hr=
ef=3D"mailto:fitzsim@HIDDEN">fitzsim@HIDDEN</a>&gt; wrote:<br></d=
iv><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left=
:1px #ccc solid;padding-left:1ex">Hi,<br>
<br>
Yes, this seems really promising.=C2=A0 If you just replace (thefile) with<=
br>
real-fname (and re-eval your url-http-create-request), does Excorporate<br>
then work through the proxy?<br>
<br>
Thomas<br>
<br>
&quot;tenspd137 .&quot; &lt;<a href=3D"mailto:dcday137@HIDDEN" target=3D=
"_blank" rel=3D"noreferrer">dcday137@HIDDEN</a>&gt; writes:<br>
<br>
&gt; Sorry - I was working fast:<br>
&gt;<br>
&gt; *I created a function that changed the line<br>
&gt; in=C2=A0 url-http-create-request so that the request looks like:*<br>
&gt;<br>
&gt; In a file I did:<br>
&gt;<br>
&gt; (defun thefile() &quot;/EWS/Exchange.asmx&quot;)<br>
&gt;<br>
&gt; (copied from url-http library)<br>
&gt; (defun url-http-create-request (&amp;optional ref-url)<br>
&gt; .....<br>
&gt;=C2=A0 =C2=A0 ;; This was done with a call to `format&#39;.=C2=A0 Conca=
tenating parts has<br>
&gt;=C2=A0 =C2=A0 =C2=A0;; the advantage of keeping the parts of each heade=
r together and<br>
&gt;=C2=A0 =C2=A0 =C2=A0;; allows us to elide null lines directly, at the c=
ost of making<br>
&gt;=C2=A0 =C2=A0 =C2=A0;; the layout less clear.<br>
&gt;=C2=A0 =C2=A0 =C2=A0(setq request<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(concat<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 ;; The request<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (or url-http-method &q=
uot;GET&quot;) &quot; &quot;<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (url-http--encode-stri=
ng<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(if using-proxy =
(thefile) real-fname))<br>
&gt; &lt;------------Changed this to &quot;hardcode&quot; the request as pr=
oof of<br>
&gt; concept<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 &quot; HTTP/&quot; url=
-http-version &quot;\r\n&quot;<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 ;; Version of MIME we =
speak<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 &quot;MIME-Version: 1.=
0\r\n&quot;<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 ;; (maybe) Try to keep=
 the connection open<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 &quot;Connection: &quo=
t; (if (or using-proxy .....<br>
&gt; .......<br>
&gt; .......<br>
&gt;<br>
&gt; Loaded the file and then ran (url-retriev-synchronously &quot;https://=
......&quot;)<br>
&gt;<br>
&gt; Thanks!<br>
&gt;<br>
&gt; -C<br>
&gt;<br>
&gt; On Fri, Jun 14, 2019 at 5:07 PM tenspd137 . &lt;<a href=3D"mailto:dcda=
y137@HIDDEN" target=3D"_blank" rel=3D"noreferrer">dcday137@HIDDEN</a>=
&gt; wrote:<br>
&gt;&gt;<br>
&gt;&gt; I think I figured it out.=C2=A0 I created a function that changed =
the line<br>
&gt;&gt; in=C2=A0 url-http-create-request so that the request looks like:<b=
r>
&gt;&gt; GET /EWS/Exchange.asmx HTTP/1.1 &lt;-----=C2=A0 *no server / host*=
<br>
&gt;&gt; MIME-Version: 1.0<br>
&gt;&gt; Connection: close<br>
&gt;&gt; Extension: Security/Digest Security/SSL<br>
&gt;&gt; Host: <a href=3D"http://outlook.office365.com" rel=3D"noreferrer n=
oreferrer" target=3D"_blank">outlook.office365.com</a><br>
&gt;&gt; Accept-encoding: gzip<br>
&gt;&gt; Accept: */*<br>
&gt;&gt; User-Agent: URL/Emacs Emacs/26.2 (X11; x86_64-pc-linux-gnu)<br>
&gt;&gt; Cookie: OIDC=3D1; ClientId=3D8998C5691CD143E784857A0D01537963<br>
&gt;&gt; Authorization: Basic ZGF2aWQuYy5kYXlAaHAuY29tOlMxa3kzbGk3bmUwNzMxJ=
SU=3D<br>
&gt;&gt;<br>
&gt;&gt; instead of<br>
&gt;&gt;<br>
&gt;&gt; GET <a href=3D"https://outlook.office365.com/EWS/Exchange.asmx" re=
l=3D"noreferrer noreferrer" target=3D"_blank">https://outlook.office365.com=
/EWS/Exchange.asmx</a> HTTP/1.1<br>
&gt;&gt; MIME-Version: 1.0<br>
&gt;&gt; Connection: close<br>
&gt;&gt; Extension: Security/Digest Security/SSL<br>
&gt;&gt; Host: <a href=3D"http://outlook.office365.com" rel=3D"noreferrer n=
oreferrer" target=3D"_blank">outlook.office365.com</a><br>
&gt;&gt; Accept-encoding: gzip<br>
&gt;&gt; Accept: */*<br>
&gt;&gt; User-Agent: URL/Emacs Emacs/26.2 (X11; x86_64-pc-linux-gnu)<br>
&gt;&gt; Cookie: OIDC=3D1; ClientId=3D8998C5691CD143E784857A0D01537963<br>
&gt;&gt; Authorization: Basic ZGF2aWQuYy5kYXlAaHAuY29tOlMxa3kzbGk3bmUwNzMxJ=
SU=3D<br>
&gt;&gt;<br>
&gt;&gt; and the results buffer gives: *http....*-#####<br>
&gt;&gt; HTTP/1.1 200 OK<br>
&gt;&gt; Cache-Control: private<br>
&gt;&gt; Content-Length: 1213<br>
&gt;&gt; Content-Type: text/html; charset=3DUTF-8<br>
&gt;&gt; Content-Encoding: gzip<br>
&gt;&gt; Vary: Accept-Encoding<br>
&gt;&gt; Server: Microsoft-IIS/10.0<br>
&gt;&gt; request-id: bcd31568-29fd-44e4-935f-35b54d697f33<br>
&gt;&gt; X-CalculatedFETarget: <a href=3D"http://CY4PR18CU003.internal.outl=
ook.com" rel=3D"noreferrer noreferrer" target=3D"_blank">CY4PR18CU003.inter=
nal.outlook.com</a><br>
&gt;&gt; X-BackEndHttpStatus: 200<br>
&gt;&gt; Set-Cookie: exchangecookie=3D6c731ced364846f2a979bfaa84496f1e;<br>
&gt;&gt; expires=3DSun, 14-Jun-2020 23:02:57 GMT; path=3D/; secure; HttpOnl=
y<br>
&gt;&gt; X-FEProxyInfo: <a href=3D"http://CY4PR18CA0059.NAMPRD18.PROD.OUTLO=
OK.COM" rel=3D"noreferrer noreferrer" target=3D"_blank">CY4PR18CA0059.NAMPR=
D18.PROD.OUTLOOK.COM</a><br>
&gt;&gt; X-CalculatedBETarget: <a href=3D"http://CS1PR8401MB1223.NAMPRD84.P=
ROD.OUTLOOK.COM" rel=3D"noreferrer noreferrer" target=3D"_blank">CS1PR8401M=
B1223.NAMPRD84.PROD.OUTLOOK.COM</a><br>
&gt;&gt; X-BackEndHttpStatus: 200<br>
&gt;&gt; X-RUM-Validated: 1<br>
&gt;&gt; X-AspNet-Version: 4.0.30319<br>
&gt;&gt; X-BeSku: Gen9<br>
&gt;&gt; X-DiagInfo: CS1PR8401MB1223<br>
&gt;&gt; X-BEServer: CS1PR8401MB1223<br>
&gt;&gt; X-FEServer: CY4PR18CA0059<br>
&gt;&gt; X-Powered-By: <a href=3D"http://ASP.NET" rel=3D"noreferrer norefer=
rer" target=3D"_blank">ASP.NET</a><br>
&gt;&gt; X-FEServer: SN4PR0501CA0003<br>
&gt;&gt; Date: Fri, 14 Jun 2019 23:02:56 GMT<br>
&gt;&gt; Connection: close<br>
&gt;&gt;<br>
&gt;&gt; &lt;HTML&gt;&lt;HEAD&gt;&lt;link rel=3D&quot;alternate&quot; type=
=3D&quot;text/xml&quot;<br>
&gt;&gt; href=3D&quot;<a href=3D"https://cs1pr8401mb1223.namprd84.prod.outl=
ook.com:444/EWS/Exchange.asmx?disco" rel=3D"noreferrer noreferrer" target=
=3D"_blank">https://cs1pr8401mb1223.namprd84.prod.outlook.com:444/EWS/Excha=
nge.asmx?disco</a>&quot;/&gt;&lt;STYLE<br>
&gt;&gt; type=3D&quot;text/css&quot;&gt;#content{ FONT-SIZE: 0.7em; PADDING=
-BOTTOM: 2em;<br>
&gt;&gt; MARGIN-LEFT: 30px}BODY{MARGIN-TOP: 0px; MARGIN-LEFT: 0px; COLOR:<b=
r>
&gt;&gt; #000000; FONT-FAMILY: Verdana; BACKGROUND-COLOR: white}P{MARGIN-TO=
P:<br>
&gt;&gt; 0px; MARGIN-BOTTOM: 12px; COLOR: #000000; FONT-FAMILY:<br>
&gt;&gt; Verdana}PRE{BORDER-RIGHT: #f0f0e0 1px solid; PADDING-RIGHT: 5px;<b=
r>
&gt;&gt; BORDER-TOP: #f0f0e0 1px solid; MARGIN-TOP: -5px; PADDING-LEFT: 5px=
;<br>
&gt;&gt; FONT-SIZE: 1.2em; PADDING-BOTTOM: 5px; BORDER-LEFT: #f0f0e0 1px so=
lid;<br>
&gt;&gt; PADDING-TOP: 5px; BORDER-BOTTOM: #f0f0e0 1px solid; FONT-FAMILY:<b=
r>
&gt;&gt; Courier New; BACKGROUND-COLOR: #e5e5cc}.heading1{MARGIN-TOP: 0px;<=
br>
&gt;&gt; PADDING-LEFT: 15px; FONT-WEIGHT: normal; FONT-SIZE: 26px;<br>
&gt;&gt; MARGIN-BOTTOM: 0px; PADDING-BOTTOM: 3px; MARGIN-LEFT: -30px; WIDTH=
:<br>
&gt;&gt; 100%; COLOR: #ffffff; PADDING-TOP: 10px; FONT-FAMILY: Tahoma;<br>
&gt;&gt; BACKGROUND-COLOR: #003366}.intro{MARGIN-LEFT:<br>
&gt;&gt; -15px}&lt;/STYLE&gt;&lt;TITLE&gt;Service&lt;/TITLE&gt;&lt;/HEAD&gt=
;&lt;BODY&gt;&lt;DIV id=3D&quot;content&quot;&gt;&lt;P<br>
&gt;&gt; class=3D&quot;heading1&quot;&gt;Service&lt;/P&gt;&lt;BR/&gt;&lt;P =
class=3D&quot;intro&quot;&gt;You have created a<br>
&gt;&gt; service.&lt;P class=3D&#39;intro&#39;&gt;To test this service, you=
 will need to create<br>
&gt;&gt; a client and use it to call the service. You can do this using the=
<br>
&gt;&gt; svcutil.exe tool from the command line with the following syntax:&=
lt;/P&gt;<br>
&gt;&gt; &lt;BR/&gt;&lt;PRE&gt;svcutil.exe &lt;A<br>
&gt;&gt; HREF=3D&quot;<a href=3D"https://cs1pr8401mb1223.namprd84.prod.outl=
ook.com:444/EWS/Services.wsdl" rel=3D"noreferrer noreferrer" target=3D"_bla=
nk">https://cs1pr8401mb1223.namprd84.prod.outlook.com:444/EWS/Services.wsdl=
</a>&quot;&gt;<a href=3D"https://cs1pr8401mb1223.namprd84.prod.outlook.com:=
444/EWS/Services.wsdl" rel=3D"noreferrer noreferrer" target=3D"_blank">http=
s://cs1pr8401mb1223.namprd84.prod.outlook.com:444/EWS/Services.wsdl</a>&lt;=
/A&gt;&lt;/PRE&gt;&lt;/P&gt;&lt;P<br>
&gt;&gt; class=3D&quot;intro&quot;/&gt;This will generate a configuration f=
ile and a code file<br>
&gt;&gt; that contains the client class. Add the two files to your client<b=
r>
&gt;&gt; application and use the generated client class to call the Service=
.<br>
&gt;&gt; For example:&lt;BR/&gt;&lt;P class=3D&#39;intro&#39;&gt;&lt;B&gt;C=
#&lt;/B&gt;&lt;/P&gt;&lt;PRE&gt;&lt;font<br>
&gt;&gt; color=3D&quot;blue&quot;&gt;class &lt;/font&gt;&lt;font color=3D&q=
uot;teal&quot;&gt;Test<br>
&gt;&gt; &lt;/font&gt;{<br>
&gt;&gt; &lt;font color=3D&quot;blue&quot;&gt;=C2=A0 =C2=A0 static void &lt=
;/font&gt;Main()<br>
&gt;&gt;=C2=A0 =C2=A0 =C2=A0{<br>
&gt;&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0&lt;font color=3D&quot;teal&quot;=
&gt;HelloClient&lt;/font&gt; client =3D &lt;font<br>
&gt;&gt; color=3D&quot;blue&quot;&gt;new &lt;/font&gt;&lt;font color=3D&quo=
t;teal&quot;&gt;HelloClient&lt;/font&gt;();<br>
&gt;&gt;<br>
&gt;&gt; &lt;font color=3D&quot;green&quot;&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =
// Use the &#39;client&#39; variable to call<br>
&gt;&gt; operations on the service.<br>
&gt;&gt;<br>
&gt;&gt; &lt;/font&gt;&lt;font color=3D&quot;green&quot;&gt;=C2=A0 =C2=A0 =
=C2=A0 =C2=A0 // Always close the client.<br>
&gt;&gt; &lt;/font&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 client.Close();<br>
&gt;&gt;=C2=A0 =C2=A0 =C2=A0}<br>
&gt;&gt; }<br>
&gt;&gt; &lt;/PRE&gt;&lt;BR/&gt;&lt;P class=3D&#39;intro&#39;&gt;&lt;B&gt;V=
isual Basic&lt;/B&gt;&lt;/P&gt;&lt;PRE&gt;&lt;font<br>
&gt;&gt; color=3D&quot;blue&quot;&gt;Class &lt;/font&gt;&lt;font color=3D&q=
uot;teal&quot;&gt;Test<br>
&gt;&gt; &lt;/font&gt;&lt;font color=3D&quot;blue&quot;&gt;=C2=A0 =C2=A0 Sh=
ared Sub &lt;/font&gt;Main()<br>
&gt;&gt; &lt;font color=3D&quot;blue&quot;&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 D=
im &lt;/font&gt;client As &lt;font<br>
&gt;&gt; color=3D&quot;teal&quot;&gt;HelloClient&lt;/font&gt; =3D &lt;font =
color=3D&quot;blue&quot;&gt;New &lt;/font&gt;&lt;font<br>
&gt;&gt; color=3D&quot;teal&quot;&gt;HelloClient&lt;/font&gt;()<br>
&gt;&gt; &lt;font color=3D&quot;green&quot;&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =
&#39; Use the &#39;client&#39; variable to call<br>
&gt;&gt; operations on the service.<br>
&gt;&gt;<br>
&gt;&gt; &lt;/font&gt;&lt;font color=3D&quot;green&quot;&gt;=C2=A0 =C2=A0 =
=C2=A0 =C2=A0 &#39; Always close the client.<br>
&gt;&gt; &lt;/font&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 client.Close()<br>
&gt;&gt; &lt;font color=3D&quot;blue&quot;&gt;=C2=A0 =C2=A0 End Sub<br>
&gt;&gt; &lt;/font&gt;&lt;font color=3D&quot;blue&quot;&gt;End Class&lt;/fo=
nt&gt;&lt;/PRE&gt;&lt;/DIV&gt;&lt;/BODY&gt;&lt;/HTML&gt;<br>
&gt;&gt;<br>
&gt;&gt; which matches the file saved with wget.<br>
&gt;&gt;<br>
&gt;&gt; That has to be worth something....<br>
&gt;&gt;<br>
&gt;&gt; Thanks!<br>
&gt;&gt;<br>
&gt;&gt; -C<br>
&gt;&gt;<br>
&gt;&gt; On Fri, Jun 14, 2019 at 4:07 PM tenspd137 . &lt;<a href=3D"mailto:=
dcday137@HIDDEN" target=3D"_blank" rel=3D"noreferrer">dcday137@HIDDEN=
</a>&gt; wrote:<br>
&gt;&gt; &gt;<br>
&gt;&gt; &gt; Just some more things I noticed from the wget log vs. the ema=
cs buffers:<br>
&gt;&gt; &gt;<br>
&gt;&gt; &gt; emacs: Accept-encoding:gzip, wget:Accept-encoding: identity<b=
r>
&gt;&gt; &gt;<br>
&gt;&gt; &gt; emacs: GET=C2=A0 <a href=3D"https://outlook.office365.com/EWS=
/Exchange.asmx" rel=3D"noreferrer noreferrer" target=3D"_blank">https://out=
look.office365.com/EWS/Exchange.asmx</a> HTTP/1.1,<br>
&gt;&gt; &gt; wget: GET /EWS/Exchange.asmx HTTP/1.1<br>
&gt;&gt; &gt;<br>
&gt;&gt; &gt; Don&#39;t know if any of that is helpful, but there it is.<br=
>
&gt;&gt; &gt;<br>
&gt;&gt; &gt; Thanks!<br>
&gt;&gt; &gt;<br>
&gt;&gt; &gt; -C<br>
&gt;&gt; &gt;<br>
&gt;&gt; &gt; On Fri, Jun 14, 2019 at 3:48 PM tenspd137 . &lt;<a href=3D"ma=
ilto:dcday137@HIDDEN" target=3D"_blank" rel=3D"noreferrer">dcday137@gmai=
l.com</a>&gt; wrote:<br>
&gt;&gt; &gt; &gt;<br>
&gt;&gt; &gt; &gt; Sorry - I am not in control of my proxy.=C2=A0 So, befor=
e I give up on this<br>
&gt;&gt; &gt; &gt; for today, I was going over the wget logs from trying th=
e same thing.<br>
&gt;&gt; &gt; &gt; One thing I noticed is:<br>
&gt;&gt; &gt; &gt;<br>
&gt;&gt; &gt; &gt; Connection: Keep-Alive<br>
&gt;&gt; &gt; &gt; Proxy-Connection: Keep-Alive<br>
&gt;&gt; &gt; &gt;<br>
&gt;&gt; &gt; &gt; I see stuff in the emacs buffers mentioning Connection, =
and it says<br>
&gt;&gt; &gt; &gt; closed (unless marking the connection as busy is the sam=
e as keeping<br>
&gt;&gt; &gt; &gt; it open), but I don&#39;t see anything mentioning the pr=
oxy<br>
&gt;&gt; &gt; &gt; connection....?=C2=A0 Maybe another place to look?<br>
&gt;&gt; &gt; &gt;<br>
&gt;&gt; &gt; &gt; Just some ideas...<br>
&gt;&gt; &gt; &gt;<br>
&gt;&gt; &gt; &gt; Thanks!<br>
&gt;&gt; &gt; &gt;<br>
&gt;&gt; &gt; &gt; -C<br>
&gt;&gt; &gt; &gt;<br>
&gt;&gt; &gt; &gt; On Fri, Jun 14, 2019 at 3:02 PM Thomas Fitzsimmons &lt;<=
a href=3D"mailto:fitzsim@HIDDEN" target=3D"_blank" rel=3D"noreferrer">=
fitzsim@HIDDEN</a>&gt; wrote:<br>
&gt;&gt; &gt; &gt; &gt;<br>
&gt;&gt; &gt; &gt; &gt; Hi,<br>
&gt;&gt; &gt; &gt; &gt;<br>
&gt;&gt; &gt; &gt; &gt; Thanks for following up with these further test res=
ults.<br>
&gt;&gt; &gt; &gt; &gt;<br>
&gt;&gt; &gt; &gt; &gt; &quot;tenspd137 .&quot; &lt;<a href=3D"mailto:dcday=
137@HIDDEN" target=3D"_blank" rel=3D"noreferrer">dcday137@HIDDEN</a>&=
gt; writes:<br>
&gt;&gt; &gt; &gt; &gt;<br>
&gt;&gt; &gt; &gt; &gt; &gt; I was able to try stepping through an Emacs/pr=
oxy/Exchange test in an<br>
&gt;&gt; &gt; &gt; &gt; &gt; emacs -Q session.=C2=A0 After setting the prox=
y and configuring the<br>
&gt;&gt; &gt; &gt; &gt; &gt; debugger to step through url-http and url-http=
-async-sentilnel, the<br>
&gt;&gt; &gt; &gt; &gt; &gt; only thing I noticed is that it appears url-ht=
tp-async-sentinel is not<br>
&gt;&gt; &gt; &gt; &gt; &gt; being called.<br>
&gt;&gt; &gt; &gt; &gt;<br>
&gt;&gt; &gt; &gt; &gt; OK, that&#39;s probably expected.=C2=A0 I listed it=
 for completeness (all the<br>
&gt;&gt; &gt; &gt; &gt; call sites of url-https-proxy-connect), but I guess=
 it would only be<br>
&gt;&gt; &gt; &gt; &gt; called under url-retrieve, not under url-retrieve-s=
ynchronously.<br>
&gt;&gt; &gt; &gt; &gt;<br>
&gt;&gt; &gt; &gt; &gt; &gt; I also put the url-https-proxy-connect overrid=
e you gave me earlier<br>
&gt;&gt; &gt; &gt; &gt; &gt; into a file, loaded it and set the debugger to=
 run through that as<br>
&gt;&gt; &gt; &gt; &gt; &gt; well as set up proxies.=C2=A0 A broken down li=
st of steps:<br>
&gt;&gt; &gt; &gt; &gt; &gt;<br>
&gt;&gt; &gt; &gt; &gt; &gt; 1.=C2=A0 Load file containing proxy and altere=
d url-https-proxyconnect, set<br>
&gt;&gt; &gt; &gt; &gt; &gt; debugger to run through it when hit.<br>
&gt;&gt; &gt; &gt; &gt; &gt; 2.=C2=A0 set up url-http and url-http-async-se=
ntinel to be picked up by debugger<br>
&gt;&gt; &gt; &gt; &gt; &gt; 3.=C2=A0 eval (url-retrieve-synchronously<br>
&gt;&gt; &gt; &gt; &gt; &gt; &quot;<a href=3D"https://outlook.office365.com=
/EWS/Exchange.asmx" rel=3D"noreferrer noreferrer" target=3D"_blank">https:/=
/outlook.office365.com/EWS/Exchange.asmx</a>&quot;), step through<br>
&gt;&gt; &gt; &gt; &gt; &gt; url-http<br>
&gt;&gt; &gt; &gt; &gt; &gt; 4.=C2=A0 Input username and password when aske=
d<br>
&gt;&gt; &gt; &gt; &gt; &gt; 5.=C2=A0 Continue stepping until end<br>
&gt;&gt; &gt; &gt; &gt; &gt;<br>
&gt;&gt; &gt; &gt; &gt; &gt; url-http-async-sentinel is never called. &quot=
; *http* ... -####&quot; has text<br>
&gt;&gt; &gt; &gt; &gt; &gt; indicating failure. url-https-proxy-connect is=
 indeed called.<br>
&gt;&gt; &gt; &gt; &gt;<br>
&gt;&gt; &gt; &gt; &gt; OK, it&#39;s good to know that url-http ultimately =
calls<br>
&gt;&gt; &gt; &gt; &gt; url-https-proxy-connect.=C2=A0 Unfortunately, despi=
te this, proxying does not<br>
&gt;&gt; &gt; &gt; &gt; work.<br>
&gt;&gt; &gt; &gt; &gt;<br>
&gt;&gt; &gt; &gt; &gt; &gt; I don&#39;t know how to look at the actual &lt=
;process&gt;, if I try to C-x C-e<br>
&gt;&gt; &gt; &gt; &gt; &gt; or M-: &quot;connection&quot;, it goes into th=
e debugger.=C2=A0 The url&#39;s, etc look<br>
&gt;&gt; &gt; &gt; &gt; &gt; good as far as I can tell.=C2=A0 Not sure what=
 else I can do.=C2=A0 If there are<br>
&gt;&gt; &gt; &gt; &gt; &gt; certain pieces of url-http you want me to look=
 at, just let me know,<br>
&gt;&gt; &gt; &gt; &gt; &gt; but not really knowing what has to happen unde=
r the hood, I am not<br>
&gt;&gt; &gt; &gt; &gt; &gt; going to be able to do much else.<br>
&gt;&gt; &gt; &gt; &gt;<br>
&gt;&gt; &gt; &gt; &gt; I think I&#39;ll probably have to set up my own tes=
t environment.=C2=A0 Are you<br>
&gt;&gt; &gt; &gt; &gt; in control of the proxy and its configuration?=C2=
=A0 If so, can you provide<br>
&gt;&gt; &gt; &gt; &gt; rough configuration instructions (proxy software, v=
ersion, relevant<br>
&gt;&gt; &gt; &gt; &gt; config settings)?=C2=A0 If not, that&#39;s OK, I ca=
n try setting up generic proxy<br>
&gt;&gt; &gt; &gt; &gt; software.<br>
&gt;&gt; &gt; &gt; &gt;<br>
&gt;&gt; &gt; &gt; &gt; Thanks,<br>
&gt;&gt; &gt; &gt; &gt; Thomas<br>
</blockquote></div>

--000000000000edda48058b521305--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 15 Jun 2019 00:36:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 14 20:36:33 2019
Received: from localhost ([127.0.0.1]:38127 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hbwgL-0000JR-0G
	for submit <at> debbugs.gnu.org; Fri, 14 Jun 2019 20:36:33 -0400
Received: from mail-io1-f41.google.com ([209.85.166.41]:41277)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fitzsim@HIDDEN>) id 1hbwgJ-0000JA-Vw
 for 35969 <at> debbugs.gnu.org; Fri, 14 Jun 2019 20:36:32 -0400
Received: by mail-io1-f41.google.com with SMTP id w25so9501291ioc.8
 for <35969 <at> debbugs.gnu.org>; Fri, 14 Jun 2019 17:36:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fitzsim-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=KIs8DmgA8AccLbWwMAtSCFc8vzsoyHnUEZeT3RkF2Lo=;
 b=w/9M/Buue2J+K4b0+pkIHE7csfDQsfw7YH+QfqaFUP2soSm1at8Ps1CMyIC2b5JR5F
 KNDvCGsk7iddjaPbtOCtqAr8f2H9Iy3uR7RW0TELDzWa0JzGtYuhvW+Y037a0xDDmSlC
 cNA6EMA5utMGNCKj03p798w7fpTRfXI1MXUF0Bc9lEC8VBXmGY5i3L9gjECbL24Gp/rb
 hmW20uv3NTGxm7YTCl71JBN1pU9nYidqOJ6gNZAwiE/xUqEp8nBfESkgrtXw4yYdHZuw
 HtrFGor/Y81WEsK8zuBs6D26J9YtdJ3fSn54+PJgzMOx6ZhhZmoH0mLL48+r/dWzNaCB
 Te0g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=KIs8DmgA8AccLbWwMAtSCFc8vzsoyHnUEZeT3RkF2Lo=;
 b=PHFP59hJrZxwLwU/GAHUWsZHS9WR7F6GLCWYlJsQIRySQh3hJZFUdtoOaTp9l2ftPR
 l4BFNNWctQpI6/2Z9drFBSHwXgVg4OM1S8XcRwNl+fGh/x2bYi6EVK5lMMhVHRTTrVTj
 ZDvhX96dzvq5lyJHBKzC9YgvfibRaWQ0qs2Nr7KI3oCBs7bdFLFBlJ1El/wn8UqtIuaO
 xK3lpoALY1pJcyBwVvDIE8eFq4/DB/CasVaMsZf45rE2POXtbHutrMTt/nzdjG8+TIRx
 IQ+MkrpH11YUf70VSq1Wl25hhlioyhxzOURJwKdfgcFvuveq3AOc/CzhDIJvW2l/ERxZ
 7aMg==
X-Gm-Message-State: APjAAAV8smKVfKikCzwdQi+9eV0XSNUFghBcduZqQjoMBI/C8CYYqS6E
 FWInrc9KVeVreL+80DMuwRFjTIgzTRQ=
X-Google-Smtp-Source: APXvYqx13uQp2NjFN9YbIpY1IPt11alK3LudddppJmNB/MhXceRbw/9vWng3sD8K12LazMH+StyE6w==
X-Received: by 2002:a02:c7c9:: with SMTP id s9mr67356283jao.82.1560558986103; 
 Fri, 14 Jun 2019 17:36:26 -0700 (PDT)
Received: from localhost.localdomain (69-165-165-189.dsl.teksavvy.com.
 [69.165.165.189])
 by smtp.gmail.com with ESMTPSA id c17sm3182180ioo.82.2019.06.14.17.36.24
 (version=TLS1_3 cipher=AEAD-AES128-GCM-SHA256 bits=128/128);
 Fri, 14 Jun 2019 17:36:25 -0700 (PDT)
From: Thomas Fitzsimmons <fitzsim@HIDDEN>
To: "tenspd137 ." <dcday137@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <CAB=m8w+Q2S9zPHtOpjb7x+T29x+c37pws8pSZGhznN=B_he+xQ@HIDDEN>
 <CAB=m8wJ8QDKuGb1HmpNVZ5y=iOR5bTg5yL=wTYRi9cpNS+Ryug@HIDDEN>
 <CAB=m8wLNB=pjWqGBCnXuXpDA=1UB4C0sDxuU23FZiwJNQDmxDA@HIDDEN>
 <CAB=m8wL0JNK+dQv68nddHuJ8yvHdsV9ehTaGJ00NK4spe1sQAQ@HIDDEN>
 <m3blze4872.fsf@HIDDEN>
 <CAB=m8wJfGveEzVm46j2MLGFupdv2Lwn3VwL02_RAdirzDJKcSg@HIDDEN>
 <CAB=m8wKv0dWgRctuc+bWyocNOPFertCt9K4SOB2Q_W5cPU_tTw@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <m3h88rnanp.fsf@HIDDEN>
 <CAB=m8w+Fqu=XPmhDte=nuWf39i9fH=o16hxgVV0n29fyY0W+BQ@HIDDEN>
 <CAB=m8wJYHo23J0vA8sjkG0vN+YOp5s6khLOy_uGKNjsf8F5m1Q@HIDDEN>
 <CAB=m8wJMGEVFk-O0AzDEvdgy9P=RcfNo4vKTdxzV1kbw512UpA@HIDDEN>
 <CAB=m8wK8QEPddVK+NCsEMpGACGaoeOXDb-HNgDnttDHpM6do2g@HIDDEN>
Date: Fri, 14 Jun 2019 20:36:24 -0400
In-Reply-To: <CAB=m8wK8QEPddVK+NCsEMpGACGaoeOXDb-HNgDnttDHpM6do2g@HIDDEN>
 (tenspd's message of "Fri, 14 Jun 2019 17:14:26 -0600")
Message-ID: <m3wohnlm5z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35969
Cc: 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

"tenspd137 ." <dcday137@HIDDEN> writes:

> (defun thefile() "/EWS/Exchange.asmx")
> 
> (copied from url-http library)
> (defun url-http-create-request (&optional ref-url)
> .....
>    ;; This was done with a call to `format'.  Concatenating parts has
>     ;; the advantage of keeping the parts of each header together and
>     ;; allows us to elide null lines directly, at the cost of making
>     ;; the layout less clear.
>     (setq request
>           (concat
>              ;; The request
>              (or url-http-method "GET") " "
>              (url-http--encode-string
>               (if using-proxy (thefile) real-fname)) <------------Changed this to "hardcode" the request as proof of concept

Starting from your results I searched the web and turned up a Stack
Overflow post [1] which pointed me to the wget source code:

    if (proxy
#ifdef HAVE_SSL
        /* When using SSL over proxy, CONNECT establishes a direct
           connection to the HTTPS server.  Therefore use the same
           argument as when talking to the server directly. */
        && u->scheme != SCHEME_HTTPS
#endif
        )
      meth_arg = xstrdup (u->url);
    else
      meth_arg = url_full_path (u);

I think that comment explains why the url connection to the HTTPS
Exchange server is failing in your case.  Applying the same logic in the
location you found would give:

diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
index 00803a103a..723d111d58 100644
--- a/lisp/url/url-http.el
+++ b/lisp/url/url-http.el
@@ -329,7 +329,10 @@ url-http-create-request
              ;; The request
              (or url-http-method "GET") " "
              (url-http--encode-string
-              (if using-proxy (url-recreate-url url-http-target-url) real-fname))
+              (if (and using-proxy
+                       (not (equal "https" (url-type url-http-target-url))))
+                  (url-recreate-url url-http-target-url)
+                real-fname))
              " HTTP/" url-http-version "\r\n"
              ;; Version of MIME we speak
              "MIME-Version: 1.0\r\n"

Can you try out that patch and a) see if url-retrieve-synchronously
still works, and if so, b) see if Excorporate works through the proxy
with it?

Thanks,
Thomas

1. https://stackoverflow.com/questions/20050052/what-is-the-correct-url-format-to-send-to-an-http-proxy-server




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 15 Jun 2019 00:14:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 14 20:14:34 2019
Received: from localhost ([127.0.0.1]:38115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hbwL3-00088E-AX
	for submit <at> debbugs.gnu.org; Fri, 14 Jun 2019 20:14:34 -0400
Received: from mail-io1-f49.google.com ([209.85.166.49]:33082)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fitzsim@HIDDEN>) id 1hbwL0-00087x-2s
 for 35969 <at> debbugs.gnu.org; Fri, 14 Jun 2019 20:14:31 -0400
Received: by mail-io1-f49.google.com with SMTP id u13so9578304iop.0
 for <35969 <at> debbugs.gnu.org>; Fri, 14 Jun 2019 17:14:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fitzsim-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=vKV3rXi71VwBVFpkiZhOH/mBl85K5uWqeRhLJiJ/c1k=;
 b=ccTr4wxgJ3NthcWz7bRZTvLMrBsOK4VyCrBUDDjmrJc/6l/kcY3DmKb4IPKuunYTJo
 0Mb3CXuYgk8AKTaJYdwV8Di5yDpiioTznTV0fSKfjuk300GXBjNfUm1ChMKspqmCyIv0
 yBIO8Kp8OyL4zMLooCjJSy+jNeY+H4/MHduWnfpyGIoQiZz9HiuU3WzwcPxH7/005oBm
 PhPN3XsVsCkXoLYAvsul+NDQxeTVOSbZxh71SzAXJRkDYbY2wsozmr6myFDd5fACitDo
 UU0Z0id11DablFB8+X4UxHHZpGgJxk78GAPFApJJkHu+BbYFLkzC0iDup/LKa3nNnJOv
 SAow==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=vKV3rXi71VwBVFpkiZhOH/mBl85K5uWqeRhLJiJ/c1k=;
 b=pttKJnPMe135bhF6US6gckqJSRAvF23RV1cIui5ZvdyM+jzXRZ2trorCRKyeEkAzrw
 d/WQpr0LqH84Pi75HHNCcZynHbtAUUCOHF+q3tjkt0kiMTgH9eOUrKHfWuNEIDd2foCJ
 H3pd76MDbaPXmRRJEdcyEy60JasMqwca6kI7RuUgvZKm/zsdOq6gce0MvAK6vQyReMkC
 jxigUbEru3bEFxacsTIpdfeBc6xxSjxl19cRyQ+cz4o0I9c5ERDvsgZodUu88BUbo7pB
 UsSCZNZYdyzRAnD8scKKwOFuK4Q+GLrpH04zH+NXYX2/FVpnDjdZ7uQ8fydcqY6odzql
 EzWw==
X-Gm-Message-State: APjAAAW3ufWMJHjKIgH9/on97g7te2+pTCCn5mTir5piY47D5HDyg2/W
 K1a8FmzZLH8/snjZmMavcFoXqECmWh4=
X-Google-Smtp-Source: APXvYqz+URpxfh63ZBBxZ2CahgXDyGenCzUopfxH6cStb1wXk37EKjeQevdAMZ/CLt6S9EL+l6nZXQ==
X-Received: by 2002:a6b:7602:: with SMTP id g2mr17336247iom.82.1560557664138; 
 Fri, 14 Jun 2019 17:14:24 -0700 (PDT)
Received: from localhost.localdomain (69-165-165-189.dsl.teksavvy.com.
 [69.165.165.189])
 by smtp.gmail.com with ESMTPSA id f17sm5977223ioc.2.2019.06.14.17.14.22
 (version=TLS1_3 cipher=AEAD-AES128-GCM-SHA256 bits=128/128);
 Fri, 14 Jun 2019 17:14:23 -0700 (PDT)
From: Thomas Fitzsimmons <fitzsim@HIDDEN>
To: "tenspd137 ." <dcday137@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <CAB=m8w+Q2S9zPHtOpjb7x+T29x+c37pws8pSZGhznN=B_he+xQ@HIDDEN>
 <CAB=m8wJ8QDKuGb1HmpNVZ5y=iOR5bTg5yL=wTYRi9cpNS+Ryug@HIDDEN>
 <CAB=m8wLNB=pjWqGBCnXuXpDA=1UB4C0sDxuU23FZiwJNQDmxDA@HIDDEN>
 <CAB=m8wL0JNK+dQv68nddHuJ8yvHdsV9ehTaGJ00NK4spe1sQAQ@HIDDEN>
 <m3blze4872.fsf@HIDDEN>
 <CAB=m8wJfGveEzVm46j2MLGFupdv2Lwn3VwL02_RAdirzDJKcSg@HIDDEN>
 <CAB=m8wKv0dWgRctuc+bWyocNOPFertCt9K4SOB2Q_W5cPU_tTw@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <m3h88rnanp.fsf@HIDDEN>
 <CAB=m8w+Fqu=XPmhDte=nuWf39i9fH=o16hxgVV0n29fyY0W+BQ@HIDDEN>
 <CAB=m8wJYHo23J0vA8sjkG0vN+YOp5s6khLOy_uGKNjsf8F5m1Q@HIDDEN>
 <CAB=m8wJMGEVFk-O0AzDEvdgy9P=RcfNo4vKTdxzV1kbw512UpA@HIDDEN>
 <CAB=m8wK8QEPddVK+NCsEMpGACGaoeOXDb-HNgDnttDHpM6do2g@HIDDEN>
Date: Fri, 14 Jun 2019 20:14:21 -0400
In-Reply-To: <CAB=m8wK8QEPddVK+NCsEMpGACGaoeOXDb-HNgDnttDHpM6do2g@HIDDEN>
 (tenspd's message of "Fri, 14 Jun 2019 17:14:26 -0600")
Message-ID: <m3a7ejn1r6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35969
Cc: 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Yes, this seems really promising.  If you just replace (thefile) with
real-fname (and re-eval your url-http-create-request), does Excorporate
then work through the proxy?

Thomas

"tenspd137 ." <dcday137@HIDDEN> writes:

> Sorry - I was working fast:
>
> *I created a function that changed the line
> in  url-http-create-request so that the request looks like:*
>
> In a file I did:
>
> (defun thefile() "/EWS/Exchange.asmx")
>
> (copied from url-http library)
> (defun url-http-create-request (&optional ref-url)
> .....
>    ;; This was done with a call to `format'.  Concatenating parts has
>     ;; the advantage of keeping the parts of each header together and
>     ;; allows us to elide null lines directly, at the cost of making
>     ;; the layout less clear.
>     (setq request
>           (concat
>              ;; The request
>              (or url-http-method "GET") " "
>              (url-http--encode-string
>               (if using-proxy (thefile) real-fname))
> <------------Changed this to "hardcode" the request as proof of
> concept
>              " HTTP/" url-http-version "\r\n"
>              ;; Version of MIME we speak
>              "MIME-Version: 1.0\r\n"
>              ;; (maybe) Try to keep the connection open
>              "Connection: " (if (or using-proxy .....
> .......
> .......
>
> Loaded the file and then ran (url-retriev-synchronously "https://......")
>
> Thanks!
>
> -C
>
> On Fri, Jun 14, 2019 at 5:07 PM tenspd137 . <dcday137@HIDDEN> wrote:
>>
>> I think I figured it out.  I created a function that changed the line
>> in  url-http-create-request so that the request looks like:
>> GET /EWS/Exchange.asmx HTTP/1.1 <-----  *no server / host*
>> MIME-Version: 1.0
>> Connection: close
>> Extension: Security/Digest Security/SSL
>> Host: outlook.office365.com
>> Accept-encoding: gzip
>> Accept: */*
>> User-Agent: URL/Emacs Emacs/26.2 (X11; x86_64-pc-linux-gnu)
>> Cookie: OIDC=1; ClientId=8998C5691CD143E784857A0D01537963
>> Authorization: Basic ZGF2aWQuYy5kYXlAaHAuY29tOlMxa3kzbGk3bmUwNzMxJSU=
>>
>> instead of
>>
>> GET https://outlook.office365.com/EWS/Exchange.asmx HTTP/1.1
>> MIME-Version: 1.0
>> Connection: close
>> Extension: Security/Digest Security/SSL
>> Host: outlook.office365.com
>> Accept-encoding: gzip
>> Accept: */*
>> User-Agent: URL/Emacs Emacs/26.2 (X11; x86_64-pc-linux-gnu)
>> Cookie: OIDC=1; ClientId=8998C5691CD143E784857A0D01537963
>> Authorization: Basic ZGF2aWQuYy5kYXlAaHAuY29tOlMxa3kzbGk3bmUwNzMxJSU=
>>
>> and the results buffer gives: *http....*-#####
>> HTTP/1.1 200 OK
>> Cache-Control: private
>> Content-Length: 1213
>> Content-Type: text/html; charset=UTF-8
>> Content-Encoding: gzip
>> Vary: Accept-Encoding
>> Server: Microsoft-IIS/10.0
>> request-id: bcd31568-29fd-44e4-935f-35b54d697f33
>> X-CalculatedFETarget: CY4PR18CU003.internal.outlook.com
>> X-BackEndHttpStatus: 200
>> Set-Cookie: exchangecookie=6c731ced364846f2a979bfaa84496f1e;
>> expires=Sun, 14-Jun-2020 23:02:57 GMT; path=/; secure; HttpOnly
>> X-FEProxyInfo: CY4PR18CA0059.NAMPRD18.PROD.OUTLOOK.COM
>> X-CalculatedBETarget: CS1PR8401MB1223.NAMPRD84.PROD.OUTLOOK.COM
>> X-BackEndHttpStatus: 200
>> X-RUM-Validated: 1
>> X-AspNet-Version: 4.0.30319
>> X-BeSku: Gen9
>> X-DiagInfo: CS1PR8401MB1223
>> X-BEServer: CS1PR8401MB1223
>> X-FEServer: CY4PR18CA0059
>> X-Powered-By: ASP.NET
>> X-FEServer: SN4PR0501CA0003
>> Date: Fri, 14 Jun 2019 23:02:56 GMT
>> Connection: close
>>
>> <HTML><HEAD><link rel="alternate" type="text/xml"
>> href="https://cs1pr8401mb1223.namprd84.prod.outlook.com:444/EWS/Exchange.asmx?disco"/><STYLE
>> type="text/css">#content{ FONT-SIZE: 0.7em; PADDING-BOTTOM: 2em;
>> MARGIN-LEFT: 30px}BODY{MARGIN-TOP: 0px; MARGIN-LEFT: 0px; COLOR:
>> #000000; FONT-FAMILY: Verdana; BACKGROUND-COLOR: white}P{MARGIN-TOP:
>> 0px; MARGIN-BOTTOM: 12px; COLOR: #000000; FONT-FAMILY:
>> Verdana}PRE{BORDER-RIGHT: #f0f0e0 1px solid; PADDING-RIGHT: 5px;
>> BORDER-TOP: #f0f0e0 1px solid; MARGIN-TOP: -5px; PADDING-LEFT: 5px;
>> FONT-SIZE: 1.2em; PADDING-BOTTOM: 5px; BORDER-LEFT: #f0f0e0 1px solid;
>> PADDING-TOP: 5px; BORDER-BOTTOM: #f0f0e0 1px solid; FONT-FAMILY:
>> Courier New; BACKGROUND-COLOR: #e5e5cc}.heading1{MARGIN-TOP: 0px;
>> PADDING-LEFT: 15px; FONT-WEIGHT: normal; FONT-SIZE: 26px;
>> MARGIN-BOTTOM: 0px; PADDING-BOTTOM: 3px; MARGIN-LEFT: -30px; WIDTH:
>> 100%; COLOR: #ffffff; PADDING-TOP: 10px; FONT-FAMILY: Tahoma;
>> BACKGROUND-COLOR: #003366}.intro{MARGIN-LEFT:
>> -15px}</STYLE><TITLE>Service</TITLE></HEAD><BODY><DIV id="content"><P
>> class="heading1">Service</P><BR/><P class="intro">You have created a
>> service.<P class='intro'>To test this service, you will need to create
>> a client and use it to call the service. You can do this using the
>> svcutil.exe tool from the command line with the following syntax:</P>
>> <BR/><PRE>svcutil.exe <A
>> HREF="https://cs1pr8401mb1223.namprd84.prod.outlook.com:444/EWS/Services.wsdl">https://cs1pr8401mb1223.namprd84.prod.outlook.com:444/EWS/Services.wsdl</A></PRE></P><P
>> class="intro"/>This will generate a configuration file and a code file
>> that contains the client class. Add the two files to your client
>> application and use the generated client class to call the Service.
>> For example:<BR/><P class='intro'><B>C#</B></P><PRE><font
>> color="blue">class </font><font color="teal">Test
>> </font>{
>> <font color="blue">    static void </font>Main()
>>     {
>>         <font color="teal">HelloClient</font> client = <font
>> color="blue">new </font><font color="teal">HelloClient</font>();
>>
>> <font color="green">        // Use the 'client' variable to call
>> operations on the service.
>>
>> </font><font color="green">        // Always close the client.
>> </font>        client.Close();
>>     }
>> }
>> </PRE><BR/><P class='intro'><B>Visual Basic</B></P><PRE><font
>> color="blue">Class </font><font color="teal">Test
>> </font><font color="blue">    Shared Sub </font>Main()
>> <font color="blue">        Dim </font>client As <font
>> color="teal">HelloClient</font> = <font color="blue">New </font><font
>> color="teal">HelloClient</font>()
>> <font color="green">        ' Use the 'client' variable to call
>> operations on the service.
>>
>> </font><font color="green">        ' Always close the client.
>> </font>        client.Close()
>> <font color="blue">    End Sub
>> </font><font color="blue">End Class</font></PRE></DIV></BODY></HTML>
>>
>> which matches the file saved with wget.
>>
>> That has to be worth something....
>>
>> Thanks!
>>
>> -C
>>
>> On Fri, Jun 14, 2019 at 4:07 PM tenspd137 . <dcday137@HIDDEN> wrote:
>> >
>> > Just some more things I noticed from the wget log vs. the emacs buffers:
>> >
>> > emacs: Accept-encoding:gzip, wget:Accept-encoding: identity
>> >
>> > emacs: GET  https://outlook.office365.com/EWS/Exchange.asmx HTTP/1.1,
>> > wget: GET /EWS/Exchange.asmx HTTP/1.1
>> >
>> > Don't know if any of that is helpful, but there it is.
>> >
>> > Thanks!
>> >
>> > -C
>> >
>> > On Fri, Jun 14, 2019 at 3:48 PM tenspd137 . <dcday137@HIDDEN> wrote:
>> > >
>> > > Sorry - I am not in control of my proxy.  So, before I give up on this
>> > > for today, I was going over the wget logs from trying the same thing.
>> > > One thing I noticed is:
>> > >
>> > > Connection: Keep-Alive
>> > > Proxy-Connection: Keep-Alive
>> > >
>> > > I see stuff in the emacs buffers mentioning Connection, and it says
>> > > closed (unless marking the connection as busy is the same as keeping
>> > > it open), but I don't see anything mentioning the proxy
>> > > connection....?  Maybe another place to look?
>> > >
>> > > Just some ideas...
>> > >
>> > > Thanks!
>> > >
>> > > -C
>> > >
>> > > On Fri, Jun 14, 2019 at 3:02 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>> > > >
>> > > > Hi,
>> > > >
>> > > > Thanks for following up with these further test results.
>> > > >
>> > > > "tenspd137 ." <dcday137@HIDDEN> writes:
>> > > >
>> > > > > I was able to try stepping through an Emacs/proxy/Exchange test in an
>> > > > > emacs -Q session.  After setting the proxy and configuring the
>> > > > > debugger to step through url-http and url-http-async-sentilnel, the
>> > > > > only thing I noticed is that it appears url-http-async-sentinel is not
>> > > > > being called.
>> > > >
>> > > > OK, that's probably expected.  I listed it for completeness (all the
>> > > > call sites of url-https-proxy-connect), but I guess it would only be
>> > > > called under url-retrieve, not under url-retrieve-synchronously.
>> > > >
>> > > > > I also put the url-https-proxy-connect override you gave me earlier
>> > > > > into a file, loaded it and set the debugger to run through that as
>> > > > > well as set up proxies.  A broken down list of steps:
>> > > > >
>> > > > > 1.  Load file containing proxy and altered url-https-proxyconnect, set
>> > > > > debugger to run through it when hit.
>> > > > > 2.  set up url-http and url-http-async-sentinel to be picked up by debugger
>> > > > > 3.  eval (url-retrieve-synchronously
>> > > > > "https://outlook.office365.com/EWS/Exchange.asmx"), step through
>> > > > > url-http
>> > > > > 4.  Input username and password when asked
>> > > > > 5.  Continue stepping until end
>> > > > >
>> > > > > url-http-async-sentinel is never called. " *http* ... -####" has text
>> > > > > indicating failure. url-https-proxy-connect is indeed called.
>> > > >
>> > > > OK, it's good to know that url-http ultimately calls
>> > > > url-https-proxy-connect.  Unfortunately, despite this, proxying does not
>> > > > work.
>> > > >
>> > > > > I don't know how to look at the actual <process>, if I try to C-x C-e
>> > > > > or M-: "connection", it goes into the debugger.  The url's, etc look
>> > > > > good as far as I can tell.  Not sure what else I can do.  If there are
>> > > > > certain pieces of url-http you want me to look at, just let me know,
>> > > > > but not really knowing what has to happen under the hood, I am not
>> > > > > going to be able to do much else.
>> > > >
>> > > > I think I'll probably have to set up my own test environment.  Are you
>> > > > in control of the proxy and its configuration?  If so, can you provide
>> > > > rough configuration instructions (proxy software, version, relevant
>> > > > config settings)?  If not, that's OK, I can try setting up generic proxy
>> > > > software.
>> > > >
>> > > > Thanks,
>> > > > Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 14 Jun 2019 23:14:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 14 19:14:45 2019
Received: from localhost ([127.0.0.1]:37980 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hbvPB-0006Yf-7M
	for submit <at> debbugs.gnu.org; Fri, 14 Jun 2019 19:14:45 -0400
Received: from mail-wr1-f42.google.com ([209.85.221.42]:41877)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1hbvP9-0006YO-Mb
 for 35969 <at> debbugs.gnu.org; Fri, 14 Jun 2019 19:14:44 -0400
Received: by mail-wr1-f42.google.com with SMTP id c2so4090632wrm.8
 for <35969 <at> debbugs.gnu.org>; Fri, 14 Jun 2019 16:14:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=uCqpYkkLjoyBFnm1GdtlDvy+mOja6Ii0jqMNC6HcByU=;
 b=kmFWBaDQ6H/8QglsYzI4gbwiqDCh1CbzIKrLUjdL0CkGjNiYf2dsa0Cr1w5wrrXqlb
 SfurzcUlTghcVdUk33xK2Znhf/AVpdYtoP/z1tSMbrU1au7dZBuPbZ6opQNTeKAO7bDg
 D7as57qDdCrGK64HzcQdND5TJGMRgDv8zlO1TdhU/7oMx0cnqkI4+iM0sY+YuTiPm44E
 F9QOsPaW3yNcrkSHB4SN5dkkXn1k+Fhj5eb0OwVh//FXe4J4zphsEADRPkFvIdPyoEJT
 qRrZwy8f91ie39FlUI7z7teexCx5WBepG69B4riy3TvUGyA6nUvAafTLnwxjasi4Aqxg
 xpQA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=uCqpYkkLjoyBFnm1GdtlDvy+mOja6Ii0jqMNC6HcByU=;
 b=gdyiLeBO/+/Z2UCtFSqez8t3VCWJeKhbbfRJMosXFXvSgZ7yM69yTiLz0tnLrNNUdD
 3oUcIsL+a3iNjIdoeLgTukcFdnp9xVKBO/Ur+dK5+GmHTZgRL2BGU7OcBAIkb6aNALzG
 wBaebuuBGuYGD9m7mIsnaX/7OfwKffdJsE01MIKXNOWiA8jyP9ph/Pq7qnd32d3QvC8t
 ddxjGZGcEYg4c+hKaGcXwNDxW2OCLFBfPI/0JFP7PCaiTz2SQVz2aoHxjEhgi8K1sQOe
 4pC4ymFwYLayUep5sbwc7TVB5bDhui4gmLZQg5idGIAyCH1/IGTX+16T/vsE8c9fMkhE
 UrNw==
X-Gm-Message-State: APjAAAUQzqvZkBOv2Zb2+6tams0XGxDp0KN/BJJfIyeYilfwfYrvZ48e
 1hQ70ADZyStJoq7Dn5rrjlDWG56zMfpjkeYUkz0=
X-Google-Smtp-Source: APXvYqzgxqhRrA28prTHGtOFB4ZhwIdoWOkueYzTSf89T4gDm9snC3VhHzLJQMefUcgl5ogWufggCoXXfo+lNppSOvU=
X-Received: by 2002:a5d:5692:: with SMTP id f18mr8030110wrv.104.1560554077673; 
 Fri, 14 Jun 2019 16:14:37 -0700 (PDT)
MIME-Version: 1.0
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <m3y32p42jk.fsf@HIDDEN>
 <CAB=m8wLwY_8QBS-Pxey-atCXx-TC=oL_+OTOT-A0b9Pa61JC+A@HIDDEN>
 <m3muj53rtl.fsf@HIDDEN>
 <CAB=m8wLkNCLeF-upnLkAyPoXqXV=ivxXHqWCKxCf0bYjALboxg@HIDDEN>
 <m3ftow539g.fsf@HIDDEN>
 <CAB=m8w+Q2S9zPHtOpjb7x+T29x+c37pws8pSZGhznN=B_he+xQ@HIDDEN>
 <CAB=m8wJ8QDKuGb1HmpNVZ5y=iOR5bTg5yL=wTYRi9cpNS+Ryug@HIDDEN>
 <CAB=m8wLNB=pjWqGBCnXuXpDA=1UB4C0sDxuU23FZiwJNQDmxDA@HIDDEN>
 <CAB=m8wL0JNK+dQv68nddHuJ8yvHdsV9ehTaGJ00NK4spe1sQAQ@HIDDEN>
 <m3blze4872.fsf@HIDDEN>
 <CAB=m8wJfGveEzVm46j2MLGFupdv2Lwn3VwL02_RAdirzDJKcSg@HIDDEN>
 <CAB=m8wKv0dWgRctuc+bWyocNOPFertCt9K4SOB2Q_W5cPU_tTw@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <m3h88rnanp.fsf@HIDDEN>
 <CAB=m8w+Fqu=XPmhDte=nuWf39i9fH=o16hxgVV0n29fyY0W+BQ@HIDDEN>
 <CAB=m8wJYHo23J0vA8sjkG0vN+YOp5s6khLOy_uGKNjsf8F5m1Q@HIDDEN>
 <CAB=m8wJMGEVFk-O0AzDEvdgy9P=RcfNo4vKTdxzV1kbw512UpA@HIDDEN>
In-Reply-To: <CAB=m8wJMGEVFk-O0AzDEvdgy9P=RcfNo4vKTdxzV1kbw512UpA@HIDDEN>
From: "tenspd137 ." <dcday137@HIDDEN>
Date: Fri, 14 Jun 2019 17:14:26 -0600
Message-ID: <CAB=m8wK8QEPddVK+NCsEMpGACGaoeOXDb-HNgDnttDHpM6do2g@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
To: Thomas Fitzsimmons <fitzsim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 35969
Cc: 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Sorry - I was working fast:

*I created a function that changed the line
in  url-http-create-request so that the request looks like:*

In a file I did:

(defun thefile() "/EWS/Exchange.asmx")

(copied from url-http library)
(defun url-http-create-request (&optional ref-url)
.....
   ;; This was done with a call to `format'.  Concatenating parts has
    ;; the advantage of keeping the parts of each header together and
    ;; allows us to elide null lines directly, at the cost of making
    ;; the layout less clear.
    (setq request
          (concat
             ;; The request
             (or url-http-method "GET") " "
             (url-http--encode-string
              (if using-proxy (thefile) real-fname))
<------------Changed this to "hardcode" the request as proof of
concept
             " HTTP/" url-http-version "\r\n"
             ;; Version of MIME we speak
             "MIME-Version: 1.0\r\n"
             ;; (maybe) Try to keep the connection open
             "Connection: " (if (or using-proxy .....
.......
.......

Loaded the file and then ran (url-retriev-synchronously "https://......")

Thanks!

-C

On Fri, Jun 14, 2019 at 5:07 PM tenspd137 . <dcday137@HIDDEN> wrote:
>
> I think I figured it out.  I created a function that changed the line
> in  url-http-create-request so that the request looks like:
> GET /EWS/Exchange.asmx HTTP/1.1 <-----  *no server / host*
> MIME-Version: 1.0
> Connection: close
> Extension: Security/Digest Security/SSL
> Host: outlook.office365.com
> Accept-encoding: gzip
> Accept: */*
> User-Agent: URL/Emacs Emacs/26.2 (X11; x86_64-pc-linux-gnu)
> Cookie: OIDC=1; ClientId=8998C5691CD143E784857A0D01537963
> Authorization: Basic ZGF2aWQuYy5kYXlAaHAuY29tOlMxa3kzbGk3bmUwNzMxJSU=
>
> instead of
>
> GET https://outlook.office365.com/EWS/Exchange.asmx HTTP/1.1
> MIME-Version: 1.0
> Connection: close
> Extension: Security/Digest Security/SSL
> Host: outlook.office365.com
> Accept-encoding: gzip
> Accept: */*
> User-Agent: URL/Emacs Emacs/26.2 (X11; x86_64-pc-linux-gnu)
> Cookie: OIDC=1; ClientId=8998C5691CD143E784857A0D01537963
> Authorization: Basic ZGF2aWQuYy5kYXlAaHAuY29tOlMxa3kzbGk3bmUwNzMxJSU=
>
> and the results buffer gives: *http....*-#####
> HTTP/1.1 200 OK
> Cache-Control: private
> Content-Length: 1213
> Content-Type: text/html; charset=UTF-8
> Content-Encoding: gzip
> Vary: Accept-Encoding
> Server: Microsoft-IIS/10.0
> request-id: bcd31568-29fd-44e4-935f-35b54d697f33
> X-CalculatedFETarget: CY4PR18CU003.internal.outlook.com
> X-BackEndHttpStatus: 200
> Set-Cookie: exchangecookie=6c731ced364846f2a979bfaa84496f1e;
> expires=Sun, 14-Jun-2020 23:02:57 GMT; path=/; secure; HttpOnly
> X-FEProxyInfo: CY4PR18CA0059.NAMPRD18.PROD.OUTLOOK.COM
> X-CalculatedBETarget: CS1PR8401MB1223.NAMPRD84.PROD.OUTLOOK.COM
> X-BackEndHttpStatus: 200
> X-RUM-Validated: 1
> X-AspNet-Version: 4.0.30319
> X-BeSku: Gen9
> X-DiagInfo: CS1PR8401MB1223
> X-BEServer: CS1PR8401MB1223
> X-FEServer: CY4PR18CA0059
> X-Powered-By: ASP.NET
> X-FEServer: SN4PR0501CA0003
> Date: Fri, 14 Jun 2019 23:02:56 GMT
> Connection: close
>
> <HTML><HEAD><link rel="alternate" type="text/xml"
> href="https://cs1pr8401mb1223.namprd84.prod.outlook.com:444/EWS/Exchange.asmx?disco"/><STYLE
> type="text/css">#content{ FONT-SIZE: 0.7em; PADDING-BOTTOM: 2em;
> MARGIN-LEFT: 30px}BODY{MARGIN-TOP: 0px; MARGIN-LEFT: 0px; COLOR:
> #000000; FONT-FAMILY: Verdana; BACKGROUND-COLOR: white}P{MARGIN-TOP:
> 0px; MARGIN-BOTTOM: 12px; COLOR: #000000; FONT-FAMILY:
> Verdana}PRE{BORDER-RIGHT: #f0f0e0 1px solid; PADDING-RIGHT: 5px;
> BORDER-TOP: #f0f0e0 1px solid; MARGIN-TOP: -5px; PADDING-LEFT: 5px;
> FONT-SIZE: 1.2em; PADDING-BOTTOM: 5px; BORDER-LEFT: #f0f0e0 1px solid;
> PADDING-TOP: 5px; BORDER-BOTTOM: #f0f0e0 1px solid; FONT-FAMILY:
> Courier New; BACKGROUND-COLOR: #e5e5cc}.heading1{MARGIN-TOP: 0px;
> PADDING-LEFT: 15px; FONT-WEIGHT: normal; FONT-SIZE: 26px;
> MARGIN-BOTTOM: 0px; PADDING-BOTTOM: 3px; MARGIN-LEFT: -30px; WIDTH:
> 100%; COLOR: #ffffff; PADDING-TOP: 10px; FONT-FAMILY: Tahoma;
> BACKGROUND-COLOR: #003366}.intro{MARGIN-LEFT:
> -15px}</STYLE><TITLE>Service</TITLE></HEAD><BODY><DIV id="content"><P
> class="heading1">Service</P><BR/><P class="intro">You have created a
> service.<P class='intro'>To test this service, you will need to create
> a client and use it to call the service. You can do this using the
> svcutil.exe tool from the command line with the following syntax:</P>
> <BR/><PRE>svcutil.exe <A
> HREF="https://cs1pr8401mb1223.namprd84.prod.outlook.com:444/EWS/Services.wsdl">https://cs1pr8401mb1223.namprd84.prod.outlook.com:444/EWS/Services.wsdl</A></PRE></P><P
> class="intro"/>This will generate a configuration file and a code file
> that contains the client class. Add the two files to your client
> application and use the generated client class to call the Service.
> For example:<BR/><P class='intro'><B>C#</B></P><PRE><font
> color="blue">class </font><font color="teal">Test
> </font>{
> <font color="blue">    static void </font>Main()
>     {
>         <font color="teal">HelloClient</font> client = <font
> color="blue">new </font><font color="teal">HelloClient</font>();
>
> <font color="green">        // Use the 'client' variable to call
> operations on the service.
>
> </font><font color="green">        // Always close the client.
> </font>        client.Close();
>     }
> }
> </PRE><BR/><P class='intro'><B>Visual Basic</B></P><PRE><font
> color="blue">Class </font><font color="teal">Test
> </font><font color="blue">    Shared Sub </font>Main()
> <font color="blue">        Dim </font>client As <font
> color="teal">HelloClient</font> = <font color="blue">New </font><font
> color="teal">HelloClient</font>()
> <font color="green">        ' Use the 'client' variable to call
> operations on the service.
>
> </font><font color="green">        ' Always close the client.
> </font>        client.Close()
> <font color="blue">    End Sub
> </font><font color="blue">End Class</font></PRE></DIV></BODY></HTML>
>
> which matches the file saved with wget.
>
> That has to be worth something....
>
> Thanks!
>
> -C
>
> On Fri, Jun 14, 2019 at 4:07 PM tenspd137 . <dcday137@HIDDEN> wrote:
> >
> > Just some more things I noticed from the wget log vs. the emacs buffers:
> >
> > emacs: Accept-encoding:gzip, wget:Accept-encoding: identity
> >
> > emacs: GET  https://outlook.office365.com/EWS/Exchange.asmx HTTP/1.1,
> > wget: GET /EWS/Exchange.asmx HTTP/1.1
> >
> > Don't know if any of that is helpful, but there it is.
> >
> > Thanks!
> >
> > -C
> >
> > On Fri, Jun 14, 2019 at 3:48 PM tenspd137 . <dcday137@HIDDEN> wrote:
> > >
> > > Sorry - I am not in control of my proxy.  So, before I give up on this
> > > for today, I was going over the wget logs from trying the same thing.
> > > One thing I noticed is:
> > >
> > > Connection: Keep-Alive
> > > Proxy-Connection: Keep-Alive
> > >
> > > I see stuff in the emacs buffers mentioning Connection, and it says
> > > closed (unless marking the connection as busy is the same as keeping
> > > it open), but I don't see anything mentioning the proxy
> > > connection....?  Maybe another place to look?
> > >
> > > Just some ideas...
> > >
> > > Thanks!
> > >
> > > -C
> > >
> > > On Fri, Jun 14, 2019 at 3:02 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
> > > >
> > > > Hi,
> > > >
> > > > Thanks for following up with these further test results.
> > > >
> > > > "tenspd137 ." <dcday137@HIDDEN> writes:
> > > >
> > > > > I was able to try stepping through an Emacs/proxy/Exchange test in an
> > > > > emacs -Q session.  After setting the proxy and configuring the
> > > > > debugger to step through url-http and url-http-async-sentilnel, the
> > > > > only thing I noticed is that it appears url-http-async-sentinel is not
> > > > > being called.
> > > >
> > > > OK, that's probably expected.  I listed it for completeness (all the
> > > > call sites of url-https-proxy-connect), but I guess it would only be
> > > > called under url-retrieve, not under url-retrieve-synchronously.
> > > >
> > > > > I also put the url-https-proxy-connect override you gave me earlier
> > > > > into a file, loaded it and set the debugger to run through that as
> > > > > well as set up proxies.  A broken down list of steps:
> > > > >
> > > > > 1.  Load file containing proxy and altered url-https-proxyconnect, set
> > > > > debugger to run through it when hit.
> > > > > 2.  set up url-http and url-http-async-sentinel to be picked up by debugger
> > > > > 3.  eval (url-retrieve-synchronously
> > > > > "https://outlook.office365.com/EWS/Exchange.asmx"), step through
> > > > > url-http
> > > > > 4.  Input username and password when asked
> > > > > 5.  Continue stepping until end
> > > > >
> > > > > url-http-async-sentinel is never called. " *http* ... -####" has text
> > > > > indicating failure. url-https-proxy-connect is indeed called.
> > > >
> > > > OK, it's good to know that url-http ultimately calls
> > > > url-https-proxy-connect.  Unfortunately, despite this, proxying does not
> > > > work.
> > > >
> > > > > I don't know how to look at the actual <process>, if I try to C-x C-e
> > > > > or M-: "connection", it goes into the debugger.  The url's, etc look
> > > > > good as far as I can tell.  Not sure what else I can do.  If there are
> > > > > certain pieces of url-http you want me to look at, just let me know,
> > > > > but not really knowing what has to happen under the hood, I am not
> > > > > going to be able to do much else.
> > > >
> > > > I think I'll probably have to set up my own test environment.  Are you
> > > > in control of the proxy and its configuration?  If so, can you provide
> > > > rough configuration instructions (proxy software, version, relevant
> > > > config settings)?  If not, that's OK, I can try setting up generic proxy
> > > > software.
> > > >
> > > > Thanks,
> > > > Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 14 Jun 2019 23:08:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 14 19:08:20 2019
Received: from localhost ([127.0.0.1]:37975 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hbvIy-0006P0-5E
	for submit <at> debbugs.gnu.org; Fri, 14 Jun 2019 19:08:20 -0400
Received: from mail-wr1-f46.google.com ([209.85.221.46]:43391)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1hbvIv-0006Om-Ah
 for 35969 <at> debbugs.gnu.org; Fri, 14 Jun 2019 19:08:18 -0400
Received: by mail-wr1-f46.google.com with SMTP id p13so4065088wru.10
 for <35969 <at> debbugs.gnu.org>; Fri, 14 Jun 2019 16:08:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=PqeoWc1B2xGVR+gGlweIblaLB8awJHm35dCo0sdyNic=;
 b=WrMjMlBpqnj3OOnMxcpCsV/e+Yy2zxsBlZ4z+gxJmOxW99aZoOkAix89YMytkTbe+0
 UG6XLmwkA46SqysrnJxk/Bo7a1SGZ5AT9eopvnNcbn06+In8ZA3TrntGy7D2qKypJCXV
 5PhNI6jxrI3SqjRdMwozS/WzyLCUQPpeFyCUDYO5MP394qc2kgJ7dqdGfmhr7D7Igg2l
 CnoQKV6KuQd5CArDHgqzFnItK81JiNLEGbSC2+PUqWlVcm+pQBfSkgXj9NQLds6wc1Jg
 1wfVF/1KB+ya3JpVkfy3AobOUQygy/MuXa+tIqUu8j4H/qp2L/TIEJiT4OmMh5U+81LT
 DRaQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=PqeoWc1B2xGVR+gGlweIblaLB8awJHm35dCo0sdyNic=;
 b=JbgzuNvBwLezXC8tHM1IrgC9XC0QZgOxiwB4Bnf0QzJuJpkE9SAs74nkG4Nabsbu3/
 5qZHDekQgILnuS7OFt5k+zd6BMpae/LEHGjnXFv8IPlp0Cou1PUZ/gPOqJkTDoiFqpL5
 xBFyfxZrM7WPG6WCmyhHqaP5KBX5CRs8sOzk/YG4+1MPnymeQrmn6wG/DeGxXVRpMUXV
 FuWYarQa3zkJi+0NWETCDqNRT5jlqSvZBkNM1tA+DbZfKHpukudNll+zftySOxtSPIZk
 db6PYqQb/7SWjtz4ahMr7DsjVZ3SHkclGiq2XGCTsju4xT+QfghssyRlOEG0TCaC0LkB
 NUAQ==
X-Gm-Message-State: APjAAAUFzeAbHWhCTrMozr/DQ+JwXBN57T8ZT67uNx8ARJZHhnH5R7YQ
 kKu9YphS3CMgtqfmu1Fh0Ov6AujA4n/+Yc0lAwdgaHC4BB4=
X-Google-Smtp-Source: APXvYqyiH/VEy0+yw8XiDaUVdXm0cYvu/B44Mqq6/FZnG6iqjIyEjUGoQIj0xvwCa7n79Y7RsA1WIXqjCuUls5jU50A=
X-Received: by 2002:a5d:5692:: with SMTP id f18mr8016931wrv.104.1560553691268; 
 Fri, 14 Jun 2019 16:08:11 -0700 (PDT)
MIME-Version: 1.0
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <m3y32p42jk.fsf@HIDDEN>
 <CAB=m8wLwY_8QBS-Pxey-atCXx-TC=oL_+OTOT-A0b9Pa61JC+A@HIDDEN>
 <m3muj53rtl.fsf@HIDDEN>
 <CAB=m8wLkNCLeF-upnLkAyPoXqXV=ivxXHqWCKxCf0bYjALboxg@HIDDEN>
 <m3ftow539g.fsf@HIDDEN>
 <CAB=m8w+Q2S9zPHtOpjb7x+T29x+c37pws8pSZGhznN=B_he+xQ@HIDDEN>
 <CAB=m8wJ8QDKuGb1HmpNVZ5y=iOR5bTg5yL=wTYRi9cpNS+Ryug@HIDDEN>
 <CAB=m8wLNB=pjWqGBCnXuXpDA=1UB4C0sDxuU23FZiwJNQDmxDA@HIDDEN>
 <CAB=m8wL0JNK+dQv68nddHuJ8yvHdsV9ehTaGJ00NK4spe1sQAQ@HIDDEN>
 <m3blze4872.fsf@HIDDEN>
 <CAB=m8wJfGveEzVm46j2MLGFupdv2Lwn3VwL02_RAdirzDJKcSg@HIDDEN>
 <CAB=m8wKv0dWgRctuc+bWyocNOPFertCt9K4SOB2Q_W5cPU_tTw@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <m3h88rnanp.fsf@HIDDEN>
 <CAB=m8w+Fqu=XPmhDte=nuWf39i9fH=o16hxgVV0n29fyY0W+BQ@HIDDEN>
 <CAB=m8wJYHo23J0vA8sjkG0vN+YOp5s6khLOy_uGKNjsf8F5m1Q@HIDDEN>
In-Reply-To: <CAB=m8wJYHo23J0vA8sjkG0vN+YOp5s6khLOy_uGKNjsf8F5m1Q@HIDDEN>
From: "tenspd137 ." <dcday137@HIDDEN>
Date: Fri, 14 Jun 2019 17:07:59 -0600
Message-ID: <CAB=m8wJMGEVFk-O0AzDEvdgy9P=RcfNo4vKTdxzV1kbw512UpA@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
To: Thomas Fitzsimmons <fitzsim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 35969
Cc: 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

I think I figured it out.  I created a function that changed the line
in  url-http-create-request so that the request looks like:
GET /EWS/Exchange.asmx HTTP/1.1 <-----  *no server / host*
MIME-Version: 1.0
Connection: close
Extension: Security/Digest Security/SSL
Host: outlook.office365.com
Accept-encoding: gzip
Accept: */*
User-Agent: URL/Emacs Emacs/26.2 (X11; x86_64-pc-linux-gnu)
Cookie: OIDC=1; ClientId=8998C5691CD143E784857A0D01537963
Authorization: Basic ZGF2aWQuYy5kYXlAaHAuY29tOlMxa3kzbGk3bmUwNzMxJSU=

instead of

GET https://outlook.office365.com/EWS/Exchange.asmx HTTP/1.1
MIME-Version: 1.0
Connection: close
Extension: Security/Digest Security/SSL
Host: outlook.office365.com
Accept-encoding: gzip
Accept: */*
User-Agent: URL/Emacs Emacs/26.2 (X11; x86_64-pc-linux-gnu)
Cookie: OIDC=1; ClientId=8998C5691CD143E784857A0D01537963
Authorization: Basic ZGF2aWQuYy5kYXlAaHAuY29tOlMxa3kzbGk3bmUwNzMxJSU=

and the results buffer gives: *http....*-#####
HTTP/1.1 200 OK
Cache-Control: private
Content-Length: 1213
Content-Type: text/html; charset=UTF-8
Content-Encoding: gzip
Vary: Accept-Encoding
Server: Microsoft-IIS/10.0
request-id: bcd31568-29fd-44e4-935f-35b54d697f33
X-CalculatedFETarget: CY4PR18CU003.internal.outlook.com
X-BackEndHttpStatus: 200
Set-Cookie: exchangecookie=6c731ced364846f2a979bfaa84496f1e;
expires=Sun, 14-Jun-2020 23:02:57 GMT; path=/; secure; HttpOnly
X-FEProxyInfo: CY4PR18CA0059.NAMPRD18.PROD.OUTLOOK.COM
X-CalculatedBETarget: CS1PR8401MB1223.NAMPRD84.PROD.OUTLOOK.COM
X-BackEndHttpStatus: 200
X-RUM-Validated: 1
X-AspNet-Version: 4.0.30319
X-BeSku: Gen9
X-DiagInfo: CS1PR8401MB1223
X-BEServer: CS1PR8401MB1223
X-FEServer: CY4PR18CA0059
X-Powered-By: ASP.NET
X-FEServer: SN4PR0501CA0003
Date: Fri, 14 Jun 2019 23:02:56 GMT
Connection: close

<HTML><HEAD><link rel="alternate" type="text/xml"
href="https://cs1pr8401mb1223.namprd84.prod.outlook.com:444/EWS/Exchange.asmx?disco"/><STYLE
type="text/css">#content{ FONT-SIZE: 0.7em; PADDING-BOTTOM: 2em;
MARGIN-LEFT: 30px}BODY{MARGIN-TOP: 0px; MARGIN-LEFT: 0px; COLOR:
#000000; FONT-FAMILY: Verdana; BACKGROUND-COLOR: white}P{MARGIN-TOP:
0px; MARGIN-BOTTOM: 12px; COLOR: #000000; FONT-FAMILY:
Verdana}PRE{BORDER-RIGHT: #f0f0e0 1px solid; PADDING-RIGHT: 5px;
BORDER-TOP: #f0f0e0 1px solid; MARGIN-TOP: -5px; PADDING-LEFT: 5px;
FONT-SIZE: 1.2em; PADDING-BOTTOM: 5px; BORDER-LEFT: #f0f0e0 1px solid;
PADDING-TOP: 5px; BORDER-BOTTOM: #f0f0e0 1px solid; FONT-FAMILY:
Courier New; BACKGROUND-COLOR: #e5e5cc}.heading1{MARGIN-TOP: 0px;
PADDING-LEFT: 15px; FONT-WEIGHT: normal; FONT-SIZE: 26px;
MARGIN-BOTTOM: 0px; PADDING-BOTTOM: 3px; MARGIN-LEFT: -30px; WIDTH:
100%; COLOR: #ffffff; PADDING-TOP: 10px; FONT-FAMILY: Tahoma;
BACKGROUND-COLOR: #003366}.intro{MARGIN-LEFT:
-15px}</STYLE><TITLE>Service</TITLE></HEAD><BODY><DIV id="content"><P
class="heading1">Service</P><BR/><P class="intro">You have created a
service.<P class='intro'>To test this service, you will need to create
a client and use it to call the service. You can do this using the
svcutil.exe tool from the command line with the following syntax:</P>
<BR/><PRE>svcutil.exe <A
HREF="https://cs1pr8401mb1223.namprd84.prod.outlook.com:444/EWS/Services.wsdl">https://cs1pr8401mb1223.namprd84.prod.outlook.com:444/EWS/Services.wsdl</A></PRE></P><P
class="intro"/>This will generate a configuration file and a code file
that contains the client class. Add the two files to your client
application and use the generated client class to call the Service.
For example:<BR/><P class='intro'><B>C#</B></P><PRE><font
color="blue">class </font><font color="teal">Test
</font>{
<font color="blue">    static void </font>Main()
    {
        <font color="teal">HelloClient</font> client = <font
color="blue">new </font><font color="teal">HelloClient</font>();

<font color="green">        // Use the 'client' variable to call
operations on the service.

</font><font color="green">        // Always close the client.
</font>        client.Close();
    }
}
</PRE><BR/><P class='intro'><B>Visual Basic</B></P><PRE><font
color="blue">Class </font><font color="teal">Test
</font><font color="blue">    Shared Sub </font>Main()
<font color="blue">        Dim </font>client As <font
color="teal">HelloClient</font> = <font color="blue">New </font><font
color="teal">HelloClient</font>()
<font color="green">        ' Use the 'client' variable to call
operations on the service.

</font><font color="green">        ' Always close the client.
</font>        client.Close()
<font color="blue">    End Sub
</font><font color="blue">End Class</font></PRE></DIV></BODY></HTML>

which matches the file saved with wget.

That has to be worth something....

Thanks!

-C

On Fri, Jun 14, 2019 at 4:07 PM tenspd137 . <dcday137@HIDDEN> wrote:
>
> Just some more things I noticed from the wget log vs. the emacs buffers:
>
> emacs: Accept-encoding:gzip, wget:Accept-encoding: identity
>
> emacs: GET  https://outlook.office365.com/EWS/Exchange.asmx HTTP/1.1,
> wget: GET /EWS/Exchange.asmx HTTP/1.1
>
> Don't know if any of that is helpful, but there it is.
>
> Thanks!
>
> -C
>
> On Fri, Jun 14, 2019 at 3:48 PM tenspd137 . <dcday137@HIDDEN> wrote:
> >
> > Sorry - I am not in control of my proxy.  So, before I give up on this
> > for today, I was going over the wget logs from trying the same thing.
> > One thing I noticed is:
> >
> > Connection: Keep-Alive
> > Proxy-Connection: Keep-Alive
> >
> > I see stuff in the emacs buffers mentioning Connection, and it says
> > closed (unless marking the connection as busy is the same as keeping
> > it open), but I don't see anything mentioning the proxy
> > connection....?  Maybe another place to look?
> >
> > Just some ideas...
> >
> > Thanks!
> >
> > -C
> >
> > On Fri, Jun 14, 2019 at 3:02 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
> > >
> > > Hi,
> > >
> > > Thanks for following up with these further test results.
> > >
> > > "tenspd137 ." <dcday137@HIDDEN> writes:
> > >
> > > > I was able to try stepping through an Emacs/proxy/Exchange test in an
> > > > emacs -Q session.  After setting the proxy and configuring the
> > > > debugger to step through url-http and url-http-async-sentilnel, the
> > > > only thing I noticed is that it appears url-http-async-sentinel is not
> > > > being called.
> > >
> > > OK, that's probably expected.  I listed it for completeness (all the
> > > call sites of url-https-proxy-connect), but I guess it would only be
> > > called under url-retrieve, not under url-retrieve-synchronously.
> > >
> > > > I also put the url-https-proxy-connect override you gave me earlier
> > > > into a file, loaded it and set the debugger to run through that as
> > > > well as set up proxies.  A broken down list of steps:
> > > >
> > > > 1.  Load file containing proxy and altered url-https-proxyconnect, set
> > > > debugger to run through it when hit.
> > > > 2.  set up url-http and url-http-async-sentinel to be picked up by debugger
> > > > 3.  eval (url-retrieve-synchronously
> > > > "https://outlook.office365.com/EWS/Exchange.asmx"), step through
> > > > url-http
> > > > 4.  Input username and password when asked
> > > > 5.  Continue stepping until end
> > > >
> > > > url-http-async-sentinel is never called. " *http* ... -####" has text
> > > > indicating failure. url-https-proxy-connect is indeed called.
> > >
> > > OK, it's good to know that url-http ultimately calls
> > > url-https-proxy-connect.  Unfortunately, despite this, proxying does not
> > > work.
> > >
> > > > I don't know how to look at the actual <process>, if I try to C-x C-e
> > > > or M-: "connection", it goes into the debugger.  The url's, etc look
> > > > good as far as I can tell.  Not sure what else I can do.  If there are
> > > > certain pieces of url-http you want me to look at, just let me know,
> > > > but not really knowing what has to happen under the hood, I am not
> > > > going to be able to do much else.
> > >
> > > I think I'll probably have to set up my own test environment.  Are you
> > > in control of the proxy and its configuration?  If so, can you provide
> > > rough configuration instructions (proxy software, version, relevant
> > > config settings)?  If not, that's OK, I can try setting up generic proxy
> > > software.
> > >
> > > Thanks,
> > > Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 14 Jun 2019 22:08:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 14 18:08:09 2019
Received: from localhost ([127.0.0.1]:37962 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hbuMj-0004sM-AB
	for submit <at> debbugs.gnu.org; Fri, 14 Jun 2019 18:08:09 -0400
Received: from mail-wr1-f51.google.com ([209.85.221.51]:41256)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1hbuMh-0004rv-1n
 for 35969 <at> debbugs.gnu.org; Fri, 14 Jun 2019 18:08:07 -0400
Received: by mail-wr1-f51.google.com with SMTP id c2so3988107wrm.8
 for <35969 <at> debbugs.gnu.org>; Fri, 14 Jun 2019 15:08:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=M+bS8rwl4n8LphTqN/eSiETN2mzWmPAObfPthUyqLmI=;
 b=fJVEH/ZYL0x3JdXWwscIMs81eoY3x6DCz3lC7qCBnMiPrLDHK5R7zIjFseyHDiSdNo
 BesmfHehGtiOsarENZuAAJbXEFFJmYBpQy3Eeqp7Pu8fR2qkassAII7GqZjCV7gTf2o2
 h+ZWnYWifOQBfk/6biFFxe9qFclIaLrlct1LikGcbxChtzzKJ+Vw0FxpZhyQUNMfwGyI
 2TLbnEhPlcek+4nR5WdgPCdhAhoYrhWZKQU2e2tnp3oz7qfQb2irvNVE8RPbpa4jqpNV
 m3NMmvlFZFpUeGAqoAOPLRj+CCD5H3RDaebnOAuu4270x5O3R7F+TuOtHk+cwgJKSzS3
 BSAg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=M+bS8rwl4n8LphTqN/eSiETN2mzWmPAObfPthUyqLmI=;
 b=cf4tr9PDCu3Dutesj+ES2UeS12l0/Hw7MpBYqcS3MEEea7lZudPaf9dRs2dFDO8h9/
 RU2wxOfUKB9LeyTycGzzvMRVi3ECgU+0JIaOGgQdwMVE+/P6VByiXsJNcJz02RqbmdDL
 ocUkSt66BOtueej+qkwMYcZ56bq77Lae6050kon6h5pOjSqMfJp1HRG9pS/yJ2z4Z7cl
 aVJ6OhKMcUbdw75Sg59nzrl9CAGGn7+EjqI5LxJUToVHoB0xYctCxjg/QtxCrF/rptCz
 jKPkwm1xRIOkLFmN81en1/TdXS6hhO0Hq5EubFX6rSa+oAm+Ec2KOc+jLJl6hjtn8+dg
 sD0g==
X-Gm-Message-State: APjAAAVgnI1OkbZLyH0tAVMIM3ulKX5ZdZUpnwIZ2akHMeOuCVn8Lvny
 KGy0NHlQ6fcL6fe4WrActY/58hJQ1M/c4DgKxqI=
X-Google-Smtp-Source: APXvYqzW6WlcmKNw8KfYWHHgHN949f2ttlNR4CPy/oZjK/nN5TVtI6IckWwqXEw2qRq+sS3+V6f4qyJWwtowqDVXHlI=
X-Received: by 2002:a5d:4708:: with SMTP id y8mr1970150wrq.85.1560550081188;
 Fri, 14 Jun 2019 15:08:01 -0700 (PDT)
MIME-Version: 1.0
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <m3y32p42jk.fsf@HIDDEN>
 <CAB=m8wLwY_8QBS-Pxey-atCXx-TC=oL_+OTOT-A0b9Pa61JC+A@HIDDEN>
 <m3muj53rtl.fsf@HIDDEN>
 <CAB=m8wLkNCLeF-upnLkAyPoXqXV=ivxXHqWCKxCf0bYjALboxg@HIDDEN>
 <m3ftow539g.fsf@HIDDEN>
 <CAB=m8w+Q2S9zPHtOpjb7x+T29x+c37pws8pSZGhznN=B_he+xQ@HIDDEN>
 <CAB=m8wJ8QDKuGb1HmpNVZ5y=iOR5bTg5yL=wTYRi9cpNS+Ryug@HIDDEN>
 <CAB=m8wLNB=pjWqGBCnXuXpDA=1UB4C0sDxuU23FZiwJNQDmxDA@HIDDEN>
 <CAB=m8wL0JNK+dQv68nddHuJ8yvHdsV9ehTaGJ00NK4spe1sQAQ@HIDDEN>
 <m3blze4872.fsf@HIDDEN>
 <CAB=m8wJfGveEzVm46j2MLGFupdv2Lwn3VwL02_RAdirzDJKcSg@HIDDEN>
 <CAB=m8wKv0dWgRctuc+bWyocNOPFertCt9K4SOB2Q_W5cPU_tTw@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <m3h88rnanp.fsf@HIDDEN>
 <CAB=m8w+Fqu=XPmhDte=nuWf39i9fH=o16hxgVV0n29fyY0W+BQ@HIDDEN>
In-Reply-To: <CAB=m8w+Fqu=XPmhDte=nuWf39i9fH=o16hxgVV0n29fyY0W+BQ@HIDDEN>
From: "tenspd137 ." <dcday137@HIDDEN>
Date: Fri, 14 Jun 2019 16:07:50 -0600
Message-ID: <CAB=m8wJYHo23J0vA8sjkG0vN+YOp5s6khLOy_uGKNjsf8F5m1Q@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
To: Thomas Fitzsimmons <fitzsim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 35969
Cc: 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Just some more things I noticed from the wget log vs. the emacs buffers:

emacs: Accept-encoding:gzip, wget:Accept-encoding: identity

emacs: GET  https://outlook.office365.com/EWS/Exchange.asmx HTTP/1.1,
wget: GET /EWS/Exchange.asmx HTTP/1.1

Don't know if any of that is helpful, but there it is.

Thanks!

-C

On Fri, Jun 14, 2019 at 3:48 PM tenspd137 . <dcday137@HIDDEN> wrote:
>
> Sorry - I am not in control of my proxy.  So, before I give up on this
> for today, I was going over the wget logs from trying the same thing.
> One thing I noticed is:
>
> Connection: Keep-Alive
> Proxy-Connection: Keep-Alive
>
> I see stuff in the emacs buffers mentioning Connection, and it says
> closed (unless marking the connection as busy is the same as keeping
> it open), but I don't see anything mentioning the proxy
> connection....?  Maybe another place to look?
>
> Just some ideas...
>
> Thanks!
>
> -C
>
> On Fri, Jun 14, 2019 at 3:02 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
> >
> > Hi,
> >
> > Thanks for following up with these further test results.
> >
> > "tenspd137 ." <dcday137@HIDDEN> writes:
> >
> > > I was able to try stepping through an Emacs/proxy/Exchange test in an
> > > emacs -Q session.  After setting the proxy and configuring the
> > > debugger to step through url-http and url-http-async-sentilnel, the
> > > only thing I noticed is that it appears url-http-async-sentinel is not
> > > being called.
> >
> > OK, that's probably expected.  I listed it for completeness (all the
> > call sites of url-https-proxy-connect), but I guess it would only be
> > called under url-retrieve, not under url-retrieve-synchronously.
> >
> > > I also put the url-https-proxy-connect override you gave me earlier
> > > into a file, loaded it and set the debugger to run through that as
> > > well as set up proxies.  A broken down list of steps:
> > >
> > > 1.  Load file containing proxy and altered url-https-proxyconnect, set
> > > debugger to run through it when hit.
> > > 2.  set up url-http and url-http-async-sentinel to be picked up by debugger
> > > 3.  eval (url-retrieve-synchronously
> > > "https://outlook.office365.com/EWS/Exchange.asmx"), step through
> > > url-http
> > > 4.  Input username and password when asked
> > > 5.  Continue stepping until end
> > >
> > > url-http-async-sentinel is never called. " *http* ... -####" has text
> > > indicating failure. url-https-proxy-connect is indeed called.
> >
> > OK, it's good to know that url-http ultimately calls
> > url-https-proxy-connect.  Unfortunately, despite this, proxying does not
> > work.
> >
> > > I don't know how to look at the actual <process>, if I try to C-x C-e
> > > or M-: "connection", it goes into the debugger.  The url's, etc look
> > > good as far as I can tell.  Not sure what else I can do.  If there are
> > > certain pieces of url-http you want me to look at, just let me know,
> > > but not really knowing what has to happen under the hood, I am not
> > > going to be able to do much else.
> >
> > I think I'll probably have to set up my own test environment.  Are you
> > in control of the proxy and its configuration?  If so, can you provide
> > rough configuration instructions (proxy software, version, relevant
> > config settings)?  If not, that's OK, I can try setting up generic proxy
> > software.
> >
> > Thanks,
> > Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 14 Jun 2019 21:48:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 14 17:48:53 2019
Received: from localhost ([127.0.0.1]:37954 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hbu45-0004Qg-J4
	for submit <at> debbugs.gnu.org; Fri, 14 Jun 2019 17:48:53 -0400
Received: from mail-wm1-f44.google.com ([209.85.128.44]:53552)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1hbu44-0004QS-3q
 for 35969 <at> debbugs.gnu.org; Fri, 14 Jun 2019 17:48:52 -0400
Received: by mail-wm1-f44.google.com with SMTP id x15so3739567wmj.3
 for <35969 <at> debbugs.gnu.org>; Fri, 14 Jun 2019 14:48:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=zeA9iDm4AbWZu7aCGXYWOyV3j+3ZfgaGjkNR/W9g+os=;
 b=qmgKikIwb2ZCYnO4xpjCHx4UjdpJWJuZ/K8XhpyXvoKh0iSGYBHrkbL40ZhKR+l+WA
 O2xkltmx7ZCDJVRn+UcJnQNVTmm1Fas1w3d/CoR1s0/ycpHIyvmOjctG295oKITXZ4Iz
 R7g8n3QJmdL6tsbSxIrKl+hxTlonyNWAvRLBDOoqDv1SVkZrNsapDdslCWe1HYL3Dgb+
 e9DqFs96tzrkSYWxVtmAbyb/rGi36gJXyJkH4RVHOCq28mwvkBYlhfUJa1o2uyXY2FxE
 dTnTzNAU6SbQ135W8eflGMFwAPRVqiAkt/PHYXSsn0TwXfjhVRqNUQ8Zto64AhWrXD+2
 I4MA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=zeA9iDm4AbWZu7aCGXYWOyV3j+3ZfgaGjkNR/W9g+os=;
 b=uD7SY1qgwv8H6INIfuesUlUQN1X/8zzy6l9xn+0OMzQDQLZyL+OH2UI9XyJ+PhwHU1
 q4MzQTlCC5TXndZaoJrHp9UTf3w91cZJF3xNzXMrLZq6h3KUgxmEDM4UbnPXcRsJMI4S
 wTUflZKaa1edl4Ub5nAnPJg3qksc+qCu2DlB8NMMkAbx2oTBKZw/9cWyGgm5z8axh7Ca
 nH1WpmSNUu0NhtM4eZUj7pMqv8zpKqSZlPqPqhfhy8ZOjQP/MlUdwgy8YuzBJcbOCkr7
 /64QSl0VLEi+JYasopqwDHpuf+nVTF7VLSFWhFxNFVRsBv4/bNTR5pbVAfOJAd/S7QIQ
 o3Qw==
X-Gm-Message-State: APjAAAUB5yWmQob0kccUggTLfbmeQxaRKqDT63PJBaC+fSxtIKluw25q
 NMsVGA+KIiUNls4YtXodQrf52IUX62if9a/IgR02847RQ88=
X-Google-Smtp-Source: APXvYqwu+dQNmmUpPf8xy1EOCRuR7TFbv+S+vUKQdrh0AysrDEz3/54VtzPoSPPRuFgNY2I1JzR+bvlg/wpyvASJwJs=
X-Received: by 2002:a1c:cfc3:: with SMTP id f186mr8701143wmg.134.1560548925952; 
 Fri, 14 Jun 2019 14:48:45 -0700 (PDT)
MIME-Version: 1.0
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <m3y32p42jk.fsf@HIDDEN>
 <CAB=m8wLwY_8QBS-Pxey-atCXx-TC=oL_+OTOT-A0b9Pa61JC+A@HIDDEN>
 <m3muj53rtl.fsf@HIDDEN>
 <CAB=m8wLkNCLeF-upnLkAyPoXqXV=ivxXHqWCKxCf0bYjALboxg@HIDDEN>
 <m3ftow539g.fsf@HIDDEN>
 <CAB=m8w+Q2S9zPHtOpjb7x+T29x+c37pws8pSZGhznN=B_he+xQ@HIDDEN>
 <CAB=m8wJ8QDKuGb1HmpNVZ5y=iOR5bTg5yL=wTYRi9cpNS+Ryug@HIDDEN>
 <CAB=m8wLNB=pjWqGBCnXuXpDA=1UB4C0sDxuU23FZiwJNQDmxDA@HIDDEN>
 <CAB=m8wL0JNK+dQv68nddHuJ8yvHdsV9ehTaGJ00NK4spe1sQAQ@HIDDEN>
 <m3blze4872.fsf@HIDDEN>
 <CAB=m8wJfGveEzVm46j2MLGFupdv2Lwn3VwL02_RAdirzDJKcSg@HIDDEN>
 <CAB=m8wKv0dWgRctuc+bWyocNOPFertCt9K4SOB2Q_W5cPU_tTw@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <m3h88rnanp.fsf@HIDDEN>
In-Reply-To: <m3h88rnanp.fsf@HIDDEN>
From: "tenspd137 ." <dcday137@HIDDEN>
Date: Fri, 14 Jun 2019 15:48:34 -0600
Message-ID: <CAB=m8w+Fqu=XPmhDte=nuWf39i9fH=o16hxgVV0n29fyY0W+BQ@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
To: Thomas Fitzsimmons <fitzsim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 35969
Cc: 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Sorry - I am not in control of my proxy.  So, before I give up on this
for today, I was going over the wget logs from trying the same thing.
One thing I noticed is:

Connection: Keep-Alive
Proxy-Connection: Keep-Alive

I see stuff in the emacs buffers mentioning Connection, and it says
closed (unless marking the connection as busy is the same as keeping
it open), but I don't see anything mentioning the proxy
connection....?  Maybe another place to look?

Just some ideas...

Thanks!

-C

On Fri, Jun 14, 2019 at 3:02 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>
> Hi,
>
> Thanks for following up with these further test results.
>
> "tenspd137 ." <dcday137@HIDDEN> writes:
>
> > I was able to try stepping through an Emacs/proxy/Exchange test in an
> > emacs -Q session.  After setting the proxy and configuring the
> > debugger to step through url-http and url-http-async-sentilnel, the
> > only thing I noticed is that it appears url-http-async-sentinel is not
> > being called.
>
> OK, that's probably expected.  I listed it for completeness (all the
> call sites of url-https-proxy-connect), but I guess it would only be
> called under url-retrieve, not under url-retrieve-synchronously.
>
> > I also put the url-https-proxy-connect override you gave me earlier
> > into a file, loaded it and set the debugger to run through that as
> > well as set up proxies.  A broken down list of steps:
> >
> > 1.  Load file containing proxy and altered url-https-proxyconnect, set
> > debugger to run through it when hit.
> > 2.  set up url-http and url-http-async-sentinel to be picked up by debugger
> > 3.  eval (url-retrieve-synchronously
> > "https://outlook.office365.com/EWS/Exchange.asmx"), step through
> > url-http
> > 4.  Input username and password when asked
> > 5.  Continue stepping until end
> >
> > url-http-async-sentinel is never called. " *http* ... -####" has text
> > indicating failure. url-https-proxy-connect is indeed called.
>
> OK, it's good to know that url-http ultimately calls
> url-https-proxy-connect.  Unfortunately, despite this, proxying does not
> work.
>
> > I don't know how to look at the actual <process>, if I try to C-x C-e
> > or M-: "connection", it goes into the debugger.  The url's, etc look
> > good as far as I can tell.  Not sure what else I can do.  If there are
> > certain pieces of url-http you want me to look at, just let me know,
> > but not really knowing what has to happen under the hood, I am not
> > going to be able to do much else.
>
> I think I'll probably have to set up my own test environment.  Are you
> in control of the proxy and its configuration?  If so, can you provide
> rough configuration instructions (proxy software, version, relevant
> config settings)?  If not, that's OK, I can try setting up generic proxy
> software.
>
> Thanks,
> Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 14 Jun 2019 21:02:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 14 17:02:14 2019
Received: from localhost ([127.0.0.1]:37915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hbtKw-00019g-D8
	for submit <at> debbugs.gnu.org; Fri, 14 Jun 2019 17:02:14 -0400
Received: from mail-io1-f50.google.com ([209.85.166.50]:45421)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fitzsim@HIDDEN>) id 1hbtKr-00019M-RM
 for 35969 <at> debbugs.gnu.org; Fri, 14 Jun 2019 17:02:13 -0400
Received: by mail-io1-f50.google.com with SMTP id e3so8620169ioc.12
 for <35969 <at> debbugs.gnu.org>; Fri, 14 Jun 2019 14:02:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fitzsim-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=s9C7PKpQtMpPD8BxY9ilWyZr+eSsRHNGrSn3sTE7wo4=;
 b=b9rNFctwCE9O6zVcVY/F7oaAqh2ORGF00VE8Ph6ghFPvwKXPcJYeLa0wj3Talmf7Au
 kkXmP+9w+tKCle6DH9fmFUhvjIukM3HPbI2S439hw2fnPMUOJfXvh+13313HpnqcCDxI
 pGwnfGMKrVlIDD622fddpUNHk9sZESNjOqmUf2a7FucIWYQW7lpGFXQLPb4lL98pS90o
 /kviWAYlgY5Ck6wrHtbuKTrBVyEOUYhLmcL0XZ1D9yP3g1GSFe9Nh2rtayfTX//4Ogh2
 tvInMCEH5O9MMBy5TemRAEZM9kGnHetuTJ+nsMIi2zi61WEo8Y4xqLjuoGayhzMCm2Eu
 sPqQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=s9C7PKpQtMpPD8BxY9ilWyZr+eSsRHNGrSn3sTE7wo4=;
 b=k/Yn/XyRbAPNME3S9vzhxh535PNdu6SzOizWVJfMgdcFhfr7YCQGNsLnHVNhxCJBH5
 Bs1rckq0hKsp5Bse3RntjUOCY/1+UzEQ26zrtB9s/qlfXByoQ1bdYFwYRj2v0hLzcTmV
 4L5vNpxBi2ybRnQcu0jClfRGs68tIWm65p6cS+GduRBhR5nr5r175hwpdV8pkbLpJ6Fi
 /qNlqXQfgntWQZVboEcFLmUhbsf6auzczhZqG+uMoJmOt7EA1xlcQuirbdUd4GM9+fpA
 7jEgc9WmGpQHoVXkfUCopirpRk+HiNr689qedX33GRKefYbyIrrr34Zic9BPx9GJD55Z
 YxUA==
X-Gm-Message-State: APjAAAW0Quz/dHXJRxXR8kmvNI2d/232YaWsHqvOr7UqEG78A+IeC0sx
 /GLJTtZmCX/d5+dGWVDnFyBOcEOBrHQ=
X-Google-Smtp-Source: APXvYqzeo39nkKf+OD1GyOc5ttA2EQko/F8oivRBrQi00rxtKfiALJWqcPMjoLmprD8wVkPoKQ+AWA==
X-Received: by 2002:a02:37d6:: with SMTP id r205mr61168795jar.57.1560546124062; 
 Fri, 14 Jun 2019 14:02:04 -0700 (PDT)
Received: from localhost.localdomain (69-165-165-189.dsl.teksavvy.com.
 [69.165.165.189])
 by smtp.gmail.com with ESMTPSA id t22sm3978254ioc.75.2019.06.14.14.02.03
 (version=TLS1_3 cipher=AEAD-AES128-GCM-SHA256 bits=128/128);
 Fri, 14 Jun 2019 14:02:03 -0700 (PDT)
From: Thomas Fitzsimmons <fitzsim@HIDDEN>
To: "tenspd137 ." <dcday137@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <m3y32p42jk.fsf@HIDDEN>
 <CAB=m8wLwY_8QBS-Pxey-atCXx-TC=oL_+OTOT-A0b9Pa61JC+A@HIDDEN>
 <m3muj53rtl.fsf@HIDDEN>
 <CAB=m8wLkNCLeF-upnLkAyPoXqXV=ivxXHqWCKxCf0bYjALboxg@HIDDEN>
 <m3ftow539g.fsf@HIDDEN>
 <CAB=m8w+Q2S9zPHtOpjb7x+T29x+c37pws8pSZGhznN=B_he+xQ@HIDDEN>
 <CAB=m8wJ8QDKuGb1HmpNVZ5y=iOR5bTg5yL=wTYRi9cpNS+Ryug@HIDDEN>
 <CAB=m8wLNB=pjWqGBCnXuXpDA=1UB4C0sDxuU23FZiwJNQDmxDA@HIDDEN>
 <CAB=m8wL0JNK+dQv68nddHuJ8yvHdsV9ehTaGJ00NK4spe1sQAQ@HIDDEN>
 <m3blze4872.fsf@HIDDEN>
 <CAB=m8wJfGveEzVm46j2MLGFupdv2Lwn3VwL02_RAdirzDJKcSg@HIDDEN>
 <CAB=m8wKv0dWgRctuc+bWyocNOPFertCt9K4SOB2Q_W5cPU_tTw@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
Date: Fri, 14 Jun 2019 17:02:02 -0400
In-Reply-To: <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 (tenspd's message of "Fri, 14 Jun 2019 14:13:46 -0600")
Message-ID: <m3h88rnanp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35969
Cc: 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Thanks for following up with these further test results.

"tenspd137 ." <dcday137@HIDDEN> writes:

> I was able to try stepping through an Emacs/proxy/Exchange test in an
> emacs -Q session.  After setting the proxy and configuring the
> debugger to step through url-http and url-http-async-sentilnel, the
> only thing I noticed is that it appears url-http-async-sentinel is not
> being called.

OK, that's probably expected.  I listed it for completeness (all the
call sites of url-https-proxy-connect), but I guess it would only be
called under url-retrieve, not under url-retrieve-synchronously.

> I also put the url-https-proxy-connect override you gave me earlier
> into a file, loaded it and set the debugger to run through that as
> well as set up proxies.  A broken down list of steps:
>
> 1.  Load file containing proxy and altered url-https-proxyconnect, set
> debugger to run through it when hit.
> 2.  set up url-http and url-http-async-sentinel to be picked up by debugger
> 3.  eval (url-retrieve-synchronously
> "https://outlook.office365.com/EWS/Exchange.asmx"), step through
> url-http
> 4.  Input username and password when asked
> 5.  Continue stepping until end
>
> url-http-async-sentinel is never called. " *http* ... -####" has text
> indicating failure. url-https-proxy-connect is indeed called.

OK, it's good to know that url-http ultimately calls
url-https-proxy-connect.  Unfortunately, despite this, proxying does not
work.

> I don't know how to look at the actual <process>, if I try to C-x C-e
> or M-: "connection", it goes into the debugger.  The url's, etc look
> good as far as I can tell.  Not sure what else I can do.  If there are
> certain pieces of url-http you want me to look at, just let me know,
> but not really knowing what has to happen under the hood, I am not
> going to be able to do much else.

I think I'll probably have to set up my own test environment.  Are you
in control of the proxy and its configuration?  If so, can you provide
rough configuration instructions (proxy software, version, relevant
config settings)?  If not, that's OK, I can try setting up generic proxy
software.

Thanks,
Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 14 Jun 2019 20:45:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 14 16:45:36 2019
Received: from localhost ([127.0.0.1]:37902 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hbt4q-0000hy-H3
	for submit <at> debbugs.gnu.org; Fri, 14 Jun 2019 16:45:36 -0400
Received: from mail-wm1-f48.google.com ([209.85.128.48]:54377)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1hbt4o-0000hf-2L
 for 35969 <at> debbugs.gnu.org; Fri, 14 Jun 2019 16:45:35 -0400
Received: by mail-wm1-f48.google.com with SMTP id g135so3602910wme.4
 for <35969 <at> debbugs.gnu.org>; Fri, 14 Jun 2019 13:45:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=NXEXlTu27Ggt6kRfBIyCalABSr6yzj/VFYVu7SfJIrk=;
 b=kBrRWkXnedWkPbON28eH5TJGb2dxCxy7RCleiUYQjI/jcDFhM5BS6yEiuqzlm/SYZz
 D5/PyD57NR6czIwPToBkFjGr+iMZGADAtmvxvLPAjFk8hwHZxd5P6BINfNwxXnQcDbQQ
 LvdyF2e5cuioCeq87+ACe6UhoaSUTfIitv/AeBz6U0Yq6fBOAITXizsjm2plAShTa2XU
 nOnlPDYkRvbL0GBpg3I5XnOY1Rw/IVGd5edFDvrd6nEkkQbi2oOu18N2JSQOMjqRwRAO
 HTTKy1KfB7TU8wEaaEyyl/pckbjQC8Fdu+1fpT4vGD/ktDZLd1kBpsebdZNiarczm7/U
 rk2Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=NXEXlTu27Ggt6kRfBIyCalABSr6yzj/VFYVu7SfJIrk=;
 b=tFVbNzzmZxmOIjBGJBJBmlfvM3vFCIjpx6JblEOA7DQsd9u2/oKAsfGf0/yDMgJTxK
 GfE9OAwqZD0GD+W9kPqy2UhBqs/pt+DbV+hPV/BRBIXDo9NpKI2REpSMCtHjOJqW+17p
 sT2odC8byTKRoEtsxQt1vTBgWS4P2AChZ0hcnHElcwkN+wuXjJpCcoWrs3HFe8Jk3ygl
 6H3xks88AokWyHu1L2WzVlrQGDyeaLSuTbXArcnGbYpHeEQFqnTO47AuE5X93j1lphxC
 lpItiNJOua/Twc1qdGKMW/HGgt7zn7Tab3cFuxcrd+hXhQfn2X5EOJXg/XsfkIWyA904
 dm3Q==
X-Gm-Message-State: APjAAAXjBfBpCZyDk1WUEliIF1Qvs8rZ6PtQcwlb8vOYcgpwPGQWKyHu
 2xXkAcBFKM0K8twTq1aO5tor9TG4dlafo40+t9U=
X-Google-Smtp-Source: APXvYqwMt5owNhvJmuDvTfevGKINBtPeaPjBA8AboK9s33Y2UGyp5lMqfyy3k9EAox/eXd6ubjSLJqJl4SwKfhu4uAc=
X-Received: by 2002:a1c:cfc3:: with SMTP id f186mr8590213wmg.134.1560545127954; 
 Fri, 14 Jun 2019 13:45:27 -0700 (PDT)
MIME-Version: 1.0
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <CAB=m8wLwY_8QBS-Pxey-atCXx-TC=oL_+OTOT-A0b9Pa61JC+A@HIDDEN>
 <m3muj53rtl.fsf@HIDDEN>
 <CAB=m8wLkNCLeF-upnLkAyPoXqXV=ivxXHqWCKxCf0bYjALboxg@HIDDEN>
 <m3ftow539g.fsf@HIDDEN>
 <CAB=m8w+Q2S9zPHtOpjb7x+T29x+c37pws8pSZGhznN=B_he+xQ@HIDDEN>
 <CAB=m8wJ8QDKuGb1HmpNVZ5y=iOR5bTg5yL=wTYRi9cpNS+Ryug@HIDDEN>
 <CAB=m8wLNB=pjWqGBCnXuXpDA=1UB4C0sDxuU23FZiwJNQDmxDA@HIDDEN>
 <CAB=m8wL0JNK+dQv68nddHuJ8yvHdsV9ehTaGJ00NK4spe1sQAQ@HIDDEN>
 <m3blze4872.fsf@HIDDEN>
 <CAB=m8wJfGveEzVm46j2MLGFupdv2Lwn3VwL02_RAdirzDJKcSg@HIDDEN>
 <CAB=m8wKv0dWgRctuc+bWyocNOPFertCt9K4SOB2Q_W5cPU_tTw@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <CAB=m8wLMHwscCY7ut1AHaZB73ars-KALQKLS86krxFek-rjUGA@HIDDEN>
 <855zp7diia.fsf@HIDDEN>
 <CAB=m8wLxLH+sxnSfemUiQCfPFCKox+KtGGSg=bgb=YsZVWwTGg@HIDDEN>
In-Reply-To: <CAB=m8wLxLH+sxnSfemUiQCfPFCKox+KtGGSg=bgb=YsZVWwTGg@HIDDEN>
From: "tenspd137 ." <dcday137@HIDDEN>
Date: Fri, 14 Jun 2019 14:45:16 -0600
Message-ID: <CAB=m8wKDmLmmvdk=bRFg_i55wGxvVuFO-3hqWUYE=CoJwc0sGQ@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
To: Thomas Fitzsimmons <fitzsim@HIDDEN>, 35969 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 35969
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

One thing I noticed is that after entering my username and password,
the url-current-object did not contain a user or password.  Of course,
it could also be that authentication happens during the prompt and
that the username ans password is not supposed to be saved there for
security reasons.

Either way, let me know if there are certain values you want me to look at.

Thanks!

-C

On Fri, Jun 14, 2019 at 2:32 PM tenspd137 . <dcday137@HIDDEN> wrote:
>
> Ok - so yes, when I hit e and type "connection", it tells me #<process
> outlook.office365.com>, so I must have been doing it out of context.
>
> On Fri, Jun 14, 2019 at 2:22 PM Noam Postavsky <npostavs@HIDDEN> wrote:
> >
> > "tenspd137 ." <dcday137@HIDDEN> writes:
> >
> > > *if I try to C-x C-e  or M-: "connection", it goes into the debugger.*
> > >
> > > I mean it gives me a backtrace telling me the variable is empty, even
> > > though later in lisp expressions, it is evaluated.
> >
> > If you're stepping with debug or edebug, use `e' (bound to
> > debugger-eval-expression or edebug-eval-expression, respectively) to
> > evaluate expressions in the context of the code you are stepping
> > through.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 14 Jun 2019 20:33:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 14 16:33:15 2019
Received: from localhost ([127.0.0.1]:37898 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hbsst-0000O5-Au
	for submit <at> debbugs.gnu.org; Fri, 14 Jun 2019 16:33:15 -0400
Received: from mail-wr1-f54.google.com ([209.85.221.54]:38196)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1hbssp-0000Ni-Tx
 for 35969 <at> debbugs.gnu.org; Fri, 14 Jun 2019 16:33:12 -0400
Received: by mail-wr1-f54.google.com with SMTP id d18so3827597wrs.5
 for <35969 <at> debbugs.gnu.org>; Fri, 14 Jun 2019 13:33:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=stcGbki274Mz2I7fBwsjm+XF3caPugl8EttSNt1YAbo=;
 b=toA4YmqO+yTTq32CozxIsm31RwVg1l6ml0sg1M1WvQ2AcA8e1GLG1VR4iaQ6LKv854
 /GbJm99iU3oTYj5UHxgl04m01tOz6zEnhogiy3QDQM3GAd4K56MbcXEBmQx6tVrO+lAN
 VLCrjmbCXoYRAAACT4cmszmZv6Ya6rvYp+rGWUShO4L2gynSJ9gl1/Yc9jR8a+e2S5gA
 XAXHfGFtDCaY3NG/pL5PWMslPAE7H8pSs15B1VFYyFsbn6/M4nkrkIgGMyzQEPmrwY9T
 uQlknliRbP9f2/cj8i2/qJs9UOKwYydhaKRCFkYfOM0bhDVsuoFhUZDit2ns6l6ZcJo5
 3kBw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=stcGbki274Mz2I7fBwsjm+XF3caPugl8EttSNt1YAbo=;
 b=fzHjrIw0SIdLGfmsIoeBFMRk4FVny1wNZuAbKsyBNtS0tJRzE3LtDTyxAf/3BTBcyX
 ijNCkzJm0S6WIKPgE+q4UxIqGUgb4ciIA+GjzhZ3WtLnWP3QkXR4UBkNglTjlKfmCPxl
 /6c37xCPfTJ4kULBvTZB0SVM94voN1WQDtkhy6LNgCw0UMGbQpK6+NFNL4yEv4MdRomJ
 7dnPqNmzhMgb4c0bmKAMlwCq+HfmYDsyxsJHO+z5XcfLA9CziWuFVAFhc/gRJdumtrKv
 FmnctJ7GYh/h0RjSH2RF1zBtRqoetfXt5a/hKISdkgeC50VTJtqWJcTvgibfbiNkSld9
 MIyQ==
X-Gm-Message-State: APjAAAUMbe3/UMBn8i2cA5/R9XUprxbaYIOQsnk9Ij5UxzONxmxeFziy
 vvLFHSa5w0KjKMdhhNlSQRQAjzPjc1SayzuhvpY=
X-Google-Smtp-Source: APXvYqxcJUq673oiJLSoxfmpIR78I3O3Wi8SYuUqSuKL75iVjU/5L5mMBG4w6gCceoXRExZ3e/ayrOyNYV3lF2kSPq8=
X-Received: by 2002:adf:da4d:: with SMTP id r13mr6686534wrl.54.1560544385966; 
 Fri, 14 Jun 2019 13:33:05 -0700 (PDT)
MIME-Version: 1.0
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <CAB=m8wLwY_8QBS-Pxey-atCXx-TC=oL_+OTOT-A0b9Pa61JC+A@HIDDEN>
 <m3muj53rtl.fsf@HIDDEN>
 <CAB=m8wLkNCLeF-upnLkAyPoXqXV=ivxXHqWCKxCf0bYjALboxg@HIDDEN>
 <m3ftow539g.fsf@HIDDEN>
 <CAB=m8w+Q2S9zPHtOpjb7x+T29x+c37pws8pSZGhznN=B_he+xQ@HIDDEN>
 <CAB=m8wJ8QDKuGb1HmpNVZ5y=iOR5bTg5yL=wTYRi9cpNS+Ryug@HIDDEN>
 <CAB=m8wLNB=pjWqGBCnXuXpDA=1UB4C0sDxuU23FZiwJNQDmxDA@HIDDEN>
 <CAB=m8wL0JNK+dQv68nddHuJ8yvHdsV9ehTaGJ00NK4spe1sQAQ@HIDDEN>
 <m3blze4872.fsf@HIDDEN>
 <CAB=m8wJfGveEzVm46j2MLGFupdv2Lwn3VwL02_RAdirzDJKcSg@HIDDEN>
 <CAB=m8wKv0dWgRctuc+bWyocNOPFertCt9K4SOB2Q_W5cPU_tTw@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <CAB=m8wLMHwscCY7ut1AHaZB73ars-KALQKLS86krxFek-rjUGA@HIDDEN>
 <855zp7diia.fsf@HIDDEN>
In-Reply-To: <855zp7diia.fsf@HIDDEN>
From: "tenspd137 ." <dcday137@HIDDEN>
Date: Fri, 14 Jun 2019 14:32:54 -0600
Message-ID: <CAB=m8wLxLH+sxnSfemUiQCfPFCKox+KtGGSg=bgb=YsZVWwTGg@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
To: Noam Postavsky <npostavs@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 35969
Cc: Thomas Fitzsimmons <fitzsim@HIDDEN>, 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Ok - so yes, when I hit e and type "connection", it tells me #<process
outlook.office365.com>, so I must have been doing it out of context.

On Fri, Jun 14, 2019 at 2:22 PM Noam Postavsky <npostavs@HIDDEN> wrote:
>
> "tenspd137 ." <dcday137@HIDDEN> writes:
>
> > *if I try to C-x C-e  or M-: "connection", it goes into the debugger.*
> >
> > I mean it gives me a backtrace telling me the variable is empty, even
> > though later in lisp expressions, it is evaluated.
>
> If you're stepping with debug or edebug, use `e' (bound to
> debugger-eval-expression or edebug-eval-expression, respectively) to
> evaluate expressions in the context of the code you are stepping
> through.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 14 Jun 2019 20:22:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 14 16:22:49 2019
Received: from localhost ([127.0.0.1]:37891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hbsin-00006q-7F
	for submit <at> debbugs.gnu.org; Fri, 14 Jun 2019 16:22:49 -0400
Received: from mail-io1-f41.google.com ([209.85.166.41]:46835)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hbsij-00006Z-Gt
 for 35969 <at> debbugs.gnu.org; Fri, 14 Jun 2019 16:22:47 -0400
Received: by mail-io1-f41.google.com with SMTP id i10so8417703iol.13
 for <35969 <at> debbugs.gnu.org>; Fri, 14 Jun 2019 13:22:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=XHWjUiO4FjFSSiQjKQpUMjyrd7TkJWmFO7zVQXSH86w=;
 b=ctUvLOI1eF67Z3sXfmck1JAymSXhXw89QxsrTnJrA15KgOsvt3nd+E2PB11Y4U9lhq
 stZnpPBEWxq6BXO+8c7hekDNhLHTlXRiKUVvQQyK66b/wRFM/+fXnCyz/DZyOwAQYf7E
 ekh4xZQTbTgXhktOCH/OfikCY/LAEsPwL2HKbsYWE9CM5IPAvEWH1FgQFasVMOnNLKro
 H3rndkecYC0fJT8h9MGYOkFbVLgnI168U5HmWj1xqA3qCEf+XArHOACbVa4WGMHda807
 5PL12UFzklGCyrJZ1zaqgqqvP/SrbCEkYPUl+qeXTKy9lGP0EOuNo3pL2/wruPbDRWbP
 3VBA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=XHWjUiO4FjFSSiQjKQpUMjyrd7TkJWmFO7zVQXSH86w=;
 b=dOGL4Yfj94GYzmU9WLNk6RFcQ3ekxMNLMIvwKn8plTiLZ159CjCbb693yZpMQr47ud
 TN00L0apcK/34PVs86ITCQ9Fx1jnObsOXmTu/SmH3KwpUJbzaaFL6qJl1jUB9EcBysKa
 OYlTHKRsLKJGLCuPvTIoOHKnXzwOA36MBlYbWiGOuK3DxGrdMZ7NWjari+K/ywTsn/VC
 v29CQFUqaQpF5pY6FD6L5RMwHD8P9hxLXM6++PqGPvrYJWlbaNQ0dObedBbu5qH3RC6K
 TrKmPBZwi7tO1HkYTqtZSWH1UHLeHVldTRkx5/WbViaqj+QELnZW2iMYC20/iq+hd+QH
 b4dA==
X-Gm-Message-State: APjAAAXXJSQFQRBqeE10kQoyDuc9UhPs/qO/noRyrHEwepU3j41W9tr/
 W0BbusF5UEf9flEnZqYrdoNIeSiC
X-Google-Smtp-Source: APXvYqzdUxCtfQaCNLVyMyXzhRD2aE0CTEzf9us1FkPAfHLOaYgJluJXCcS3wDL3nXkLgAr5KQyGow==
X-Received: by 2002:a5d:9613:: with SMTP id w19mr39666436iol.140.1560543758001; 
 Fri, 14 Jun 2019 13:22:38 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.51.196])
 by smtp.gmail.com with ESMTPSA id y20sm3634075iol.34.2019.06.14.13.22.37
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 14 Jun 2019 13:22:37 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: "tenspd137 ." <dcday137@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <CAB=m8wLwY_8QBS-Pxey-atCXx-TC=oL_+OTOT-A0b9Pa61JC+A@HIDDEN>
 <m3muj53rtl.fsf@HIDDEN>
 <CAB=m8wLkNCLeF-upnLkAyPoXqXV=ivxXHqWCKxCf0bYjALboxg@HIDDEN>
 <m3ftow539g.fsf@HIDDEN>
 <CAB=m8w+Q2S9zPHtOpjb7x+T29x+c37pws8pSZGhznN=B_he+xQ@HIDDEN>
 <CAB=m8wJ8QDKuGb1HmpNVZ5y=iOR5bTg5yL=wTYRi9cpNS+Ryug@HIDDEN>
 <CAB=m8wLNB=pjWqGBCnXuXpDA=1UB4C0sDxuU23FZiwJNQDmxDA@HIDDEN>
 <CAB=m8wL0JNK+dQv68nddHuJ8yvHdsV9ehTaGJ00NK4spe1sQAQ@HIDDEN>
 <m3blze4872.fsf@HIDDEN>
 <CAB=m8wJfGveEzVm46j2MLGFupdv2Lwn3VwL02_RAdirzDJKcSg@HIDDEN>
 <CAB=m8wKv0dWgRctuc+bWyocNOPFertCt9K4SOB2Q_W5cPU_tTw@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
 <CAB=m8wLMHwscCY7ut1AHaZB73ars-KALQKLS86krxFek-rjUGA@HIDDEN>
Date: Fri, 14 Jun 2019 16:22:37 -0400
In-Reply-To: <CAB=m8wLMHwscCY7ut1AHaZB73ars-KALQKLS86krxFek-rjUGA@HIDDEN>
 (tenspd's message of "Fri, 14 Jun 2019 14:16:05 -0600")
Message-ID: <855zp7diia.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.92 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35969
Cc: Thomas Fitzsimmons <fitzsim@HIDDEN>, 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"tenspd137 ." <dcday137@HIDDEN> writes:

> *if I try to C-x C-e  or M-: "connection", it goes into the debugger.*
>
> I mean it gives me a backtrace telling me the variable is empty, even
> though later in lisp expressions, it is evaluated.

If you're stepping with debug or edebug, use `e' (bound to
debugger-eval-expression or edebug-eval-expression, respectively) to
evaluate expressions in the context of the code you are stepping
through.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 14 Jun 2019 20:16:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 14 16:16:25 2019
Received: from localhost ([127.0.0.1]:37886 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hbsca-0008OW-Ma
	for submit <at> debbugs.gnu.org; Fri, 14 Jun 2019 16:16:25 -0400
Received: from mail-wr1-f44.google.com ([209.85.221.44]:39973)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1hbscY-0008OJ-Ia
 for 35969 <at> debbugs.gnu.org; Fri, 14 Jun 2019 16:16:23 -0400
Received: by mail-wr1-f44.google.com with SMTP id p11so3780547wre.7
 for <35969 <at> debbugs.gnu.org>; Fri, 14 Jun 2019 13:16:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=YcbfneTJkGpMVya3D0H+UszQOAWiooifBy7hclxvdcI=;
 b=vDVA9P4UTDy3Yx1A+S2V7TusR2mtb+dN4trHPHxu7z2JUxO4QpfFhFMuXcKkOfYLGy
 Dxjorz0yguaoczzv5oeZLME7+z/Qci3F03GCl6nFxjG9G736x1JO5C32mSoOO4zOhANq
 8CWPjEr07MH75JtgxgSWG1Twww0fYwKx4itZ2E7vWYh8mKONM9AG/Hecigsl2MHGajcQ
 FgjJafUUB/LPmGlztS1ExRKbod+dBvQrvNBmWqrN6u/GmVdv7GtBsvXOIEXc18PbtkfA
 1ULfUDZ1qCSVeMzu6saHAJ7bxNxkvnib8732qXVZ9vxt9Wr+qi/uPaaPf+eTndhhMr1i
 ufmA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=YcbfneTJkGpMVya3D0H+UszQOAWiooifBy7hclxvdcI=;
 b=f2daLDEYPF/bRHOVVx88U3pej7JatONbpNDwJp0pg8x7mF3MVZjvTuQWcXPkTWKGSh
 hd6flnPYFgh4dGm5JL9bmgkDWqbgFezkVFLZj+ekNua0B4cf83mOU6D3tqniP8+afYJJ
 KO1ZAaCXBMbntqd14570PLCm7xzyoDtfpK+ie2O1+crd4/GjVdgE1hshV7tc0KWOUlD2
 mE9zd6+RIe4dW8AHwlQ9fIveIGxpZm3ziMLk0BtQ8ecyNAzY5sdV/PLrF/oSlLcTHXOy
 WvD4vmue7uL1m11oz57Vo7pr0Gjm/6X3mOqo2+AdpICVpvSLpxDuEKkaKITGqfq82t7r
 xHSA==
X-Gm-Message-State: APjAAAUGE+m+yM8ICENTx8fplmBHezkCTgOtCX9aMfpkost0Mqm9J1Ku
 7irTRQedhqz3Z7XsndHP1dqGbqX55PH/bHrKgio=
X-Google-Smtp-Source: APXvYqy9VXa1gzxlu5aMv3SB6bkOWgK6e9B0jGpoC4wqnsrAvK20plIdk2+ETluRscjl7M+iFBFltQHH4DbBzjCQIes=
X-Received: by 2002:a5d:5692:: with SMTP id f18mr7650503wrv.104.1560543376563; 
 Fri, 14 Jun 2019 13:16:16 -0700 (PDT)
MIME-Version: 1.0
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <m3h89e5avd.fsf@HIDDEN>
 <CAB=m8wL4KAhDwsnuei++Zuj0DaBye4iaDHs_LRdO-AYnQ13A_Q@HIDDEN>
 <m3y32p42jk.fsf@HIDDEN>
 <CAB=m8wLwY_8QBS-Pxey-atCXx-TC=oL_+OTOT-A0b9Pa61JC+A@HIDDEN>
 <m3muj53rtl.fsf@HIDDEN>
 <CAB=m8wLkNCLeF-upnLkAyPoXqXV=ivxXHqWCKxCf0bYjALboxg@HIDDEN>
 <m3ftow539g.fsf@HIDDEN>
 <CAB=m8w+Q2S9zPHtOpjb7x+T29x+c37pws8pSZGhznN=B_he+xQ@HIDDEN>
 <CAB=m8wJ8QDKuGb1HmpNVZ5y=iOR5bTg5yL=wTYRi9cpNS+Ryug@HIDDEN>
 <CAB=m8wLNB=pjWqGBCnXuXpDA=1UB4C0sDxuU23FZiwJNQDmxDA@HIDDEN>
 <CAB=m8wL0JNK+dQv68nddHuJ8yvHdsV9ehTaGJ00NK4spe1sQAQ@HIDDEN>
 <m3blze4872.fsf@HIDDEN>
 <CAB=m8wJfGveEzVm46j2MLGFupdv2Lwn3VwL02_RAdirzDJKcSg@HIDDEN>
 <CAB=m8wKv0dWgRctuc+bWyocNOPFertCt9K4SOB2Q_W5cPU_tTw@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
 <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
In-Reply-To: <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
From: "tenspd137 ." <dcday137@HIDDEN>
Date: Fri, 14 Jun 2019 14:16:05 -0600
Message-ID: <CAB=m8wLMHwscCY7ut1AHaZB73ars-KALQKLS86krxFek-rjUGA@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
To: Thomas Fitzsimmons <fitzsim@HIDDEN>, 35969 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 35969
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

*if I try to C-x C-e  or M-: "connection", it goes into the debugger.*

I mean it gives me a backtrace telling me the variable is empty, even
though later in lisp expressions, it is evaluated.  I am assuming it
is roughly equivalent to a C++ pointer, but I don't know how to query
it, etc.

Thanks!

-C

On Fri, Jun 14, 2019 at 2:13 PM tenspd137 . <dcday137@HIDDEN> wrote:
>
> Thomas -
>
> I was able to try stepping through an Emacs/proxy/Exchange test in an
> emacs -Q session.  After setting the proxy and configuring the
> debugger to step through url-http and url-http-async-sentilnel, the
> only thing I noticed is that it appears url-http-async-sentinel is not
> being called.  I also put the url-https-proxy-connect override you
> gave me earlier into a file, loaded it and set the debugger to run
> through that as well as set up proxies.  A broken down list of steps:
>
> 1.  Load file containing proxy and altered url-https-proxyconnect, set
> debugger to run through it when hit.
> 2.  set up url-http and url-http-async-sentinel to be picked up by debugger
> 3.  eval (url-retrieve-synchronously
> "https://outlook.office365.com/EWS/Exchange.asmx"), step through
> url-http
> 4.  Input username and password when asked
> 5.  Continue stepping until end
>
> url-http-async-sentinel is never called. " *http* ... -####" has text
> indicating failure. url-https-proxy-connect is indeed called. I don't
> know how to look at the actual <process>, if I try to C-x C-e  or M-:
> "connection", it goes into the debugger.  The url's, etc look good as
> far as I can tell.  Not sure what else I can do.  If there are certain
> pieces of url-http you want me to look at, just let me know, but not
> really knowing what has to happen under the hood, I am not going to be
> able to do much else.
>
> Thanks!
>
> -C
>
>
>
> On Tue, Jun 4, 2019 at 4:28 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
> >
> > "tenspd137 ." <dcday137@HIDDEN> writes:
> >
> > > Oh - I see.  Because you want to look at the *HEADERS* flying around
> > > in that case.  Understood.
> >
> > Right.
> >
> > > Quick question - using emacs -Q on my proxied machine
> > >
> > > (setq url-http-proxy "myproxy") doesn't seem to work, so I have been just doing:
> > >
> > > (setq url-proxy-services '(("http" . "myproxy")
> > >                ("https" . "myproxy")))
> > >
> > > then, I evaluate:
> > >
> > > (defun url-https-proxy-connect (connection)
> > >   (setq url-http-after-change-function 'url-https-proxy-after-change-function)
> > >   (message "THIS WAS CALLED: url-https-proxy-connect")
> > >   (process-send-string connection (format (concat "CONNECT %s:%d HTTP/1.1\r\n"
> > >                                                   "Host: %s\r\n"
> > >                                                   "\r\n")
> > >                                           (url-host url-current-object)
> > >                                           (or (url-port url-current-object)
> > >                                               url-https-default-port)
> > >                                           (url-host url-current-object))))
> > >
> > > which, if I understand correctly, adds the messaging to the orgiinal
> > > url-https-proxy-connect.
> >
> > That's correct.
> >
> > > Then I evaluate
> > >
> > > (url-retrieve-synchronously "https://outlook.office365.com/EWS/Exchange.asmx")
> > >
> > > after sending username and password, THIS WAS CALLED does not appear
> > > in the messages.  Am I using it correctly, or is this not being
> > > called?  I have to ask, because at this point in my emacs usage, I
> > > always bet first that I have done something wrong.
> >
> > I think you're doing everything correctly, so this suggests that Emacs
> > isn't doing any proxy handling, or at least that it is not initiating
> > the "CONNECT" protocol.
> >
> > From the wget output in your other email, it shows wget
> > connecting to the proxy with CONNECT.  This protocol keeps the TLS
> > "tunnel" through the proxy open, and as far as I know, is required for
> > Exchange authentication to work through a proxy.
> >
> > Then the logs also show:
> >
> > Connection: Keep-Alive
> > Proxy-Connection: Keep-Alive
> >
> > which are important; even when you set Connection keep-alive, Emacs was
> > still sending both Connection close and Connection keep-alive which is
> > probably not valid.
> >
> > You may have reached the limit of what Emacs can currently do for
> > proxies, but it's up to someone (maybe me) to eventually implement
> > CONNECT properly if it isn't already.
> >
> > A next step would be to repeat your Emacs/proxy/Exchange experiments
> > until you get url-https-proxy-connect to be called or figure out why it
> > isn't being called.
> >
> > The only two callers are url-http and url-http-async-sentinel.  To step
> > through them with edebug do:
> >
> > C-h f url-http RET C-x o TAB RET C-u C-M-x
> >
> > Likewise for url-http-async-sentinel, then redo your experiment and step
> > through the functions with SPC and eval stuff with C-x e to see where
> > they go off the rails before calling url-https-proxy-connect.
> >
> > > Still looking into wget verbosity....
> >
> > I saw the other email, nice; is that output just with the -d option?
> >
> > BTW, it seems like Emacs is supposed to read the _proxy environment
> > variables the way wget does.  Have you tried running emacs -Q in an
> > environment that has http_proxy and https_proxy set, and then not
> > setting any of the Emacs proxy variables and doing the Exchange
> > authentication experiment?
> >
> > Thanks,
> > Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 14 Jun 2019 20:14:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 14 16:14:08 2019
Received: from localhost ([127.0.0.1]:37882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hbsaL-0008KO-NA
	for submit <at> debbugs.gnu.org; Fri, 14 Jun 2019 16:14:06 -0400
Received: from mail-wm1-f48.google.com ([209.85.128.48]:37798)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1hbsaJ-0008Ji-Bj
 for 35969 <at> debbugs.gnu.org; Fri, 14 Jun 2019 16:14:04 -0400
Received: by mail-wm1-f48.google.com with SMTP id f17so960232wme.2
 for <35969 <at> debbugs.gnu.org>; Fri, 14 Jun 2019 13:14:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=oN+cGxdXAl6fUyukg3kD2ocvz1sONDEl3iwXyS3i2EQ=;
 b=CLPRFaCo2aJdd8ucRs1k8KO/pwSxSFI89vjFMmOxowDphBx7jMvVjrnaSGjoonwbh7
 e/6881613TyrDjdw908iqUwFPowlm+XOMcZ1JrKLaYbMqf5k5ywmtYrwD8VhHrUgmdwV
 WhiKuctrlKWApuCFWt+RRFNdR/stHrpOHQVHlOoRnj35fHUkdaUyKrnFsCzl4O5EoJbI
 wF8TfHIaDgbOSu9X1zTbXJAsFsbMEy9whgdX8AY6IocKnwsfTCki5hCj1FMfvp/scnEy
 67IPjnT/9BSURm02OU7i3HJOaipSvJPVOW+PT4007YwzDR5iqGkaRsc6EWJR/juhFoP6
 w8bQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=oN+cGxdXAl6fUyukg3kD2ocvz1sONDEl3iwXyS3i2EQ=;
 b=mpMY7TG7Dzqe/BQz2z0YaK62cticgEh0Zoiks0eIfcoJ8jNzq/zZv+aZir8a9Effau
 RlhBUpU6xolESeyURCAm2sC1hRvvdIcXgs9O4L5+nfiLkJBFQYzAqBMnfpo+y+5A81vU
 lt5VsHKM70oc/nKMczO31KQJE4sPpdv5nnxEwqZYBrJ32Nkn3m+WGzcfZMQZmTD5AK2u
 j2/ykKIEKhY34JCR5CkFeZQ/JgyRH9f63lMdm91FekTEcidUxVyZG1EeNjagTwkQ/yIL
 YjIFNx9bXZkVcMouZFrHwKt9gMrV3M4Lk8K1HYv5AqIz4m8khtUTfd/eHNu1+A6/lhFN
 v34g==
X-Gm-Message-State: APjAAAXqeohJniJKRPITCUWfO9BuhATvMjjH3a3pX7EJc+Uhkyoj5mos
 4j+qYu9DZajD44MFLViwIASD6LYHXJ4LTxcp7Wo=
X-Google-Smtp-Source: APXvYqyW4thgG2kvl9awiqlm3Viy8gIbbUhcPqTymI1XHWmi0adSfhKfU/c7evWfipnBVS8nf2n4e6Vu6dn5KDqWnA8=
X-Received: by 2002:a7b:c450:: with SMTP id l16mr9636814wmi.0.1560543237374;
 Fri, 14 Jun 2019 13:13:57 -0700 (PDT)
MIME-Version: 1.0
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <m3h89e5avd.fsf@HIDDEN>
 <CAB=m8wL4KAhDwsnuei++Zuj0DaBye4iaDHs_LRdO-AYnQ13A_Q@HIDDEN>
 <m3y32p42jk.fsf@HIDDEN>
 <CAB=m8wLwY_8QBS-Pxey-atCXx-TC=oL_+OTOT-A0b9Pa61JC+A@HIDDEN>
 <m3muj53rtl.fsf@HIDDEN>
 <CAB=m8wLkNCLeF-upnLkAyPoXqXV=ivxXHqWCKxCf0bYjALboxg@HIDDEN>
 <m3ftow539g.fsf@HIDDEN>
 <CAB=m8w+Q2S9zPHtOpjb7x+T29x+c37pws8pSZGhznN=B_he+xQ@HIDDEN>
 <CAB=m8wJ8QDKuGb1HmpNVZ5y=iOR5bTg5yL=wTYRi9cpNS+Ryug@HIDDEN>
 <CAB=m8wLNB=pjWqGBCnXuXpDA=1UB4C0sDxuU23FZiwJNQDmxDA@HIDDEN>
 <CAB=m8wL0JNK+dQv68nddHuJ8yvHdsV9ehTaGJ00NK4spe1sQAQ@HIDDEN>
 <m3blze4872.fsf@HIDDEN>
 <CAB=m8wJfGveEzVm46j2MLGFupdv2Lwn3VwL02_RAdirzDJKcSg@HIDDEN>
 <CAB=m8wKv0dWgRctuc+bWyocNOPFertCt9K4SOB2Q_W5cPU_tTw@HIDDEN>
 <m3tvd5p8zt.fsf@HIDDEN>
 <CAB=m8wLKtY_38m3mJ18_qhacRUNVCU-4GEFMAKXAdbc1Xamnxg@HIDDEN>
 <m3d0jtp0c7.fsf@HIDDEN>
 <CAB=m8wL6KqATgAddiC3H7kzLSnbe5xTeAWrq5eqvr6n6aU-OKw@HIDDEN>
 <m34l55oywz.fsf@HIDDEN>
 <CAB=m8wKHstZNzTZxj4m-UuOg9LNeu4LRrhysOaaQrSd6z1DE0A@HIDDEN>
 <m3woi1nfxw.fsf@HIDDEN>
In-Reply-To: <m3woi1nfxw.fsf@HIDDEN>
From: "tenspd137 ." <dcday137@HIDDEN>
Date: Fri, 14 Jun 2019 14:13:46 -0600
Message-ID: <CAB=m8w++g3f_05zVarDOkwhyfrCYKtV3H8Nx-ryyaCG7hTB2aw@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
To: Thomas Fitzsimmons <fitzsim@HIDDEN>, 35969 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 35969
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Thomas -

I was able to try stepping through an Emacs/proxy/Exchange test in an
emacs -Q session.  After setting the proxy and configuring the
debugger to step through url-http and url-http-async-sentilnel, the
only thing I noticed is that it appears url-http-async-sentinel is not
being called.  I also put the url-https-proxy-connect override you
gave me earlier into a file, loaded it and set the debugger to run
through that as well as set up proxies.  A broken down list of steps:

1.  Load file containing proxy and altered url-https-proxyconnect, set
debugger to run through it when hit.
2.  set up url-http and url-http-async-sentinel to be picked up by debugger
3.  eval (url-retrieve-synchronously
"https://outlook.office365.com/EWS/Exchange.asmx"), step through
url-http
4.  Input username and password when asked
5.  Continue stepping until end

url-http-async-sentinel is never called. " *http* ... -####" has text
indicating failure. url-https-proxy-connect is indeed called. I don't
know how to look at the actual <process>, if I try to C-x C-e  or M-:
"connection", it goes into the debugger.  The url's, etc look good as
far as I can tell.  Not sure what else I can do.  If there are certain
pieces of url-http you want me to look at, just let me know, but not
really knowing what has to happen under the hood, I am not going to be
able to do much else.

Thanks!

-C



On Tue, Jun 4, 2019 at 4:28 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>
> "tenspd137 ." <dcday137@HIDDEN> writes:
>
> > Oh - I see.  Because you want to look at the *HEADERS* flying around
> > in that case.  Understood.
>
> Right.
>
> > Quick question - using emacs -Q on my proxied machine
> >
> > (setq url-http-proxy "myproxy") doesn't seem to work, so I have been just doing:
> >
> > (setq url-proxy-services '(("http" . "myproxy")
> >                ("https" . "myproxy")))
> >
> > then, I evaluate:
> >
> > (defun url-https-proxy-connect (connection)
> >   (setq url-http-after-change-function 'url-https-proxy-after-change-function)
> >   (message "THIS WAS CALLED: url-https-proxy-connect")
> >   (process-send-string connection (format (concat "CONNECT %s:%d HTTP/1.1\r\n"
> >                                                   "Host: %s\r\n"
> >                                                   "\r\n")
> >                                           (url-host url-current-object)
> >                                           (or (url-port url-current-object)
> >                                               url-https-default-port)
> >                                           (url-host url-current-object))))
> >
> > which, if I understand correctly, adds the messaging to the orgiinal
> > url-https-proxy-connect.
>
> That's correct.
>
> > Then I evaluate
> >
> > (url-retrieve-synchronously "https://outlook.office365.com/EWS/Exchange.asmx")
> >
> > after sending username and password, THIS WAS CALLED does not appear
> > in the messages.  Am I using it correctly, or is this not being
> > called?  I have to ask, because at this point in my emacs usage, I
> > always bet first that I have done something wrong.
>
> I think you're doing everything correctly, so this suggests that Emacs
> isn't doing any proxy handling, or at least that it is not initiating
> the "CONNECT" protocol.
>
> From the wget output in your other email, it shows wget
> connecting to the proxy with CONNECT.  This protocol keeps the TLS
> "tunnel" through the proxy open, and as far as I know, is required for
> Exchange authentication to work through a proxy.
>
> Then the logs also show:
>
> Connection: Keep-Alive
> Proxy-Connection: Keep-Alive
>
> which are important; even when you set Connection keep-alive, Emacs was
> still sending both Connection close and Connection keep-alive which is
> probably not valid.
>
> You may have reached the limit of what Emacs can currently do for
> proxies, but it's up to someone (maybe me) to eventually implement
> CONNECT properly if it isn't already.
>
> A next step would be to repeat your Emacs/proxy/Exchange experiments
> until you get url-https-proxy-connect to be called or figure out why it
> isn't being called.
>
> The only two callers are url-http and url-http-async-sentinel.  To step
> through them with edebug do:
>
> C-h f url-http RET C-x o TAB RET C-u C-M-x
>
> Likewise for url-http-async-sentinel, then redo your experiment and step
> through the functions with SPC and eval stuff with C-x e to see where
> they go off the rails before calling url-https-proxy-connect.
>
> > Still looking into wget verbosity....
>
> I saw the other email, nice; is that output just with the -d option?
>
> BTW, it seems like Emacs is supposed to read the _proxy environment
> variables the way wget does.  Have you tried running emacs -Q in an
> environment that has http_proxy and https_proxy set, and then not
> setting any of the Emacs proxy variables and doing the Exchange
> authentication experiment?
>
> Thanks,
> Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.
Changed bug title to 'proxy + excorporate -> Failed: Failed to retrieve https://outlook.office365.com/EWS/Services.wsdl' from '26.2, Excorporate' Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 30 May 2019 17:26:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 30 13:26:00 2019
Received: from localhost ([127.0.0.1]:33775 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hWOoR-0003eM-My
	for submit <at> debbugs.gnu.org; Thu, 30 May 2019 13:26:00 -0400
Received: from mail-oi1-f173.google.com ([209.85.167.173]:41874)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1hWOoP-0003e4-E4
 for 35969 <at> debbugs.gnu.org; Thu, 30 May 2019 13:25:57 -0400
Received: by mail-oi1-f173.google.com with SMTP id b21so1619523oic.8
 for <35969 <at> debbugs.gnu.org>; Thu, 30 May 2019 10:25:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=lH6qTbde9EMgWrFY4ypGSjC4QVPWMCrTPap/QMw3p7w=;
 b=kQDXb9t5WHef4j7de72YKTTNBbIYKmfzOkw9GO3Saq8aBCnHl3u/+NW+8dFzpNc1d5
 ABbJ84+8I23RPH+xno/iMehVIFzcinl/35MzWqBP6tmMzIvM98PKDe+27NyS5CihUG8T
 5PDJ4ueTX/qiNJDmwMu9tTp2bnaQfY1Q8rEyBJJGKYxlpOKi2zc4lc6Xej5bl+3BuoWn
 uL0MJa4jxiNh8s3bseiPuUs3ywnqYOBn+20QnLr6k0008RfoxFkKxjF1PJr+ewV0hunL
 ITwSSnr3yFYAg99p3HSNa5GvSyUKMFNNKLj5f+p/U2DSOt1ZIoOTnnPEVyjtXM0Ku/TW
 RlfQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=lH6qTbde9EMgWrFY4ypGSjC4QVPWMCrTPap/QMw3p7w=;
 b=L91AhKq8yMQJE4YjMMS0Fls87a2okipiZGFJDT+kw7SnfgmZTvxt/Ez+zYtArE4eGg
 3A5+SYSqSpbR1M7y8AhZ0KGi1L3t4soE6wt3alxh5KX2Fi3WBvL/35szodrDAwWJo3zF
 46ys3lxotW0smCntT3xIQkTYJ/1ykZy1qpVuKBwESo1blQCsKDXj5XnXjpmCeGNwsBTn
 Ebc/OxNDmD3O/PdIQDtrCRbMB8OMSZyB9xHBojVavAhNCZlATGJnsE6NyGFiD0Q8WmGK
 Om2MoFf1yintHomuV+H1jc9PqVHGPEZT/CIJ3RspdY7QEhD1gwpc2N9c/HD1k+AOA7TG
 8Hcg==
X-Gm-Message-State: APjAAAV8MxwCVjmVrnlg0pmxB3wue4aD+bDhJFeoPXHZOvXpl1MV5BiJ
 Cpr1RavZNqC7Ann8t7dCew1XhwQarNSkC2plH4nAEu/jLkM=
X-Google-Smtp-Source: APXvYqwO9sU5aQ+ST+bS1+rN5Z+Kz7SQ1YqYT4PEjINMomHVX9NGsncygwOE33OYn4iiZcb71DIHwHI7BtDPRMcI5ws=
X-Received: by 2002:aca:f2d5:: with SMTP id q204mr1663844oih.14.1559237151486; 
 Thu, 30 May 2019 10:25:51 -0700 (PDT)
MIME-Version: 1.0
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <m3h89e5avd.fsf@HIDDEN>
 <CAB=m8wL4KAhDwsnuei++Zuj0DaBye4iaDHs_LRdO-AYnQ13A_Q@HIDDEN>
 <m3y32p42jk.fsf@HIDDEN>
 <CAB=m8wLwY_8QBS-Pxey-atCXx-TC=oL_+OTOT-A0b9Pa61JC+A@HIDDEN>
 <m3muj53rtl.fsf@HIDDEN>
 <CAB=m8wLkNCLeF-upnLkAyPoXqXV=ivxXHqWCKxCf0bYjALboxg@HIDDEN>
 <m3ftow539g.fsf@HIDDEN>
 <CAB=m8w+Q2S9zPHtOpjb7x+T29x+c37pws8pSZGhznN=B_he+xQ@HIDDEN>
 <CAB=m8wJ8QDKuGb1HmpNVZ5y=iOR5bTg5yL=wTYRi9cpNS+Ryug@HIDDEN>
In-Reply-To: <CAB=m8wJ8QDKuGb1HmpNVZ5y=iOR5bTg5yL=wTYRi9cpNS+Ryug@HIDDEN>
From: "tenspd137 ." <dcday137@HIDDEN>
Date: Thu, 30 May 2019 11:25:39 -0600
Message-ID: <CAB=m8wLNB=pjWqGBCnXuXpDA=1UB4C0sDxuU23FZiwJNQDmxDA@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
To: Thomas Fitzsimmons <fitzsim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 35969
Cc: 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

So, I don't know what this is indicative of, but if I try to use emacs
through a proxy and use the httpbin.org example, the result buffer
shows:

HTTP/1.1 401 UNAUTHORIZED
Access-Control-Allow-Credentials: true
Access-Control-Allow-Origin: *
Date: Thu, 30 May 2019 17:22:48 GMT
Referrer-Policy: no-referrer-when-downgrade
Server: nginx
WWW-Authenticate: Basic realm="Fake Realm"
X-Content-Type-Options: nosniff
X-Frame-Options: DENY
X-XSS-Protection: 1; mode=block
Content-Length: 0
Connection: Close

but then if I repeat the url-retrieve-synchrounously call

HTTP/1.1 200 OK
Access-Control-Allow-Credentials: true
Access-Control-Allow-Origin: *
Content-Encoding: gzip
Content-Type: application/json
Date: Thu, 30 May 2019 17:23:59 GMT
Referrer-Policy: no-referrer-when-downgrade
Server: nginx
X-Content-Type-Options: nosniff
X-Frame-Options: DENY
X-XSS-Protection: 1; mode=block
Content-Length: 59
Connection: Close

{
  "authenticated": true,
  "user": "user"
}

So - it need two calls - one to authenticate and one to retrieve?
Thanks!
-C

On Thu, May 30, 2019 at 11:06 AM tenspd137 . <dcday137@HIDDEN> wrote:
>
> Thomas-
>
> Here is the httpbin.org authentication test buffer (through emacs / proxy)
>
> HTTP/1.1 401 UNAUTHORIZED
> Access-Control-Allow-Credentials: true
> Access-Control-Allow-Origin: *
> Date: Thu, 30 May 2019 15:32:25 GMT
> Referrer-Policy: no-referrer-when-downgrade
> Server: nginx
> WWW-Authenticate: Basic realm="Fake Realm"
> X-Content-Type-Options: nosniff
> X-Frame-Options: DENY
> X-XSS-Protection: 1; mode=block
> Content-Length: 0
> Connection: Close
>
> and here is the failed excahnge.asmx buffer
>
> HTTP/1.1 401 Unauthorized
> Server: Microsoft-IIS/10.0
> request-id: fb0b957e-f55c-49b9-9fb5-fd9a58a5f31a
> X-WSSecurity-Enabled: True
> X-WSSecurity-For: Logon
> X-FederationTrustTokenIssuerUri: urn:federation:MicrosoftOnline
> X-WSSecurity-SymmetricKey-Enabled: True
> X-WSSecurity-X509Cert-Enabled: True
> X-OAuth-Enabled: True
> X-Powered-By: ASP.NET
> X-FEServer: SN6PR1501CA0010
> WWW-Authenticate: Basic Realm=""
> Date: Thu, 30 May 2019 15:36:43 GMT
> Connection: close
> Content-Length: 0
>
> and, as a bonus, the result of url-exchange.asmx from Emacs not using
> a proxy on the "other" lan using url-retrieve-synchronusly
>
> HTTP/1.1 401 Unauthorized
> Server: Microsoft-IIS/10.0
> request-id: 369ea2d9-8dce-408c-a38e-fb8035f98065
> X-WSSecurity-Enabled: True
> X-WSSecurity-For: Logon
> X-FederationTrustTokenIssuerUri: urn:federation:MicrosoftOnline
> X-WSSecurity-SymmetricKey-Enabled: True
> X-WSSecurity-X509Cert-Enabled: True
> X-OAuth-Enabled: True
> X-Powered-By: ASP.NET
> X-FEServer: SN4PR0201CA0037
> WWW-Authenticate: Basic Realm=""
> Date: Thu, 30 May 2019 16:40:48 GMT
> Content-Length: 0
>
> I tried to get logs from a successful exorporate useage, but the http
> result buffers appear to come and go, and if I try URL-DEBUG, a lot
> happens and eventually emacs on my laptop locks up, but if you want me
> to try anything specific or there is a way to look at things step by
> step, just let me know.
>
> Thanks!
>
> -C
>
>
>
> On Wed, May 29, 2019 at 4:10 PM tenspd137 . <dcday137@HIDDEN> wrote:
> >
> > Yes - I will try to do it tomorrow morning.  Thanks again!
> >
> > -C
> >
> > On Wed, May 29, 2019 at 4:01 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
> > >
> > > Hi,
> > >
> > > "tenspd137 ." <dcday137@HIDDEN> writes:
> > >
> > > > Sorry for questioning - but I don't think it is successful in the
> > > > basic authentication case - unless I am misreading some of the output.
> > >
> > > No problem; I quoted the "status=200" line which I think indicates that
> > > it was successful.  But url creates another buffer and puts the
> > > authentication response in there; to be sure, you'd need to check that.
> > > I think for httpbin.org, it will contain the headers and then:
> > >
> > > {
> > >   "authenticated": true,
> > >   "user": "user"
> > > }
> > >
> > > just like your wget experiment.
> > >
> > > For your prior test run, the secondary buffer is mentioned in
> > > *URL-DEBUG* here:
> > >
> > > > retrieval -> Synchronous fetching done (#<buffer  *http httpbin.org:443*-54346>)
> > >                                                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> > >
> > > Can you redo the httpbin.org authentication test within Emacs, through
> > > the proxies, and paste the contents of that secondary/response buffer?
> > >
> > > It would be helpful if you could paste the redacted secondary/response
> > > buffer contents for the failed Exchange authentication too.
> > >
> > > > As for testing authentication against no proxy - yes, I can.  In fact,
> > > > I actually have.  It works.
> > >
> > > [...]
> > >
> > > OK, good to know, thanks.  The use case makes sense.
> > >
> > > Thanks,
> > > Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 30 May 2019 17:06:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 30 13:06:54 2019
Received: from localhost ([127.0.0.1]:33752 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hWOVx-00036u-Vr
	for submit <at> debbugs.gnu.org; Thu, 30 May 2019 13:06:54 -0400
Received: from mail-ot1-f43.google.com ([209.85.210.43]:45352)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1hWOVv-00036e-OV
 for 35969 <at> debbugs.gnu.org; Thu, 30 May 2019 13:06:52 -0400
Received: by mail-ot1-f43.google.com with SMTP id t24so6301986otl.12
 for <35969 <at> debbugs.gnu.org>; Thu, 30 May 2019 10:06:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=jDnmAlaClVfkK3WjX1eVjiHFKypdfP56zF2YP+EWA+0=;
 b=knNKFTTU1qoyNWJMRlys3qwZMmOFdpkqStW4XAq4l/rf9PbZJqEJq6hkd/0UcX0GLm
 MdUCJCWxwksiO7FaECSDMRtBojo2LOKWqyC3H2ov1oFZpbrp+OmreMGrq9S63uNR3Cwa
 l79dA7D/3hJn660igUdpFIqyE8D7t7Y/sMQzqX+rpdFJ3o2HTXwnH2SHFhuCfcia0Wjn
 pWHm1bUYZovEZ9tkhCW5fPt0zCell8IIZZAWIg9x6595GzYZHhOUOU4u29lUHxCkcjF5
 8OJx0TCyi9qqEPnSfrL7hfyRwiXFlHN6hbfMaMl6SmiCmekQJONQ/swLGwQ2+ivLnzdE
 33fg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=jDnmAlaClVfkK3WjX1eVjiHFKypdfP56zF2YP+EWA+0=;
 b=VxMrE3HLkAcNIqz45K54VbPurVgAyleOlK3pQf6wATYJBri1iIo86IjmR59Nr19apw
 WJQuUDoYxSGzpQqBCDe8hlFTf6UA+Vxly3kegCqXfTWrTl/4ZKdFxPwXhcgjvBDtDv/r
 0e2tCdrvh65Xgsb7VODz/3g7bxiYpPXsm5z8Lz75d1Tf7iyu8+60hJWWeAH9Ncv/QXh2
 vcm8G+I3tp9YF60QBCflfthJcb1KfK0eOR5jl/iuCrwz/cKLKyE7WMsvEDdYHKj9zcNd
 0jPewfvv/DGslMGSXAL4C4RoX2gXfUo4wJWJ1yZNcvds/souI3FG5BFXPN4howL01Dkz
 oniA==
X-Gm-Message-State: APjAAAWB7f8CISKpxfQLNMoMuMjyGH4qFjeI4IaavLzA9MgvEZbPEqI5
 P8k18tH22+9Uppq8tHsGUNSGs+Sm9DVl0LhgQydcayOkllA=
X-Google-Smtp-Source: APXvYqyqwB8mWDt/Fl38HHCsCWDH9kq/ny9qv3WpaPkKVyoKKWwjNJICiUQVZE45lGZGNHMXlD9ogcP8FpFwGzRyCgU=
X-Received: by 2002:a9d:5f04:: with SMTP id f4mr2839oti.240.1559236006010;
 Thu, 30 May 2019 10:06:46 -0700 (PDT)
MIME-Version: 1.0
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <m3h89e5avd.fsf@HIDDEN>
 <CAB=m8wL4KAhDwsnuei++Zuj0DaBye4iaDHs_LRdO-AYnQ13A_Q@HIDDEN>
 <m3y32p42jk.fsf@HIDDEN>
 <CAB=m8wLwY_8QBS-Pxey-atCXx-TC=oL_+OTOT-A0b9Pa61JC+A@HIDDEN>
 <m3muj53rtl.fsf@HIDDEN>
 <CAB=m8wLkNCLeF-upnLkAyPoXqXV=ivxXHqWCKxCf0bYjALboxg@HIDDEN>
 <m3ftow539g.fsf@HIDDEN>
 <CAB=m8w+Q2S9zPHtOpjb7x+T29x+c37pws8pSZGhznN=B_he+xQ@HIDDEN>
In-Reply-To: <CAB=m8w+Q2S9zPHtOpjb7x+T29x+c37pws8pSZGhznN=B_he+xQ@HIDDEN>
From: "tenspd137 ." <dcday137@HIDDEN>
Date: Thu, 30 May 2019 11:06:38 -0600
Message-ID: <CAB=m8wJ8QDKuGb1HmpNVZ5y=iOR5bTg5yL=wTYRi9cpNS+Ryug@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
To: Thomas Fitzsimmons <fitzsim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 35969
Cc: 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

Thomas-

Here is the httpbin.org authentication test buffer (through emacs / proxy)

HTTP/1.1 401 UNAUTHORIZED
Access-Control-Allow-Credentials: true
Access-Control-Allow-Origin: *
Date: Thu, 30 May 2019 15:32:25 GMT
Referrer-Policy: no-referrer-when-downgrade
Server: nginx
WWW-Authenticate: Basic realm="Fake Realm"
X-Content-Type-Options: nosniff
X-Frame-Options: DENY
X-XSS-Protection: 1; mode=block
Content-Length: 0
Connection: Close

and here is the failed excahnge.asmx buffer

HTTP/1.1 401 Unauthorized
Server: Microsoft-IIS/10.0
request-id: fb0b957e-f55c-49b9-9fb5-fd9a58a5f31a
X-WSSecurity-Enabled: True
X-WSSecurity-For: Logon
X-FederationTrustTokenIssuerUri: urn:federation:MicrosoftOnline
X-WSSecurity-SymmetricKey-Enabled: True
X-WSSecurity-X509Cert-Enabled: True
X-OAuth-Enabled: True
X-Powered-By: ASP.NET
X-FEServer: SN6PR1501CA0010
WWW-Authenticate: Basic Realm=""
Date: Thu, 30 May 2019 15:36:43 GMT
Connection: close
Content-Length: 0

and, as a bonus, the result of url-exchange.asmx from Emacs not using
a proxy on the "other" lan using url-retrieve-synchronusly

HTTP/1.1 401 Unauthorized
Server: Microsoft-IIS/10.0
request-id: 369ea2d9-8dce-408c-a38e-fb8035f98065
X-WSSecurity-Enabled: True
X-WSSecurity-For: Logon
X-FederationTrustTokenIssuerUri: urn:federation:MicrosoftOnline
X-WSSecurity-SymmetricKey-Enabled: True
X-WSSecurity-X509Cert-Enabled: True
X-OAuth-Enabled: True
X-Powered-By: ASP.NET
X-FEServer: SN4PR0201CA0037
WWW-Authenticate: Basic Realm=""
Date: Thu, 30 May 2019 16:40:48 GMT
Content-Length: 0

I tried to get logs from a successful exorporate useage, but the http
result buffers appear to come and go, and if I try URL-DEBUG, a lot
happens and eventually emacs on my laptop locks up, but if you want me
to try anything specific or there is a way to look at things step by
step, just let me know.

Thanks!

-C



On Wed, May 29, 2019 at 4:10 PM tenspd137 . <dcday137@HIDDEN> wrote:
>
> Yes - I will try to do it tomorrow morning.  Thanks again!
>
> -C
>
> On Wed, May 29, 2019 at 4:01 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
> >
> > Hi,
> >
> > "tenspd137 ." <dcday137@HIDDEN> writes:
> >
> > > Sorry for questioning - but I don't think it is successful in the
> > > basic authentication case - unless I am misreading some of the output.
> >
> > No problem; I quoted the "status=200" line which I think indicates that
> > it was successful.  But url creates another buffer and puts the
> > authentication response in there; to be sure, you'd need to check that.
> > I think for httpbin.org, it will contain the headers and then:
> >
> > {
> >   "authenticated": true,
> >   "user": "user"
> > }
> >
> > just like your wget experiment.
> >
> > For your prior test run, the secondary buffer is mentioned in
> > *URL-DEBUG* here:
> >
> > > retrieval -> Synchronous fetching done (#<buffer  *http httpbin.org:443*-54346>)
> >                                                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> >
> > Can you redo the httpbin.org authentication test within Emacs, through
> > the proxies, and paste the contents of that secondary/response buffer?
> >
> > It would be helpful if you could paste the redacted secondary/response
> > buffer contents for the failed Exchange authentication too.
> >
> > > As for testing authentication against no proxy - yes, I can.  In fact,
> > > I actually have.  It works.
> >
> > [...]
> >
> > OK, good to know, thanks.  The use case makes sense.
> >
> > Thanks,
> > Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 29 May 2019 22:10:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 29 18:10:55 2019
Received: from localhost ([127.0.0.1]:60224 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hW6md-0004NS-DA
	for submit <at> debbugs.gnu.org; Wed, 29 May 2019 18:10:55 -0400
Received: from mail-oi1-f182.google.com ([209.85.167.182]:41030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1hW6mb-0004ND-DY
 for 35969 <at> debbugs.gnu.org; Wed, 29 May 2019 18:10:53 -0400
Received: by mail-oi1-f182.google.com with SMTP id y10so3385826oia.8
 for <35969 <at> debbugs.gnu.org>; Wed, 29 May 2019 15:10:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=V1Y015sZuMNnK2+4xH6HxPquXc2Yx3rhXh/B9WB3zwI=;
 b=HQ6X9UmVAVtNn8YJeyvQ/w+zTMT2hdTVAwSXdHkM5eINaRENEoxX3za7BUdy5zvSCD
 abxOcq/EDCmzUXmVfclLcCjQ5po1wA6H358B4SCjObREJxxF+YS3jppV9J8AKRsUY6gp
 uHWsEOB4gEp4aMD962jiBIWbKHKYuKhdgkordvftyAjnrNXeegQYW6HHkpcHbOXip4/w
 F49YSYwLMw9W8yLuSfXxt7ryz+pLKkElQW4QzjeKJBB4P5z1yRxK57srVTlMnVXzCH/R
 9xZ5kdVxkkolSDW4t8h+Kbl6+l6R0WxE9F4v+PDh6cvWMwzTv91AJaaXfEl+IeRV+xAx
 5Amw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=V1Y015sZuMNnK2+4xH6HxPquXc2Yx3rhXh/B9WB3zwI=;
 b=cQNMgrFve6dLPNXHLVD7T99VOrrOeNqcqrFbcLd8tvYRPRJZ/AV/pNvl2ABBrRFNt1
 nZXgx1MLmpK71tbD7m3SuTQKsHnU88JDfVdL5WO0obGpiw5jyKO9F0Qrb4GdCEo29Pxt
 GXeD1H29n638ZQ2KYOuyBaRq4f6yj1XGGeTW1+iyVpx/11Lzomj2XotnkLMe3uMP7ycF
 mu+3jNbgEfu9iPxggyCiVhaeOtgOX/SIjVcYbpypu3NZ/YciezVxN+Z3Zt6V/FjBDwjv
 /UrR1WLHHAhnKB/kivN0nb5/VtQUwooSonFrFWqxqEyECc7Xguhg2Ui7b6wNDEk4zp1H
 fxEA==
X-Gm-Message-State: APjAAAVvVPsfkzsfJ7wXmCNnB/sPJwKrz22f458ASzt65RIDMEJXH0RC
 4c9SARjKJ+nyalrKB/Bru6SM8R/F9o/pQknPJLmL9jjn
X-Google-Smtp-Source: APXvYqwvdwCJVhP+vfeFxTxysaQG67h22gfOkjW3VIOu8QZlg4ar03pv+RbHA7l2XK1/+yxIRJ5nWmQ2DmV5QqWuTEg=
X-Received: by 2002:aca:f2d5:: with SMTP id q204mr22297oih.14.1559167847449;
 Wed, 29 May 2019 15:10:47 -0700 (PDT)
MIME-Version: 1.0
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <m3h89e5avd.fsf@HIDDEN>
 <CAB=m8wL4KAhDwsnuei++Zuj0DaBye4iaDHs_LRdO-AYnQ13A_Q@HIDDEN>
 <m3y32p42jk.fsf@HIDDEN>
 <CAB=m8wLwY_8QBS-Pxey-atCXx-TC=oL_+OTOT-A0b9Pa61JC+A@HIDDEN>
 <m3muj53rtl.fsf@HIDDEN>
 <CAB=m8wLkNCLeF-upnLkAyPoXqXV=ivxXHqWCKxCf0bYjALboxg@HIDDEN>
 <m3ftow539g.fsf@HIDDEN>
In-Reply-To: <m3ftow539g.fsf@HIDDEN>
From: "tenspd137 ." <dcday137@HIDDEN>
Date: Wed, 29 May 2019 16:10:35 -0600
Message-ID: <CAB=m8w+Q2S9zPHtOpjb7x+T29x+c37pws8pSZGhznN=B_he+xQ@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
To: Thomas Fitzsimmons <fitzsim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 35969
Cc: 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

Yes - I will try to do it tomorrow morning.  Thanks again!

-C

On Wed, May 29, 2019 at 4:01 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>
> Hi,
>
> "tenspd137 ." <dcday137@HIDDEN> writes:
>
> > Sorry for questioning - but I don't think it is successful in the
> > basic authentication case - unless I am misreading some of the output.
>
> No problem; I quoted the "status=200" line which I think indicates that
> it was successful.  But url creates another buffer and puts the
> authentication response in there; to be sure, you'd need to check that.
> I think for httpbin.org, it will contain the headers and then:
>
> {
>   "authenticated": true,
>   "user": "user"
> }
>
> just like your wget experiment.
>
> For your prior test run, the secondary buffer is mentioned in
> *URL-DEBUG* here:
>
> > retrieval -> Synchronous fetching done (#<buffer  *http httpbin.org:443*-54346>)
>                                                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>
> Can you redo the httpbin.org authentication test within Emacs, through
> the proxies, and paste the contents of that secondary/response buffer?
>
> It would be helpful if you could paste the redacted secondary/response
> buffer contents for the failed Exchange authentication too.
>
> > As for testing authentication against no proxy - yes, I can.  In fact,
> > I actually have.  It works.
>
> [...]
>
> OK, good to know, thanks.  The use case makes sense.
>
> Thanks,
> Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 29 May 2019 22:01:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 29 18:01:42 2019
Received: from localhost ([127.0.0.1]:60204 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hW6dh-00049V-UK
	for submit <at> debbugs.gnu.org; Wed, 29 May 2019 18:01:42 -0400
Received: from mail-it1-f176.google.com ([209.85.166.176]:40692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fitzsim@HIDDEN>) id 1hW6df-00049G-Lz
 for 35969 <at> debbugs.gnu.org; Wed, 29 May 2019 18:01:40 -0400
Received: by mail-it1-f176.google.com with SMTP id h11so6126274itf.5
 for <35969 <at> debbugs.gnu.org>; Wed, 29 May 2019 15:01:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fitzsim-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=jnoHXAtqZC6X1mFqE3xTWWkuVv7LRSHOkrzZLEaCjpw=;
 b=bel/t0sFrsPlsTWdJ8uw9FlrDNZVDATpzHGZV9NYY8aqh1350ueZMMBN/eyHU0qx9f
 qYObPYmbyVFEwp8u25Wepif7PoWIoe6qAbLcrXDrzitWTcpHU2Uskph45b2lCIrM9Cn8
 8houJD0Pf+lRx4bzNENb/FudaBNpd2yo5yRAe6McsZbIHMZNBlvFVbAoowqyNuti1z4D
 Gb1f9nUTEp6+dQUZ3gU97v2E05EiEChiDrBBuvFZKR+rtVw8G6eOGYIsAqeGoI+vPXpF
 NPWWgOEGZTxD6/LqQuEh577ZByNYtvIt+XRKrCzUem6aAvy8KruGO8tIT7vPVKKXFkFy
 4o7w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=jnoHXAtqZC6X1mFqE3xTWWkuVv7LRSHOkrzZLEaCjpw=;
 b=Sq0u3xRxAM2p7StZ7/0cr/r/ja3j0SHqnLyt4PH2p6lf5gMFCw7rQW0O3vM52KXBo9
 yUtE286MaNtMraihwetr0mpInhVd1XwQIpK1eb9U7u7gDmeUFUKD7asrDA/J0ff4SXn9
 TBRQp4tPxRZijj0UaM7EwGp/nDDyoP0Lw5c0qm5QoQeaNucqZpmA3IY8l7u6ZH+m3b4p
 zWq+B+cYvlnIRyx17Txj7GXh1yGsTP5tSbTzTtAbhexsDoJxTzr3yuNcowDWMfnSrPPl
 Iv2l+BlT4dAuK2SZ++RRPKuin+vk1Il0RlSOtSMij/P0gjUJ94dkhvp73AQ4QtOhuTWp
 ihxg==
X-Gm-Message-State: APjAAAWIxPCZwEzviYWGdgJZ70DBfzz5TfTibPeYNDQtKwby+yooljlf
 FnTpY90nU0WlIudDO2o7RxItx0Ef900=
X-Google-Smtp-Source: APXvYqxo8/FrHxCjEPbznPshGeFDwZ5x/P/ljLJZ+EPmhPFAz50HOqyPd6QWQAzkYnbRJ0RPc7cxNg==
X-Received: by 2002:a24:59c4:: with SMTP id p187mr392693itb.123.1559167293801; 
 Wed, 29 May 2019 15:01:33 -0700 (PDT)
Received: from localhost.localdomain (69-165-165-189.dsl.teksavvy.com.
 [69.165.165.189])
 by smtp.gmail.com with ESMTPSA id a11sm278934itc.42.2019.05.29.15.01.31
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 29 May 2019 15:01:32 -0700 (PDT)
From: Thomas Fitzsimmons <fitzsim@HIDDEN>
To: "tenspd137 ." <dcday137@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <m3h89e5avd.fsf@HIDDEN>
 <CAB=m8wL4KAhDwsnuei++Zuj0DaBye4iaDHs_LRdO-AYnQ13A_Q@HIDDEN>
 <m3y32p42jk.fsf@HIDDEN>
 <CAB=m8wLwY_8QBS-Pxey-atCXx-TC=oL_+OTOT-A0b9Pa61JC+A@HIDDEN>
 <m3muj53rtl.fsf@HIDDEN>
 <CAB=m8wLkNCLeF-upnLkAyPoXqXV=ivxXHqWCKxCf0bYjALboxg@HIDDEN>
Date: Wed, 29 May 2019 18:01:31 -0400
In-Reply-To: <CAB=m8wLkNCLeF-upnLkAyPoXqXV=ivxXHqWCKxCf0bYjALboxg@HIDDEN>
 (tenspd's message of "Wed, 29 May 2019 15:44:25 -0600")
Message-ID: <m3ftow539g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35969
Cc: 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

"tenspd137 ." <dcday137@HIDDEN> writes:

> Sorry for questioning - but I don't think it is successful in the
> basic authentication case - unless I am misreading some of the output.

No problem; I quoted the "status=200" line which I think indicates that
it was successful.  But url creates another buffer and puts the
authentication response in there; to be sure, you'd need to check that.
I think for httpbin.org, it will contain the headers and then:

{
  "authenticated": true,
  "user": "user"
}

just like your wget experiment.

For your prior test run, the secondary buffer is mentioned in
*URL-DEBUG* here:

> retrieval -> Synchronous fetching done (#<buffer  *http httpbin.org:443*-54346>)
                                                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

Can you redo the httpbin.org authentication test within Emacs, through
the proxies, and paste the contents of that secondary/response buffer?

It would be helpful if you could paste the redacted secondary/response
buffer contents for the failed Exchange authentication too.

> As for testing authentication against no proxy - yes, I can.  In fact,
> I actually have.  It works.

[...]

OK, good to know, thanks.  The use case makes sense.

Thanks,
Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 29 May 2019 21:44:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 29 17:44:46 2019
Received: from localhost ([127.0.0.1]:60174 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hW6NJ-0003jA-Uu
	for submit <at> debbugs.gnu.org; Wed, 29 May 2019 17:44:46 -0400
Received: from mail-ot1-f42.google.com ([209.85.210.42]:44823)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1hW6NH-0003iw-Ca
 for 35969 <at> debbugs.gnu.org; Wed, 29 May 2019 17:44:44 -0400
Received: by mail-ot1-f42.google.com with SMTP id g18so3576705otj.11
 for <35969 <at> debbugs.gnu.org>; Wed, 29 May 2019 14:44:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=vDGREicE4c1S01vVK/epIrASwvEkyR28D702yOX28es=;
 b=WDpdefTQqn/A6icBrU3sHDWe6/iTE6AyHSElZYWqXZCr9QwOUNAsCFDerMF13Fo1ZC
 gS5HTuy0QqK76v8IDUZCCQT4UTF06l790oP4TjK+tvLMuCvxgwMQSGbAH16ci9hSXrpS
 tmS8DgS4gh1V5Ux9xoWtidSUF1c2uo02VhowlHAOiMjwW6iOj64X2Hom6EKxazbSHHqM
 ExBfwIIF+SFZZgT0TAC2Zerp52V8GRnaDyIJrR48DMGO5cxOwJ6z1hlOML/wIRGRy18n
 VcE7rdj3CLKrYkun8uqTWgWE5/d2e1xesVRC5a4ruWQwckOit/TDLXNyI44EmQvOBFdf
 pXCg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=vDGREicE4c1S01vVK/epIrASwvEkyR28D702yOX28es=;
 b=qoTCctQvEADZrXGfCqiURWcrGgRF3DaKo9bOx/fRRrNZHNvc53cPnQSVjersqnAO16
 /2LQ+MLMj4ssuBwmjac3hyr3Ww72BsutiHyDLASZQTghj5gJdnGQ8fm9F5JIdKdVm2rS
 IS4ztAQyaj/L2U7V7OUH9YdsY0lRT0+ZzdJ8OGnUoXx6DYKGwqP4HvfEomp+VWlW0Jg3
 zsTYCFvPI+6DJRO3PM8F6bik357MEFzlN58HH+9e0S8QoORU8Bjk7fsvQ8UVyyKc5zBD
 P0tmL8DULbbfwUCEXvROlzR3cjzWqOnAAHpXlZy3uNZgpBMik2+AKe3VLbCAI1Px6r1Y
 iFtA==
X-Gm-Message-State: APjAAAXDdHxu8mP8NPV45psyhGVmy5YLOqBP2uZ/XFQjhpGvidaU741y
 Vs5dMoUTlu2J3vH8+287f8x+p9zgi8AzpYpmTV5Mn/Cm
X-Google-Smtp-Source: APXvYqwJBZqW5+QxuINvrs225UiDRbklJ6bsoOtAb3KsqYWIvoSh/7moIySXbIfPd2a9OpVtQns3vAIblxmk+dYO5GE=
X-Received: by 2002:a05:6830:124d:: with SMTP id s13mr565otp.360.1559166277465; 
 Wed, 29 May 2019 14:44:37 -0700 (PDT)
MIME-Version: 1.0
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <m3h89e5avd.fsf@HIDDEN>
 <CAB=m8wL4KAhDwsnuei++Zuj0DaBye4iaDHs_LRdO-AYnQ13A_Q@HIDDEN>
 <m3y32p42jk.fsf@HIDDEN>
 <CAB=m8wLwY_8QBS-Pxey-atCXx-TC=oL_+OTOT-A0b9Pa61JC+A@HIDDEN>
 <m3muj53rtl.fsf@HIDDEN>
In-Reply-To: <m3muj53rtl.fsf@HIDDEN>
From: "tenspd137 ." <dcday137@HIDDEN>
Date: Wed, 29 May 2019 15:44:25 -0600
Message-ID: <CAB=m8wLkNCLeF-upnLkAyPoXqXV=ivxXHqWCKxCf0bYjALboxg@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
To: Thomas Fitzsimmons <fitzsim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 35969
Cc: 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Sorry for questioning - but I don't think it is successful in the
basic authentication case - unless I am misreading some of the output.

As for testing authentication against no proxy - yes, I can.  In fact,
I actually have.  It works.  At work we have a general office lan and
a development lan.  The bulk of my work is on the development lan,
which is where I spend most my time.  The office lan is less
restricted proxy wise, but I don't use it for various reasons.  I took
a laptop (running M$ no less) and tried running emacs / excorporate
with the same settings minus the proxy setup and had no problem, so it
works, just wrong computer.  I would be happy to repeat the same steps
and grab you some log files if you like, but it might have to wait
until tomorrow morning.  Sorry I am no good at debugging this stuff
myself, but I really don't know what is even supposed to happen under
the hood.  I probably should have thought of comparing log files
myself earlier.  Basically, I am trying to condense all of my stuff to
the computer I use most so I don't have to constantly switch back and
forth.

Again, thanks for your time!

-C

On Wed, May 29, 2019 at 2:54 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>
> Hi,
>
> "tenspd137 ." <dcday137@HIDDEN> writes:
>
> > For the unauthenticated site, the buffer " *http www.gnu.org:443*" returns
> >
> > HTTP/1.1 200 OK
> > Date: Wed, 29 May 2019 17:31:43 GMT
> > Server: Apache/2.4.7
> > Content-Location: home.html
> > .....
> > [successful output]
> [...]
>
> > The authenticated site buffer " *http httpbin.org:443" returns
>
> [...]
>
> > http -> Parsed HTTP headers: class=2 status=200
>
> OK, success through the proxy (both in Emacs and wget) for the simple no
> and basic authentication cases, interesting.
>
> Are you in a position to test authenticating against
> "https://server/EWS/Exchange.asmx" from within Emacs, without going
> through the proxy?  (I realize this may not be possible in your setup.)
>
> I guess I'll have to set up a localhost proxy to debug this further.
>
> Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 29 May 2019 20:54:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 29 16:54:10 2019
Received: from localhost ([127.0.0.1]:60059 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hW5aM-0002RG-C0
	for submit <at> debbugs.gnu.org; Wed, 29 May 2019 16:54:10 -0400
Received: from mail-io1-f54.google.com ([209.85.166.54]:40297)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fitzsim@HIDDEN>) id 1hW5aK-0002R2-4n
 for 35969 <at> debbugs.gnu.org; Wed, 29 May 2019 16:54:08 -0400
Received: by mail-io1-f54.google.com with SMTP id n5so3103406ioc.7
 for <35969 <at> debbugs.gnu.org>; Wed, 29 May 2019 13:54:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fitzsim-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=i79joNVyYGB9C4MRA2UVaZN8mwegrmS8BadumS5SErE=;
 b=nBIzb0qmuNA5ud3YWY5/70oh3ZoHXpXjjabvdzk6FVQpPdHoOg0hiNwVFoKpeXcQKh
 h2V9P49VrbrSmHtbC0wzS7J+BaMa9y2ykcU87UU8VfmGtHf2Q+QxficVYbab4M6sFiPK
 YpLKNQYtQUhGfV4Xwvaqk4Ljuu7o8PrfCqGdDI26b+9+7J3z0Sm2/qtI0QYF459QxF46
 LGcDDmhWf/yI/pdwP09+kwAL3CR4lHvSNyGCU00G3ukOJIzMbZEtgZ2DHvtJ46Ziy6Er
 Asxq93jELIchV83zpsYnje63z8n0a8D04Z5qqMaubwUMxMJCUQquvdL7AV2buvfWc6np
 OmJQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=i79joNVyYGB9C4MRA2UVaZN8mwegrmS8BadumS5SErE=;
 b=jY4Kms7G9ad7BuXxrx+8CI2DZNnoOjn3ghe6EUYiQQ/QbcnEnQefCUhbVRja642xLr
 PtYPDExpa854lZ4xIEau58+Tv6OkAVJ7SdFzRNfyL4QV4oPHIvXa5u/KRr2UuAu66xPv
 A4XCZDqHES20vWAEvdPLI+qPErPuffXL8rlN8Itf+gwBgTGu+/FG0u/K0IddC3gpcRh1
 w78Rw4XvwRiSIZ0ZS0ojD4EP5LvIZsDh1FxTFjoYFU9ukQ0r/ZPoOm5it+TtRuHs4oDr
 Puxmu4lKDLAms9l9UhRWRMLN21nrVgKvnpI1uqoHgtxq9GAgLKzHWTbPPNQFUh6l3dNh
 SN9g==
X-Gm-Message-State: APjAAAXbaFWgSlLEA4NkElPP0tNpbPn9kEhq/oXu9dnUWXFcthN6pisf
 vQgc+oK8q1IXPkzOF9jL0pFu9tqkzGk=
X-Google-Smtp-Source: APXvYqwl2oZJ1vBN+P8b7LF08FPP6V573iofpHpLLnagNF3MnEIJZwVVtUjDuvrAMaXmKY1T3/HCSA==
X-Received: by 2002:a6b:7d49:: with SMTP id d9mr84368ioq.50.1559163241334;
 Wed, 29 May 2019 13:54:01 -0700 (PDT)
Received: from localhost.localdomain (69-165-165-189.dsl.teksavvy.com.
 [69.165.165.189])
 by smtp.gmail.com with ESMTPSA id l193sm126540itl.1.2019.05.29.13.53.59
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 29 May 2019 13:53:59 -0700 (PDT)
From: Thomas Fitzsimmons <fitzsim@HIDDEN>
To: "tenspd137 ." <dcday137@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <m3h89e5avd.fsf@HIDDEN>
 <CAB=m8wL4KAhDwsnuei++Zuj0DaBye4iaDHs_LRdO-AYnQ13A_Q@HIDDEN>
 <m3y32p42jk.fsf@HIDDEN>
 <CAB=m8wLwY_8QBS-Pxey-atCXx-TC=oL_+OTOT-A0b9Pa61JC+A@HIDDEN>
Date: Wed, 29 May 2019 16:53:58 -0400
In-Reply-To: <CAB=m8wLwY_8QBS-Pxey-atCXx-TC=oL_+OTOT-A0b9Pa61JC+A@HIDDEN>
 (tenspd's message of "Wed, 29 May 2019 12:13:46 -0600")
Message-ID: <m3muj53rtl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35969
Cc: 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

"tenspd137 ." <dcday137@HIDDEN> writes:

> For the unauthenticated site, the buffer " *http www.gnu.org:443*" returns
>
> HTTP/1.1 200 OK
> Date: Wed, 29 May 2019 17:31:43 GMT
> Server: Apache/2.4.7
> Content-Location: home.html
> .....
> [successful output]
[...]

> The authenticated site buffer " *http httpbin.org:443" returns

[...]

> http -> Parsed HTTP headers: class=2 status=200

OK, success through the proxy (both in Emacs and wget) for the simple no
and basic authentication cases, interesting.

Are you in a position to test authenticating against
"https://server/EWS/Exchange.asmx" from within Emacs, without going
through the proxy?  (I realize this may not be possible in your setup.)

I guess I'll have to set up a localhost proxy to debug this further.

Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 29 May 2019 18:14:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 29 14:14:11 2019
Received: from localhost ([127.0.0.1]:59837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hW35S-0006h4-VD
	for submit <at> debbugs.gnu.org; Wed, 29 May 2019 14:14:11 -0400
Received: from mail-ot1-f50.google.com ([209.85.210.50]:36991)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1hW35Q-0006gO-Gc
 for 35969 <at> debbugs.gnu.org; Wed, 29 May 2019 14:14:05 -0400
Received: by mail-ot1-f50.google.com with SMTP id r10so3003306otd.4
 for <35969 <at> debbugs.gnu.org>; Wed, 29 May 2019 11:14:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=yDtrCJZ0VTQuVzdnVMDB4DnmHTaEamzxinWZMM7XZrM=;
 b=H40Ydv6wChrgfG+0A7BxJNSdgUlwVYf+qZScrG4Jc7yluSuhlG1myKARyI1wZOq4qA
 jH1lPw6rn797kpDqWX7MFdA0/VcE68SOb/OnZIv+xH6dIxGkg820i2hCt1UK7eUnZDdy
 sZqehzkHfvUDSbbu/VBJYHSPWnPXvb8oPGg88UBz3Z0q0EEbes+sP9cOGRY6Ytdqmrt/
 VRPdGxMVhDgGu0knudaO/g+JbLZMXfeYlbiRY+QeKfI/dHORUYZbXaGhNrsy/FjJB6ph
 7cNev9DF4tDtF15VXJbs0+bP9IIXV3R7txV98KmdgO7czPY21s7LIVO8b9dhIr70CwDt
 Mt0w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=yDtrCJZ0VTQuVzdnVMDB4DnmHTaEamzxinWZMM7XZrM=;
 b=kY7C9it1sWhbKQ25eaEt7N+f0E/Kso/2T/uFWASPIJLvHwSEBoBJ0qrV1YRz7ppphu
 E4wzBXp2wKDj6TUPd6HRp6dVLB/mjGi5Hp2NTvF2RrMW7/KAdDgqY/BrnBaw2J+3OJMp
 Epf9aPY2pzdOzog7Ei04HHqjyAJnyjmxZaQoLjpZcyxXfY+Vj+83an7mC0SmxWAJ8TSP
 C+5LeoQLOdUgkb4AsgfT89dv0cH1/7gbmNMLb9Enwqsp2jaONrQORzw8neoGgeAzTQZV
 EgKeQfQBTyg7zV5h1/Y8oAp2AJEVs5Bgj/Pn5g1lk8KsZBs1pQ4fLUkGtABZWDM9Xkzs
 EduQ==
X-Gm-Message-State: APjAAAX6fmbP1blxNsgQFqikwrhnRVCknZh2VhHKozvcmw/nwY+9o3sY
 rZYFnywIAvkgpKifIx4Jhfo/5D0ue0OIGb6bT5ctWjCD
X-Google-Smtp-Source: APXvYqxKBhfDsSkPuX3HNr+sDO99xcFNk+9PdYfd7QABdc+H4d5FwYajBID+hiNcom51bL8slQAJlIfQ8cIdeCRZFLE=
X-Received: by 2002:a05:6830:124d:: with SMTP id
 s13mr174635otp.360.1559153638206; 
 Wed, 29 May 2019 11:13:58 -0700 (PDT)
MIME-Version: 1.0
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <m3h89e5avd.fsf@HIDDEN>
 <CAB=m8wL4KAhDwsnuei++Zuj0DaBye4iaDHs_LRdO-AYnQ13A_Q@HIDDEN>
 <m3y32p42jk.fsf@HIDDEN>
In-Reply-To: <m3y32p42jk.fsf@HIDDEN>
From: "tenspd137 ." <dcday137@HIDDEN>
Date: Wed, 29 May 2019 12:13:46 -0600
Message-ID: <CAB=m8wLwY_8QBS-Pxey-atCXx-TC=oL_+OTOT-A0b9Pa61JC+A@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
To: Thomas Fitzsimmons <fitzsim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 35969
Cc: 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Thomas -

For the unauthenticated site, the buffer " *http www.gnu.org:443*" returns

HTTP/1.1 200 OK
Date: Wed, 29 May 2019 17:31:43 GMT
Server: Apache/2.4.7
Content-Location: home.html
.....
[successfuol output]
.....

and

URL-DEBUG

http -> Contacting host: www.gnu.org:443
http -> Marking connection as busy: www.gnu.org:443 #<process www.gnu.org>
retrieval -> Spinning in url-retrieve-synchronously: nil (#<buffer
*http www.gnu.org:443*>)
retrieval -> Spinning in url-retrieve-synchronously: nil (#<buffer
*http www.gnu.org:443*>)
http -> Calling after change function
`url-https-proxy-after-change-function' for `#<process www.gnu.org>'
http -> url-http-parse-response called in ( *http www.gnu.org:443*)
http -> Request is:
GET https://www.gnu.org/ HTTP/1.1
MIME-Version: 1.0
Connection: close
Extension: Security/Digest Security/SSL
Host: www.gnu.org
Accept-encoding: gzip
Accept: */*
User-Agent: URL/Emacs Emacs/26.2 (X11; x86_64-pc-linux-gnu)


retrieval -> Spinning in url-retrieve-synchronously: nil (#<buffer
*http www.gnu.org:443*>)
http -> Calling after change function
`url-http-wait-for-headers-change-function' for `#<process
www.gnu.org>'
http -> url-http-wait-for-headers-change-function ( *http www.gnu.org:443*)
http -> Saw end of headers... ( *http www.gnu.org:443*)
http -> url-http-parse-response called in ( *http www.gnu.org:443*)
http -> Got a content-length, being smart about document end.
http -> Calling initial content-length for extra data at end of headers
http -> Spinning waiting for headers...
http -> Calling after change function
`url-http-content-length-after-change-function' for `#<process
www.gnu.org>'
http -> Calling after change function
`url-http-content-length-after-change-function' for `#<process
www.gnu.org>'
http -> Calling after change function
`url-http-content-length-after-change-function' for `#<process
www.gnu.org>'
http -> Calling after change function
`url-http-content-length-after-change-function' for `#<process
www.gnu.org>'
http -> Calling after change function
`url-http-content-length-after-change-function' for `#<process
www.gnu.org>'
http -> Marking connection as free: www.gnu.org:443 #<process www.gnu.org>
http -> url-http-parse-headers called in ( *http www.gnu.org:443*)
http -> url-http-parse-response called in ( *http www.gnu.org:443*)
http -> Parsed HTTP headers: class=3D2 status=3D200
http -> Finished parsing HTTP headers: t
http -> Marking connection as free: www.gnu.org:443 #<process www.gnu.org>
http -> Activating callback in buffer ( *http www.gnu.org:443*): #[128
"\302\303\304p#\210\300\305\240\210\301p\240\207" [(nil) (#<buffer
*http www.gnu.org:443*>) url-debug retrieval "Synchronous fetching
done (%S)" t] 5 "

(fn &rest IGNORED)"] ((:peer (:certificate (:version 3 :serial-number
"03:da:73:db:ff:c6:23:a4:16:f3:45:6f:fe:05:8e:04:b8:c2" :issuer
"C=3DUS,O=3DLet's Encrypt,CN=3DLet's Encrypt Authority X3" :valid-from
"2019-04-02" :valid-to "2019-07-01" :subject "CN=3Demacs.org"
:public-key-algorithm "RSA" :certificate-security-level "Medium"
:signature-algorithm "RSA-SHA256" :public-key-id
"sha1:89:0c:f7:08:4e:65:16:0b:43:08:43:eb:e3:33:77:fa:fb:1c:a5:70"
:certificate-id
"sha1:0d:61:97:26:9a:58:d7:04:de:52:1f:29:ca:45:55:ec:67:a9:b1:60")
:key-exchange "ECDHE-RSA" :protocol "TLS1.2" :cipher "AES-128-GCM"
:mac "AEAD")))
retrieval -> Synchronous fetching done (#<buffer  *http www.gnu.org:443*>)

The authenticated site buffer " *http httpbin.org:443" returns
HTTP/1.1 401 UNAUTHORIZED
Access-Control-Allow-Credentials: true
Access-Control-Allow-Origin: *
Date: Wed, 29 May 2019 17:38:27 GMT
Referrer-Policy: no-referrer-when-downgrade
Server: nginx
WWW-Authenticate: Basic realm=3D"Fake Realm"
X-Content-Type-Options: nosniff
X-Frame-Options: DENY
X-XSS-Protection: 1; mode=3Dblock
Content-Length: 0
Connection: Close

and the URL-DEBUG buffer gives
http -> Contacting host: httpbin.org:443
http -> Marking connection as busy: httpbin.org:443 #<process httpbin.org>
retrieval -> Spinning in url-retrieve-synchronously: nil (#<buffer
*http httpbin.org:443*>)
http -> Calling after change function
`url-https-proxy-after-change-function' for `#<process httpbin.org>'
http -> url-http-parse-response called in ( *http httpbin.org:443*)
http -> Request is:
GET https://httpbin.org/basic-auth/user/passwd HTTP/1.1
MIME-Version: 1.0
Connection: close
Extension: Security/Digest Security/SSL
Host: httpbin.org
Accept-encoding: gzip
Accept: */*
User-Agent: URL/Emacs Emacs/26.2 (X11; x86_64-pc-linux-gnu)


retrieval -> Spinning in url-retrieve-synchronously: nil (#<buffer
*http httpbin.org:443*>)
http -> Calling after change function
`url-http-wait-for-headers-change-function' for `#<process
httpbin.org>'
http -> url-http-wait-for-headers-change-function ( *http httpbin.org:443*)
http -> Saw end of headers... ( *http httpbin.org:443*)
http -> url-http-parse-response called in ( *http httpbin.org:443*)
http -> Got a content-length, being smart about document end.
http -> Got 0-length content-length, activating callback immediately.
http -> Marking connection as free: httpbin.org:443 #<process httpbin.org>
http -> url-http-parse-headers called in ( *http httpbin.org:443*)
http -> url-http-parse-response called in ( *http httpbin.org:443*)
http -> Parsed HTTP headers: class=3D4 status=3D401
http -> Handling normal authentication
http -> Contacting host: httpbin.org:443
http -> Marking connection as busy: httpbin.org:443 #<process httpbin.org>
http -> Finished parsing HTTP headers: nil
http -> Spinning waiting for headers...
retrieval -> Spinning in url-retrieve-synchronously: nil (#<buffer
*http httpbin.org:443*>)
http -> Calling after change function
`url-https-proxy-after-change-function' for `#<process httpbin.org>'
http -> url-http-parse-response called in ( *http httpbin.org:443*-54346)
http -> Request is:
GET https://httpbin.org/basic-auth/user/passwd HTTP/1.1
MIME-Version: 1.0
Connection: close
Extension: Security/Digest Security/SSL
Host: httpbin.org
Accept-encoding: gzip
Accept: */*
User-Agent: URL/Emacs Emacs/26.2 (X11; x86_64-pc-linux-gnu)
Authorization: Basic dXNlcjpwYXNzd2Q=3D


http -> Calling after change function
`url-http-wait-for-headers-change-function' for `#<process
httpbin.org>'
http -> url-http-wait-for-headers-change-function ( *http
httpbin.org:443*-54346)
http -> Saw end of headers... ( *http httpbin.org:443*-54346)
http -> url-http-parse-response called in ( *http httpbin.org:443*-54346)
http -> Got a content-length, being smart about document end.
http -> Calling initial content-length for extra data at end of headers
http -> Marking connection as free: httpbin.org:443 #<process httpbin.org>
http -> url-http-parse-headers called in ( *http httpbin.org:443*-54346)
http -> url-http-parse-response called in ( *http httpbin.org:443*-54346)
http -> Parsed HTTP headers: class=3D2 status=3D200
http -> Finished parsing HTTP headers: t
http -> Marking connection as free: httpbin.org:443 #<process httpbin.org>
http -> Activating callback in buffer ( *http httpbin.org:443*-54346):
#[128 "\302\303\304p#\210\300\305\240\210\301p\240\207" [(t) (#<buffer
 *http httpbin.org:443*>) url-debug retrieval "Synchronous fetching
done (%S)" t] 5 "

(fn &rest IGNORED)"] ((:peer (:certificate (:version 3 :serial-number
"06:0c:5d:3e:f4:d0:2e:f5:c1:ac:09:8e:b3:0e:39:ab" :issuer
"C=3DUS,O=3DAmazon,OU=3DServer CA 1B,CN=3DAmazon" :valid-from "2019-02-17"
:valid-to "2020-03-17" :subject "CN=3Dhttpbin.org" :public-key-algorithm
"RSA" :certificate-security-level "Medium" :signature-algorithm
"RSA-SHA256" :public-key-id
"sha1:1b:e3:b6:57:70:0a:15:df:dc:05:20:f2:66:da:8e:2f:74:4b:e8:ed"
:certificate-id
"sha1:cd:9a:4d:21:af:57:65:e6:d3:be:3a:d0:1c:dc:88:26:b8:96:bb:f7")
:key-exchange "ECDHE-RSA" :protocol "TLS1.2" :cipher "AES-128-GCM"
:mac "AEAD")))
retrieval -> Synchronous fetching done (#<buffer  *http httpbin.org:443*-54=
346>)
http -> Spinning waiting for headers...

Just as a check:
echo $http_proxy
http://web-proxy:8080

echo $https_proxy
http://web-proxy:8080

using wget, I get a file with the following contents:
 wget --user user --password passwd https://httpbin.org/basic-auth/user/pas=
swd
--2019-05-29 11:46:25--  https://httpbin.org/basic-auth/user/passwd
Resolving web-proxy... xx.xx.xxx.xxx
Connecting to web-proxy|xx.xx.xxx.xxx]:8080... connected.
Proxy request sent, awaiting response... 401 UNAUTHORIZED
Authentication selected: Basic realm=3D"Fake Realm"
Reusing existing connection to httpbin.org:443.
Proxy request sent, awaiting response... 200 OK
Length: 47 [application/json]
Saving to: =E2=80=98passwd=E2=80=99

passwd
100%[=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D>]
     47  --.-KB/s    in 0s

2019-05-29 11:46:26 (3.59 MB/s) - =E2=80=98passwd=E2=80=99 saved [47/47]


cat passwd
{
  "authenticated": true,
  "user": "user"
}

Thanks!

-C

}


On Wed, May 29, 2019 at 11:02 AM Thomas Fitzsimmons <fitzsim@HIDDEN> w=
rote:
>
> Hi,
>
> "tenspd137 ." <dcday137@HIDDEN> writes:
>
> > Hi - thanks for the reply.  Here are the steps I took (I had to
> > configure the proxy as well....):
> >
> > M-: (setq url-proxy-services '(("http" . "web-proxy:8080") ("https" . "=
web-proxy:8080")))
> > M-: (setq url-debug t)
> > M-: (url-retrieve-synchronously "https://server/EWS/Exchange.asmx")
> >
> > -Asks for name and password-, I fill them in.....
>
> OK, I think the buffer contents you pasted are fine/expected; it's the
> web site saying you're unauthorized, which then causes "url" to prompt
> for credentials.  That part seems to have worked through the proxies.
>
> Then the url library created a second buffer:
>
> " *http outlook.office365.com:443*-229815"
>
> which I'm inferring from the logs contained "400 Bad Request" headers.
> I'm not sure why that might be; I haven't tried Emacs's url proxy
> support before.  That said, I'd like to keep trying to fix this since
> I'd like Excorporate to work via proxies.
>
> You could try an unauthenticated site to see if that works through the
> proxies, e.g.:
>
> [same initial steps]
> M-: (url-retrieve-synchronously "https://www.gnu.org/")
>
> and then a different authenticated site, like this test page:
>
> M-: (url-retrieve-synchronously "https://httpbin.org/basic-auth/user/pass=
wd")
>
> Username: user
> Password: passwd
>
> If that all works, then we'll have to figure out why url proxy support
> is not working with the Exchange server specifically.
>
> [...]
>
> > But - just for reference - here is what is in the file I receive when
> > I use wget:
> >
> >  wget --user me@work --password xxxxxxxxxxx https://outlook.office365.c=
om/EWS/Exchange.asmx
> >
> > [successful output]
>
> Are you configuring wget to use the same proxies as in the Emacs
> attempt, via the http_proxy and https_proxy environment variables?
>
> Thanks,
> Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 29 May 2019 17:02:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 29 13:02:39 2019
Received: from localhost ([127.0.0.1]:59760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hW1yI-0004YU-Do
	for submit <at> debbugs.gnu.org; Wed, 29 May 2019 13:02:38 -0400
Received: from mail-it1-f170.google.com ([209.85.166.170]:38758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fitzsim@HIDDEN>) id 1hW1yF-0004YD-U9
 for 35969 <at> debbugs.gnu.org; Wed, 29 May 2019 13:02:36 -0400
Received: by mail-it1-f170.google.com with SMTP id i63so469071ita.3
 for <35969 <at> debbugs.gnu.org>; Wed, 29 May 2019 10:02:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fitzsim-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=LWm9LAz4sFAMaARwz+Ugh4jeux2qsiadzR3GX1UGT1o=;
 b=yf2SVy48RjERjbi5AA5VYEfCO/YaB32BaGkN2Fo1T0IM5T5z48AaNYBks4shpCrRr5
 bG8FWhzenAkkYeKfZT4kcm2sA4IrIJZ77CHiIAFmTwmsS+v29Webb76VFMyF91guA/63
 w7hypXGG0OKLt+G4n4VGC4t/gq5OPG2lr3UXwY/6itnaNYGJSAvvssRSLBCKzagAC9I7
 rVV7O0gc7/HtHFsf07OzUNrZu2l1qipPvP2lN0jUeIzA08OoXb60mjzHuFY3hg/QTws5
 T1olwKEXNRfb/rDwQdg4xN1xCRtwWnvFBr9KCO+bQLBziikqc7/dCI4TtvZAweDmifm3
 Zbww==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=LWm9LAz4sFAMaARwz+Ugh4jeux2qsiadzR3GX1UGT1o=;
 b=B6SkCRO/d+nNhGXgAFzInIL6SkFOjbJMhk33UahAtQeFGrYj001uDtZsAsF0LBPg3J
 ie+F+xGFGXHTzuv0H6fMmA/5NWLrUSduPXD5sPbIPfzor8A6WU+8akb5TbnQxQi1EgZF
 5cozDo3yty58zVlNQPzjiog79U/2syMMZ10XCVYBoa9EHXmi0VrvNchQ9X4z7MJi+i6v
 UDx1MegCXc0je2KC3+0G6w4LaIcox4kyndIePoQh08w53bYawNTz6pqy06tbuXpsxRxg
 ADHmDWMo/0V5p86zJKEvL0v8rWUQHjK8lGHIzgKDsnRuNlB/ifXQiiPTU8mHFH1EO71L
 /4og==
X-Gm-Message-State: APjAAAWvy8QbO2sohx/zExUm/xwziFQY0eGPhI3f3mAdOGGj6rjbVOCO
 0EVDWJMx7lcinxjkLt3yifJyhTXU9c0=
X-Google-Smtp-Source: APXvYqwcFLRmrd4hlVuSbNi7fdF2M68a4kLIWnly30235JjuAzTr5vGTJ2k1GpqrWLk0D+vOX7sIVA==
X-Received: by 2002:a24:641:: with SMTP id 62mr7976317itv.19.1559149349657;
 Wed, 29 May 2019 10:02:29 -0700 (PDT)
Received: from localhost.localdomain (69-165-165-189.dsl.teksavvy.com.
 [69.165.165.189])
 by smtp.gmail.com with ESMTPSA id b196sm1232369itb.30.2019.05.29.10.02.24
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 29 May 2019 10:02:27 -0700 (PDT)
From: Thomas Fitzsimmons <fitzsim@HIDDEN>
To: "tenspd137 ." <dcday137@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <m3h89e5avd.fsf@HIDDEN>
 <CAB=m8wL4KAhDwsnuei++Zuj0DaBye4iaDHs_LRdO-AYnQ13A_Q@HIDDEN>
Date: Wed, 29 May 2019 13:02:23 -0400
In-Reply-To: <CAB=m8wL4KAhDwsnuei++Zuj0DaBye4iaDHs_LRdO-AYnQ13A_Q@HIDDEN>
 (tenspd's message of "Wed, 29 May 2019 10:17:05 -0600")
Message-ID: <m3y32p42jk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35969
Cc: 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

"tenspd137 ." <dcday137@HIDDEN> writes:

> Hi - thanks for the reply.  Here are the steps I took (I had to
> configure the proxy as well....):
>
> M-: (setq url-proxy-services '(("http" . "web-proxy:8080") ("https" . "web-proxy:8080")))
> M-: (setq url-debug t)
> M-: (url-retrieve-synchronously "https://server/EWS/Exchange.asmx")
>
> -Asks for name and password-, I fill them in.....

OK, I think the buffer contents you pasted are fine/expected; it's the
web site saying you're unauthorized, which then causes "url" to prompt
for credentials.  That part seems to have worked through the proxies.

Then the url library created a second buffer:

" *http outlook.office365.com:443*-229815"

which I'm inferring from the logs contained "400 Bad Request" headers.
I'm not sure why that might be; I haven't tried Emacs's url proxy
support before.  That said, I'd like to keep trying to fix this since
I'd like Excorporate to work via proxies.

You could try an unauthenticated site to see if that works through the
proxies, e.g.:

[same initial steps]
M-: (url-retrieve-synchronously "https://www.gnu.org/")

and then a different authenticated site, like this test page:

M-: (url-retrieve-synchronously "https://httpbin.org/basic-auth/user/passwd")

Username: user
Password: passwd

If that all works, then we'll have to figure out why url proxy support
is not working with the Exchange server specifically.

[...]

> But - just for reference - here is what is in the file I receive when
> I use wget:
>
>  wget --user me@work --password xxxxxxxxxxx https://outlook.office365.com/EWS/Exchange.asmx
>
> [successful output]

Are you configuring wget to use the same proxies as in the Emacs
attempt, via the http_proxy and https_proxy environment variables?

Thanks,
Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 29 May 2019 16:17:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 29 12:17:25 2019
Received: from localhost ([127.0.0.1]:59679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hW1GW-0001AX-Uz
	for submit <at> debbugs.gnu.org; Wed, 29 May 2019 12:17:25 -0400
Received: from mail-oi1-f176.google.com ([209.85.167.176]:40569)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1hW1GV-0001AJ-5h
 for 35969 <at> debbugs.gnu.org; Wed, 29 May 2019 12:17:23 -0400
Received: by mail-oi1-f176.google.com with SMTP id r136so2519705oie.7
 for <35969 <at> debbugs.gnu.org>; Wed, 29 May 2019 09:17:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=NBCXMmL1DO2uOVuPsRyC0HaWJxquKDrXul+zgU7lFpg=;
 b=HpKG5bSSKjWOV6VAI09+c59/ZPMIMiokK1Lv8B2nX8obDJLKUg4c5cNrxvlgR75UDd
 RfX6iKcV767y7P8/krSE1rO4t/EONkL77i5Wy5vqB231E0jwAm5jb1uD312C/PgK0qre
 YiedMyJo3+CUtWWJJmfwrcY7SDHBg3upYIBsk7gu3dRBQtKcLlF4z5XZdgajSdaApAyd
 oIW5JxqZstS66rIzpIDY9zQSn9MgcS/q5+k241uaAokh/mdnmiwzVNrdSYZYroO81fCP
 e5J0R3gN0ipSRbdytKVxKkMhuyVerRFdMk+8WwXhF3PE/x7kP5B0VGSXCmg8JQ8jsuol
 zkgg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=NBCXMmL1DO2uOVuPsRyC0HaWJxquKDrXul+zgU7lFpg=;
 b=HmmZIqwi8Eu/g/ki1y5ZLwcDs5k1EaSPa/UkdHfc0g3g1TlhzGWwzlbkVqYpCoN2ee
 V/911MQ3IVR16OD3HZ0SvPW0AjEQ1tSkpHCvg0wwM2/Zejv87Ns4GvT0b1B0qX24vwPp
 P5eYQxb9fkhG73Xh9xYU3mOqJG/tXXSFm6JM75UR4ipU6ENs0aP8Mw+XQ2mPofSIuHTt
 DuhfboNZlGaom+5xC5BCXMoP4tfG9aaXTiDkZaWUI1QppSykXr1OkWsjBEXnmwiz7C1i
 N3krEaiij+aVNVQhxiuidO1GDVM0uT65iaRB8Nnuv20niWhgG7DE0k9+fKQG+FzqhbIC
 vjoQ==
X-Gm-Message-State: APjAAAWxQEpO87qOmW2UPV8UWhrWsdAggVNIUbeTcFADYXW6T158xMxi
 M2dZYJh3FVdn6XNTX+a7C92h4VccnA2W12yy/JI=
X-Google-Smtp-Source: APXvYqzPQEmCAcUJ4HBktIZDhDNvtT2CX9UhpCY8NIGv1yZgB5c18QFDjXWQHyVk+8XMTLkd0egfLOqJVT6YyZd7RP0=
X-Received: by 2002:aca:5ad6:: with SMTP id o205mr1331292oib.92.1559146637097; 
 Wed, 29 May 2019 09:17:17 -0700 (PDT)
MIME-Version: 1.0
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 <m3h89e5avd.fsf@HIDDEN>
In-Reply-To: <m3h89e5avd.fsf@HIDDEN>
From: "tenspd137 ." <dcday137@HIDDEN>
Date: Wed, 29 May 2019 10:17:05 -0600
Message-ID: <CAB=m8wL4KAhDwsnuei++Zuj0DaBye4iaDHs_LRdO-AYnQ13A_Q@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
To: Thomas Fitzsimmons <fitzsim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 35969
Cc: 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Hi - thanks for the reply.  Here are the steps I took (I had to
configure the proxy as well....):

M-: (setq url-proxy-services '(("http" . "web-proxy:8080") ("https" .
"web-proxy:8080")))
M-: (setq url-debug t)
M-: (url-retrieve-synchronously "https://server/EWS/Exchange.asmx")

-Asks for name and password-, I fill them in.....

The buffer contents are:
" *http server:443*"
HTTP/1.1 401 Unauthorized
Server: Microsoft-IIS/10.0
request-id: 12d85c25-a5f7-49d5-a794-ef282ec5e6af
X-WSSecurity-Enabled: True
X-WSSecurity-For: Logon
X-FederationTrustTokenIssuerUri: urn:federation:MicrosoftOnline
X-WSSecurity-SymmetricKey-Enabled: True
X-WSSecurity-X509Cert-Enabled: True
X-OAuth-Enabled: True
X-Powered-By: ASP.NET
X-FEServer: SN6PR16CA0070
WWW-Authenticate: Basic Realm=""
Date: Wed, 29 May 2019 16:00:44 GMT
Connection: close
Content-Length: 0

and "*URL-DEBUG*"
http -> Contacting host: outlook.office365.com:443
http -> Marking connection as busy: outlook.office365.com:443
#<process outlook.office365.com>
retrieval -> Spinning in url-retrieve-synchronously: nil (#<buffer
*http outlook.office365.com:443*>)
http -> Calling after change function
`url-https-proxy-after-change-function' for `#<process
outlook.office365.com>'
http -> url-http-parse-response called in ( *http outlook.office365.com:443*)
http -> Request is:
GET https://outlook.office365.com/EWS/Exchange.asmx HTTP/1.1
MIME-Version: 1.0
Connection: close
Extension: Security/Digest Security/SSL
Host: outlook.office365.com
Accept-encoding: gzip
Accept: */*
User-Agent: URL/Emacs Emacs/26.2 (X11; x86_64-pc-linux-gnu)
Cookie: ClientId=8998C5691CD143E784857A0D01537963; OIDC=1


retrieval -> Spinning in url-retrieve-synchronously: nil (#<buffer
*http outlook.office365.com:443*>)
http -> Calling after change function
`url-http-wait-for-headers-change-function' for `#<process
outlook.office365.com>'
http -> url-http-wait-for-headers-change-function ( *http
outlook.office365.com:443*)
http -> Saw end of headers... ( *http outlook.office365.com:443*)
http -> url-http-parse-response called in ( *http outlook.office365.com:443*)
http -> Got a content-length, being smart about document end.
http -> Got 0-length content-length, activating callback immediately.
http -> Marking connection as free: outlook.office365.com:443
#<process outlook.office365.com>
http -> url-http-parse-headers called in ( *http outlook.office365.com:443*)
http -> url-http-parse-response called in ( *http outlook.office365.com:443*)
http -> Parsed HTTP headers: class=4 status=401
http -> Handling normal authentication
http -> Contacting host: outlook.office365.com:443
http -> Marking connection as busy: outlook.office365.com:443
#<process outlook.office365.com>
http -> Finished parsing HTTP headers: nil
http -> Spinning waiting for headers...
retrieval -> Spinning in url-retrieve-synchronously: nil (#<buffer
*http outlook.office365.com:443*>)
http -> Calling after change function
`url-https-proxy-after-change-function' for `#<process
outlook.office365.com>'
http -> url-http-parse-response called in ( *http
outlook.office365.com:443*-229815)
http -> Request is:
GET https://outlook.office365.com/EWS/Exchange.asmx HTTP/1.1
MIME-Version: 1.0
Connection: close
Extension: Security/Digest Security/SSL
Host: outlook.office365.com
Accept-encoding: gzip
Accept: */*
User-Agent: URL/Emacs Emacs/26.2 (X11; x86_64-pc-linux-gnu)
Cookie: ClientId=8998C5691CD143E784857A0D01537963; OIDC=1
Authorization: Basic ZGF2aWQuYy5kYXlAaHAuY29tOmwxaTNuN2VTa3kxMzcwJSU=


http -> Calling after change function
`url-http-wait-for-headers-change-function' for `#<process
outlook.office365.com>'
http -> url-http-wait-for-headers-change-function ( *http
outlook.office365.com:443*-229815)
http -> Saw end of headers... ( *http outlook.office365.com:443*-229815)
http -> url-http-parse-response called in ( *http
outlook.office365.com:443*-229815)
http -> Got a content-length, being smart about document end.
http -> Calling initial content-length for extra data at end of headers
http -> Marking connection as free: outlook.office365.com:443
#<process outlook.office365.com>
http -> url-http-parse-headers called in ( *http
outlook.office365.com:443*-229815)
http -> url-http-parse-response called in ( *http
outlook.office365.com:443*-229815)
http -> Parsed HTTP headers: class=4 status=400
http -> Finished parsing HTTP headers: t
http -> Marking connection as free: outlook.office365.com:443
#<process outlook.office365.com>
http -> Activating callback in buffer ( *http
outlook.office365.com:443*-229815): #[128
"\302\303\304p#\210\300\305\240\210\301p\240\207" [(t) (#<buffer
*http outlook.office365.com:443*>) url-debug retrieval "Synchronous
fetching done (%S)" t] 5 "

(fn &rest IGNORED)"] ((:error (error http 400) :peer (:certificate
(:version 3 :serial-number
"04:78:00:ec:6e:d6:46:74:40:83:3c:83:58:2c:0c:eb" :issuer
"C=US,O=DigiCert Inc,CN=DigiCert Cloud Services CA-1" :valid-from
"2018-11-19" :valid-to "2020-11-19" :subject
"C=US,ST=Washington,L=Redmond,O=Microsoft Corporation,CN=outlook.com"
:public-key-algorithm "RSA" :certificate-security-level "Medium"
:signature-algorithm "RSA-SHA256" :public-key-id
"sha1:18:91:f8:bd:ec:41:11:cd:a8:c8:d0:25:00:0d:a5:e4:10:b4:67:dd"
:certificate-id
"sha1:f2:1d:79:fd:e3:61:5c:02:2d:48:62:fd:cd:87:b8:6a:d6:60:b6:06")
:key-exchange "ECDHE-RSA" :protocol "TLS1.2" :cipher "AES-256-GCM"
:mac "AEAD")))
retrieval -> Synchronous fetching done (#<buffer  *http
outlook.office365.com:443*-229815>)
http -> Spinning waiting for headers...

But - just for reference - here is what is in the file I receive when
I use wget:

 wget --user me@work --password xxxxxxxxxxx
https://outlook.office365.com/EWS/Exchange.asmx

<HTML><HEAD><link rel="alternate" type="text/xml"
href="https://tu4pr8401mb1231.namprd84.prod.outlook.com:444/EWS/Exchange.asmx?disco"/><STYLE
type="text/css">#content{ FONT-SIZE: 0.7em; PADDING-BOTTOM: 2em;
MARGIN-LEFT: 30px}BODY{MARGIN-TOP: 0px; MARGIN-LEFT: 0px; COLOR:
#000000; FONT-FAMILY: Verdana; BACKGROUND-COLOR: white}P{MARGIN-TOP:
0px; MARGIN-BOTTOM: 12px; COLOR: #000000; FONT-FAMILY:
Verdana}PRE{BORDER-RIGHT: #f0f0e0 1px solid; PADDING-RIGHT: 5px;
BORDER-TOP: #f0f0e0 1px solid; MARGIN-TOP: -5px; PADDING-LEFT: 5px;
FONT-SIZE: 1.2em; PADDING-BOTTOM: 5px; BORDER-LEFT: #f0f0e0 1px solid;
PADDING-TOP: 5px; BORDER-BOTTOM: #f0f0e0 1px solid; FONT-FAMILY:
Courier New; BACKGROUND-COLOR: #e5e5cc}.heading1{MARGIN-TOP: 0px;
PADDING-LEFT: 15px; FONT-WEIGHT: normal; FONT-SIZE: 26px;
MARGIN-BOTTOM: 0px; PADDING-BOTTOM: 3px; MARGIN-LEFT: -30px; WIDTH:
100%; COLOR: #ffffff; PADDING-TOP: 10px; FONT-FAMILY: Tahoma;
BACKGROUND-COLOR: #003366}.intro{MARGIN-LEFT:
-15px}</STYLE><TITLE>Service</TITLE></HEAD><BODY><DIV id="content"><P
class="heading1">Service</P><BR/><P class="intro">You have created a
service.<P class='intro'>To test this service, you will need to create
a client and use it to call the service. You can do this using the
svcutil.exe tool from the command line with the following syntax:</P>
<BR/><PRE>svcutil.exe <A
HREF="https://tu4pr8401mb1231.namprd84.prod.outlook.com:444/EWS/Services.wsdl">https://tu4pr8401mb1231.namprd84.prod.outlook.com:444/EWS/Services.wsdl</A></PRE></P><P
class="intro"/>This will generate a configuration file and a code file
that contains the client class. Add the two files to your client
application and use the generated client class to call the Service.
For example:<BR/><P class='intro'><B>C#</B></P><PRE><font
color="blue">class </font><font color="teal">Test
</font>{
<font color="blue">    static void </font>Main()
    {
        <font color="teal">HelloClient</font> client = <font
color="blue">new </font><font color="teal">HelloClient</font>();

<font color="green">        // Use the 'client' variable to call
operations on the service.

</font><font color="green">        // Always close the client.
</font>        client.Close();
    }
}
</PRE><BR/><P class='intro'><B>Visual Basic</B></P><PRE><font
color="blue">Class </font><font color="teal">Test
</font><font color="blue">    Shared Sub </font>Main()
<font color="blue">        Dim </font>client As <font
color="teal">HelloClient</font> = <font color="blue">New </font><font
color="teal">HelloClient</font>()
<font color="green">        ' Use the 'client' variable to call
operations on the service.

</font><font color="green">        ' Always close the client.
</font>        client.Close()
<font color="blue">    End Sub

Thank you for taking a look and helping me learn some debug tricks.

-C

PS - Sorry for sending to you twice, I should have hit reply to all to
put this in the bug tracker....

On Tue, May 28, 2019 at 7:04 PM Thomas Fitzsimmons <fitzsim@HIDDEN> wrote:
>
> Hi,
>
> "tenspd137 ." <dcday137@HIDDEN> writes:
>
> > I was trying to use Excorporate through a proxy, and it fails.  I am
> > pretty sure that my configuration is correct because I am able to
> > retrieve *a* file when I use wget and https://server/EWS/Exchange.asmx
> > and I can get a Services.wsdl file with
> > https://server/EWS/Exchange.asmx.
>
> Thanks for reporting.  Is just Emacs (not Excorporate) able to retrieve
> the file through the proxy?  That is, starting from an "emacs -Q"
> session, can you try just:
>
> M-: (setq url-debug t)
> M-: (url-retrieve-synchronously "https://server/EWS/Exchange.asmx")
>
> and see what the *URL-DEBUG* and " *http server:443*" (note leading
> space character) buffers contain afterwards?
>
> Thanks,
> Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at 35969 <at> debbugs.gnu.org:


Received: (at 35969) by debbugs.gnu.org; 29 May 2019 01:05:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 28 21:05:04 2019
Received: from localhost ([127.0.0.1]:57820 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hVn1c-0006ym-FV
	for submit <at> debbugs.gnu.org; Tue, 28 May 2019 21:05:04 -0400
Received: from mail-io1-f43.google.com ([209.85.166.43]:33978)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fitzsim@HIDDEN>) id 1hVn1a-0006yB-M3
 for 35969 <at> debbugs.gnu.org; Tue, 28 May 2019 21:05:03 -0400
Received: by mail-io1-f43.google.com with SMTP id k8so382469iot.1
 for <35969 <at> debbugs.gnu.org>; Tue, 28 May 2019 18:05:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fitzsim-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=RjoATvrgS0Ht1GM0XrGj+BBiR4yXvR9lb8XhnwiT9dg=;
 b=U848A+zN4EBCjnA7ivsNQlKZx0vKKWc18x1cGIz0DNTsbSmgMsM/lZWSIebS7NWHXY
 ny0WFQp/MfXXsqxov4jv6/pR3eAxP2BMVStTuPtIcosGDICeUfyUqSjc4+pSdTj7tf7D
 JOMYPqSGt7Dm7A/RpS3Stbl7/neYlz08ccWPJzwd7DuSYSlQ7RmUqsTPrdMVEvaF4GGn
 zffMdardy6CEEwnmlKXxiDG7LK9u2f3Hs7gLz5BN1nIgA1Iybfe+gUkV2/UbahqpvqU4
 G1sSxyWHLjMIZ89NvZSmTblaEbduRV2PRoxUCbNr3G2uhp0AB8Okw4IqqkOJk9xX75x2
 n+cQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=RjoATvrgS0Ht1GM0XrGj+BBiR4yXvR9lb8XhnwiT9dg=;
 b=qNZs9uM9XZn1kORHS1hWhlIymzkjvuxMjkLud5Oj0QICFhWFzn098ge8FatJqyvskG
 sWaPsJUsZljR1HLUeiFbrCU574uR198iVjX0pOc5B0l0HoGcWjXq61oR1OwMncMhEP56
 PSk+ZYNlXXh5ax2ecU9YbCKaEDu1CeTV1MqC94b3OnK/IEX85ZSnuOksAppe5br2gwzN
 Q6jTV0u2fQFKx7ODtymfDrF95RHF6pnjWC7FFPlEQkTw1xAN4lIwwMHlRMfB8VKEPH8/
 WI2HAhzVroYxkABO1Z4kn3n/lQB/5sEUwJRHhBY71dwSvOGwKxDqsJH36YcDYE5gAdGt
 ibKA==
X-Gm-Message-State: APjAAAVaiI3MUECy7/QOiIAz0mMfoORh0q7rJ2uzzjhRJMxBbBO9Wdyb
 BAo+3IitZKdqCN7No7h3GhRhV32Vaxs=
X-Google-Smtp-Source: APXvYqz5IOtIB2R1lpUeTAa/Va7U3Uv8ZPBdIC3G4FGWiknx4DXis44WWHRI34UE3tmKyHc9Ooi8qg==
X-Received: by 2002:a5d:8a0c:: with SMTP id w12mr6233933iod.68.1559091896786; 
 Tue, 28 May 2019 18:04:56 -0700 (PDT)
Received: from localhost.localdomain (69-165-165-189.dsl.teksavvy.com.
 [69.165.165.189])
 by smtp.gmail.com with ESMTPSA id q13sm5024577iob.55.2019.05.28.18.04.55
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 28 May 2019 18:04:56 -0700 (PDT)
From: Thomas Fitzsimmons <fitzsim@HIDDEN>
To: "tenspd137 ." <dcday137@HIDDEN>
Subject: Re: bug#35969: 26.2, Excorporate
References: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
Date: Tue, 28 May 2019 21:04:54 -0400
In-Reply-To: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
 (tenspd's message of "Tue, 28 May 2019 15:25:40 -0600")
Message-ID: <m3h89e5avd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35969
Cc: 35969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

"tenspd137 ." <dcday137@HIDDEN> writes:

> I was trying to use Excorporate through a proxy, and it fails.  I am
> pretty sure that my configuration is correct because I am able to
> retrieve *a* file when I use wget and https://server/EWS/Exchange.asmx
> and I can get a Services.wsdl file with
> https://server/EWS/Exchange.asmx.

Thanks for reporting.  Is just Emacs (not Excorporate) able to retrieve
the file through the proxy?  That is, starting from an "emacs -Q"
session, can you try just:

M-: (setq url-debug t)
M-: (url-retrieve-synchronously "https://server/EWS/Exchange.asmx")

and see what the *URL-DEBUG* and " *http server:443*" (note leading
space character) buffers contain afterwards?

Thanks,
Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 May 2019 22:25:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 28 18:25:09 2019
Received: from localhost ([127.0.0.1]:57536 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hVkWp-0002Yg-TW
	for submit <at> debbugs.gnu.org; Tue, 28 May 2019 18:25:08 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50077)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dcday137@HIDDEN>) id 1hVjbn-000113-Ls
 for submit <at> debbugs.gnu.org; Tue, 28 May 2019 17:26:12 -0400
Received: from lists.gnu.org ([209.51.188.17]:54558)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dcday137@HIDDEN>) id 1hVjbi-0000cF-G4
 for submit <at> debbugs.gnu.org; Tue, 28 May 2019 17:26:06 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36191)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dcday137@HIDDEN>) id 1hVjbg-0001tl-Sy
 for bug-gnu-emacs@HIDDEN; Tue, 28 May 2019 17:26:06 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,URIBL_BLOCKED autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dcday137@HIDDEN>) id 1hVjbe-0000Y5-UT
 for bug-gnu-emacs@HIDDEN; Tue, 28 May 2019 17:26:04 -0400
Received: from mail-ot1-x334.google.com ([2607:f8b0:4864:20::334]:36816)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <dcday137@HIDDEN>) id 1hVjbb-0000RO-2P
 for bug-gnu-emacs@HIDDEN; Tue, 28 May 2019 17:26:02 -0400
Received: by mail-ot1-x334.google.com with SMTP id c3so7952178otr.3
 for <bug-gnu-emacs@HIDDEN>; Tue, 28 May 2019 14:25:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=6DXq/GgJuZc8WdtBkI8R+shusryJMn1pnNrC9nloTgY=;
 b=OwVEuF0YL5bjZKVa6fotdbkn99H9Y1pukJQtVB93mi6U6o8NG1nEJ167FhUf/jeU3W
 efJvplTwxTOCTgvbChk8K1hQshO6VBYhqONiv3Z6GT1K3nhe24LAs/WIA4iIoUIU2QHH
 tXFCjuCEWi0JfS1b14cPG+YjcXT6cNHmXyeoEbOWr7USF8Sm/xFxgj+qkn3RWA1EKqYi
 lmq+9L/HRI4JfcVXUxjnEMjbnUgWb3uI9tnUAeBywFSrWJMCuwhw1XhQjc3ZFJQfZaE9
 4QLA+25b4hw1gfhKsItUnfc5g/MjgRxBAPp8hx3ND3uMPXbtZinQ6q8Cs0BLUwdKacSS
 AXpA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=6DXq/GgJuZc8WdtBkI8R+shusryJMn1pnNrC9nloTgY=;
 b=WOFzr3NASFX102gTA30TmDRwPhcEuIsa78ILjBZd5EOf5GyR+gcML0ofmuKiT3oSSj
 Xe43ffT+C1yaCTIQqdnmPS4NcYA8QmUH2YrFac/MJEPfQwAH0pkMhXhPhMUj2Hih6I1c
 nRrns7Wqa9bQW6C1G23K9Lqi4wxRvyrp/kP2/L0giTaz0/ewq9Qa+ckg8825nLpUgLTo
 yw4+mkqBfBvOZcwEAO63BoIyIphfcVF1a7W7mHpr1lbWQ2L9OtkJ8DLWH9il0YpeXHeD
 PC3EaCR/bCEbsWUgleCpWNy/ivTqzR6kuVygOyfWglkCcFRlxDMjACkfu24J8IHfwE6P
 oBeQ==
X-Gm-Message-State: APjAAAVZZ0ilAVPLrASqw65AVkgb/EIHTu6EzXnpCYO0HzMIQVv/lU6/
 N47PMQSHvdz7ZwxxC65B/vQsf4dUm7qQwniBkzoJ/s0yuJg=
X-Google-Smtp-Source: APXvYqwlxwnDt9PPgOnnOfOy77nE44O/EpEQtYSxKBY/wGMv2doo7ky+Us9HxC8G48FbMLJBNMQFWdTPC0Zxy1n1T1o=
X-Received: by 2002:a9d:5f04:: with SMTP id f4mr99317oti.240.1559078752278;
 Tue, 28 May 2019 14:25:52 -0700 (PDT)
MIME-Version: 1.0
From: "tenspd137 ." <dcday137@HIDDEN>
Date: Tue, 28 May 2019 15:25:40 -0600
Message-ID: <CAB=m8wLy+vy1njAQcYFFWwkUbwoB55oB67E0hvzBxTLy63ya=w@HIDDEN>
Subject: 26.2, Excorporate
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::334
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 28 May 2019 18:25:07 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Hello,

I was trying to use Excorporate through a proxy, and it fails.  I am
pretty sure that my configuration is correct because I am able to
retrieve *a* file when I use wget and https://server/EWS/Exchange.asmx
and I can get a Services.wsdl file with
https://server/EWS/Exchange.asmx.

If it helps, here is info from URL-DEBUG (with some identifying info removed):

http -> Contacting host: outlook.office365.com:443
http -> Marking connection as busy: outlook.office365.com:443
#<process outlook.office365.com<1>>
http -> Calling after change function
`url-https-proxy-after-change-function' for `#<process
outlook.office365.com<1>>'
http -> url-http-parse-response called in ( *http
outlook.office365.com:443*-608159)
http -> Request is:
GET https://outlook.office365.com/EWS/Services.wsdl HTTP/1.1
MIME-Version: 1.0
Connection: close
Extension: Security/Digest Security/SSL
Host: outlook.office365.com
Accept-encoding: gzip
Accept-charset: utf-8;q=1, gb2312;q=0.5, iso-8859-1;q=0.5, big5;q=0.5,
iso-2022-jp;q=0.5, shift_jis;q=0.5, euc-tw;q=0.5, euc-jp;q=0.5,
euc-jis-2004;q=0.5, euc-kr;q=0.5, us-ascii;q=0.5, utf-7;q=0.5,
hz-gb-2312;q=0.5, big5-hkscs;q=0.5, gbk;q=0.5, gb18030;q=0.5,
iso-8859-5;q=0.5, koi8-r;q=0.5, koi8-u;q=0.5, cp866;q=0.5,
koi8-t;q=0.5, windows-1251;q=0.5, cp855;q=0.5, iso-8859-2;q=0.5,
iso-8859-3;q=0.5, iso-8859-4;q=0.5, iso-8859-9;q=0.5,
iso-8859-10;q=0.5, iso-8859-13;q=0.5, iso-8859-14;q=0.5,
iso-8859-15;q=0.5, windows-1250;q=0.5, windows-1252;q=0.5,
windows-1254;q=0.5, windows-1257;q=0.5, cp775;q=0.5, cp850;q=0.5,
cp852;q=0.5, cp857;q=0.5, cp858;q=0.5, cp860;q=0.5, cp861;q=0.5,
cp863;q=0.5, cp865;q=0.5, cp437;q=0.5, macintosh;q=0.5, next;q=0.5,
hp-roman8;q=0.5, adobe-standard-encoding;q=0.5, iso-8859-16;q=0.5,
iso-8859-7;q=0.5, windows-1253;q=0.5, cp737;q=0.5, cp851;q=0.5,
cp869;q=0.5, iso-8859-8;q=0.5, windows-1255;q=0.5, cp862;q=0.5,
iso-2022-jp-2004;q=0.5, cp874;q=0.5, iso-8859-11;q=0.5, viscii;q=0.5,
windows-1258;q=0.5, iso-8859-6;q=0.5, windows-1256;q=0.5,
iso-2022-cn;q=0.5, iso-2022-cn-ext;q=0.5, iso-2022-jp-2;q=0.5,
iso-2022-kr;q=0.5, utf-16le;q=0.5, utf-16be;q=0.5, utf-16;q=0.5,
x-ctext;q=0.5
Accept: */*
User-Agent: URL/Emacs Emacs/26.2 (X11; x86_64-pc-linux-gnu)
Authorization: Basic ZGF2aWQuYy5kYXlAaHAuY29tOmwxaTNuN2VTa3kxMzcwJSU=
Cookie: ClientId=8998C5691CD143E784857A0D01537963; OIDC=1


http -> Calling after change function
`url-http-wait-for-headers-change-function' for `#<process
outlook.office365.com<1>>'
http -> url-http-wait-for-headers-change-function ( *http
outlook.office365.com:443*-608159)
http -> Saw end of headers... ( *http outlook.office365.com:443*-608159)
http -> url-http-parse-response called in ( *http
outlook.office365.com:443*-608159)
http -> Got a content-length, being smart about document end.
http -> Calling initial content-length for extra data at end of headers
http -> Marking connection as free: outlook.office365.com:443
#<process outlook.office365.com<1>>
http -> url-http-parse-headers called in ( *http
outlook.office365.com:443*-608159)
http -> url-http-parse-response called in ( *http
outlook.office365.com:443*-608159)
http -> Parsed HTTP headers: class=4 status=404
http -> Finished parsing HTTP headers: t
http -> Marking connection as free: outlook.office365.com:443
#<process outlook.office365.com<1>>
http -> Activating callback in buffer ( *http
outlook.office365.com:443*-608159): #[257
"p\303\304\305\306\307 !\310\"\311$\216
@\312=\203$\0\313\301\314\315\316\302\"#\210\317\300\320\"\202/\0\313\301\321\322
#\210\317\300\323\")\207" [fsm-exco--fsm-127 (:identifier
("my-work-email" . "https://outlook.office365.com/EWS/Exchange.asmx")
:mail-address "my-work-email" :retrying nil :autodiscovery-urls nil
:service-url "https://outlook.office365.com/EWS/Exchange.asmx"
:service-xml nil :service-wsdl nil :next-state-after-success nil
:failure-message nil :server-version nil)
"https://outlook.office365.com/EWS/Services.wsdl" make-byte-code 0
"\301\300!\205    \0\302\300!\207" vconcat vector [buffer-live-p
kill-buffer] 2 :error plist-put :failure-message format "Failed to
retrieve %s" fsm-send :unrecoverable-error :service-xml
exco--parse-xml-in-current-buffer :success] 8 "

(fn STATUS)"] ((:error (error http 404) :peer (:certificate (:version
3 :serial-number "03:fa:5c:d7:7f:8a:96:cf:9a:bf:bc:16:5d:a9:8a:0c"
:issuer "C=US,O=DigiCert Inc,CN=DigiCert Cloud Services CA-1"
:valid-from "2018-10-03" :valid-to "2020-10-03" :subject
"C=US,ST=Washington,L=Redmond,O=Microsoft Corporation,CN=outlook.com"
:public-key-algorithm "RSA" :certificate-security-level "Medium"
:signature-algorithm "RSA-SHA256" :public-key-id
"sha1:b5:44:50:ef:ea:49:4c:ea:39:ed:03:22:32:cd:82:54:72:b2:b2:7d"
:certificate-id
"sha1:fb:51:e0:1f:ed:b9:83:bf:0f:41:df:af:4e:4f:25:82:48:84:40:eb")
:key-exchange "ECDHE-RSA" :protocol "TLS1.2" :cipher "AES-256-GCM"
:mac "AEAD")))
http -> Spinning waiting for headers...
excorporate -> Failed: Failed to retrieve
https://outlook.office365.com/EWS/Services.wsdl

Thanks for any help / suggestions.




Acknowledgement sent to "tenspd137 ." <dcday137@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#35969; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 13 Jul 2019 14:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.